#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2202
#define LARGE_STATE_COUNT 175
#define SYMBOL_COUNT 245
#define ALIAS_COUNT 2
#define TOKEN_COUNT 106
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 120

enum {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_match = 16,
  anon_sym_return = 17,
  anon_sym_del = 18,
  anon_sym_raise = 19,
  anon_sym_pass = 20,
  anon_sym_break = 21,
  anon_sym_continue = 22,
  anon_sym_if = 23,
  anon_sym_COLON = 24,
  anon_sym_elif = 25,
  anon_sym_else = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_class = 43,
  anon_sym_AT = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  anon_sym_EQ = 47,
  anon_sym_not = 48,
  anon_sym_and = 49,
  anon_sym_or = 50,
  anon_sym_PLUS = 51,
  anon_sym_DASH = 52,
  anon_sym_SLASH = 53,
  anon_sym_PERCENT = 54,
  anon_sym_SLASH_SLASH = 55,
  anon_sym_PIPE = 56,
  anon_sym_AMP = 57,
  anon_sym_CARET = 58,
  anon_sym_LT_LT = 59,
  anon_sym_TILDE = 60,
  anon_sym_LT = 61,
  anon_sym_LT_EQ = 62,
  anon_sym_EQ_EQ = 63,
  anon_sym_BANG_EQ = 64,
  anon_sym_GT_EQ = 65,
  anon_sym_GT = 66,
  anon_sym_LT_GT = 67,
  anon_sym_is = 68,
  anon_sym_lambda = 69,
  anon_sym_PLUS_EQ = 70,
  anon_sym_DASH_EQ = 71,
  anon_sym_STAR_EQ = 72,
  anon_sym_SLASH_EQ = 73,
  anon_sym_AT_EQ = 74,
  anon_sym_SLASH_SLASH_EQ = 75,
  anon_sym_PERCENT_EQ = 76,
  anon_sym_STAR_STAR_EQ = 77,
  anon_sym_GT_GT_EQ = 78,
  anon_sym_LT_LT_EQ = 79,
  anon_sym_AMP_EQ = 80,
  anon_sym_CARET_EQ = 81,
  anon_sym_PIPE_EQ = 82,
  anon_sym_yield = 83,
  sym_ellipsis = 84,
  anon_sym_LBRACE = 85,
  anon_sym_RBRACE = 86,
  anon_sym_LBRACE_LBRACE = 87,
  anon_sym_RBRACE_RBRACE = 88,
  sym_escape_sequence = 89,
  sym__not_escape_sequence = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym__newline = 100,
  sym__indent = 101,
  sym__dedent = 102,
  sym__string_start = 103,
  sym__string_content = 104,
  sym__string_end = 105,
  sym_module = 106,
  sym__statement = 107,
  sym__simple_statements = 108,
  sym_import_statement = 109,
  sym_import_prefix = 110,
  sym_relative_import = 111,
  sym_future_import_statement = 112,
  sym_import_from_statement = 113,
  sym__import_list = 114,
  sym_aliased_import = 115,
  sym_wildcard_import = 116,
  sym_print_statement = 117,
  sym_chevron = 118,
  sym_assert_statement = 119,
  sym_expression_statement = 120,
  sym_named_expression = 121,
  sym__named_expresssion_lhs = 122,
  sym_return_statement = 123,
  sym_delete_statement = 124,
  sym_raise_statement = 125,
  sym_pass_statement = 126,
  sym_break_statement = 127,
  sym_continue_statement = 128,
  sym_if_statement = 129,
  sym_elif_clause = 130,
  sym_else_clause = 131,
  sym_match_statement = 132,
  sym_case_clause = 133,
  sym_for_statement = 134,
  sym_while_statement = 135,
  sym_try_statement = 136,
  sym_except_clause = 137,
  sym_except_group_clause = 138,
  sym_finally_clause = 139,
  sym_with_statement = 140,
  sym_with_clause = 141,
  sym_with_item = 142,
  sym_function_definition = 143,
  sym_parameters = 144,
  sym_lambda_parameters = 145,
  sym_list_splat = 146,
  sym_dictionary_splat = 147,
  sym_global_statement = 148,
  sym_nonlocal_statement = 149,
  sym_exec_statement = 150,
  sym_class_definition = 151,
  sym_parenthesized_list_splat = 152,
  sym_argument_list = 153,
  sym_decorated_definition = 154,
  sym_decorator = 155,
  sym_block = 156,
  sym_expression_list = 157,
  sym_dotted_name = 158,
  sym__parameters = 159,
  sym__patterns = 160,
  sym_parameter = 161,
  sym_pattern = 162,
  sym_tuple_pattern = 163,
  sym_list_pattern = 164,
  sym_default_parameter = 165,
  sym_typed_default_parameter = 166,
  sym_list_splat_pattern = 167,
  sym_dictionary_splat_pattern = 168,
  sym_as_pattern = 169,
  sym__expression_within_for_in_clause = 170,
  sym_expression = 171,
  sym_primary_expression = 172,
  sym_not_operator = 173,
  sym_boolean_operator = 174,
  sym_binary_operator = 175,
  sym_unary_operator = 176,
  sym_comparison_operator = 177,
  sym_lambda = 178,
  sym_lambda_within_for_in_clause = 179,
  sym_assignment = 180,
  sym_augmented_assignment = 181,
  sym_pattern_list = 182,
  sym__right_hand_side = 183,
  sym_yield = 184,
  sym_attribute = 185,
  sym_subscript = 186,
  sym_slice = 187,
  sym_call = 188,
  sym_typed_parameter = 189,
  sym_type = 190,
  sym_keyword_argument = 191,
  sym_list = 192,
  sym_set = 193,
  sym_tuple = 194,
  sym_dictionary = 195,
  sym_pair = 196,
  sym_list_comprehension = 197,
  sym_dictionary_comprehension = 198,
  sym_set_comprehension = 199,
  sym_generator_expression = 200,
  sym__comprehension_clauses = 201,
  sym_parenthesized_expression = 202,
  sym__collection_elements = 203,
  sym_for_in_clause = 204,
  sym_if_clause = 205,
  sym_conditional_expression = 206,
  sym_concatenated_string = 207,
  sym_string = 208,
  sym_interpolation = 209,
  sym__f_expression = 210,
  sym__escape_interpolation = 211,
  sym_format_specifier = 212,
  sym_format_expression = 213,
  sym_await = 214,
  sym_positional_separator = 215,
  sym_keyword_separator = 216,
  aux_sym_module_repeat1 = 217,
  aux_sym__simple_statements_repeat1 = 218,
  aux_sym_import_prefix_repeat1 = 219,
  aux_sym__import_list_repeat1 = 220,
  aux_sym_print_statement_repeat1 = 221,
  aux_sym_assert_statement_repeat1 = 222,
  aux_sym_if_statement_repeat1 = 223,
  aux_sym_match_statement_repeat1 = 224,
  aux_sym_match_statement_repeat2 = 225,
  aux_sym_case_clause_repeat1 = 226,
  aux_sym_try_statement_repeat1 = 227,
  aux_sym_try_statement_repeat2 = 228,
  aux_sym_with_clause_repeat1 = 229,
  aux_sym_global_statement_repeat1 = 230,
  aux_sym_argument_list_repeat1 = 231,
  aux_sym_decorated_definition_repeat1 = 232,
  aux_sym_dotted_name_repeat1 = 233,
  aux_sym__parameters_repeat1 = 234,
  aux_sym__patterns_repeat1 = 235,
  aux_sym_comparison_operator_repeat1 = 236,
  aux_sym_subscript_repeat1 = 237,
  aux_sym_dictionary_repeat1 = 238,
  aux_sym__comprehension_clauses_repeat1 = 239,
  aux_sym__collection_elements_repeat1 = 240,
  aux_sym_for_in_clause_repeat1 = 241,
  aux_sym_concatenated_string_repeat1 = 242,
  aux_sym_string_repeat1 = 243,
  aux_sym_format_specifier_repeat1 = 244,
  alias_sym_as_pattern_target = 245,
  alias_sym_case_pattern = 246,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_match] = "match",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expresssion_lhs] = "_named_expresssion_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__escape_interpolation] = "_escape_interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym_match_statement_repeat2] = "match_statement_repeat2",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_case_pattern] = "case_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expresssion_lhs] = sym__named_expresssion_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__escape_interpolation] = sym__escape_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym_format_expression] = sym_format_expression,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym_match_statement_repeat2] = aux_sym_match_statement_repeat2,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_case_pattern] = alias_sym_case_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expresssion_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__escape_interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_function = 12,
  field_guard = 13,
  field_key = 14,
  field_left = 15,
  field_module_name = 16,
  field_name = 17,
  field_object = 18,
  field_operator = 19,
  field_operators = 20,
  field_parameters = 21,
  field_pattern = 22,
  field_return_type = 23,
  field_right = 24,
  field_subject = 25,
  field_subscript = 26,
  field_superclasses = 27,
  field_type = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 3},
  [22] = {.index = 28, .length = 1},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 1},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 34, .length = 1},
  [27] = {.index = 35, .length = 2},
  [28] = {.index = 37, .length = 2},
  [29] = {.index = 39, .length = 1},
  [30] = {.index = 40, .length = 2},
  [31] = {.index = 42, .length = 1},
  [33] = {.index = 43, .length = 1},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 1},
  [36] = {.index = 47, .length = 2},
  [37] = {.index = 49, .length = 2},
  [38] = {.index = 51, .length = 2},
  [39] = {.index = 53, .length = 1},
  [40] = {.index = 54, .length = 2},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 18, .length = 1},
  [43] = {.index = 58, .length = 1},
  [44] = {.index = 59, .length = 2},
  [45] = {.index = 61, .length = 1},
  [46] = {.index = 62, .length = 2},
  [47] = {.index = 64, .length = 2},
  [48] = {.index = 66, .length = 2},
  [49] = {.index = 68, .length = 2},
  [50] = {.index = 70, .length = 2},
  [51] = {.index = 72, .length = 2},
  [52] = {.index = 74, .length = 3},
  [53] = {.index = 77, .length = 3},
  [54] = {.index = 80, .length = 3},
  [55] = {.index = 83, .length = 3},
  [56] = {.index = 86, .length = 1},
  [57] = {.index = 87, .length = 3},
  [58] = {.index = 90, .length = 3},
  [59] = {.index = 93, .length = 2},
  [60] = {.index = 95, .length = 2},
  [61] = {.index = 97, .length = 3},
  [62] = {.index = 100, .length = 3},
  [63] = {.index = 103, .length = 3},
  [64] = {.index = 106, .length = 3},
  [65] = {.index = 19, .length = 2},
  [66] = {.index = 109, .length = 1},
  [67] = {.index = 110, .length = 3},
  [68] = {.index = 113, .length = 2},
  [69] = {.index = 115, .length = 1},
  [70] = {.index = 116, .length = 2},
  [71] = {.index = 118, .length = 2},
  [72] = {.index = 120, .length = 3},
  [73] = {.index = 123, .length = 4},
  [74] = {.index = 127, .length = 4},
  [75] = {.index = 131, .length = 4},
  [76] = {.index = 135, .length = 2},
  [77] = {.index = 137, .length = 3},
  [78] = {.index = 140, .length = 3},
  [79] = {.index = 143, .length = 4},
  [81] = {.index = 147, .length = 4},
  [82] = {.index = 151, .length = 4},
  [83] = {.index = 155, .length = 3},
  [84] = {.index = 158, .length = 2},
  [85] = {.index = 160, .length = 3},
  [86] = {.index = 163, .length = 1},
  [87] = {.index = 164, .length = 2},
  [88] = {.index = 166, .length = 2},
  [89] = {.index = 168, .length = 5},
  [90] = {.index = 173, .length = 3},
  [91] = {.index = 176, .length = 4},
  [92] = {.index = 180, .length = 4},
  [93] = {.index = 184, .length = 4},
  [95] = {.index = 188, .length = 4},
  [96] = {.index = 192, .length = 3},
  [97] = {.index = 195, .length = 2},
  [98] = {.index = 197, .length = 3},
  [99] = {.index = 200, .length = 3},
  [100] = {.index = 203, .length = 3},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [104] = {.index = 218, .length = 5},
  [105] = {.index = 223, .length = 5},
  [106] = {.index = 228, .length = 3},
  [107] = {.index = 231, .length = 3},
  [108] = {.index = 234, .length = 4},
  [109] = {.index = 238, .length = 3},
  [110] = {.index = 241, .length = 4},
  [111] = {.index = 245, .length = 4},
  [112] = {.index = 249, .length = 5},
  [113] = {.index = 254, .length = 5},
  [115] = {.index = 259, .length = 4},
  [116] = {.index = 263, .length = 4},
  [117] = {.index = 267, .length = 4},
  [118] = {.index = 271, .length = 5},
  [119] = {.index = 276, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_subject, 1},
  [17] =
    {field_cause, 2},
  [18] =
    {field_body, 2},
  [19] =
    {field_name, 0},
    {field_value, 2},
  [21] =
    {field_left, 0},
    {field_type, 2},
  [23] =
    {field_left, 0},
    {field_right, 2},
  [25] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [28] =
    {field_alias, 2},
  [29] =
    {field_attribute, 2},
    {field_object, 0},
  [31] =
    {field_operators, 0},
  [32] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_alternative, 0},
  [47] =
    {field_alternative, 3, .inherited = true},
    {field_subject, 1},
  [49] =
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [51] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [53] =
    {field_cause, 3},
  [54] =
    {field_condition, 1},
    {field_consequence, 3},
  [56] =
    {field_body, 3},
    {field_condition, 1},
  [58] =
    {field_body, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
  [61] =
    {field_type, 2},
  [62] =
    {field_body, 3},
    {field_parameters, 1},
  [64] =
    {field_key, 0},
    {field_value, 2},
  [66] =
    {field_subscript, 2},
    {field_value, 0},
  [68] =
    {field_operators, 0},
    {field_operators, 1},
  [70] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
  [72] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [74] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [77] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [80] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [83] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [86] =
    {field_body, 4},
  [87] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [90] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [93] =
    {field_body, 2},
    {field_body, 3},
  [95] =
    {field_body, 3},
    {field_body, 4},
  [97] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [100] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [103] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [106] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [109] =
    {field_subscript, 1},
  [110] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [113] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [115] =
    {field_name, 4, .inherited = true},
  [116] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [118] =
    {field_left, 1},
    {field_right, 3},
  [120] =
    {field_alternative, 5, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [123] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [127] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [131] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [135] =
    {field_body, 4},
    {field_body, 5},
  [137] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [140] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [143] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [147] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [151] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [155] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [158] =
    {field_left, 2},
    {field_right, 4},
  [160] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [163] =
    {field_pattern, 1},
  [164] =
    {field_consequence, 3},
    {field_pattern, 1},
  [166] =
    {field_pattern, 0, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [168] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [173] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [176] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [180] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [184] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [188] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [192] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [195] =
    {field_consequence, 4},
    {field_pattern, 1},
  [197] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_pattern, 1},
  [200] =
    {field_consequence, 4},
    {field_guard, 2},
    {field_pattern, 1},
  [203] =
    {field_consequence, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [206] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [210] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [214] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [218] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [223] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [228] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
  [231] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
  [234] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
    {field_pattern, 1},
  [238] =
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [241] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [245] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [249] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [254] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [259] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
  [263] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [267] =
    {field_consequence, 6},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [271] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [276] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [32] = {
    [1] = sym_parenthesized_expression,
  },
  [40] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [53] = {
    [3] = sym_block,
  },
  [54] = {
    [3] = sym_block,
  },
  [56] = {
    [4] = sym_block,
  },
  [57] = {
    [3] = sym_block,
  },
  [61] = {
    [4] = sym_block,
  },
  [63] = {
    [4] = sym_block,
  },
  [65] = {
    [0] = sym_identifier,
  },
  [73] = {
    [3] = sym_block,
  },
  [77] = {
    [5] = sym_block,
  },
  [78] = {
    [5] = sym_block,
  },
  [80] = {
    [2] = sym_block,
  },
  [86] = {
    [1] = alias_sym_case_pattern,
  },
  [87] = {
    [1] = alias_sym_case_pattern,
    [3] = sym_block,
  },
  [90] = {
    [6] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [94] = {
    [3] = sym_block,
  },
  [95] = {
    [6] = sym_block,
  },
  [97] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [98] = {
    [1] = alias_sym_case_pattern,
  },
  [99] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [100] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [103] = {
    [7] = sym_block,
  },
  [106] = {
    [1] = alias_sym_case_pattern,
  },
  [107] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [108] = {
    [1] = alias_sym_case_pattern,
  },
  [109] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [110] = {
    [1] = alias_sym_case_pattern,
  },
  [111] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [114] = {
    [5] = sym_block,
  },
  [115] = {
    [1] = alias_sym_case_pattern,
  },
  [116] = {
    [1] = alias_sym_case_pattern,
  },
  [117] = {
    [1] = alias_sym_case_pattern,
    [6] = sym_block,
  },
  [118] = {
    [1] = alias_sym_case_pattern,
  },
  [119] = {
    [1] = alias_sym_case_pattern,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    alias_sym_case_pattern,
  sym_expression, 3,
    sym_expression,
    alias_sym_as_pattern_target,
    alias_sym_case_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 7,
  [14] = 12,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 2,
  [23] = 23,
  [24] = 9,
  [25] = 25,
  [26] = 23,
  [27] = 10,
  [28] = 28,
  [29] = 19,
  [30] = 30,
  [31] = 4,
  [32] = 20,
  [33] = 8,
  [34] = 18,
  [35] = 5,
  [36] = 6,
  [37] = 37,
  [38] = 17,
  [39] = 39,
  [40] = 40,
  [41] = 25,
  [42] = 42,
  [43] = 30,
  [44] = 16,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 3,
  [50] = 50,
  [51] = 21,
  [52] = 52,
  [53] = 28,
  [54] = 54,
  [55] = 54,
  [56] = 50,
  [57] = 15,
  [58] = 11,
  [59] = 42,
  [60] = 46,
  [61] = 40,
  [62] = 52,
  [63] = 45,
  [64] = 37,
  [65] = 48,
  [66] = 47,
  [67] = 39,
  [68] = 68,
  [69] = 68,
  [70] = 70,
  [71] = 68,
  [72] = 68,
  [73] = 73,
  [74] = 68,
  [75] = 68,
  [76] = 73,
  [77] = 68,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 90,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 83,
  [103] = 103,
  [104] = 99,
  [105] = 105,
  [106] = 103,
  [107] = 107,
  [108] = 86,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 88,
  [113] = 113,
  [114] = 85,
  [115] = 115,
  [116] = 109,
  [117] = 111,
  [118] = 118,
  [119] = 119,
  [120] = 113,
  [121] = 96,
  [122] = 82,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 87,
  [127] = 118,
  [128] = 128,
  [129] = 107,
  [130] = 97,
  [131] = 125,
  [132] = 123,
  [133] = 128,
  [134] = 105,
  [135] = 115,
  [136] = 100,
  [137] = 91,
  [138] = 124,
  [139] = 101,
  [140] = 98,
  [141] = 110,
  [142] = 119,
  [143] = 94,
  [144] = 95,
  [145] = 92,
  [146] = 146,
  [147] = 147,
  [148] = 146,
  [149] = 146,
  [150] = 147,
  [151] = 146,
  [152] = 147,
  [153] = 147,
  [154] = 146,
  [155] = 146,
  [156] = 147,
  [157] = 147,
  [158] = 147,
  [159] = 146,
  [160] = 160,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 161,
  [165] = 161,
  [166] = 161,
  [167] = 81,
  [168] = 161,
  [169] = 161,
  [170] = 161,
  [171] = 163,
  [172] = 81,
  [173] = 173,
  [174] = 173,
  [175] = 175,
  [176] = 176,
  [177] = 175,
  [178] = 178,
  [179] = 179,
  [180] = 179,
  [181] = 181,
  [182] = 181,
  [183] = 181,
  [184] = 184,
  [185] = 181,
  [186] = 181,
  [187] = 179,
  [188] = 181,
  [189] = 179,
  [190] = 190,
  [191] = 190,
  [192] = 190,
  [193] = 190,
  [194] = 190,
  [195] = 190,
  [196] = 190,
  [197] = 190,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 200,
  [202] = 200,
  [203] = 200,
  [204] = 204,
  [205] = 205,
  [206] = 200,
  [207] = 200,
  [208] = 200,
  [209] = 200,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 212,
  [215] = 210,
  [216] = 216,
  [217] = 216,
  [218] = 211,
  [219] = 219,
  [220] = 220,
  [221] = 220,
  [222] = 212,
  [223] = 210,
  [224] = 210,
  [225] = 212,
  [226] = 213,
  [227] = 213,
  [228] = 219,
  [229] = 220,
  [230] = 219,
  [231] = 220,
  [232] = 211,
  [233] = 219,
  [234] = 216,
  [235] = 213,
  [236] = 211,
  [237] = 219,
  [238] = 211,
  [239] = 213,
  [240] = 216,
  [241] = 216,
  [242] = 210,
  [243] = 216,
  [244] = 211,
  [245] = 219,
  [246] = 220,
  [247] = 220,
  [248] = 219,
  [249] = 210,
  [250] = 212,
  [251] = 212,
  [252] = 213,
  [253] = 216,
  [254] = 220,
  [255] = 210,
  [256] = 220,
  [257] = 219,
  [258] = 210,
  [259] = 212,
  [260] = 212,
  [261] = 213,
  [262] = 216,
  [263] = 213,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 265,
  [269] = 267,
  [270] = 265,
  [271] = 267,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 276,
  [280] = 277,
  [281] = 273,
  [282] = 282,
  [283] = 282,
  [284] = 274,
  [285] = 285,
  [286] = 277,
  [287] = 273,
  [288] = 276,
  [289] = 278,
  [290] = 274,
  [291] = 291,
  [292] = 272,
  [293] = 278,
  [294] = 285,
  [295] = 295,
  [296] = 295,
  [297] = 297,
  [298] = 264,
  [299] = 264,
  [300] = 297,
  [301] = 295,
  [302] = 297,
  [303] = 297,
  [304] = 297,
  [305] = 305,
  [306] = 295,
  [307] = 297,
  [308] = 297,
  [309] = 295,
  [310] = 295,
  [311] = 295,
  [312] = 297,
  [313] = 313,
  [314] = 264,
  [315] = 295,
  [316] = 316,
  [317] = 316,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 316,
  [322] = 322,
  [323] = 318,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 316,
  [328] = 316,
  [329] = 326,
  [330] = 316,
  [331] = 320,
  [332] = 320,
  [333] = 316,
  [334] = 326,
  [335] = 320,
  [336] = 291,
  [337] = 326,
  [338] = 320,
  [339] = 316,
  [340] = 275,
  [341] = 326,
  [342] = 320,
  [343] = 326,
  [344] = 320,
  [345] = 320,
  [346] = 326,
  [347] = 326,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 350,
  [358] = 358,
  [359] = 348,
  [360] = 360,
  [361] = 360,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 364,
  [371] = 364,
  [372] = 354,
  [373] = 369,
  [374] = 366,
  [375] = 375,
  [376] = 362,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 377,
  [381] = 363,
  [382] = 291,
  [383] = 383,
  [384] = 362,
  [385] = 385,
  [386] = 386,
  [387] = 275,
  [388] = 388,
  [389] = 354,
  [390] = 367,
  [391] = 360,
  [392] = 358,
  [393] = 367,
  [394] = 367,
  [395] = 275,
  [396] = 367,
  [397] = 363,
  [398] = 291,
  [399] = 367,
  [400] = 367,
  [401] = 401,
  [402] = 367,
  [403] = 403,
  [404] = 385,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 275,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 418,
  [420] = 414,
  [421] = 417,
  [422] = 422,
  [423] = 423,
  [424] = 413,
  [425] = 423,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 415,
  [431] = 431,
  [432] = 416,
  [433] = 433,
  [434] = 291,
  [435] = 433,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 438,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 442,
  [450] = 450,
  [451] = 445,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 439,
  [456] = 456,
  [457] = 442,
  [458] = 442,
  [459] = 459,
  [460] = 445,
  [461] = 461,
  [462] = 438,
  [463] = 463,
  [464] = 464,
  [465] = 442,
  [466] = 466,
  [467] = 467,
  [468] = 439,
  [469] = 454,
  [470] = 439,
  [471] = 461,
  [472] = 459,
  [473] = 473,
  [474] = 453,
  [475] = 452,
  [476] = 445,
  [477] = 454,
  [478] = 478,
  [479] = 479,
  [480] = 445,
  [481] = 481,
  [482] = 481,
  [483] = 479,
  [484] = 438,
  [485] = 438,
  [486] = 486,
  [487] = 450,
  [488] = 488,
  [489] = 489,
  [490] = 453,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 464,
  [498] = 450,
  [499] = 499,
  [500] = 486,
  [501] = 452,
  [502] = 453,
  [503] = 454,
  [504] = 439,
  [505] = 493,
  [506] = 473,
  [507] = 442,
  [508] = 452,
  [509] = 454,
  [510] = 453,
  [511] = 452,
  [512] = 486,
  [513] = 453,
  [514] = 514,
  [515] = 439,
  [516] = 450,
  [517] = 438,
  [518] = 452,
  [519] = 445,
  [520] = 489,
  [521] = 438,
  [522] = 454,
  [523] = 453,
  [524] = 478,
  [525] = 493,
  [526] = 450,
  [527] = 463,
  [528] = 528,
  [529] = 467,
  [530] = 445,
  [531] = 463,
  [532] = 532,
  [533] = 442,
  [534] = 438,
  [535] = 535,
  [536] = 452,
  [537] = 486,
  [538] = 538,
  [539] = 450,
  [540] = 473,
  [541] = 494,
  [542] = 493,
  [543] = 488,
  [544] = 544,
  [545] = 486,
  [546] = 546,
  [547] = 544,
  [548] = 473,
  [549] = 450,
  [550] = 538,
  [551] = 445,
  [552] = 473,
  [553] = 473,
  [554] = 499,
  [555] = 555,
  [556] = 532,
  [557] = 557,
  [558] = 495,
  [559] = 478,
  [560] = 528,
  [561] = 450,
  [562] = 437,
  [563] = 473,
  [564] = 473,
  [565] = 442,
  [566] = 439,
  [567] = 452,
  [568] = 478,
  [569] = 439,
  [570] = 454,
  [571] = 453,
  [572] = 454,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 429,
  [577] = 577,
  [578] = 406,
  [579] = 579,
  [580] = 407,
  [581] = 408,
  [582] = 575,
  [583] = 431,
  [584] = 428,
  [585] = 577,
  [586] = 574,
  [587] = 579,
  [588] = 588,
  [589] = 412,
  [590] = 588,
  [591] = 573,
  [592] = 592,
  [593] = 593,
  [594] = 579,
  [595] = 595,
  [596] = 573,
  [597] = 597,
  [598] = 575,
  [599] = 575,
  [600] = 600,
  [601] = 601,
  [602] = 579,
  [603] = 577,
  [604] = 588,
  [605] = 573,
  [606] = 588,
  [607] = 577,
  [608] = 597,
  [609] = 609,
  [610] = 577,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 601,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 579,
  [621] = 588,
  [622] = 611,
  [623] = 615,
  [624] = 612,
  [625] = 579,
  [626] = 609,
  [627] = 613,
  [628] = 614,
  [629] = 575,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 595,
  [634] = 573,
  [635] = 600,
  [636] = 588,
  [637] = 637,
  [638] = 592,
  [639] = 593,
  [640] = 617,
  [641] = 575,
  [642] = 630,
  [643] = 573,
  [644] = 577,
  [645] = 632,
  [646] = 631,
  [647] = 637,
  [648] = 619,
  [649] = 618,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 653,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 652,
  [663] = 650,
  [664] = 660,
  [665] = 661,
  [666] = 656,
  [667] = 651,
  [668] = 657,
  [669] = 655,
  [670] = 659,
  [671] = 658,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 688,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 675,
  [701] = 701,
  [702] = 702,
  [703] = 695,
  [704] = 690,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 672,
  [709] = 707,
  [710] = 710,
  [711] = 711,
  [712] = 710,
  [713] = 711,
  [714] = 714,
  [715] = 680,
  [716] = 674,
  [717] = 714,
  [718] = 676,
  [719] = 677,
  [720] = 689,
  [721] = 679,
  [722] = 687,
  [723] = 686,
  [724] = 681,
  [725] = 685,
  [726] = 682,
  [727] = 684,
  [728] = 692,
  [729] = 693,
  [730] = 694,
  [731] = 696,
  [732] = 697,
  [733] = 698,
  [734] = 699,
  [735] = 701,
  [736] = 702,
  [737] = 705,
  [738] = 706,
  [739] = 683,
  [740] = 678,
  [741] = 673,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 747,
  [749] = 746,
  [750] = 745,
  [751] = 744,
  [752] = 752,
  [753] = 752,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 742,
  [758] = 758,
  [759] = 754,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 755,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 743,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 773,
  [777] = 777,
  [778] = 758,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 756,
  [783] = 783,
  [784] = 770,
  [785] = 779,
  [786] = 786,
  [787] = 765,
  [788] = 766,
  [789] = 760,
  [790] = 790,
  [791] = 762,
  [792] = 764,
  [793] = 767,
  [794] = 768,
  [795] = 786,
  [796] = 761,
  [797] = 775,
  [798] = 798,
  [799] = 777,
  [800] = 772,
  [801] = 780,
  [802] = 781,
  [803] = 783,
  [804] = 804,
  [805] = 805,
  [806] = 774,
  [807] = 804,
  [808] = 790,
  [809] = 769,
  [810] = 798,
  [811] = 805,
  [812] = 812,
  [813] = 812,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 819,
  [821] = 814,
  [822] = 818,
  [823] = 816,
  [824] = 815,
  [825] = 819,
  [826] = 817,
  [827] = 816,
  [828] = 828,
  [829] = 828,
  [830] = 828,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 832,
  [835] = 835,
  [836] = 836,
  [837] = 833,
  [838] = 833,
  [839] = 832,
  [840] = 835,
  [841] = 836,
  [842] = 831,
  [843] = 835,
  [844] = 831,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 835,
  [849] = 849,
  [850] = 850,
  [851] = 850,
  [852] = 852,
  [853] = 850,
  [854] = 846,
  [855] = 833,
  [856] = 833,
  [857] = 857,
  [858] = 858,
  [859] = 832,
  [860] = 846,
  [861] = 833,
  [862] = 849,
  [863] = 858,
  [864] = 864,
  [865] = 835,
  [866] = 832,
  [867] = 850,
  [868] = 857,
  [869] = 831,
  [870] = 832,
  [871] = 850,
  [872] = 850,
  [873] = 845,
  [874] = 831,
  [875] = 875,
  [876] = 831,
  [877] = 877,
  [878] = 852,
  [879] = 858,
  [880] = 847,
  [881] = 852,
  [882] = 864,
  [883] = 864,
  [884] = 847,
  [885] = 877,
  [886] = 845,
  [887] = 875,
  [888] = 877,
  [889] = 850,
  [890] = 849,
  [891] = 835,
  [892] = 875,
  [893] = 857,
  [894] = 850,
  [895] = 847,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 849,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 899,
  [905] = 899,
  [906] = 906,
  [907] = 899,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 896,
  [912] = 912,
  [913] = 913,
  [914] = 899,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 899,
  [919] = 899,
  [920] = 897,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 906,
  [925] = 899,
  [926] = 897,
  [927] = 832,
  [928] = 923,
  [929] = 835,
  [930] = 916,
  [931] = 915,
  [932] = 913,
  [933] = 912,
  [934] = 910,
  [935] = 909,
  [936] = 908,
  [937] = 833,
  [938] = 831,
  [939] = 832,
  [940] = 923,
  [941] = 917,
  [942] = 835,
  [943] = 916,
  [944] = 915,
  [945] = 913,
  [946] = 912,
  [947] = 896,
  [948] = 910,
  [949] = 909,
  [950] = 908,
  [951] = 901,
  [952] = 847,
  [953] = 864,
  [954] = 833,
  [955] = 831,
  [956] = 923,
  [957] = 917,
  [958] = 877,
  [959] = 916,
  [960] = 875,
  [961] = 923,
  [962] = 857,
  [963] = 858,
  [964] = 845,
  [965] = 846,
  [966] = 915,
  [967] = 913,
  [968] = 912,
  [969] = 896,
  [970] = 910,
  [971] = 909,
  [972] = 908,
  [973] = 901,
  [974] = 923,
  [975] = 916,
  [976] = 915,
  [977] = 913,
  [978] = 912,
  [979] = 896,
  [980] = 910,
  [981] = 909,
  [982] = 908,
  [983] = 849,
  [984] = 847,
  [985] = 864,
  [986] = 877,
  [987] = 875,
  [988] = 923,
  [989] = 857,
  [990] = 858,
  [991] = 845,
  [992] = 846,
  [993] = 916,
  [994] = 915,
  [995] = 913,
  [996] = 912,
  [997] = 896,
  [998] = 910,
  [999] = 909,
  [1000] = 908,
  [1001] = 852,
  [1002] = 903,
  [1003] = 902,
  [1004] = 849,
  [1005] = 852,
  [1006] = 864,
  [1007] = 877,
  [1008] = 875,
  [1009] = 923,
  [1010] = 857,
  [1011] = 858,
  [1012] = 845,
  [1013] = 846,
  [1014] = 916,
  [1015] = 915,
  [1016] = 913,
  [1017] = 912,
  [1018] = 916,
  [1019] = 896,
  [1020] = 910,
  [1021] = 909,
  [1022] = 908,
  [1023] = 915,
  [1024] = 908,
  [1025] = 909,
  [1026] = 910,
  [1027] = 896,
  [1028] = 912,
  [1029] = 902,
  [1030] = 903,
  [1031] = 913,
  [1032] = 852,
  [1033] = 877,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 408,
  [1046] = 407,
  [1047] = 406,
  [1048] = 1048,
  [1049] = 901,
  [1050] = 1050,
  [1051] = 1036,
  [1052] = 1052,
  [1053] = 849,
  [1054] = 847,
  [1055] = 864,
  [1056] = 875,
  [1057] = 857,
  [1058] = 917,
  [1059] = 858,
  [1060] = 845,
  [1061] = 846,
  [1062] = 1062,
  [1063] = 431,
  [1064] = 428,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1034,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 852,
  [1072] = 849,
  [1073] = 847,
  [1074] = 864,
  [1075] = 877,
  [1076] = 875,
  [1077] = 857,
  [1078] = 858,
  [1079] = 845,
  [1080] = 846,
  [1081] = 852,
  [1082] = 903,
  [1083] = 902,
  [1084] = 428,
  [1085] = 431,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 408,
  [1089] = 407,
  [1090] = 406,
  [1091] = 1091,
  [1092] = 410,
  [1093] = 1093,
  [1094] = 917,
  [1095] = 1095,
  [1096] = 429,
  [1097] = 1070,
  [1098] = 429,
  [1099] = 1069,
  [1100] = 1066,
  [1101] = 1065,
  [1102] = 1052,
  [1103] = 1048,
  [1104] = 1043,
  [1105] = 1095,
  [1106] = 1039,
  [1107] = 412,
  [1108] = 1037,
  [1109] = 1035,
  [1110] = 1041,
  [1111] = 1042,
  [1112] = 1044,
  [1113] = 412,
  [1114] = 1093,
  [1115] = 1050,
  [1116] = 1091,
  [1117] = 902,
  [1118] = 1118,
  [1119] = 1062,
  [1120] = 903,
  [1121] = 902,
  [1122] = 428,
  [1123] = 431,
  [1124] = 1086,
  [1125] = 1087,
  [1126] = 408,
  [1127] = 407,
  [1128] = 406,
  [1129] = 1091,
  [1130] = 1093,
  [1131] = 1095,
  [1132] = 429,
  [1133] = 1118,
  [1134] = 1070,
  [1135] = 1069,
  [1136] = 1066,
  [1137] = 1065,
  [1138] = 1052,
  [1139] = 1048,
  [1140] = 1043,
  [1141] = 409,
  [1142] = 1039,
  [1143] = 412,
  [1144] = 1038,
  [1145] = 1037,
  [1146] = 1035,
  [1147] = 1087,
  [1148] = 1041,
  [1149] = 1042,
  [1150] = 917,
  [1151] = 1086,
  [1152] = 1044,
  [1153] = 1050,
  [1154] = 409,
  [1155] = 903,
  [1156] = 1118,
  [1157] = 901,
  [1158] = 901,
  [1159] = 1062,
  [1160] = 1038,
  [1161] = 1034,
  [1162] = 1067,
  [1163] = 1036,
  [1164] = 410,
  [1165] = 1067,
  [1166] = 1039,
  [1167] = 902,
  [1168] = 1062,
  [1169] = 1034,
  [1170] = 1039,
  [1171] = 456,
  [1172] = 1065,
  [1173] = 901,
  [1174] = 1095,
  [1175] = 1036,
  [1176] = 446,
  [1177] = 1050,
  [1178] = 1043,
  [1179] = 1091,
  [1180] = 1093,
  [1181] = 1034,
  [1182] = 1067,
  [1183] = 456,
  [1184] = 1042,
  [1185] = 1118,
  [1186] = 1041,
  [1187] = 1118,
  [1188] = 922,
  [1189] = 921,
  [1190] = 1039,
  [1191] = 1035,
  [1192] = 1048,
  [1193] = 1044,
  [1194] = 1035,
  [1195] = 1069,
  [1196] = 1095,
  [1197] = 1042,
  [1198] = 1041,
  [1199] = 1070,
  [1200] = 496,
  [1201] = 1067,
  [1202] = 1052,
  [1203] = 1035,
  [1204] = 1065,
  [1205] = 1034,
  [1206] = 903,
  [1207] = 1037,
  [1208] = 1038,
  [1209] = 1048,
  [1210] = 917,
  [1211] = 1066,
  [1212] = 1067,
  [1213] = 1069,
  [1214] = 1070,
  [1215] = 1036,
  [1216] = 412,
  [1217] = 1038,
  [1218] = 1066,
  [1219] = 1095,
  [1220] = 1037,
  [1221] = 1093,
  [1222] = 1091,
  [1223] = 1087,
  [1224] = 1086,
  [1225] = 1037,
  [1226] = 1044,
  [1227] = 1227,
  [1228] = 1062,
  [1229] = 1043,
  [1230] = 1118,
  [1231] = 1231,
  [1232] = 1048,
  [1233] = 901,
  [1234] = 1052,
  [1235] = 1065,
  [1236] = 1066,
  [1237] = 902,
  [1238] = 496,
  [1239] = 1069,
  [1240] = 1070,
  [1241] = 429,
  [1242] = 1038,
  [1243] = 903,
  [1244] = 1041,
  [1245] = 1042,
  [1246] = 1086,
  [1247] = 1093,
  [1248] = 1091,
  [1249] = 406,
  [1250] = 407,
  [1251] = 408,
  [1252] = 1087,
  [1253] = 1086,
  [1254] = 431,
  [1255] = 428,
  [1256] = 491,
  [1257] = 1087,
  [1258] = 1044,
  [1259] = 1043,
  [1260] = 446,
  [1261] = 491,
  [1262] = 1062,
  [1263] = 1050,
  [1264] = 917,
  [1265] = 1050,
  [1266] = 1052,
  [1267] = 1036,
  [1268] = 1039,
  [1269] = 1091,
  [1270] = 1270,
  [1271] = 1062,
  [1272] = 1118,
  [1273] = 496,
  [1274] = 1050,
  [1275] = 491,
  [1276] = 1276,
  [1277] = 1039,
  [1278] = 412,
  [1279] = 1038,
  [1280] = 1037,
  [1281] = 1035,
  [1282] = 1034,
  [1283] = 1067,
  [1284] = 1041,
  [1285] = 1040,
  [1286] = 1042,
  [1287] = 1044,
  [1288] = 1044,
  [1289] = 1042,
  [1290] = 1041,
  [1291] = 456,
  [1292] = 1035,
  [1293] = 428,
  [1294] = 1043,
  [1295] = 1048,
  [1296] = 431,
  [1297] = 1067,
  [1298] = 1034,
  [1299] = 1036,
  [1300] = 1037,
  [1301] = 1050,
  [1302] = 1038,
  [1303] = 1270,
  [1304] = 1052,
  [1305] = 1065,
  [1306] = 1066,
  [1307] = 1036,
  [1308] = 1118,
  [1309] = 412,
  [1310] = 1062,
  [1311] = 428,
  [1312] = 1069,
  [1313] = 431,
  [1314] = 446,
  [1315] = 1070,
  [1316] = 1086,
  [1317] = 1087,
  [1318] = 408,
  [1319] = 407,
  [1320] = 429,
  [1321] = 406,
  [1322] = 1091,
  [1323] = 1086,
  [1324] = 1087,
  [1325] = 408,
  [1326] = 1093,
  [1327] = 1095,
  [1328] = 407,
  [1329] = 406,
  [1330] = 429,
  [1331] = 1095,
  [1332] = 1093,
  [1333] = 1070,
  [1334] = 1069,
  [1335] = 1066,
  [1336] = 1065,
  [1337] = 1052,
  [1338] = 1043,
  [1339] = 1048,
  [1340] = 1231,
  [1341] = 1231,
  [1342] = 1227,
  [1343] = 1227,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1345,
  [1347] = 1345,
  [1348] = 1344,
  [1349] = 1344,
  [1350] = 1344,
  [1351] = 1345,
  [1352] = 1344,
  [1353] = 1231,
  [1354] = 1344,
  [1355] = 1227,
  [1356] = 1345,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1345,
  [1360] = 1360,
  [1361] = 1345,
  [1362] = 446,
  [1363] = 1344,
  [1364] = 446,
  [1365] = 1344,
  [1366] = 1231,
  [1367] = 456,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1227,
  [1371] = 1371,
  [1372] = 491,
  [1373] = 1368,
  [1374] = 1276,
  [1375] = 456,
  [1376] = 1360,
  [1377] = 1345,
  [1378] = 496,
  [1379] = 1276,
  [1380] = 1368,
  [1381] = 1358,
  [1382] = 491,
  [1383] = 496,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1384,
  [1389] = 1384,
  [1390] = 1390,
  [1391] = 1385,
  [1392] = 1384,
  [1393] = 1384,
  [1394] = 1384,
  [1395] = 1384,
  [1396] = 1385,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1384,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1401,
  [1405] = 1402,
  [1406] = 1406,
  [1407] = 1406,
  [1408] = 1408,
  [1409] = 1408,
  [1410] = 1408,
  [1411] = 1408,
  [1412] = 1408,
  [1413] = 1408,
  [1414] = 1408,
  [1415] = 1408,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1416,
  [1420] = 1416,
  [1421] = 1418,
  [1422] = 1417,
  [1423] = 1416,
  [1424] = 1418,
  [1425] = 1417,
  [1426] = 1417,
  [1427] = 1416,
  [1428] = 1418,
  [1429] = 1416,
  [1430] = 1417,
  [1431] = 1418,
  [1432] = 1418,
  [1433] = 1417,
  [1434] = 1416,
  [1435] = 1418,
  [1436] = 1417,
  [1437] = 1417,
  [1438] = 1438,
  [1439] = 1418,
  [1440] = 1416,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1442,
  [1444] = 1442,
  [1445] = 1445,
  [1446] = 1442,
  [1447] = 1442,
  [1448] = 1441,
  [1449] = 1449,
  [1450] = 1442,
  [1451] = 1442,
  [1452] = 1441,
  [1453] = 1441,
  [1454] = 1441,
  [1455] = 1441,
  [1456] = 1441,
  [1457] = 1441,
  [1458] = 1442,
  [1459] = 1442,
  [1460] = 1441,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1462,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1463,
  [1472] = 1472,
  [1473] = 1462,
  [1474] = 1464,
  [1475] = 1475,
  [1476] = 1469,
  [1477] = 1466,
  [1478] = 1466,
  [1479] = 1479,
  [1480] = 1464,
  [1481] = 1465,
  [1482] = 1469,
  [1483] = 1467,
  [1484] = 1475,
  [1485] = 1470,
  [1486] = 1486,
  [1487] = 1465,
  [1488] = 1463,
  [1489] = 1467,
  [1490] = 1472,
  [1491] = 1475,
  [1492] = 1492,
  [1493] = 1472,
  [1494] = 1470,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1462,
  [1499] = 1470,
  [1500] = 1472,
  [1501] = 1469,
  [1502] = 1469,
  [1503] = 1462,
  [1504] = 1472,
  [1505] = 1505,
  [1506] = 1461,
  [1507] = 1463,
  [1508] = 1466,
  [1509] = 1509,
  [1510] = 1475,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1470,
  [1514] = 1465,
  [1515] = 1511,
  [1516] = 1463,
  [1517] = 1517,
  [1518] = 1475,
  [1519] = 1519,
  [1520] = 1512,
  [1521] = 1465,
  [1522] = 1466,
  [1523] = 1486,
  [1524] = 1511,
  [1525] = 1464,
  [1526] = 1526,
  [1527] = 1462,
  [1528] = 1467,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1512,
  [1532] = 1467,
  [1533] = 1526,
  [1534] = 1464,
  [1535] = 1470,
  [1536] = 1511,
  [1537] = 1464,
  [1538] = 1511,
  [1539] = 1465,
  [1540] = 1463,
  [1541] = 1472,
  [1542] = 1475,
  [1543] = 1496,
  [1544] = 1544,
  [1545] = 1511,
  [1546] = 1517,
  [1547] = 1505,
  [1548] = 1548,
  [1549] = 1466,
  [1550] = 1467,
  [1551] = 1519,
  [1552] = 1505,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1511,
  [1556] = 1495,
  [1557] = 1517,
  [1558] = 1469,
  [1559] = 1511,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1462,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1469,
  [1568] = 1465,
  [1569] = 1463,
  [1570] = 1475,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1561,
  [1574] = 1461,
  [1575] = 1562,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1472,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1571,
  [1583] = 1466,
  [1584] = 1584,
  [1585] = 1464,
  [1586] = 1467,
  [1587] = 1464,
  [1588] = 1588,
  [1589] = 1561,
  [1590] = 1584,
  [1591] = 1475,
  [1592] = 1576,
  [1593] = 1466,
  [1594] = 1461,
  [1595] = 1562,
  [1596] = 1470,
  [1597] = 1580,
  [1598] = 1571,
  [1599] = 1571,
  [1600] = 1571,
  [1601] = 1472,
  [1602] = 1571,
  [1603] = 1580,
  [1604] = 1604,
  [1605] = 1470,
  [1606] = 1606,
  [1607] = 1462,
  [1608] = 1608,
  [1609] = 1571,
  [1610] = 1467,
  [1611] = 1611,
  [1612] = 1581,
  [1613] = 1571,
  [1614] = 1469,
  [1615] = 1465,
  [1616] = 1616,
  [1617] = 1588,
  [1618] = 1576,
  [1619] = 1463,
  [1620] = 1620,
  [1621] = 1588,
  [1622] = 1564,
  [1623] = 1486,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1492,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1627,
  [1633] = 1625,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1486,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1635,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1631,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1629,
  [1646] = 1646,
  [1647] = 1492,
  [1648] = 1643,
  [1649] = 1649,
  [1650] = 1492,
  [1651] = 1651,
  [1652] = 1635,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1638,
  [1657] = 1653,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1628,
  [1661] = 1661,
  [1662] = 1553,
  [1663] = 1486,
  [1664] = 1664,
  [1665] = 1628,
  [1666] = 1666,
  [1667] = 1630,
  [1668] = 1646,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1631,
  [1674] = 1625,
  [1675] = 1629,
  [1676] = 1646,
  [1677] = 1661,
  [1678] = 1638,
  [1679] = 1679,
  [1680] = 1576,
  [1681] = 1681,
  [1682] = 1679,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1683,
  [1687] = 1683,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1664,
  [1693] = 1693,
  [1694] = 1683,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1672,
  [1700] = 1696,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1697,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1683,
  [1710] = 1683,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1698,
  [1715] = 1707,
  [1716] = 1698,
  [1717] = 1711,
  [1718] = 1649,
  [1719] = 1693,
  [1720] = 1690,
  [1721] = 1690,
  [1722] = 1697,
  [1723] = 1641,
  [1724] = 1683,
  [1725] = 1725,
  [1726] = 1683,
  [1727] = 1727,
  [1728] = 1691,
  [1729] = 1685,
  [1730] = 1634,
  [1731] = 1705,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1712,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1689,
  [1741] = 1741,
  [1742] = 1708,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1704,
  [1747] = 1701,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 573,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1763,
  [1775] = 1763,
  [1776] = 1776,
  [1777] = 1634,
  [1778] = 1764,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1369,
  [1782] = 1641,
  [1783] = 1664,
  [1784] = 1784,
  [1785] = 1761,
  [1786] = 1786,
  [1787] = 1759,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1765,
  [1792] = 1738,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1672,
  [1798] = 901,
  [1799] = 1766,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1769,
  [1803] = 917,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1804,
  [1807] = 1634,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1641,
  [1813] = 1813,
  [1814] = 1767,
  [1815] = 1815,
  [1816] = 1793,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1796,
  [1820] = 1820,
  [1821] = 1805,
  [1822] = 1808,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1765,
  [1826] = 1826,
  [1827] = 1800,
  [1828] = 1828,
  [1829] = 1773,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 588,
  [1833] = 1795,
  [1834] = 1794,
  [1835] = 1369,
  [1836] = 1790,
  [1837] = 1818,
  [1838] = 1763,
  [1839] = 1773,
  [1840] = 1817,
  [1841] = 1641,
  [1842] = 1764,
  [1843] = 1764,
  [1844] = 1815,
  [1845] = 1818,
  [1846] = 1817,
  [1847] = 1815,
  [1848] = 1813,
  [1849] = 1813,
  [1850] = 1786,
  [1851] = 1808,
  [1852] = 1852,
  [1853] = 1788,
  [1854] = 1789,
  [1855] = 1634,
  [1856] = 1805,
  [1857] = 1804,
  [1858] = 1766,
  [1859] = 1786,
  [1860] = 1796,
  [1861] = 1766,
  [1862] = 1764,
  [1863] = 579,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 575,
  [1867] = 1804,
  [1868] = 1805,
  [1869] = 1808,
  [1870] = 1805,
  [1871] = 1808,
  [1872] = 1804,
  [1873] = 1793,
  [1874] = 1818,
  [1875] = 1817,
  [1876] = 1813,
  [1877] = 1877,
  [1878] = 1815,
  [1879] = 1815,
  [1880] = 1817,
  [1881] = 1818,
  [1882] = 1772,
  [1883] = 1813,
  [1884] = 1766,
  [1885] = 1649,
  [1886] = 577,
  [1887] = 1808,
  [1888] = 1748,
  [1889] = 1889,
  [1890] = 1805,
  [1891] = 1891,
  [1892] = 1763,
  [1893] = 1804,
  [1894] = 1750,
  [1895] = 1811,
  [1896] = 1764,
  [1897] = 1770,
  [1898] = 1766,
  [1899] = 1789,
  [1900] = 1786,
  [1901] = 1901,
  [1902] = 1764,
  [1903] = 1903,
  [1904] = 1786,
  [1905] = 1795,
  [1906] = 1763,
  [1907] = 1794,
  [1908] = 1789,
  [1909] = 1818,
  [1910] = 1817,
  [1911] = 1815,
  [1912] = 1813,
  [1913] = 1913,
  [1914] = 1831,
  [1915] = 1766,
  [1916] = 1818,
  [1917] = 1817,
  [1918] = 1815,
  [1919] = 1813,
  [1920] = 1891,
  [1921] = 1804,
  [1922] = 1805,
  [1923] = 1923,
  [1924] = 1808,
  [1925] = 1808,
  [1926] = 1789,
  [1927] = 1805,
  [1928] = 1789,
  [1929] = 1813,
  [1930] = 1786,
  [1931] = 1815,
  [1932] = 1804,
  [1933] = 1817,
  [1934] = 1818,
  [1935] = 1935,
  [1936] = 1766,
  [1937] = 1786,
  [1938] = 1935,
  [1939] = 1743,
  [1940] = 1789,
  [1941] = 1771,
  [1942] = 1786,
  [1943] = 1764,
  [1944] = 1779,
  [1945] = 1763,
  [1946] = 1788,
  [1947] = 1947,
  [1948] = 1830,
  [1949] = 1949,
  [1950] = 1390,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1684,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1386,
  [1961] = 1961,
  [1962] = 1684,
  [1963] = 1397,
  [1964] = 1952,
  [1965] = 1965,
  [1966] = 1398,
  [1967] = 1959,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1968,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1390,
  [1975] = 1684,
  [1976] = 1958,
  [1977] = 1977,
  [1978] = 1386,
  [1979] = 1397,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1949,
  [1985] = 1776,
  [1986] = 1947,
  [1987] = 1956,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1398,
  [1992] = 1992,
  [1993] = 1969,
  [1994] = 1994,
  [1995] = 1972,
  [1996] = 1961,
  [1997] = 1997,
  [1998] = 1972,
  [1999] = 1999,
  [2000] = 1970,
  [2001] = 1980,
  [2002] = 1828,
  [2003] = 1969,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 1955,
  [2007] = 1708,
  [2008] = 2008,
  [2009] = 1970,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2019,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2018,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2017,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2027,
  [2032] = 2014,
  [2033] = 2033,
  [2034] = 2016,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2029,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2014,
  [2043] = 2033,
  [2044] = 2044,
  [2045] = 2035,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2033,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2035,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2015,
  [2056] = 2033,
  [2057] = 2016,
  [2058] = 2058,
  [2059] = 2018,
  [2060] = 2019,
  [2061] = 2020,
  [2062] = 2014,
  [2063] = 2063,
  [2064] = 2023,
  [2065] = 2026,
  [2066] = 2027,
  [2067] = 2017,
  [2068] = 2029,
  [2069] = 2029,
  [2070] = 2014,
  [2071] = 2033,
  [2072] = 2035,
  [2073] = 2017,
  [2074] = 2027,
  [2075] = 2026,
  [2076] = 2023,
  [2077] = 2077,
  [2078] = 2053,
  [2079] = 2023,
  [2080] = 2053,
  [2081] = 2020,
  [2082] = 2082,
  [2083] = 2019,
  [2084] = 2018,
  [2085] = 2085,
  [2086] = 2016,
  [2087] = 2087,
  [2088] = 2016,
  [2089] = 2026,
  [2090] = 2036,
  [2091] = 2053,
  [2092] = 2027,
  [2093] = 2017,
  [2094] = 2029,
  [2095] = 2054,
  [2096] = 2024,
  [2097] = 2050,
  [2098] = 2014,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2017,
  [2107] = 2020,
  [2108] = 2033,
  [2109] = 2044,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2040,
  [2113] = 2026,
  [2114] = 2049,
  [2115] = 2035,
  [2116] = 2116,
  [2117] = 2052,
  [2118] = 2104,
  [2119] = 2027,
  [2120] = 2120,
  [2121] = 2035,
  [2122] = 2063,
  [2123] = 2018,
  [2124] = 2124,
  [2125] = 2082,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2085,
  [2130] = 2099,
  [2131] = 2103,
  [2132] = 2035,
  [2133] = 2110,
  [2134] = 2134,
  [2135] = 2111,
  [2136] = 2033,
  [2137] = 2126,
  [2138] = 2128,
  [2139] = 2026,
  [2140] = 2023,
  [2141] = 2023,
  [2142] = 2014,
  [2143] = 2143,
  [2144] = 2029,
  [2145] = 2015,
  [2146] = 2017,
  [2147] = 2049,
  [2148] = 2050,
  [2149] = 2099,
  [2150] = 2027,
  [2151] = 2102,
  [2152] = 2020,
  [2153] = 2026,
  [2154] = 2035,
  [2155] = 2019,
  [2156] = 2033,
  [2157] = 2014,
  [2158] = 2018,
  [2159] = 2023,
  [2160] = 2020,
  [2161] = 2019,
  [2162] = 2018,
  [2163] = 2020,
  [2164] = 2029,
  [2165] = 2116,
  [2166] = 2017,
  [2167] = 2027,
  [2168] = 2016,
  [2169] = 2054,
  [2170] = 2053,
  [2171] = 2019,
  [2172] = 2172,
  [2173] = 2053,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2026,
  [2177] = 2116,
  [2178] = 2178,
  [2179] = 2023,
  [2180] = 2016,
  [2181] = 2020,
  [2182] = 2174,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2172,
  [2187] = 2053,
  [2188] = 2019,
  [2189] = 2018,
  [2190] = 2053,
  [2191] = 2185,
  [2192] = 2039,
  [2193] = 2193,
  [2194] = 2030,
  [2195] = 2041,
  [2196] = 2101,
  [2197] = 2105,
  [2198] = 2143,
  [2199] = 2101,
  [2200] = 2029,
  [2201] = 2016,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == ')') ADVANCE(56);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == ',') ADVANCE(57);
      if (lookahead == '-') ADVANCE(78);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(63);
      if (lookahead == ';') ADVANCE(52);
      if (lookahead == '<') ADVANCE(87);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(92);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(41)
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(145);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(148);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(13)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(13)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(114);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(6)
      if (lookahead == '#') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(116);
      if (lookahead == '{') ADVANCE(108);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(117);
      if (lookahead != 0) ADVANCE(118);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(14)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(12)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(12)
      if (lookahead == '\r') SKIP(9)
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == ')') ADVANCE(56);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == ',') ADVANCE(57);
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(62);
      if (lookahead == ';') ADVANCE(52);
      if (lookahead == '<') ADVANCE(87);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(92);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(84);
      if (lookahead == '{') ADVANCE(108);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(148);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == ')') ADVANCE(56);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == ',') ADVANCE(57);
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(53);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == ':') ADVANCE(63);
      if (lookahead == ';') ADVANCE(52);
      if (lookahead == '<') ADVANCE(87);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(92);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(10)
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(84);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(148);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == ')') ADVANCE(56);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == ',') ADVANCE(57);
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(53);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == ':') ADVANCE(62);
      if (lookahead == ';') ADVANCE(52);
      if (lookahead == '<') ADVANCE(87);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(92);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(84);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(148);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '-') ADVANCE(20);
      if (lookahead == ':') ADVANCE(62);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '}') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(107);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(90);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(119);
      END_STATE();
    case 20:
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 21:
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 24:
      if (lookahead == '}') ADVANCE(112);
      END_STATE();
    case 25:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 26:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(29);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 40:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 41:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(40)
      END_STATE();
    case 42:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(48)
      END_STATE();
    case 43:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(48)
      if (lookahead == '\r') SKIP(42)
      END_STATE();
    case 44:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(49)
      END_STATE();
    case 45:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(49)
      if (lookahead == '\r') SKIP(44)
      END_STATE();
    case 46:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(50)
      END_STATE();
    case 47:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(50)
      if (lookahead == '\r') SKIP(46)
      END_STATE();
    case 48:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == ')') ADVANCE(56);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == ',') ADVANCE(57);
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(63);
      if (lookahead == ';') ADVANCE(52);
      if (lookahead == '<') ADVANCE(87);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(92);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(43)
      if (lookahead == ']') ADVANCE(72);
      if (lookahead == '^') ADVANCE(84);
      if (lookahead == '{') ADVANCE(108);
      if (lookahead == '|') ADVANCE(82);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(48)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(148);
      END_STATE();
    case 49:
      if (eof) ADVANCE(51);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '+') ADVANCE(74);
      if (lookahead == '-') ADVANCE(76);
      if (lookahead == '.') ADVANCE(16);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == '@') ADVANCE(69);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(45)
      if (lookahead == 'e') ADVANCE(146);
      if (lookahead == '{') ADVANCE(108);
      if (lookahead == '~') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(49)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(148);
      END_STATE();
    case 50:
      if (eof) ADVANCE(51);
      if (lookahead == '#') ADVANCE(149);
      if (lookahead == '(') ADVANCE(55);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '+') ADVANCE(74);
      if (lookahead == '-') ADVANCE(76);
      if (lookahead == '.') ADVANCE(16);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == '@') ADVANCE(69);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') SKIP(47)
      if (lookahead == 'e') ADVANCE(147);
      if (lookahead == '{') ADVANCE(108);
      if (lookahead == '~') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(50)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(148);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(61);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(66);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_except);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(85);
      if (lookahead == '=') ADVANCE(88);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(91);
      if (lookahead == '>') ADVANCE(60);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(111);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(114);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(33);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(30);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(116);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(117);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(21);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(22);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(23);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(131);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(66);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(136);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(137);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(138);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(139);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(140);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(141);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(142);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(143);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(144);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(64);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(65);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(132);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(133);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(134);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(135);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(149);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(23);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(26)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 's') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'x') ADVANCE(37);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(55);
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(61);
      END_STATE();
    case 28:
      if (lookahead == 'd') ADVANCE(62);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(65);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(75);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(76);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(79);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 46:
      if (lookahead == 'm') ADVANCE(80);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(82);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 54:
      if (lookahead == 'y') ADVANCE(88);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 72:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 77:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 79:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 80:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 81:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 86:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 87:
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(118);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(123);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 99:
      if (lookahead == 'k') ADVANCE(125);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(126);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(127);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(131);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(132);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(133);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(138);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 121:
      if (lookahead == 'u') ADVANCE(139);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 127:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 'a') ADVANCE(145);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 133:
      if (lookahead == 'c') ADVANCE(146);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 136:
      if (lookahead == 'n') ADVANCE(147);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 139:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 142:
      if (lookahead == 'y') ADVANCE(150);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 146:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 152:
      if (lookahead == '_') ADVANCE(155);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 155:
      if (lookahead == '_') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 48, .external_lex_state = 2},
  [2] = {.lex_state = 48, .external_lex_state = 3},
  [3] = {.lex_state = 48, .external_lex_state = 3},
  [4] = {.lex_state = 48, .external_lex_state = 3},
  [5] = {.lex_state = 48, .external_lex_state = 3},
  [6] = {.lex_state = 48, .external_lex_state = 3},
  [7] = {.lex_state = 48, .external_lex_state = 3},
  [8] = {.lex_state = 48, .external_lex_state = 3},
  [9] = {.lex_state = 48, .external_lex_state = 3},
  [10] = {.lex_state = 48, .external_lex_state = 3},
  [11] = {.lex_state = 48, .external_lex_state = 3},
  [12] = {.lex_state = 48, .external_lex_state = 3},
  [13] = {.lex_state = 48, .external_lex_state = 3},
  [14] = {.lex_state = 48, .external_lex_state = 3},
  [15] = {.lex_state = 48, .external_lex_state = 3},
  [16] = {.lex_state = 48, .external_lex_state = 3},
  [17] = {.lex_state = 48, .external_lex_state = 3},
  [18] = {.lex_state = 48, .external_lex_state = 3},
  [19] = {.lex_state = 48, .external_lex_state = 3},
  [20] = {.lex_state = 48, .external_lex_state = 3},
  [21] = {.lex_state = 48, .external_lex_state = 3},
  [22] = {.lex_state = 48, .external_lex_state = 3},
  [23] = {.lex_state = 48, .external_lex_state = 3},
  [24] = {.lex_state = 48, .external_lex_state = 3},
  [25] = {.lex_state = 48, .external_lex_state = 3},
  [26] = {.lex_state = 48, .external_lex_state = 3},
  [27] = {.lex_state = 48, .external_lex_state = 3},
  [28] = {.lex_state = 48, .external_lex_state = 3},
  [29] = {.lex_state = 48, .external_lex_state = 3},
  [30] = {.lex_state = 48, .external_lex_state = 3},
  [31] = {.lex_state = 48, .external_lex_state = 3},
  [32] = {.lex_state = 48, .external_lex_state = 3},
  [33] = {.lex_state = 48, .external_lex_state = 3},
  [34] = {.lex_state = 48, .external_lex_state = 3},
  [35] = {.lex_state = 48, .external_lex_state = 3},
  [36] = {.lex_state = 48, .external_lex_state = 3},
  [37] = {.lex_state = 48, .external_lex_state = 3},
  [38] = {.lex_state = 48, .external_lex_state = 3},
  [39] = {.lex_state = 48, .external_lex_state = 3},
  [40] = {.lex_state = 48, .external_lex_state = 3},
  [41] = {.lex_state = 48, .external_lex_state = 3},
  [42] = {.lex_state = 48, .external_lex_state = 3},
  [43] = {.lex_state = 48, .external_lex_state = 3},
  [44] = {.lex_state = 48, .external_lex_state = 3},
  [45] = {.lex_state = 48, .external_lex_state = 3},
  [46] = {.lex_state = 48, .external_lex_state = 3},
  [47] = {.lex_state = 48, .external_lex_state = 3},
  [48] = {.lex_state = 48, .external_lex_state = 3},
  [49] = {.lex_state = 48, .external_lex_state = 3},
  [50] = {.lex_state = 48, .external_lex_state = 3},
  [51] = {.lex_state = 48, .external_lex_state = 3},
  [52] = {.lex_state = 48, .external_lex_state = 3},
  [53] = {.lex_state = 48, .external_lex_state = 3},
  [54] = {.lex_state = 48, .external_lex_state = 3},
  [55] = {.lex_state = 48, .external_lex_state = 3},
  [56] = {.lex_state = 48, .external_lex_state = 3},
  [57] = {.lex_state = 48, .external_lex_state = 3},
  [58] = {.lex_state = 48, .external_lex_state = 3},
  [59] = {.lex_state = 48, .external_lex_state = 3},
  [60] = {.lex_state = 48, .external_lex_state = 3},
  [61] = {.lex_state = 48, .external_lex_state = 3},
  [62] = {.lex_state = 48, .external_lex_state = 3},
  [63] = {.lex_state = 48, .external_lex_state = 3},
  [64] = {.lex_state = 48, .external_lex_state = 3},
  [65] = {.lex_state = 48, .external_lex_state = 3},
  [66] = {.lex_state = 48, .external_lex_state = 3},
  [67] = {.lex_state = 48, .external_lex_state = 3},
  [68] = {.lex_state = 48, .external_lex_state = 3},
  [69] = {.lex_state = 48, .external_lex_state = 3},
  [70] = {.lex_state = 48, .external_lex_state = 2},
  [71] = {.lex_state = 48, .external_lex_state = 3},
  [72] = {.lex_state = 48, .external_lex_state = 3},
  [73] = {.lex_state = 48, .external_lex_state = 3},
  [74] = {.lex_state = 48, .external_lex_state = 3},
  [75] = {.lex_state = 48, .external_lex_state = 3},
  [76] = {.lex_state = 48, .external_lex_state = 2},
  [77] = {.lex_state = 48, .external_lex_state = 3},
  [78] = {.lex_state = 48, .external_lex_state = 4},
  [79] = {.lex_state = 48, .external_lex_state = 4},
  [80] = {.lex_state = 11, .external_lex_state = 4},
  [81] = {.lex_state = 11, .external_lex_state = 4},
  [82] = {.lex_state = 48, .external_lex_state = 5},
  [83] = {.lex_state = 48, .external_lex_state = 5},
  [84] = {.lex_state = 48, .external_lex_state = 5},
  [85] = {.lex_state = 48, .external_lex_state = 5},
  [86] = {.lex_state = 48, .external_lex_state = 5},
  [87] = {.lex_state = 48, .external_lex_state = 5},
  [88] = {.lex_state = 48, .external_lex_state = 5},
  [89] = {.lex_state = 48, .external_lex_state = 5},
  [90] = {.lex_state = 48, .external_lex_state = 5},
  [91] = {.lex_state = 48, .external_lex_state = 5},
  [92] = {.lex_state = 48, .external_lex_state = 5},
  [93] = {.lex_state = 48, .external_lex_state = 5},
  [94] = {.lex_state = 48, .external_lex_state = 5},
  [95] = {.lex_state = 48, .external_lex_state = 5},
  [96] = {.lex_state = 48, .external_lex_state = 5},
  [97] = {.lex_state = 48, .external_lex_state = 5},
  [98] = {.lex_state = 48, .external_lex_state = 5},
  [99] = {.lex_state = 48, .external_lex_state = 5},
  [100] = {.lex_state = 48, .external_lex_state = 5},
  [101] = {.lex_state = 48, .external_lex_state = 5},
  [102] = {.lex_state = 48, .external_lex_state = 5},
  [103] = {.lex_state = 48, .external_lex_state = 5},
  [104] = {.lex_state = 48, .external_lex_state = 5},
  [105] = {.lex_state = 48, .external_lex_state = 5},
  [106] = {.lex_state = 48, .external_lex_state = 5},
  [107] = {.lex_state = 48, .external_lex_state = 5},
  [108] = {.lex_state = 48, .external_lex_state = 5},
  [109] = {.lex_state = 48, .external_lex_state = 5},
  [110] = {.lex_state = 48, .external_lex_state = 5},
  [111] = {.lex_state = 48, .external_lex_state = 5},
  [112] = {.lex_state = 48, .external_lex_state = 5},
  [113] = {.lex_state = 48, .external_lex_state = 5},
  [114] = {.lex_state = 48, .external_lex_state = 5},
  [115] = {.lex_state = 48, .external_lex_state = 5},
  [116] = {.lex_state = 48, .external_lex_state = 5},
  [117] = {.lex_state = 48, .external_lex_state = 5},
  [118] = {.lex_state = 48, .external_lex_state = 5},
  [119] = {.lex_state = 48, .external_lex_state = 5},
  [120] = {.lex_state = 48, .external_lex_state = 5},
  [121] = {.lex_state = 48, .external_lex_state = 5},
  [122] = {.lex_state = 48, .external_lex_state = 5},
  [123] = {.lex_state = 48, .external_lex_state = 5},
  [124] = {.lex_state = 48, .external_lex_state = 5},
  [125] = {.lex_state = 48, .external_lex_state = 5},
  [126] = {.lex_state = 48, .external_lex_state = 5},
  [127] = {.lex_state = 48, .external_lex_state = 5},
  [128] = {.lex_state = 48, .external_lex_state = 5},
  [129] = {.lex_state = 48, .external_lex_state = 5},
  [130] = {.lex_state = 48, .external_lex_state = 5},
  [131] = {.lex_state = 48, .external_lex_state = 5},
  [132] = {.lex_state = 48, .external_lex_state = 5},
  [133] = {.lex_state = 48, .external_lex_state = 5},
  [134] = {.lex_state = 48, .external_lex_state = 5},
  [135] = {.lex_state = 48, .external_lex_state = 5},
  [136] = {.lex_state = 48, .external_lex_state = 5},
  [137] = {.lex_state = 48, .external_lex_state = 5},
  [138] = {.lex_state = 48, .external_lex_state = 5},
  [139] = {.lex_state = 48, .external_lex_state = 5},
  [140] = {.lex_state = 48, .external_lex_state = 5},
  [141] = {.lex_state = 48, .external_lex_state = 5},
  [142] = {.lex_state = 48, .external_lex_state = 5},
  [143] = {.lex_state = 48, .external_lex_state = 5},
  [144] = {.lex_state = 48, .external_lex_state = 5},
  [145] = {.lex_state = 48, .external_lex_state = 5},
  [146] = {.lex_state = 48, .external_lex_state = 4},
  [147] = {.lex_state = 48, .external_lex_state = 4},
  [148] = {.lex_state = 48, .external_lex_state = 4},
  [149] = {.lex_state = 48, .external_lex_state = 4},
  [150] = {.lex_state = 48, .external_lex_state = 4},
  [151] = {.lex_state = 48, .external_lex_state = 4},
  [152] = {.lex_state = 48, .external_lex_state = 4},
  [153] = {.lex_state = 48, .external_lex_state = 4},
  [154] = {.lex_state = 48, .external_lex_state = 4},
  [155] = {.lex_state = 48, .external_lex_state = 4},
  [156] = {.lex_state = 48, .external_lex_state = 4},
  [157] = {.lex_state = 48, .external_lex_state = 4},
  [158] = {.lex_state = 48, .external_lex_state = 4},
  [159] = {.lex_state = 48, .external_lex_state = 4},
  [160] = {.lex_state = 48, .external_lex_state = 2},
  [161] = {.lex_state = 48, .external_lex_state = 4},
  [162] = {.lex_state = 11, .external_lex_state = 6},
  [163] = {.lex_state = 48, .external_lex_state = 7},
  [164] = {.lex_state = 11, .external_lex_state = 6},
  [165] = {.lex_state = 11, .external_lex_state = 2},
  [166] = {.lex_state = 48, .external_lex_state = 7},
  [167] = {.lex_state = 48, .external_lex_state = 7},
  [168] = {.lex_state = 48, .external_lex_state = 8},
  [169] = {.lex_state = 48, .external_lex_state = 7},
  [170] = {.lex_state = 11, .external_lex_state = 8},
  [171] = {.lex_state = 48, .external_lex_state = 7},
  [172] = {.lex_state = 48, .external_lex_state = 8},
  [173] = {.lex_state = 48, .external_lex_state = 7},
  [174] = {.lex_state = 48, .external_lex_state = 8},
  [175] = {.lex_state = 48, .external_lex_state = 7},
  [176] = {.lex_state = 48, .external_lex_state = 2},
  [177] = {.lex_state = 48, .external_lex_state = 7},
  [178] = {.lex_state = 48, .external_lex_state = 2},
  [179] = {.lex_state = 48, .external_lex_state = 7},
  [180] = {.lex_state = 48, .external_lex_state = 7},
  [181] = {.lex_state = 48, .external_lex_state = 8},
  [182] = {.lex_state = 48, .external_lex_state = 8},
  [183] = {.lex_state = 48, .external_lex_state = 8},
  [184] = {.lex_state = 48, .external_lex_state = 2},
  [185] = {.lex_state = 48, .external_lex_state = 8},
  [186] = {.lex_state = 48, .external_lex_state = 8},
  [187] = {.lex_state = 48, .external_lex_state = 7},
  [188] = {.lex_state = 48, .external_lex_state = 8},
  [189] = {.lex_state = 48, .external_lex_state = 7},
  [190] = {.lex_state = 48, .external_lex_state = 6},
  [191] = {.lex_state = 48, .external_lex_state = 6},
  [192] = {.lex_state = 48, .external_lex_state = 6},
  [193] = {.lex_state = 48, .external_lex_state = 6},
  [194] = {.lex_state = 48, .external_lex_state = 6},
  [195] = {.lex_state = 48, .external_lex_state = 6},
  [196] = {.lex_state = 48, .external_lex_state = 6},
  [197] = {.lex_state = 48, .external_lex_state = 6},
  [198] = {.lex_state = 11, .external_lex_state = 2},
  [199] = {.lex_state = 11, .external_lex_state = 2},
  [200] = {.lex_state = 48, .external_lex_state = 7},
  [201] = {.lex_state = 48, .external_lex_state = 7},
  [202] = {.lex_state = 48, .external_lex_state = 7},
  [203] = {.lex_state = 48, .external_lex_state = 7},
  [204] = {.lex_state = 48, .external_lex_state = 7},
  [205] = {.lex_state = 48, .external_lex_state = 7},
  [206] = {.lex_state = 48, .external_lex_state = 7},
  [207] = {.lex_state = 48, .external_lex_state = 7},
  [208] = {.lex_state = 48, .external_lex_state = 7},
  [209] = {.lex_state = 48, .external_lex_state = 7},
  [210] = {.lex_state = 48, .external_lex_state = 7},
  [211] = {.lex_state = 48, .external_lex_state = 7},
  [212] = {.lex_state = 48, .external_lex_state = 7},
  [213] = {.lex_state = 48, .external_lex_state = 7},
  [214] = {.lex_state = 48, .external_lex_state = 7},
  [215] = {.lex_state = 48, .external_lex_state = 7},
  [216] = {.lex_state = 48, .external_lex_state = 8},
  [217] = {.lex_state = 48, .external_lex_state = 8},
  [218] = {.lex_state = 48, .external_lex_state = 7},
  [219] = {.lex_state = 48, .external_lex_state = 7},
  [220] = {.lex_state = 48, .external_lex_state = 7},
  [221] = {.lex_state = 48, .external_lex_state = 7},
  [222] = {.lex_state = 48, .external_lex_state = 7},
  [223] = {.lex_state = 48, .external_lex_state = 7},
  [224] = {.lex_state = 48, .external_lex_state = 7},
  [225] = {.lex_state = 48, .external_lex_state = 7},
  [226] = {.lex_state = 48, .external_lex_state = 7},
  [227] = {.lex_state = 48, .external_lex_state = 7},
  [228] = {.lex_state = 48, .external_lex_state = 7},
  [229] = {.lex_state = 48, .external_lex_state = 7},
  [230] = {.lex_state = 48, .external_lex_state = 7},
  [231] = {.lex_state = 48, .external_lex_state = 7},
  [232] = {.lex_state = 48, .external_lex_state = 7},
  [233] = {.lex_state = 48, .external_lex_state = 7},
  [234] = {.lex_state = 48, .external_lex_state = 8},
  [235] = {.lex_state = 48, .external_lex_state = 7},
  [236] = {.lex_state = 48, .external_lex_state = 7},
  [237] = {.lex_state = 48, .external_lex_state = 7},
  [238] = {.lex_state = 48, .external_lex_state = 7},
  [239] = {.lex_state = 48, .external_lex_state = 7},
  [240] = {.lex_state = 48, .external_lex_state = 8},
  [241] = {.lex_state = 48, .external_lex_state = 8},
  [242] = {.lex_state = 48, .external_lex_state = 7},
  [243] = {.lex_state = 48, .external_lex_state = 8},
  [244] = {.lex_state = 48, .external_lex_state = 7},
  [245] = {.lex_state = 48, .external_lex_state = 7},
  [246] = {.lex_state = 48, .external_lex_state = 7},
  [247] = {.lex_state = 48, .external_lex_state = 7},
  [248] = {.lex_state = 48, .external_lex_state = 7},
  [249] = {.lex_state = 48, .external_lex_state = 7},
  [250] = {.lex_state = 48, .external_lex_state = 7},
  [251] = {.lex_state = 48, .external_lex_state = 7},
  [252] = {.lex_state = 48, .external_lex_state = 7},
  [253] = {.lex_state = 48, .external_lex_state = 8},
  [254] = {.lex_state = 48, .external_lex_state = 7},
  [255] = {.lex_state = 48, .external_lex_state = 7},
  [256] = {.lex_state = 48, .external_lex_state = 7},
  [257] = {.lex_state = 48, .external_lex_state = 7},
  [258] = {.lex_state = 48, .external_lex_state = 7},
  [259] = {.lex_state = 48, .external_lex_state = 7},
  [260] = {.lex_state = 48, .external_lex_state = 7},
  [261] = {.lex_state = 48, .external_lex_state = 7},
  [262] = {.lex_state = 48, .external_lex_state = 8},
  [263] = {.lex_state = 48, .external_lex_state = 7},
  [264] = {.lex_state = 11, .external_lex_state = 6},
  [265] = {.lex_state = 48, .external_lex_state = 7},
  [266] = {.lex_state = 48, .external_lex_state = 2},
  [267] = {.lex_state = 48, .external_lex_state = 6},
  [268] = {.lex_state = 48, .external_lex_state = 6},
  [269] = {.lex_state = 48, .external_lex_state = 7},
  [270] = {.lex_state = 48, .external_lex_state = 8},
  [271] = {.lex_state = 48, .external_lex_state = 8},
  [272] = {.lex_state = 11, .external_lex_state = 2},
  [273] = {.lex_state = 48, .external_lex_state = 7},
  [274] = {.lex_state = 48, .external_lex_state = 2},
  [275] = {.lex_state = 11, .external_lex_state = 6},
  [276] = {.lex_state = 48, .external_lex_state = 7},
  [277] = {.lex_state = 48, .external_lex_state = 7},
  [278] = {.lex_state = 48, .external_lex_state = 6},
  [279] = {.lex_state = 48, .external_lex_state = 6},
  [280] = {.lex_state = 48, .external_lex_state = 8},
  [281] = {.lex_state = 48, .external_lex_state = 6},
  [282] = {.lex_state = 11, .external_lex_state = 2},
  [283] = {.lex_state = 11, .external_lex_state = 2},
  [284] = {.lex_state = 48, .external_lex_state = 2},
  [285] = {.lex_state = 11, .external_lex_state = 2},
  [286] = {.lex_state = 48, .external_lex_state = 6},
  [287] = {.lex_state = 48, .external_lex_state = 8},
  [288] = {.lex_state = 48, .external_lex_state = 8},
  [289] = {.lex_state = 48, .external_lex_state = 8},
  [290] = {.lex_state = 48, .external_lex_state = 2},
  [291] = {.lex_state = 11, .external_lex_state = 6},
  [292] = {.lex_state = 11, .external_lex_state = 2},
  [293] = {.lex_state = 48, .external_lex_state = 7},
  [294] = {.lex_state = 11, .external_lex_state = 2},
  [295] = {.lex_state = 48, .external_lex_state = 6},
  [296] = {.lex_state = 48, .external_lex_state = 6},
  [297] = {.lex_state = 48, .external_lex_state = 6},
  [298] = {.lex_state = 48, .external_lex_state = 4},
  [299] = {.lex_state = 48, .external_lex_state = 8},
  [300] = {.lex_state = 48, .external_lex_state = 6},
  [301] = {.lex_state = 48, .external_lex_state = 6},
  [302] = {.lex_state = 48, .external_lex_state = 6},
  [303] = {.lex_state = 48, .external_lex_state = 6},
  [304] = {.lex_state = 48, .external_lex_state = 6},
  [305] = {.lex_state = 48, .external_lex_state = 2},
  [306] = {.lex_state = 48, .external_lex_state = 6},
  [307] = {.lex_state = 48, .external_lex_state = 6},
  [308] = {.lex_state = 48, .external_lex_state = 6},
  [309] = {.lex_state = 48, .external_lex_state = 6},
  [310] = {.lex_state = 48, .external_lex_state = 6},
  [311] = {.lex_state = 48, .external_lex_state = 6},
  [312] = {.lex_state = 48, .external_lex_state = 6},
  [313] = {.lex_state = 48, .external_lex_state = 4},
  [314] = {.lex_state = 48, .external_lex_state = 7},
  [315] = {.lex_state = 48, .external_lex_state = 6},
  [316] = {.lex_state = 11, .external_lex_state = 8},
  [317] = {.lex_state = 11, .external_lex_state = 8},
  [318] = {.lex_state = 13, .external_lex_state = 9},
  [319] = {.lex_state = 11, .external_lex_state = 8},
  [320] = {.lex_state = 11, .external_lex_state = 8},
  [321] = {.lex_state = 11, .external_lex_state = 8},
  [322] = {.lex_state = 48, .external_lex_state = 4},
  [323] = {.lex_state = 13, .external_lex_state = 9},
  [324] = {.lex_state = 11, .external_lex_state = 8},
  [325] = {.lex_state = 48, .external_lex_state = 2},
  [326] = {.lex_state = 11, .external_lex_state = 8},
  [327] = {.lex_state = 11, .external_lex_state = 8},
  [328] = {.lex_state = 11, .external_lex_state = 8},
  [329] = {.lex_state = 11, .external_lex_state = 8},
  [330] = {.lex_state = 11, .external_lex_state = 8},
  [331] = {.lex_state = 11, .external_lex_state = 8},
  [332] = {.lex_state = 11, .external_lex_state = 8},
  [333] = {.lex_state = 11, .external_lex_state = 8},
  [334] = {.lex_state = 11, .external_lex_state = 8},
  [335] = {.lex_state = 11, .external_lex_state = 8},
  [336] = {.lex_state = 48, .external_lex_state = 4},
  [337] = {.lex_state = 11, .external_lex_state = 8},
  [338] = {.lex_state = 11, .external_lex_state = 8},
  [339] = {.lex_state = 11, .external_lex_state = 8},
  [340] = {.lex_state = 48, .external_lex_state = 4},
  [341] = {.lex_state = 11, .external_lex_state = 8},
  [342] = {.lex_state = 11, .external_lex_state = 8},
  [343] = {.lex_state = 11, .external_lex_state = 8},
  [344] = {.lex_state = 11, .external_lex_state = 8},
  [345] = {.lex_state = 11, .external_lex_state = 8},
  [346] = {.lex_state = 11, .external_lex_state = 8},
  [347] = {.lex_state = 11, .external_lex_state = 8},
  [348] = {.lex_state = 49, .external_lex_state = 3},
  [349] = {.lex_state = 11, .external_lex_state = 2},
  [350] = {.lex_state = 50, .external_lex_state = 2},
  [351] = {.lex_state = 48, .external_lex_state = 4},
  [352] = {.lex_state = 48, .external_lex_state = 4},
  [353] = {.lex_state = 48, .external_lex_state = 8},
  [354] = {.lex_state = 48, .external_lex_state = 2},
  [355] = {.lex_state = 48, .external_lex_state = 4},
  [356] = {.lex_state = 48, .external_lex_state = 4},
  [357] = {.lex_state = 50, .external_lex_state = 3},
  [358] = {.lex_state = 48, .external_lex_state = 2},
  [359] = {.lex_state = 49, .external_lex_state = 2},
  [360] = {.lex_state = 48, .external_lex_state = 2},
  [361] = {.lex_state = 48, .external_lex_state = 2},
  [362] = {.lex_state = 48, .external_lex_state = 2},
  [363] = {.lex_state = 48, .external_lex_state = 2},
  [364] = {.lex_state = 48, .external_lex_state = 2},
  [365] = {.lex_state = 48, .external_lex_state = 2},
  [366] = {.lex_state = 50, .external_lex_state = 3},
  [367] = {.lex_state = 11, .external_lex_state = 2},
  [368] = {.lex_state = 48, .external_lex_state = 4},
  [369] = {.lex_state = 49, .external_lex_state = 3},
  [370] = {.lex_state = 48, .external_lex_state = 2},
  [371] = {.lex_state = 48, .external_lex_state = 2},
  [372] = {.lex_state = 48, .external_lex_state = 2},
  [373] = {.lex_state = 49, .external_lex_state = 2},
  [374] = {.lex_state = 50, .external_lex_state = 2},
  [375] = {.lex_state = 48, .external_lex_state = 8},
  [376] = {.lex_state = 48, .external_lex_state = 2},
  [377] = {.lex_state = 48, .external_lex_state = 2},
  [378] = {.lex_state = 48, .external_lex_state = 7},
  [379] = {.lex_state = 48, .external_lex_state = 7},
  [380] = {.lex_state = 48, .external_lex_state = 2},
  [381] = {.lex_state = 48, .external_lex_state = 2},
  [382] = {.lex_state = 48, .external_lex_state = 8},
  [383] = {.lex_state = 11, .external_lex_state = 2},
  [384] = {.lex_state = 48, .external_lex_state = 2},
  [385] = {.lex_state = 48, .external_lex_state = 2},
  [386] = {.lex_state = 11, .external_lex_state = 2},
  [387] = {.lex_state = 48, .external_lex_state = 8},
  [388] = {.lex_state = 13, .external_lex_state = 4},
  [389] = {.lex_state = 48, .external_lex_state = 2},
  [390] = {.lex_state = 11, .external_lex_state = 2},
  [391] = {.lex_state = 48, .external_lex_state = 2},
  [392] = {.lex_state = 48, .external_lex_state = 2},
  [393] = {.lex_state = 11, .external_lex_state = 2},
  [394] = {.lex_state = 11, .external_lex_state = 2},
  [395] = {.lex_state = 48, .external_lex_state = 7},
  [396] = {.lex_state = 11, .external_lex_state = 2},
  [397] = {.lex_state = 48, .external_lex_state = 2},
  [398] = {.lex_state = 48, .external_lex_state = 7},
  [399] = {.lex_state = 11, .external_lex_state = 2},
  [400] = {.lex_state = 11, .external_lex_state = 2},
  [401] = {.lex_state = 48, .external_lex_state = 4},
  [402] = {.lex_state = 11, .external_lex_state = 2},
  [403] = {.lex_state = 48, .external_lex_state = 8},
  [404] = {.lex_state = 48, .external_lex_state = 2},
  [405] = {.lex_state = 48, .external_lex_state = 2},
  [406] = {.lex_state = 13, .external_lex_state = 9},
  [407] = {.lex_state = 13, .external_lex_state = 9},
  [408] = {.lex_state = 13, .external_lex_state = 9},
  [409] = {.lex_state = 12, .external_lex_state = 9},
  [410] = {.lex_state = 12, .external_lex_state = 9},
  [411] = {.lex_state = 11, .external_lex_state = 2},
  [412] = {.lex_state = 13, .external_lex_state = 9},
  [413] = {.lex_state = 48, .external_lex_state = 2},
  [414] = {.lex_state = 11, .external_lex_state = 2},
  [415] = {.lex_state = 11, .external_lex_state = 2},
  [416] = {.lex_state = 48, .external_lex_state = 2},
  [417] = {.lex_state = 48, .external_lex_state = 2},
  [418] = {.lex_state = 48, .external_lex_state = 2},
  [419] = {.lex_state = 48, .external_lex_state = 2},
  [420] = {.lex_state = 11, .external_lex_state = 2},
  [421] = {.lex_state = 48, .external_lex_state = 2},
  [422] = {.lex_state = 48, .external_lex_state = 2},
  [423] = {.lex_state = 48, .external_lex_state = 2},
  [424] = {.lex_state = 48, .external_lex_state = 2},
  [425] = {.lex_state = 48, .external_lex_state = 2},
  [426] = {.lex_state = 48, .external_lex_state = 2},
  [427] = {.lex_state = 48, .external_lex_state = 2},
  [428] = {.lex_state = 13, .external_lex_state = 9},
  [429] = {.lex_state = 13, .external_lex_state = 9},
  [430] = {.lex_state = 11, .external_lex_state = 2},
  [431] = {.lex_state = 13, .external_lex_state = 9},
  [432] = {.lex_state = 48, .external_lex_state = 2},
  [433] = {.lex_state = 11, .external_lex_state = 2},
  [434] = {.lex_state = 11, .external_lex_state = 2},
  [435] = {.lex_state = 11, .external_lex_state = 2},
  [436] = {.lex_state = 48, .external_lex_state = 2},
  [437] = {.lex_state = 48, .external_lex_state = 2},
  [438] = {.lex_state = 48, .external_lex_state = 2},
  [439] = {.lex_state = 48, .external_lex_state = 2},
  [440] = {.lex_state = 48, .external_lex_state = 2},
  [441] = {.lex_state = 48, .external_lex_state = 2},
  [442] = {.lex_state = 48, .external_lex_state = 2},
  [443] = {.lex_state = 48, .external_lex_state = 2},
  [444] = {.lex_state = 48, .external_lex_state = 2},
  [445] = {.lex_state = 48, .external_lex_state = 2},
  [446] = {.lex_state = 13, .external_lex_state = 9},
  [447] = {.lex_state = 48, .external_lex_state = 2},
  [448] = {.lex_state = 48, .external_lex_state = 2},
  [449] = {.lex_state = 48, .external_lex_state = 2},
  [450] = {.lex_state = 48, .external_lex_state = 2},
  [451] = {.lex_state = 48, .external_lex_state = 2},
  [452] = {.lex_state = 48, .external_lex_state = 2},
  [453] = {.lex_state = 48, .external_lex_state = 2},
  [454] = {.lex_state = 48, .external_lex_state = 2},
  [455] = {.lex_state = 48, .external_lex_state = 2},
  [456] = {.lex_state = 13, .external_lex_state = 9},
  [457] = {.lex_state = 48, .external_lex_state = 2},
  [458] = {.lex_state = 48, .external_lex_state = 2},
  [459] = {.lex_state = 48, .external_lex_state = 3},
  [460] = {.lex_state = 48, .external_lex_state = 2},
  [461] = {.lex_state = 48, .external_lex_state = 3},
  [462] = {.lex_state = 48, .external_lex_state = 2},
  [463] = {.lex_state = 48, .external_lex_state = 2},
  [464] = {.lex_state = 48, .external_lex_state = 2},
  [465] = {.lex_state = 48, .external_lex_state = 2},
  [466] = {.lex_state = 48, .external_lex_state = 2},
  [467] = {.lex_state = 48, .external_lex_state = 2},
  [468] = {.lex_state = 48, .external_lex_state = 2},
  [469] = {.lex_state = 48, .external_lex_state = 2},
  [470] = {.lex_state = 48, .external_lex_state = 2},
  [471] = {.lex_state = 48, .external_lex_state = 2},
  [472] = {.lex_state = 48, .external_lex_state = 2},
  [473] = {.lex_state = 48, .external_lex_state = 2},
  [474] = {.lex_state = 48, .external_lex_state = 2},
  [475] = {.lex_state = 48, .external_lex_state = 2},
  [476] = {.lex_state = 48, .external_lex_state = 2},
  [477] = {.lex_state = 48, .external_lex_state = 2},
  [478] = {.lex_state = 48, .external_lex_state = 2},
  [479] = {.lex_state = 50, .external_lex_state = 3},
  [480] = {.lex_state = 48, .external_lex_state = 2},
  [481] = {.lex_state = 49, .external_lex_state = 3},
  [482] = {.lex_state = 49, .external_lex_state = 2},
  [483] = {.lex_state = 50, .external_lex_state = 2},
  [484] = {.lex_state = 48, .external_lex_state = 2},
  [485] = {.lex_state = 48, .external_lex_state = 2},
  [486] = {.lex_state = 48, .external_lex_state = 2},
  [487] = {.lex_state = 48, .external_lex_state = 2},
  [488] = {.lex_state = 48, .external_lex_state = 3},
  [489] = {.lex_state = 48, .external_lex_state = 2},
  [490] = {.lex_state = 48, .external_lex_state = 2},
  [491] = {.lex_state = 13, .external_lex_state = 9},
  [492] = {.lex_state = 48, .external_lex_state = 2},
  [493] = {.lex_state = 48, .external_lex_state = 2},
  [494] = {.lex_state = 48, .external_lex_state = 2},
  [495] = {.lex_state = 48, .external_lex_state = 3},
  [496] = {.lex_state = 13, .external_lex_state = 9},
  [497] = {.lex_state = 48, .external_lex_state = 2},
  [498] = {.lex_state = 48, .external_lex_state = 2},
  [499] = {.lex_state = 48, .external_lex_state = 2},
  [500] = {.lex_state = 48, .external_lex_state = 2},
  [501] = {.lex_state = 48, .external_lex_state = 2},
  [502] = {.lex_state = 48, .external_lex_state = 2},
  [503] = {.lex_state = 48, .external_lex_state = 2},
  [504] = {.lex_state = 48, .external_lex_state = 2},
  [505] = {.lex_state = 48, .external_lex_state = 2},
  [506] = {.lex_state = 48, .external_lex_state = 2},
  [507] = {.lex_state = 48, .external_lex_state = 2},
  [508] = {.lex_state = 48, .external_lex_state = 2},
  [509] = {.lex_state = 48, .external_lex_state = 2},
  [510] = {.lex_state = 48, .external_lex_state = 2},
  [511] = {.lex_state = 48, .external_lex_state = 2},
  [512] = {.lex_state = 48, .external_lex_state = 2},
  [513] = {.lex_state = 48, .external_lex_state = 2},
  [514] = {.lex_state = 48, .external_lex_state = 2},
  [515] = {.lex_state = 48, .external_lex_state = 2},
  [516] = {.lex_state = 48, .external_lex_state = 2},
  [517] = {.lex_state = 48, .external_lex_state = 2},
  [518] = {.lex_state = 48, .external_lex_state = 2},
  [519] = {.lex_state = 48, .external_lex_state = 2},
  [520] = {.lex_state = 48, .external_lex_state = 2},
  [521] = {.lex_state = 48, .external_lex_state = 2},
  [522] = {.lex_state = 48, .external_lex_state = 2},
  [523] = {.lex_state = 48, .external_lex_state = 2},
  [524] = {.lex_state = 48, .external_lex_state = 2},
  [525] = {.lex_state = 48, .external_lex_state = 2},
  [526] = {.lex_state = 48, .external_lex_state = 2},
  [527] = {.lex_state = 48, .external_lex_state = 2},
  [528] = {.lex_state = 48, .external_lex_state = 2},
  [529] = {.lex_state = 48, .external_lex_state = 2},
  [530] = {.lex_state = 48, .external_lex_state = 2},
  [531] = {.lex_state = 48, .external_lex_state = 2},
  [532] = {.lex_state = 48, .external_lex_state = 2},
  [533] = {.lex_state = 48, .external_lex_state = 2},
  [534] = {.lex_state = 48, .external_lex_state = 2},
  [535] = {.lex_state = 48, .external_lex_state = 2},
  [536] = {.lex_state = 48, .external_lex_state = 2},
  [537] = {.lex_state = 48, .external_lex_state = 2},
  [538] = {.lex_state = 48, .external_lex_state = 2},
  [539] = {.lex_state = 48, .external_lex_state = 2},
  [540] = {.lex_state = 48, .external_lex_state = 2},
  [541] = {.lex_state = 48, .external_lex_state = 2},
  [542] = {.lex_state = 48, .external_lex_state = 2},
  [543] = {.lex_state = 48, .external_lex_state = 2},
  [544] = {.lex_state = 48, .external_lex_state = 2},
  [545] = {.lex_state = 48, .external_lex_state = 2},
  [546] = {.lex_state = 48, .external_lex_state = 2},
  [547] = {.lex_state = 48, .external_lex_state = 2},
  [548] = {.lex_state = 48, .external_lex_state = 2},
  [549] = {.lex_state = 48, .external_lex_state = 2},
  [550] = {.lex_state = 48, .external_lex_state = 2},
  [551] = {.lex_state = 48, .external_lex_state = 2},
  [552] = {.lex_state = 48, .external_lex_state = 2},
  [553] = {.lex_state = 48, .external_lex_state = 2},
  [554] = {.lex_state = 48, .external_lex_state = 2},
  [555] = {.lex_state = 48, .external_lex_state = 2},
  [556] = {.lex_state = 48, .external_lex_state = 2},
  [557] = {.lex_state = 48, .external_lex_state = 2},
  [558] = {.lex_state = 48, .external_lex_state = 2},
  [559] = {.lex_state = 48, .external_lex_state = 2},
  [560] = {.lex_state = 48, .external_lex_state = 2},
  [561] = {.lex_state = 48, .external_lex_state = 2},
  [562] = {.lex_state = 48, .external_lex_state = 2},
  [563] = {.lex_state = 48, .external_lex_state = 2},
  [564] = {.lex_state = 48, .external_lex_state = 2},
  [565] = {.lex_state = 48, .external_lex_state = 2},
  [566] = {.lex_state = 48, .external_lex_state = 2},
  [567] = {.lex_state = 48, .external_lex_state = 2},
  [568] = {.lex_state = 48, .external_lex_state = 2},
  [569] = {.lex_state = 48, .external_lex_state = 2},
  [570] = {.lex_state = 48, .external_lex_state = 2},
  [571] = {.lex_state = 48, .external_lex_state = 2},
  [572] = {.lex_state = 48, .external_lex_state = 2},
  [573] = {.lex_state = 48, .external_lex_state = 3},
  [574] = {.lex_state = 48, .external_lex_state = 2},
  [575] = {.lex_state = 48, .external_lex_state = 3},
  [576] = {.lex_state = 13, .external_lex_state = 10},
  [577] = {.lex_state = 48, .external_lex_state = 3},
  [578] = {.lex_state = 13, .external_lex_state = 10},
  [579] = {.lex_state = 48, .external_lex_state = 3},
  [580] = {.lex_state = 13, .external_lex_state = 10},
  [581] = {.lex_state = 13, .external_lex_state = 10},
  [582] = {.lex_state = 48, .external_lex_state = 2},
  [583] = {.lex_state = 13, .external_lex_state = 10},
  [584] = {.lex_state = 13, .external_lex_state = 10},
  [585] = {.lex_state = 48, .external_lex_state = 2},
  [586] = {.lex_state = 48, .external_lex_state = 3},
  [587] = {.lex_state = 48, .external_lex_state = 2},
  [588] = {.lex_state = 48, .external_lex_state = 3},
  [589] = {.lex_state = 13, .external_lex_state = 10},
  [590] = {.lex_state = 48, .external_lex_state = 2},
  [591] = {.lex_state = 48, .external_lex_state = 2},
  [592] = {.lex_state = 49, .external_lex_state = 2},
  [593] = {.lex_state = 48, .external_lex_state = 3},
  [594] = {.lex_state = 50, .external_lex_state = 2},
  [595] = {.lex_state = 48, .external_lex_state = 2},
  [596] = {.lex_state = 50, .external_lex_state = 2},
  [597] = {.lex_state = 50, .external_lex_state = 3},
  [598] = {.lex_state = 49, .external_lex_state = 2},
  [599] = {.lex_state = 50, .external_lex_state = 3},
  [600] = {.lex_state = 48, .external_lex_state = 2},
  [601] = {.lex_state = 49, .external_lex_state = 3},
  [602] = {.lex_state = 50, .external_lex_state = 3},
  [603] = {.lex_state = 50, .external_lex_state = 3},
  [604] = {.lex_state = 50, .external_lex_state = 3},
  [605] = {.lex_state = 50, .external_lex_state = 3},
  [606] = {.lex_state = 50, .external_lex_state = 2},
  [607] = {.lex_state = 49, .external_lex_state = 2},
  [608] = {.lex_state = 50, .external_lex_state = 2},
  [609] = {.lex_state = 49, .external_lex_state = 2},
  [610] = {.lex_state = 50, .external_lex_state = 2},
  [611] = {.lex_state = 50, .external_lex_state = 3},
  [612] = {.lex_state = 49, .external_lex_state = 2},
  [613] = {.lex_state = 49, .external_lex_state = 3},
  [614] = {.lex_state = 48, .external_lex_state = 3},
  [615] = {.lex_state = 50, .external_lex_state = 2},
  [616] = {.lex_state = 49, .external_lex_state = 2},
  [617] = {.lex_state = 48, .external_lex_state = 2},
  [618] = {.lex_state = 50, .external_lex_state = 3},
  [619] = {.lex_state = 49, .external_lex_state = 3},
  [620] = {.lex_state = 49, .external_lex_state = 3},
  [621] = {.lex_state = 49, .external_lex_state = 2},
  [622] = {.lex_state = 50, .external_lex_state = 2},
  [623] = {.lex_state = 50, .external_lex_state = 3},
  [624] = {.lex_state = 49, .external_lex_state = 3},
  [625] = {.lex_state = 49, .external_lex_state = 2},
  [626] = {.lex_state = 49, .external_lex_state = 3},
  [627] = {.lex_state = 49, .external_lex_state = 2},
  [628] = {.lex_state = 48, .external_lex_state = 2},
  [629] = {.lex_state = 50, .external_lex_state = 2},
  [630] = {.lex_state = 48, .external_lex_state = 2},
  [631] = {.lex_state = 48, .external_lex_state = 2},
  [632] = {.lex_state = 48, .external_lex_state = 3},
  [633] = {.lex_state = 48, .external_lex_state = 3},
  [634] = {.lex_state = 49, .external_lex_state = 3},
  [635] = {.lex_state = 48, .external_lex_state = 3},
  [636] = {.lex_state = 49, .external_lex_state = 3},
  [637] = {.lex_state = 48, .external_lex_state = 2},
  [638] = {.lex_state = 49, .external_lex_state = 3},
  [639] = {.lex_state = 48, .external_lex_state = 2},
  [640] = {.lex_state = 48, .external_lex_state = 3},
  [641] = {.lex_state = 49, .external_lex_state = 3},
  [642] = {.lex_state = 48, .external_lex_state = 3},
  [643] = {.lex_state = 49, .external_lex_state = 2},
  [644] = {.lex_state = 49, .external_lex_state = 3},
  [645] = {.lex_state = 48, .external_lex_state = 2},
  [646] = {.lex_state = 48, .external_lex_state = 3},
  [647] = {.lex_state = 48, .external_lex_state = 3},
  [648] = {.lex_state = 49, .external_lex_state = 2},
  [649] = {.lex_state = 50, .external_lex_state = 2},
  [650] = {.lex_state = 48, .external_lex_state = 2},
  [651] = {.lex_state = 48, .external_lex_state = 2},
  [652] = {.lex_state = 48, .external_lex_state = 2},
  [653] = {.lex_state = 48, .external_lex_state = 3},
  [654] = {.lex_state = 48, .external_lex_state = 2},
  [655] = {.lex_state = 48, .external_lex_state = 2},
  [656] = {.lex_state = 48, .external_lex_state = 3},
  [657] = {.lex_state = 48, .external_lex_state = 3},
  [658] = {.lex_state = 48, .external_lex_state = 3},
  [659] = {.lex_state = 48, .external_lex_state = 3},
  [660] = {.lex_state = 48, .external_lex_state = 2},
  [661] = {.lex_state = 48, .external_lex_state = 3},
  [662] = {.lex_state = 48, .external_lex_state = 3},
  [663] = {.lex_state = 48, .external_lex_state = 3},
  [664] = {.lex_state = 48, .external_lex_state = 3},
  [665] = {.lex_state = 48, .external_lex_state = 2},
  [666] = {.lex_state = 48, .external_lex_state = 2},
  [667] = {.lex_state = 48, .external_lex_state = 3},
  [668] = {.lex_state = 48, .external_lex_state = 2},
  [669] = {.lex_state = 48, .external_lex_state = 3},
  [670] = {.lex_state = 48, .external_lex_state = 2},
  [671] = {.lex_state = 48, .external_lex_state = 2},
  [672] = {.lex_state = 48, .external_lex_state = 2},
  [673] = {.lex_state = 48, .external_lex_state = 3},
  [674] = {.lex_state = 48, .external_lex_state = 2},
  [675] = {.lex_state = 48, .external_lex_state = 2},
  [676] = {.lex_state = 48, .external_lex_state = 2},
  [677] = {.lex_state = 48, .external_lex_state = 2},
  [678] = {.lex_state = 48, .external_lex_state = 3},
  [679] = {.lex_state = 48, .external_lex_state = 2},
  [680] = {.lex_state = 48, .external_lex_state = 2},
  [681] = {.lex_state = 48, .external_lex_state = 2},
  [682] = {.lex_state = 48, .external_lex_state = 2},
  [683] = {.lex_state = 48, .external_lex_state = 3},
  [684] = {.lex_state = 48, .external_lex_state = 2},
  [685] = {.lex_state = 48, .external_lex_state = 3},
  [686] = {.lex_state = 48, .external_lex_state = 3},
  [687] = {.lex_state = 48, .external_lex_state = 3},
  [688] = {.lex_state = 48, .external_lex_state = 2},
  [689] = {.lex_state = 48, .external_lex_state = 3},
  [690] = {.lex_state = 48, .external_lex_state = 2},
  [691] = {.lex_state = 48, .external_lex_state = 3},
  [692] = {.lex_state = 48, .external_lex_state = 2},
  [693] = {.lex_state = 48, .external_lex_state = 2},
  [694] = {.lex_state = 48, .external_lex_state = 2},
  [695] = {.lex_state = 48, .external_lex_state = 3},
  [696] = {.lex_state = 48, .external_lex_state = 2},
  [697] = {.lex_state = 48, .external_lex_state = 2},
  [698] = {.lex_state = 48, .external_lex_state = 2},
  [699] = {.lex_state = 48, .external_lex_state = 2},
  [700] = {.lex_state = 48, .external_lex_state = 3},
  [701] = {.lex_state = 48, .external_lex_state = 2},
  [702] = {.lex_state = 48, .external_lex_state = 2},
  [703] = {.lex_state = 48, .external_lex_state = 2},
  [704] = {.lex_state = 48, .external_lex_state = 3},
  [705] = {.lex_state = 48, .external_lex_state = 2},
  [706] = {.lex_state = 48, .external_lex_state = 2},
  [707] = {.lex_state = 48, .external_lex_state = 2},
  [708] = {.lex_state = 48, .external_lex_state = 3},
  [709] = {.lex_state = 48, .external_lex_state = 3},
  [710] = {.lex_state = 48, .external_lex_state = 2},
  [711] = {.lex_state = 48, .external_lex_state = 2},
  [712] = {.lex_state = 48, .external_lex_state = 3},
  [713] = {.lex_state = 48, .external_lex_state = 3},
  [714] = {.lex_state = 48, .external_lex_state = 3},
  [715] = {.lex_state = 48, .external_lex_state = 3},
  [716] = {.lex_state = 48, .external_lex_state = 3},
  [717] = {.lex_state = 48, .external_lex_state = 2},
  [718] = {.lex_state = 48, .external_lex_state = 3},
  [719] = {.lex_state = 48, .external_lex_state = 3},
  [720] = {.lex_state = 48, .external_lex_state = 2},
  [721] = {.lex_state = 48, .external_lex_state = 3},
  [722] = {.lex_state = 48, .external_lex_state = 2},
  [723] = {.lex_state = 48, .external_lex_state = 2},
  [724] = {.lex_state = 48, .external_lex_state = 3},
  [725] = {.lex_state = 48, .external_lex_state = 2},
  [726] = {.lex_state = 48, .external_lex_state = 3},
  [727] = {.lex_state = 48, .external_lex_state = 3},
  [728] = {.lex_state = 48, .external_lex_state = 3},
  [729] = {.lex_state = 48, .external_lex_state = 3},
  [730] = {.lex_state = 48, .external_lex_state = 3},
  [731] = {.lex_state = 48, .external_lex_state = 3},
  [732] = {.lex_state = 48, .external_lex_state = 3},
  [733] = {.lex_state = 48, .external_lex_state = 3},
  [734] = {.lex_state = 48, .external_lex_state = 3},
  [735] = {.lex_state = 48, .external_lex_state = 3},
  [736] = {.lex_state = 48, .external_lex_state = 3},
  [737] = {.lex_state = 48, .external_lex_state = 3},
  [738] = {.lex_state = 48, .external_lex_state = 3},
  [739] = {.lex_state = 48, .external_lex_state = 2},
  [740] = {.lex_state = 48, .external_lex_state = 2},
  [741] = {.lex_state = 48, .external_lex_state = 2},
  [742] = {.lex_state = 48, .external_lex_state = 2},
  [743] = {.lex_state = 48, .external_lex_state = 3},
  [744] = {.lex_state = 48, .external_lex_state = 3},
  [745] = {.lex_state = 48, .external_lex_state = 3},
  [746] = {.lex_state = 48, .external_lex_state = 3},
  [747] = {.lex_state = 48, .external_lex_state = 2},
  [748] = {.lex_state = 48, .external_lex_state = 3},
  [749] = {.lex_state = 48, .external_lex_state = 2},
  [750] = {.lex_state = 48, .external_lex_state = 2},
  [751] = {.lex_state = 48, .external_lex_state = 2},
  [752] = {.lex_state = 48, .external_lex_state = 2},
  [753] = {.lex_state = 48, .external_lex_state = 3},
  [754] = {.lex_state = 48, .external_lex_state = 3},
  [755] = {.lex_state = 48, .external_lex_state = 3},
  [756] = {.lex_state = 48, .external_lex_state = 2},
  [757] = {.lex_state = 48, .external_lex_state = 3},
  [758] = {.lex_state = 48, .external_lex_state = 3},
  [759] = {.lex_state = 48, .external_lex_state = 2},
  [760] = {.lex_state = 48, .external_lex_state = 2},
  [761] = {.lex_state = 48, .external_lex_state = 3},
  [762] = {.lex_state = 48, .external_lex_state = 3},
  [763] = {.lex_state = 48, .external_lex_state = 2},
  [764] = {.lex_state = 48, .external_lex_state = 2},
  [765] = {.lex_state = 48, .external_lex_state = 3},
  [766] = {.lex_state = 48, .external_lex_state = 2},
  [767] = {.lex_state = 48, .external_lex_state = 3},
  [768] = {.lex_state = 48, .external_lex_state = 2},
  [769] = {.lex_state = 48, .external_lex_state = 3},
  [770] = {.lex_state = 48, .external_lex_state = 3},
  [771] = {.lex_state = 48, .external_lex_state = 2},
  [772] = {.lex_state = 48, .external_lex_state = 3},
  [773] = {.lex_state = 48, .external_lex_state = 3},
  [774] = {.lex_state = 48, .external_lex_state = 3},
  [775] = {.lex_state = 48, .external_lex_state = 2},
  [776] = {.lex_state = 48, .external_lex_state = 2},
  [777] = {.lex_state = 48, .external_lex_state = 2},
  [778] = {.lex_state = 48, .external_lex_state = 2},
  [779] = {.lex_state = 48, .external_lex_state = 3},
  [780] = {.lex_state = 48, .external_lex_state = 2},
  [781] = {.lex_state = 48, .external_lex_state = 2},
  [782] = {.lex_state = 48, .external_lex_state = 3},
  [783] = {.lex_state = 48, .external_lex_state = 2},
  [784] = {.lex_state = 48, .external_lex_state = 2},
  [785] = {.lex_state = 48, .external_lex_state = 2},
  [786] = {.lex_state = 48, .external_lex_state = 7},
  [787] = {.lex_state = 48, .external_lex_state = 2},
  [788] = {.lex_state = 48, .external_lex_state = 3},
  [789] = {.lex_state = 48, .external_lex_state = 3},
  [790] = {.lex_state = 48, .external_lex_state = 3},
  [791] = {.lex_state = 48, .external_lex_state = 2},
  [792] = {.lex_state = 48, .external_lex_state = 3},
  [793] = {.lex_state = 48, .external_lex_state = 2},
  [794] = {.lex_state = 48, .external_lex_state = 3},
  [795] = {.lex_state = 48, .external_lex_state = 7},
  [796] = {.lex_state = 48, .external_lex_state = 2},
  [797] = {.lex_state = 48, .external_lex_state = 3},
  [798] = {.lex_state = 48, .external_lex_state = 2},
  [799] = {.lex_state = 48, .external_lex_state = 3},
  [800] = {.lex_state = 48, .external_lex_state = 2},
  [801] = {.lex_state = 48, .external_lex_state = 3},
  [802] = {.lex_state = 48, .external_lex_state = 3},
  [803] = {.lex_state = 48, .external_lex_state = 3},
  [804] = {.lex_state = 48, .external_lex_state = 2},
  [805] = {.lex_state = 48, .external_lex_state = 2},
  [806] = {.lex_state = 48, .external_lex_state = 2},
  [807] = {.lex_state = 48, .external_lex_state = 3},
  [808] = {.lex_state = 48, .external_lex_state = 2},
  [809] = {.lex_state = 48, .external_lex_state = 2},
  [810] = {.lex_state = 48, .external_lex_state = 3},
  [811] = {.lex_state = 48, .external_lex_state = 3},
  [812] = {.lex_state = 48, .external_lex_state = 2},
  [813] = {.lex_state = 48, .external_lex_state = 3},
  [814] = {.lex_state = 48, .external_lex_state = 7},
  [815] = {.lex_state = 48, .external_lex_state = 2},
  [816] = {.lex_state = 48, .external_lex_state = 2},
  [817] = {.lex_state = 48, .external_lex_state = 7},
  [818] = {.lex_state = 48, .external_lex_state = 2},
  [819] = {.lex_state = 48, .external_lex_state = 2},
  [820] = {.lex_state = 48, .external_lex_state = 2},
  [821] = {.lex_state = 48, .external_lex_state = 8},
  [822] = {.lex_state = 48, .external_lex_state = 2},
  [823] = {.lex_state = 48, .external_lex_state = 2},
  [824] = {.lex_state = 48, .external_lex_state = 2},
  [825] = {.lex_state = 48, .external_lex_state = 2},
  [826] = {.lex_state = 48, .external_lex_state = 8},
  [827] = {.lex_state = 48, .external_lex_state = 2},
  [828] = {.lex_state = 48, .external_lex_state = 2},
  [829] = {.lex_state = 48, .external_lex_state = 2},
  [830] = {.lex_state = 48, .external_lex_state = 2},
  [831] = {.lex_state = 13, .external_lex_state = 11},
  [832] = {.lex_state = 13, .external_lex_state = 6},
  [833] = {.lex_state = 13, .external_lex_state = 6},
  [834] = {.lex_state = 13, .external_lex_state = 4},
  [835] = {.lex_state = 13, .external_lex_state = 6},
  [836] = {.lex_state = 48, .external_lex_state = 7},
  [837] = {.lex_state = 13, .external_lex_state = 4},
  [838] = {.lex_state = 13, .external_lex_state = 6},
  [839] = {.lex_state = 13, .external_lex_state = 6},
  [840] = {.lex_state = 13, .external_lex_state = 4},
  [841] = {.lex_state = 11, .external_lex_state = 2},
  [842] = {.lex_state = 13, .external_lex_state = 9},
  [843] = {.lex_state = 13, .external_lex_state = 6},
  [844] = {.lex_state = 13, .external_lex_state = 11},
  [845] = {.lex_state = 13, .external_lex_state = 11},
  [846] = {.lex_state = 13, .external_lex_state = 9},
  [847] = {.lex_state = 13, .external_lex_state = 11},
  [848] = {.lex_state = 13, .external_lex_state = 8},
  [849] = {.lex_state = 13, .external_lex_state = 11},
  [850] = {.lex_state = 48, .external_lex_state = 2},
  [851] = {.lex_state = 48, .external_lex_state = 2},
  [852] = {.lex_state = 13, .external_lex_state = 11},
  [853] = {.lex_state = 48, .external_lex_state = 2},
  [854] = {.lex_state = 13, .external_lex_state = 11},
  [855] = {.lex_state = 13, .external_lex_state = 8},
  [856] = {.lex_state = 13, .external_lex_state = 7},
  [857] = {.lex_state = 13, .external_lex_state = 11},
  [858] = {.lex_state = 13, .external_lex_state = 9},
  [859] = {.lex_state = 13, .external_lex_state = 2},
  [860] = {.lex_state = 13, .external_lex_state = 11},
  [861] = {.lex_state = 13, .external_lex_state = 2},
  [862] = {.lex_state = 13, .external_lex_state = 9},
  [863] = {.lex_state = 13, .external_lex_state = 11},
  [864] = {.lex_state = 13, .external_lex_state = 11},
  [865] = {.lex_state = 13, .external_lex_state = 7},
  [866] = {.lex_state = 13, .external_lex_state = 7},
  [867] = {.lex_state = 48, .external_lex_state = 2},
  [868] = {.lex_state = 13, .external_lex_state = 11},
  [869] = {.lex_state = 13, .external_lex_state = 10},
  [870] = {.lex_state = 13, .external_lex_state = 8},
  [871] = {.lex_state = 48, .external_lex_state = 2},
  [872] = {.lex_state = 48, .external_lex_state = 2},
  [873] = {.lex_state = 13, .external_lex_state = 11},
  [874] = {.lex_state = 13, .external_lex_state = 12},
  [875] = {.lex_state = 13, .external_lex_state = 11},
  [876] = {.lex_state = 13, .external_lex_state = 13},
  [877] = {.lex_state = 13, .external_lex_state = 11},
  [878] = {.lex_state = 13, .external_lex_state = 9},
  [879] = {.lex_state = 13, .external_lex_state = 11},
  [880] = {.lex_state = 13, .external_lex_state = 9},
  [881] = {.lex_state = 13, .external_lex_state = 11},
  [882] = {.lex_state = 13, .external_lex_state = 9},
  [883] = {.lex_state = 13, .external_lex_state = 11},
  [884] = {.lex_state = 13, .external_lex_state = 11},
  [885] = {.lex_state = 13, .external_lex_state = 11},
  [886] = {.lex_state = 13, .external_lex_state = 9},
  [887] = {.lex_state = 13, .external_lex_state = 11},
  [888] = {.lex_state = 13, .external_lex_state = 9},
  [889] = {.lex_state = 48, .external_lex_state = 2},
  [890] = {.lex_state = 13, .external_lex_state = 11},
  [891] = {.lex_state = 13, .external_lex_state = 2},
  [892] = {.lex_state = 13, .external_lex_state = 9},
  [893] = {.lex_state = 13, .external_lex_state = 9},
  [894] = {.lex_state = 48, .external_lex_state = 2},
  [895] = {.lex_state = 13, .external_lex_state = 10},
  [896] = {.lex_state = 48, .external_lex_state = 2},
  [897] = {.lex_state = 48, .external_lex_state = 2},
  [898] = {.lex_state = 48, .external_lex_state = 2},
  [899] = {.lex_state = 48, .external_lex_state = 2},
  [900] = {.lex_state = 13, .external_lex_state = 13},
  [901] = {.lex_state = 13, .external_lex_state = 4},
  [902] = {.lex_state = 12, .external_lex_state = 9},
  [903] = {.lex_state = 12, .external_lex_state = 9},
  [904] = {.lex_state = 48, .external_lex_state = 2},
  [905] = {.lex_state = 48, .external_lex_state = 2},
  [906] = {.lex_state = 48, .external_lex_state = 2},
  [907] = {.lex_state = 48, .external_lex_state = 2},
  [908] = {.lex_state = 48, .external_lex_state = 2},
  [909] = {.lex_state = 48, .external_lex_state = 2},
  [910] = {.lex_state = 48, .external_lex_state = 2},
  [911] = {.lex_state = 48, .external_lex_state = 2},
  [912] = {.lex_state = 48, .external_lex_state = 2},
  [913] = {.lex_state = 48, .external_lex_state = 2},
  [914] = {.lex_state = 48, .external_lex_state = 2},
  [915] = {.lex_state = 48, .external_lex_state = 2},
  [916] = {.lex_state = 48, .external_lex_state = 2},
  [917] = {.lex_state = 13, .external_lex_state = 4},
  [918] = {.lex_state = 48, .external_lex_state = 2},
  [919] = {.lex_state = 48, .external_lex_state = 2},
  [920] = {.lex_state = 48, .external_lex_state = 2},
  [921] = {.lex_state = 12, .external_lex_state = 13},
  [922] = {.lex_state = 12, .external_lex_state = 13},
  [923] = {.lex_state = 48, .external_lex_state = 2},
  [924] = {.lex_state = 48, .external_lex_state = 2},
  [925] = {.lex_state = 48, .external_lex_state = 2},
  [926] = {.lex_state = 48, .external_lex_state = 2},
  [927] = {.lex_state = 13, .external_lex_state = 8},
  [928] = {.lex_state = 48, .external_lex_state = 2},
  [929] = {.lex_state = 13, .external_lex_state = 8},
  [930] = {.lex_state = 48, .external_lex_state = 2},
  [931] = {.lex_state = 48, .external_lex_state = 2},
  [932] = {.lex_state = 48, .external_lex_state = 2},
  [933] = {.lex_state = 48, .external_lex_state = 2},
  [934] = {.lex_state = 48, .external_lex_state = 2},
  [935] = {.lex_state = 48, .external_lex_state = 2},
  [936] = {.lex_state = 48, .external_lex_state = 2},
  [937] = {.lex_state = 13, .external_lex_state = 8},
  [938] = {.lex_state = 13, .external_lex_state = 12},
  [939] = {.lex_state = 13, .external_lex_state = 7},
  [940] = {.lex_state = 48, .external_lex_state = 2},
  [941] = {.lex_state = 13, .external_lex_state = 6},
  [942] = {.lex_state = 13, .external_lex_state = 7},
  [943] = {.lex_state = 48, .external_lex_state = 2},
  [944] = {.lex_state = 48, .external_lex_state = 2},
  [945] = {.lex_state = 48, .external_lex_state = 2},
  [946] = {.lex_state = 48, .external_lex_state = 2},
  [947] = {.lex_state = 48, .external_lex_state = 2},
  [948] = {.lex_state = 48, .external_lex_state = 2},
  [949] = {.lex_state = 48, .external_lex_state = 2},
  [950] = {.lex_state = 48, .external_lex_state = 2},
  [951] = {.lex_state = 13, .external_lex_state = 6},
  [952] = {.lex_state = 13, .external_lex_state = 13},
  [953] = {.lex_state = 13, .external_lex_state = 13},
  [954] = {.lex_state = 13, .external_lex_state = 7},
  [955] = {.lex_state = 13, .external_lex_state = 13},
  [956] = {.lex_state = 48, .external_lex_state = 2},
  [957] = {.lex_state = 13, .external_lex_state = 6},
  [958] = {.lex_state = 13, .external_lex_state = 13},
  [959] = {.lex_state = 48, .external_lex_state = 2},
  [960] = {.lex_state = 13, .external_lex_state = 13},
  [961] = {.lex_state = 48, .external_lex_state = 2},
  [962] = {.lex_state = 13, .external_lex_state = 13},
  [963] = {.lex_state = 13, .external_lex_state = 13},
  [964] = {.lex_state = 13, .external_lex_state = 13},
  [965] = {.lex_state = 13, .external_lex_state = 13},
  [966] = {.lex_state = 48, .external_lex_state = 2},
  [967] = {.lex_state = 48, .external_lex_state = 2},
  [968] = {.lex_state = 48, .external_lex_state = 2},
  [969] = {.lex_state = 48, .external_lex_state = 2},
  [970] = {.lex_state = 48, .external_lex_state = 2},
  [971] = {.lex_state = 48, .external_lex_state = 2},
  [972] = {.lex_state = 48, .external_lex_state = 2},
  [973] = {.lex_state = 13, .external_lex_state = 6},
  [974] = {.lex_state = 48, .external_lex_state = 2},
  [975] = {.lex_state = 48, .external_lex_state = 2},
  [976] = {.lex_state = 48, .external_lex_state = 2},
  [977] = {.lex_state = 48, .external_lex_state = 2},
  [978] = {.lex_state = 48, .external_lex_state = 2},
  [979] = {.lex_state = 48, .external_lex_state = 2},
  [980] = {.lex_state = 48, .external_lex_state = 2},
  [981] = {.lex_state = 48, .external_lex_state = 2},
  [982] = {.lex_state = 48, .external_lex_state = 2},
  [983] = {.lex_state = 13, .external_lex_state = 12},
  [984] = {.lex_state = 13, .external_lex_state = 12},
  [985] = {.lex_state = 13, .external_lex_state = 12},
  [986] = {.lex_state = 13, .external_lex_state = 12},
  [987] = {.lex_state = 13, .external_lex_state = 12},
  [988] = {.lex_state = 48, .external_lex_state = 2},
  [989] = {.lex_state = 13, .external_lex_state = 12},
  [990] = {.lex_state = 13, .external_lex_state = 12},
  [991] = {.lex_state = 13, .external_lex_state = 12},
  [992] = {.lex_state = 13, .external_lex_state = 12},
  [993] = {.lex_state = 48, .external_lex_state = 2},
  [994] = {.lex_state = 48, .external_lex_state = 2},
  [995] = {.lex_state = 48, .external_lex_state = 2},
  [996] = {.lex_state = 48, .external_lex_state = 2},
  [997] = {.lex_state = 48, .external_lex_state = 2},
  [998] = {.lex_state = 48, .external_lex_state = 2},
  [999] = {.lex_state = 48, .external_lex_state = 2},
  [1000] = {.lex_state = 48, .external_lex_state = 2},
  [1001] = {.lex_state = 13, .external_lex_state = 12},
  [1002] = {.lex_state = 12, .external_lex_state = 11},
  [1003] = {.lex_state = 12, .external_lex_state = 11},
  [1004] = {.lex_state = 13, .external_lex_state = 10},
  [1005] = {.lex_state = 13, .external_lex_state = 13},
  [1006] = {.lex_state = 13, .external_lex_state = 10},
  [1007] = {.lex_state = 13, .external_lex_state = 10},
  [1008] = {.lex_state = 13, .external_lex_state = 10},
  [1009] = {.lex_state = 48, .external_lex_state = 2},
  [1010] = {.lex_state = 13, .external_lex_state = 10},
  [1011] = {.lex_state = 13, .external_lex_state = 10},
  [1012] = {.lex_state = 13, .external_lex_state = 10},
  [1013] = {.lex_state = 13, .external_lex_state = 10},
  [1014] = {.lex_state = 48, .external_lex_state = 2},
  [1015] = {.lex_state = 48, .external_lex_state = 2},
  [1016] = {.lex_state = 48, .external_lex_state = 2},
  [1017] = {.lex_state = 48, .external_lex_state = 2},
  [1018] = {.lex_state = 48, .external_lex_state = 2},
  [1019] = {.lex_state = 48, .external_lex_state = 2},
  [1020] = {.lex_state = 48, .external_lex_state = 2},
  [1021] = {.lex_state = 48, .external_lex_state = 2},
  [1022] = {.lex_state = 48, .external_lex_state = 2},
  [1023] = {.lex_state = 48, .external_lex_state = 2},
  [1024] = {.lex_state = 48, .external_lex_state = 2},
  [1025] = {.lex_state = 48, .external_lex_state = 2},
  [1026] = {.lex_state = 48, .external_lex_state = 2},
  [1027] = {.lex_state = 48, .external_lex_state = 2},
  [1028] = {.lex_state = 48, .external_lex_state = 2},
  [1029] = {.lex_state = 12, .external_lex_state = 11},
  [1030] = {.lex_state = 12, .external_lex_state = 11},
  [1031] = {.lex_state = 48, .external_lex_state = 2},
  [1032] = {.lex_state = 13, .external_lex_state = 10},
  [1033] = {.lex_state = 13, .external_lex_state = 12},
  [1034] = {.lex_state = 13, .external_lex_state = 9},
  [1035] = {.lex_state = 13, .external_lex_state = 9},
  [1036] = {.lex_state = 13, .external_lex_state = 11},
  [1037] = {.lex_state = 13, .external_lex_state = 9},
  [1038] = {.lex_state = 13, .external_lex_state = 9},
  [1039] = {.lex_state = 13, .external_lex_state = 9},
  [1040] = {.lex_state = 13, .external_lex_state = 13},
  [1041] = {.lex_state = 13, .external_lex_state = 9},
  [1042] = {.lex_state = 13, .external_lex_state = 9},
  [1043] = {.lex_state = 13, .external_lex_state = 9},
  [1044] = {.lex_state = 13, .external_lex_state = 9},
  [1045] = {.lex_state = 13, .external_lex_state = 13},
  [1046] = {.lex_state = 13, .external_lex_state = 13},
  [1047] = {.lex_state = 13, .external_lex_state = 13},
  [1048] = {.lex_state = 13, .external_lex_state = 9},
  [1049] = {.lex_state = 13, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 9},
  [1051] = {.lex_state = 13, .external_lex_state = 9},
  [1052] = {.lex_state = 13, .external_lex_state = 9},
  [1053] = {.lex_state = 13, .external_lex_state = 12},
  [1054] = {.lex_state = 13, .external_lex_state = 12},
  [1055] = {.lex_state = 13, .external_lex_state = 12},
  [1056] = {.lex_state = 13, .external_lex_state = 12},
  [1057] = {.lex_state = 13, .external_lex_state = 12},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 13, .external_lex_state = 12},
  [1060] = {.lex_state = 13, .external_lex_state = 12},
  [1061] = {.lex_state = 13, .external_lex_state = 12},
  [1062] = {.lex_state = 13, .external_lex_state = 9},
  [1063] = {.lex_state = 13, .external_lex_state = 13},
  [1064] = {.lex_state = 13, .external_lex_state = 13},
  [1065] = {.lex_state = 13, .external_lex_state = 9},
  [1066] = {.lex_state = 13, .external_lex_state = 9},
  [1067] = {.lex_state = 13, .external_lex_state = 11},
  [1068] = {.lex_state = 13, .external_lex_state = 11},
  [1069] = {.lex_state = 13, .external_lex_state = 9},
  [1070] = {.lex_state = 13, .external_lex_state = 9},
  [1071] = {.lex_state = 13, .external_lex_state = 12},
  [1072] = {.lex_state = 13, .external_lex_state = 13},
  [1073] = {.lex_state = 13, .external_lex_state = 13},
  [1074] = {.lex_state = 13, .external_lex_state = 13},
  [1075] = {.lex_state = 13, .external_lex_state = 13},
  [1076] = {.lex_state = 13, .external_lex_state = 13},
  [1077] = {.lex_state = 13, .external_lex_state = 13},
  [1078] = {.lex_state = 13, .external_lex_state = 13},
  [1079] = {.lex_state = 13, .external_lex_state = 13},
  [1080] = {.lex_state = 13, .external_lex_state = 13},
  [1081] = {.lex_state = 13, .external_lex_state = 13},
  [1082] = {.lex_state = 12, .external_lex_state = 12},
  [1083] = {.lex_state = 12, .external_lex_state = 12},
  [1084] = {.lex_state = 13, .external_lex_state = 11},
  [1085] = {.lex_state = 13, .external_lex_state = 11},
  [1086] = {.lex_state = 13, .external_lex_state = 11},
  [1087] = {.lex_state = 13, .external_lex_state = 11},
  [1088] = {.lex_state = 13, .external_lex_state = 11},
  [1089] = {.lex_state = 13, .external_lex_state = 11},
  [1090] = {.lex_state = 13, .external_lex_state = 11},
  [1091] = {.lex_state = 13, .external_lex_state = 11},
  [1092] = {.lex_state = 12, .external_lex_state = 12},
  [1093] = {.lex_state = 13, .external_lex_state = 11},
  [1094] = {.lex_state = 13, .external_lex_state = 7},
  [1095] = {.lex_state = 13, .external_lex_state = 11},
  [1096] = {.lex_state = 13, .external_lex_state = 11},
  [1097] = {.lex_state = 13, .external_lex_state = 11},
  [1098] = {.lex_state = 13, .external_lex_state = 13},
  [1099] = {.lex_state = 13, .external_lex_state = 11},
  [1100] = {.lex_state = 13, .external_lex_state = 11},
  [1101] = {.lex_state = 13, .external_lex_state = 11},
  [1102] = {.lex_state = 13, .external_lex_state = 11},
  [1103] = {.lex_state = 13, .external_lex_state = 11},
  [1104] = {.lex_state = 13, .external_lex_state = 11},
  [1105] = {.lex_state = 13, .external_lex_state = 9},
  [1106] = {.lex_state = 13, .external_lex_state = 11},
  [1107] = {.lex_state = 13, .external_lex_state = 11},
  [1108] = {.lex_state = 13, .external_lex_state = 11},
  [1109] = {.lex_state = 13, .external_lex_state = 11},
  [1110] = {.lex_state = 13, .external_lex_state = 11},
  [1111] = {.lex_state = 13, .external_lex_state = 11},
  [1112] = {.lex_state = 13, .external_lex_state = 11},
  [1113] = {.lex_state = 13, .external_lex_state = 13},
  [1114] = {.lex_state = 13, .external_lex_state = 9},
  [1115] = {.lex_state = 13, .external_lex_state = 11},
  [1116] = {.lex_state = 13, .external_lex_state = 9},
  [1117] = {.lex_state = 12, .external_lex_state = 13},
  [1118] = {.lex_state = 13, .external_lex_state = 11},
  [1119] = {.lex_state = 13, .external_lex_state = 11},
  [1120] = {.lex_state = 12, .external_lex_state = 10},
  [1121] = {.lex_state = 12, .external_lex_state = 10},
  [1122] = {.lex_state = 13, .external_lex_state = 11},
  [1123] = {.lex_state = 13, .external_lex_state = 11},
  [1124] = {.lex_state = 13, .external_lex_state = 11},
  [1125] = {.lex_state = 13, .external_lex_state = 11},
  [1126] = {.lex_state = 13, .external_lex_state = 11},
  [1127] = {.lex_state = 13, .external_lex_state = 11},
  [1128] = {.lex_state = 13, .external_lex_state = 11},
  [1129] = {.lex_state = 13, .external_lex_state = 11},
  [1130] = {.lex_state = 13, .external_lex_state = 11},
  [1131] = {.lex_state = 13, .external_lex_state = 11},
  [1132] = {.lex_state = 13, .external_lex_state = 11},
  [1133] = {.lex_state = 13, .external_lex_state = 9},
  [1134] = {.lex_state = 13, .external_lex_state = 11},
  [1135] = {.lex_state = 13, .external_lex_state = 11},
  [1136] = {.lex_state = 13, .external_lex_state = 11},
  [1137] = {.lex_state = 13, .external_lex_state = 11},
  [1138] = {.lex_state = 13, .external_lex_state = 11},
  [1139] = {.lex_state = 13, .external_lex_state = 11},
  [1140] = {.lex_state = 13, .external_lex_state = 11},
  [1141] = {.lex_state = 12, .external_lex_state = 12},
  [1142] = {.lex_state = 13, .external_lex_state = 11},
  [1143] = {.lex_state = 13, .external_lex_state = 11},
  [1144] = {.lex_state = 13, .external_lex_state = 11},
  [1145] = {.lex_state = 13, .external_lex_state = 11},
  [1146] = {.lex_state = 13, .external_lex_state = 11},
  [1147] = {.lex_state = 13, .external_lex_state = 9},
  [1148] = {.lex_state = 13, .external_lex_state = 11},
  [1149] = {.lex_state = 13, .external_lex_state = 11},
  [1150] = {.lex_state = 13, .external_lex_state = 8},
  [1151] = {.lex_state = 13, .external_lex_state = 9},
  [1152] = {.lex_state = 13, .external_lex_state = 11},
  [1153] = {.lex_state = 13, .external_lex_state = 11},
  [1154] = {.lex_state = 12, .external_lex_state = 13},
  [1155] = {.lex_state = 12, .external_lex_state = 13},
  [1156] = {.lex_state = 13, .external_lex_state = 11},
  [1157] = {.lex_state = 13, .external_lex_state = 8},
  [1158] = {.lex_state = 13, .external_lex_state = 7},
  [1159] = {.lex_state = 13, .external_lex_state = 11},
  [1160] = {.lex_state = 13, .external_lex_state = 11},
  [1161] = {.lex_state = 13, .external_lex_state = 11},
  [1162] = {.lex_state = 13, .external_lex_state = 11},
  [1163] = {.lex_state = 13, .external_lex_state = 11},
  [1164] = {.lex_state = 12, .external_lex_state = 13},
  [1165] = {.lex_state = 13, .external_lex_state = 9},
  [1166] = {.lex_state = 13, .external_lex_state = 12},
  [1167] = {.lex_state = 12, .external_lex_state = 13},
  [1168] = {.lex_state = 13, .external_lex_state = 10},
  [1169] = {.lex_state = 13, .external_lex_state = 10},
  [1170] = {.lex_state = 13, .external_lex_state = 10},
  [1171] = {.lex_state = 13, .external_lex_state = 12},
  [1172] = {.lex_state = 13, .external_lex_state = 13},
  [1173] = {.lex_state = 13, .external_lex_state = 8},
  [1174] = {.lex_state = 13, .external_lex_state = 12},
  [1175] = {.lex_state = 13, .external_lex_state = 12},
  [1176] = {.lex_state = 13, .external_lex_state = 12},
  [1177] = {.lex_state = 13, .external_lex_state = 12},
  [1178] = {.lex_state = 13, .external_lex_state = 10},
  [1179] = {.lex_state = 13, .external_lex_state = 13},
  [1180] = {.lex_state = 13, .external_lex_state = 13},
  [1181] = {.lex_state = 13, .external_lex_state = 13},
  [1182] = {.lex_state = 13, .external_lex_state = 13},
  [1183] = {.lex_state = 13, .external_lex_state = 13},
  [1184] = {.lex_state = 13, .external_lex_state = 13},
  [1185] = {.lex_state = 13, .external_lex_state = 13},
  [1186] = {.lex_state = 13, .external_lex_state = 13},
  [1187] = {.lex_state = 13, .external_lex_state = 12},
  [1188] = {.lex_state = 12, .external_lex_state = 13},
  [1189] = {.lex_state = 12, .external_lex_state = 13},
  [1190] = {.lex_state = 13, .external_lex_state = 13},
  [1191] = {.lex_state = 13, .external_lex_state = 13},
  [1192] = {.lex_state = 13, .external_lex_state = 10},
  [1193] = {.lex_state = 13, .external_lex_state = 12},
  [1194] = {.lex_state = 13, .external_lex_state = 10},
  [1195] = {.lex_state = 13, .external_lex_state = 13},
  [1196] = {.lex_state = 13, .external_lex_state = 13},
  [1197] = {.lex_state = 13, .external_lex_state = 12},
  [1198] = {.lex_state = 13, .external_lex_state = 12},
  [1199] = {.lex_state = 13, .external_lex_state = 13},
  [1200] = {.lex_state = 13, .external_lex_state = 12},
  [1201] = {.lex_state = 13, .external_lex_state = 12},
  [1202] = {.lex_state = 13, .external_lex_state = 10},
  [1203] = {.lex_state = 13, .external_lex_state = 12},
  [1204] = {.lex_state = 13, .external_lex_state = 10},
  [1205] = {.lex_state = 13, .external_lex_state = 12},
  [1206] = {.lex_state = 12, .external_lex_state = 13},
  [1207] = {.lex_state = 13, .external_lex_state = 12},
  [1208] = {.lex_state = 13, .external_lex_state = 12},
  [1209] = {.lex_state = 13, .external_lex_state = 13},
  [1210] = {.lex_state = 13, .external_lex_state = 8},
  [1211] = {.lex_state = 13, .external_lex_state = 10},
  [1212] = {.lex_state = 13, .external_lex_state = 10},
  [1213] = {.lex_state = 13, .external_lex_state = 10},
  [1214] = {.lex_state = 13, .external_lex_state = 10},
  [1215] = {.lex_state = 13, .external_lex_state = 10},
  [1216] = {.lex_state = 13, .external_lex_state = 12},
  [1217] = {.lex_state = 13, .external_lex_state = 10},
  [1218] = {.lex_state = 13, .external_lex_state = 13},
  [1219] = {.lex_state = 13, .external_lex_state = 10},
  [1220] = {.lex_state = 13, .external_lex_state = 10},
  [1221] = {.lex_state = 13, .external_lex_state = 10},
  [1222] = {.lex_state = 13, .external_lex_state = 10},
  [1223] = {.lex_state = 13, .external_lex_state = 10},
  [1224] = {.lex_state = 13, .external_lex_state = 10},
  [1225] = {.lex_state = 13, .external_lex_state = 13},
  [1226] = {.lex_state = 13, .external_lex_state = 13},
  [1227] = {.lex_state = 13, .external_lex_state = 10},
  [1228] = {.lex_state = 13, .external_lex_state = 13},
  [1229] = {.lex_state = 13, .external_lex_state = 12},
  [1230] = {.lex_state = 13, .external_lex_state = 10},
  [1231] = {.lex_state = 13, .external_lex_state = 10},
  [1232] = {.lex_state = 13, .external_lex_state = 12},
  [1233] = {.lex_state = 13, .external_lex_state = 7},
  [1234] = {.lex_state = 13, .external_lex_state = 12},
  [1235] = {.lex_state = 13, .external_lex_state = 12},
  [1236] = {.lex_state = 13, .external_lex_state = 12},
  [1237] = {.lex_state = 12, .external_lex_state = 12},
  [1238] = {.lex_state = 13, .external_lex_state = 13},
  [1239] = {.lex_state = 13, .external_lex_state = 12},
  [1240] = {.lex_state = 13, .external_lex_state = 12},
  [1241] = {.lex_state = 13, .external_lex_state = 12},
  [1242] = {.lex_state = 13, .external_lex_state = 13},
  [1243] = {.lex_state = 12, .external_lex_state = 12},
  [1244] = {.lex_state = 13, .external_lex_state = 10},
  [1245] = {.lex_state = 13, .external_lex_state = 10},
  [1246] = {.lex_state = 13, .external_lex_state = 13},
  [1247] = {.lex_state = 13, .external_lex_state = 12},
  [1248] = {.lex_state = 13, .external_lex_state = 12},
  [1249] = {.lex_state = 13, .external_lex_state = 12},
  [1250] = {.lex_state = 13, .external_lex_state = 12},
  [1251] = {.lex_state = 13, .external_lex_state = 12},
  [1252] = {.lex_state = 13, .external_lex_state = 12},
  [1253] = {.lex_state = 13, .external_lex_state = 12},
  [1254] = {.lex_state = 13, .external_lex_state = 12},
  [1255] = {.lex_state = 13, .external_lex_state = 12},
  [1256] = {.lex_state = 13, .external_lex_state = 13},
  [1257] = {.lex_state = 13, .external_lex_state = 13},
  [1258] = {.lex_state = 13, .external_lex_state = 10},
  [1259] = {.lex_state = 13, .external_lex_state = 13},
  [1260] = {.lex_state = 13, .external_lex_state = 13},
  [1261] = {.lex_state = 13, .external_lex_state = 12},
  [1262] = {.lex_state = 13, .external_lex_state = 12},
  [1263] = {.lex_state = 13, .external_lex_state = 10},
  [1264] = {.lex_state = 13, .external_lex_state = 7},
  [1265] = {.lex_state = 13, .external_lex_state = 13},
  [1266] = {.lex_state = 13, .external_lex_state = 13},
  [1267] = {.lex_state = 13, .external_lex_state = 13},
  [1268] = {.lex_state = 13, .external_lex_state = 13},
  [1269] = {.lex_state = 13, .external_lex_state = 12},
  [1270] = {.lex_state = 12, .external_lex_state = 12},
  [1271] = {.lex_state = 13, .external_lex_state = 13},
  [1272] = {.lex_state = 13, .external_lex_state = 13},
  [1273] = {.lex_state = 13, .external_lex_state = 10},
  [1274] = {.lex_state = 13, .external_lex_state = 13},
  [1275] = {.lex_state = 13, .external_lex_state = 10},
  [1276] = {.lex_state = 13, .external_lex_state = 10},
  [1277] = {.lex_state = 13, .external_lex_state = 12},
  [1278] = {.lex_state = 13, .external_lex_state = 12},
  [1279] = {.lex_state = 13, .external_lex_state = 12},
  [1280] = {.lex_state = 13, .external_lex_state = 12},
  [1281] = {.lex_state = 13, .external_lex_state = 12},
  [1282] = {.lex_state = 13, .external_lex_state = 12},
  [1283] = {.lex_state = 13, .external_lex_state = 12},
  [1284] = {.lex_state = 13, .external_lex_state = 12},
  [1285] = {.lex_state = 13, .external_lex_state = 13},
  [1286] = {.lex_state = 13, .external_lex_state = 12},
  [1287] = {.lex_state = 13, .external_lex_state = 13},
  [1288] = {.lex_state = 13, .external_lex_state = 12},
  [1289] = {.lex_state = 13, .external_lex_state = 13},
  [1290] = {.lex_state = 13, .external_lex_state = 13},
  [1291] = {.lex_state = 13, .external_lex_state = 10},
  [1292] = {.lex_state = 13, .external_lex_state = 13},
  [1293] = {.lex_state = 13, .external_lex_state = 12},
  [1294] = {.lex_state = 13, .external_lex_state = 12},
  [1295] = {.lex_state = 13, .external_lex_state = 12},
  [1296] = {.lex_state = 13, .external_lex_state = 12},
  [1297] = {.lex_state = 13, .external_lex_state = 13},
  [1298] = {.lex_state = 13, .external_lex_state = 13},
  [1299] = {.lex_state = 13, .external_lex_state = 13},
  [1300] = {.lex_state = 13, .external_lex_state = 13},
  [1301] = {.lex_state = 13, .external_lex_state = 12},
  [1302] = {.lex_state = 13, .external_lex_state = 13},
  [1303] = {.lex_state = 12, .external_lex_state = 13},
  [1304] = {.lex_state = 13, .external_lex_state = 12},
  [1305] = {.lex_state = 13, .external_lex_state = 12},
  [1306] = {.lex_state = 13, .external_lex_state = 12},
  [1307] = {.lex_state = 13, .external_lex_state = 12},
  [1308] = {.lex_state = 13, .external_lex_state = 12},
  [1309] = {.lex_state = 13, .external_lex_state = 13},
  [1310] = {.lex_state = 13, .external_lex_state = 12},
  [1311] = {.lex_state = 13, .external_lex_state = 13},
  [1312] = {.lex_state = 13, .external_lex_state = 12},
  [1313] = {.lex_state = 13, .external_lex_state = 13},
  [1314] = {.lex_state = 13, .external_lex_state = 10},
  [1315] = {.lex_state = 13, .external_lex_state = 12},
  [1316] = {.lex_state = 13, .external_lex_state = 13},
  [1317] = {.lex_state = 13, .external_lex_state = 13},
  [1318] = {.lex_state = 13, .external_lex_state = 13},
  [1319] = {.lex_state = 13, .external_lex_state = 13},
  [1320] = {.lex_state = 13, .external_lex_state = 12},
  [1321] = {.lex_state = 13, .external_lex_state = 13},
  [1322] = {.lex_state = 13, .external_lex_state = 13},
  [1323] = {.lex_state = 13, .external_lex_state = 12},
  [1324] = {.lex_state = 13, .external_lex_state = 12},
  [1325] = {.lex_state = 13, .external_lex_state = 12},
  [1326] = {.lex_state = 13, .external_lex_state = 13},
  [1327] = {.lex_state = 13, .external_lex_state = 13},
  [1328] = {.lex_state = 13, .external_lex_state = 12},
  [1329] = {.lex_state = 13, .external_lex_state = 12},
  [1330] = {.lex_state = 13, .external_lex_state = 13},
  [1331] = {.lex_state = 13, .external_lex_state = 12},
  [1332] = {.lex_state = 13, .external_lex_state = 12},
  [1333] = {.lex_state = 13, .external_lex_state = 13},
  [1334] = {.lex_state = 13, .external_lex_state = 13},
  [1335] = {.lex_state = 13, .external_lex_state = 13},
  [1336] = {.lex_state = 13, .external_lex_state = 13},
  [1337] = {.lex_state = 13, .external_lex_state = 13},
  [1338] = {.lex_state = 13, .external_lex_state = 13},
  [1339] = {.lex_state = 13, .external_lex_state = 13},
  [1340] = {.lex_state = 13, .external_lex_state = 13},
  [1341] = {.lex_state = 13, .external_lex_state = 12},
  [1342] = {.lex_state = 13, .external_lex_state = 13},
  [1343] = {.lex_state = 13, .external_lex_state = 12},
  [1344] = {.lex_state = 11, .external_lex_state = 11},
  [1345] = {.lex_state = 11, .external_lex_state = 11},
  [1346] = {.lex_state = 48, .external_lex_state = 9},
  [1347] = {.lex_state = 11, .external_lex_state = 11},
  [1348] = {.lex_state = 48, .external_lex_state = 9},
  [1349] = {.lex_state = 11, .external_lex_state = 11},
  [1350] = {.lex_state = 48, .external_lex_state = 12},
  [1351] = {.lex_state = 11, .external_lex_state = 10},
  [1352] = {.lex_state = 11, .external_lex_state = 10},
  [1353] = {.lex_state = 13, .external_lex_state = 13},
  [1354] = {.lex_state = 48, .external_lex_state = 13},
  [1355] = {.lex_state = 13, .external_lex_state = 13},
  [1356] = {.lex_state = 48, .external_lex_state = 13},
  [1357] = {.lex_state = 13, .external_lex_state = 9},
  [1358] = {.lex_state = 13, .external_lex_state = 13},
  [1359] = {.lex_state = 48, .external_lex_state = 12},
  [1360] = {.lex_state = 13, .external_lex_state = 13},
  [1361] = {.lex_state = 11, .external_lex_state = 12},
  [1362] = {.lex_state = 13, .external_lex_state = 12},
  [1363] = {.lex_state = 48, .external_lex_state = 13},
  [1364] = {.lex_state = 13, .external_lex_state = 13},
  [1365] = {.lex_state = 11, .external_lex_state = 12},
  [1366] = {.lex_state = 13, .external_lex_state = 12},
  [1367] = {.lex_state = 13, .external_lex_state = 12},
  [1368] = {.lex_state = 13, .external_lex_state = 10},
  [1369] = {.lex_state = 11, .external_lex_state = 10},
  [1370] = {.lex_state = 13, .external_lex_state = 12},
  [1371] = {.lex_state = 11, .external_lex_state = 10},
  [1372] = {.lex_state = 13, .external_lex_state = 13},
  [1373] = {.lex_state = 13, .external_lex_state = 10},
  [1374] = {.lex_state = 13, .external_lex_state = 13},
  [1375] = {.lex_state = 13, .external_lex_state = 13},
  [1376] = {.lex_state = 13, .external_lex_state = 10},
  [1377] = {.lex_state = 48, .external_lex_state = 13},
  [1378] = {.lex_state = 13, .external_lex_state = 13},
  [1379] = {.lex_state = 13, .external_lex_state = 12},
  [1380] = {.lex_state = 13, .external_lex_state = 10},
  [1381] = {.lex_state = 13, .external_lex_state = 10},
  [1382] = {.lex_state = 13, .external_lex_state = 12},
  [1383] = {.lex_state = 13, .external_lex_state = 12},
  [1384] = {.lex_state = 11, .external_lex_state = 10},
  [1385] = {.lex_state = 11, .external_lex_state = 10},
  [1386] = {.lex_state = 11, .external_lex_state = 10},
  [1387] = {.lex_state = 11, .external_lex_state = 10},
  [1388] = {.lex_state = 11, .external_lex_state = 10},
  [1389] = {.lex_state = 11, .external_lex_state = 10},
  [1390] = {.lex_state = 11, .external_lex_state = 10},
  [1391] = {.lex_state = 11, .external_lex_state = 10},
  [1392] = {.lex_state = 11, .external_lex_state = 10},
  [1393] = {.lex_state = 11, .external_lex_state = 10},
  [1394] = {.lex_state = 11, .external_lex_state = 10},
  [1395] = {.lex_state = 11, .external_lex_state = 10},
  [1396] = {.lex_state = 11, .external_lex_state = 10},
  [1397] = {.lex_state = 11, .external_lex_state = 10},
  [1398] = {.lex_state = 11, .external_lex_state = 10},
  [1399] = {.lex_state = 11, .external_lex_state = 10},
  [1400] = {.lex_state = 48, .external_lex_state = 13},
  [1401] = {.lex_state = 11, .external_lex_state = 10},
  [1402] = {.lex_state = 11, .external_lex_state = 10},
  [1403] = {.lex_state = 11, .external_lex_state = 10},
  [1404] = {.lex_state = 48, .external_lex_state = 13},
  [1405] = {.lex_state = 48, .external_lex_state = 13},
  [1406] = {.lex_state = 48, .external_lex_state = 10},
  [1407] = {.lex_state = 48, .external_lex_state = 10},
  [1408] = {.lex_state = 11, .external_lex_state = 11},
  [1409] = {.lex_state = 11, .external_lex_state = 11},
  [1410] = {.lex_state = 11, .external_lex_state = 11},
  [1411] = {.lex_state = 11, .external_lex_state = 11},
  [1412] = {.lex_state = 11, .external_lex_state = 11},
  [1413] = {.lex_state = 11, .external_lex_state = 11},
  [1414] = {.lex_state = 11, .external_lex_state = 11},
  [1415] = {.lex_state = 11, .external_lex_state = 11},
  [1416] = {.lex_state = 48, .external_lex_state = 12},
  [1417] = {.lex_state = 48, .external_lex_state = 13},
  [1418] = {.lex_state = 48, .external_lex_state = 13},
  [1419] = {.lex_state = 48, .external_lex_state = 12},
  [1420] = {.lex_state = 48, .external_lex_state = 12},
  [1421] = {.lex_state = 48, .external_lex_state = 13},
  [1422] = {.lex_state = 48, .external_lex_state = 13},
  [1423] = {.lex_state = 48, .external_lex_state = 12},
  [1424] = {.lex_state = 48, .external_lex_state = 13},
  [1425] = {.lex_state = 48, .external_lex_state = 13},
  [1426] = {.lex_state = 48, .external_lex_state = 13},
  [1427] = {.lex_state = 48, .external_lex_state = 12},
  [1428] = {.lex_state = 48, .external_lex_state = 13},
  [1429] = {.lex_state = 48, .external_lex_state = 12},
  [1430] = {.lex_state = 48, .external_lex_state = 13},
  [1431] = {.lex_state = 48, .external_lex_state = 13},
  [1432] = {.lex_state = 48, .external_lex_state = 13},
  [1433] = {.lex_state = 48, .external_lex_state = 13},
  [1434] = {.lex_state = 48, .external_lex_state = 12},
  [1435] = {.lex_state = 48, .external_lex_state = 13},
  [1436] = {.lex_state = 48, .external_lex_state = 13},
  [1437] = {.lex_state = 48, .external_lex_state = 13},
  [1438] = {.lex_state = 48, .external_lex_state = 13},
  [1439] = {.lex_state = 48, .external_lex_state = 13},
  [1440] = {.lex_state = 48, .external_lex_state = 12},
  [1441] = {.lex_state = 15, .external_lex_state = 14},
  [1442] = {.lex_state = 15, .external_lex_state = 14},
  [1443] = {.lex_state = 15, .external_lex_state = 14},
  [1444] = {.lex_state = 15, .external_lex_state = 14},
  [1445] = {.lex_state = 15, .external_lex_state = 14},
  [1446] = {.lex_state = 15, .external_lex_state = 14},
  [1447] = {.lex_state = 15, .external_lex_state = 14},
  [1448] = {.lex_state = 15, .external_lex_state = 14},
  [1449] = {.lex_state = 11, .external_lex_state = 11},
  [1450] = {.lex_state = 15, .external_lex_state = 14},
  [1451] = {.lex_state = 15, .external_lex_state = 14},
  [1452] = {.lex_state = 15, .external_lex_state = 14},
  [1453] = {.lex_state = 15, .external_lex_state = 14},
  [1454] = {.lex_state = 15, .external_lex_state = 14},
  [1455] = {.lex_state = 15, .external_lex_state = 14},
  [1456] = {.lex_state = 15, .external_lex_state = 14},
  [1457] = {.lex_state = 15, .external_lex_state = 14},
  [1458] = {.lex_state = 15, .external_lex_state = 14},
  [1459] = {.lex_state = 15, .external_lex_state = 14},
  [1460] = {.lex_state = 15, .external_lex_state = 14},
  [1461] = {.lex_state = 11, .external_lex_state = 11},
  [1462] = {.lex_state = 11, .external_lex_state = 11},
  [1463] = {.lex_state = 11, .external_lex_state = 11},
  [1464] = {.lex_state = 11, .external_lex_state = 11},
  [1465] = {.lex_state = 48, .external_lex_state = 9},
  [1466] = {.lex_state = 11, .external_lex_state = 11},
  [1467] = {.lex_state = 11, .external_lex_state = 11},
  [1468] = {.lex_state = 48, .external_lex_state = 9},
  [1469] = {.lex_state = 11, .external_lex_state = 11},
  [1470] = {.lex_state = 11, .external_lex_state = 11},
  [1471] = {.lex_state = 48, .external_lex_state = 9},
  [1472] = {.lex_state = 48, .external_lex_state = 9},
  [1473] = {.lex_state = 11, .external_lex_state = 11},
  [1474] = {.lex_state = 48, .external_lex_state = 9},
  [1475] = {.lex_state = 11, .external_lex_state = 11},
  [1476] = {.lex_state = 48, .external_lex_state = 9},
  [1477] = {.lex_state = 11, .external_lex_state = 11},
  [1478] = {.lex_state = 48, .external_lex_state = 9},
  [1479] = {.lex_state = 48, .external_lex_state = 9},
  [1480] = {.lex_state = 11, .external_lex_state = 11},
  [1481] = {.lex_state = 11, .external_lex_state = 11},
  [1482] = {.lex_state = 11, .external_lex_state = 11},
  [1483] = {.lex_state = 48, .external_lex_state = 9},
  [1484] = {.lex_state = 48, .external_lex_state = 9},
  [1485] = {.lex_state = 48, .external_lex_state = 9},
  [1486] = {.lex_state = 11, .external_lex_state = 11},
  [1487] = {.lex_state = 11, .external_lex_state = 11},
  [1488] = {.lex_state = 11, .external_lex_state = 11},
  [1489] = {.lex_state = 11, .external_lex_state = 11},
  [1490] = {.lex_state = 11, .external_lex_state = 11},
  [1491] = {.lex_state = 11, .external_lex_state = 11},
  [1492] = {.lex_state = 11, .external_lex_state = 11},
  [1493] = {.lex_state = 11, .external_lex_state = 11},
  [1494] = {.lex_state = 11, .external_lex_state = 11},
  [1495] = {.lex_state = 0, .external_lex_state = 10},
  [1496] = {.lex_state = 48, .external_lex_state = 10},
  [1497] = {.lex_state = 48, .external_lex_state = 9},
  [1498] = {.lex_state = 11, .external_lex_state = 10},
  [1499] = {.lex_state = 11, .external_lex_state = 10},
  [1500] = {.lex_state = 11, .external_lex_state = 10},
  [1501] = {.lex_state = 11, .external_lex_state = 10},
  [1502] = {.lex_state = 48, .external_lex_state = 12},
  [1503] = {.lex_state = 48, .external_lex_state = 12},
  [1504] = {.lex_state = 48, .external_lex_state = 13},
  [1505] = {.lex_state = 48, .external_lex_state = 13},
  [1506] = {.lex_state = 48, .external_lex_state = 9},
  [1507] = {.lex_state = 48, .external_lex_state = 13},
  [1508] = {.lex_state = 11, .external_lex_state = 10},
  [1509] = {.lex_state = 48, .external_lex_state = 9},
  [1510] = {.lex_state = 48, .external_lex_state = 13},
  [1511] = {.lex_state = 11, .external_lex_state = 12},
  [1512] = {.lex_state = 48, .external_lex_state = 11},
  [1513] = {.lex_state = 48, .external_lex_state = 13},
  [1514] = {.lex_state = 48, .external_lex_state = 12},
  [1515] = {.lex_state = 11, .external_lex_state = 12},
  [1516] = {.lex_state = 48, .external_lex_state = 12},
  [1517] = {.lex_state = 48, .external_lex_state = 13},
  [1518] = {.lex_state = 48, .external_lex_state = 12},
  [1519] = {.lex_state = 11, .external_lex_state = 10},
  [1520] = {.lex_state = 48, .external_lex_state = 13},
  [1521] = {.lex_state = 48, .external_lex_state = 13},
  [1522] = {.lex_state = 48, .external_lex_state = 12},
  [1523] = {.lex_state = 48, .external_lex_state = 9},
  [1524] = {.lex_state = 11, .external_lex_state = 12},
  [1525] = {.lex_state = 11, .external_lex_state = 10},
  [1526] = {.lex_state = 0, .external_lex_state = 10},
  [1527] = {.lex_state = 48, .external_lex_state = 13},
  [1528] = {.lex_state = 48, .external_lex_state = 12},
  [1529] = {.lex_state = 48, .external_lex_state = 9},
  [1530] = {.lex_state = 48, .external_lex_state = 9},
  [1531] = {.lex_state = 48, .external_lex_state = 12},
  [1532] = {.lex_state = 11, .external_lex_state = 10},
  [1533] = {.lex_state = 0, .external_lex_state = 10},
  [1534] = {.lex_state = 48, .external_lex_state = 12},
  [1535] = {.lex_state = 48, .external_lex_state = 12},
  [1536] = {.lex_state = 11, .external_lex_state = 12},
  [1537] = {.lex_state = 48, .external_lex_state = 13},
  [1538] = {.lex_state = 11, .external_lex_state = 12},
  [1539] = {.lex_state = 11, .external_lex_state = 10},
  [1540] = {.lex_state = 11, .external_lex_state = 10},
  [1541] = {.lex_state = 48, .external_lex_state = 12},
  [1542] = {.lex_state = 11, .external_lex_state = 10},
  [1543] = {.lex_state = 48, .external_lex_state = 10},
  [1544] = {.lex_state = 48, .external_lex_state = 9},
  [1545] = {.lex_state = 11, .external_lex_state = 12},
  [1546] = {.lex_state = 48, .external_lex_state = 11},
  [1547] = {.lex_state = 48, .external_lex_state = 12},
  [1548] = {.lex_state = 48, .external_lex_state = 9},
  [1549] = {.lex_state = 48, .external_lex_state = 13},
  [1550] = {.lex_state = 48, .external_lex_state = 13},
  [1551] = {.lex_state = 11, .external_lex_state = 10},
  [1552] = {.lex_state = 48, .external_lex_state = 11},
  [1553] = {.lex_state = 48, .external_lex_state = 11},
  [1554] = {.lex_state = 48, .external_lex_state = 9},
  [1555] = {.lex_state = 11, .external_lex_state = 12},
  [1556] = {.lex_state = 0, .external_lex_state = 10},
  [1557] = {.lex_state = 48, .external_lex_state = 12},
  [1558] = {.lex_state = 48, .external_lex_state = 13},
  [1559] = {.lex_state = 11, .external_lex_state = 12},
  [1560] = {.lex_state = 11, .external_lex_state = 12},
  [1561] = {.lex_state = 48, .external_lex_state = 13},
  [1562] = {.lex_state = 48, .external_lex_state = 12},
  [1563] = {.lex_state = 11, .external_lex_state = 12},
  [1564] = {.lex_state = 11, .external_lex_state = 10},
  [1565] = {.lex_state = 15, .external_lex_state = 14},
  [1566] = {.lex_state = 48, .external_lex_state = 10},
  [1567] = {.lex_state = 11, .external_lex_state = 12},
  [1568] = {.lex_state = 11, .external_lex_state = 12},
  [1569] = {.lex_state = 11, .external_lex_state = 12},
  [1570] = {.lex_state = 11, .external_lex_state = 12},
  [1571] = {.lex_state = 48, .external_lex_state = 11},
  [1572] = {.lex_state = 13, .external_lex_state = 10},
  [1573] = {.lex_state = 48, .external_lex_state = 9},
  [1574] = {.lex_state = 48, .external_lex_state = 13},
  [1575] = {.lex_state = 48, .external_lex_state = 13},
  [1576] = {.lex_state = 48, .external_lex_state = 12},
  [1577] = {.lex_state = 48, .external_lex_state = 9},
  [1578] = {.lex_state = 48, .external_lex_state = 13},
  [1579] = {.lex_state = 15, .external_lex_state = 14},
  [1580] = {.lex_state = 48, .external_lex_state = 11},
  [1581] = {.lex_state = 11, .external_lex_state = 10},
  [1582] = {.lex_state = 48, .external_lex_state = 11},
  [1583] = {.lex_state = 11, .external_lex_state = 12},
  [1584] = {.lex_state = 11, .external_lex_state = 10},
  [1585] = {.lex_state = 11, .external_lex_state = 12},
  [1586] = {.lex_state = 11, .external_lex_state = 12},
  [1587] = {.lex_state = 48, .external_lex_state = 13},
  [1588] = {.lex_state = 48, .external_lex_state = 12},
  [1589] = {.lex_state = 11, .external_lex_state = 10},
  [1590] = {.lex_state = 11, .external_lex_state = 10},
  [1591] = {.lex_state = 48, .external_lex_state = 13},
  [1592] = {.lex_state = 48, .external_lex_state = 13},
  [1593] = {.lex_state = 48, .external_lex_state = 13},
  [1594] = {.lex_state = 48, .external_lex_state = 12},
  [1595] = {.lex_state = 48, .external_lex_state = 11},
  [1596] = {.lex_state = 11, .external_lex_state = 12},
  [1597] = {.lex_state = 48, .external_lex_state = 13},
  [1598] = {.lex_state = 48, .external_lex_state = 11},
  [1599] = {.lex_state = 48, .external_lex_state = 11},
  [1600] = {.lex_state = 48, .external_lex_state = 11},
  [1601] = {.lex_state = 11, .external_lex_state = 12},
  [1602] = {.lex_state = 48, .external_lex_state = 11},
  [1603] = {.lex_state = 48, .external_lex_state = 12},
  [1604] = {.lex_state = 48, .external_lex_state = 13},
  [1605] = {.lex_state = 48, .external_lex_state = 13},
  [1606] = {.lex_state = 11, .external_lex_state = 12},
  [1607] = {.lex_state = 48, .external_lex_state = 13},
  [1608] = {.lex_state = 15, .external_lex_state = 14},
  [1609] = {.lex_state = 48, .external_lex_state = 11},
  [1610] = {.lex_state = 48, .external_lex_state = 13},
  [1611] = {.lex_state = 15, .external_lex_state = 14},
  [1612] = {.lex_state = 11, .external_lex_state = 10},
  [1613] = {.lex_state = 48, .external_lex_state = 11},
  [1614] = {.lex_state = 48, .external_lex_state = 13},
  [1615] = {.lex_state = 48, .external_lex_state = 13},
  [1616] = {.lex_state = 48, .external_lex_state = 9},
  [1617] = {.lex_state = 48, .external_lex_state = 11},
  [1618] = {.lex_state = 48, .external_lex_state = 11},
  [1619] = {.lex_state = 48, .external_lex_state = 13},
  [1620] = {.lex_state = 11, .external_lex_state = 12},
  [1621] = {.lex_state = 48, .external_lex_state = 13},
  [1622] = {.lex_state = 11, .external_lex_state = 10},
  [1623] = {.lex_state = 11, .external_lex_state = 10},
  [1624] = {.lex_state = 48, .external_lex_state = 9},
  [1625] = {.lex_state = 48, .external_lex_state = 12},
  [1626] = {.lex_state = 48, .external_lex_state = 12},
  [1627] = {.lex_state = 11, .external_lex_state = 10},
  [1628] = {.lex_state = 48, .external_lex_state = 13},
  [1629] = {.lex_state = 48, .external_lex_state = 12},
  [1630] = {.lex_state = 11, .external_lex_state = 10},
  [1631] = {.lex_state = 48, .external_lex_state = 13},
  [1632] = {.lex_state = 48, .external_lex_state = 13},
  [1633] = {.lex_state = 48, .external_lex_state = 13},
  [1634] = {.lex_state = 11, .external_lex_state = 11},
  [1635] = {.lex_state = 48, .external_lex_state = 11},
  [1636] = {.lex_state = 48, .external_lex_state = 12},
  [1637] = {.lex_state = 48, .external_lex_state = 12},
  [1638] = {.lex_state = 48, .external_lex_state = 11},
  [1639] = {.lex_state = 48, .external_lex_state = 13},
  [1640] = {.lex_state = 48, .external_lex_state = 13},
  [1641] = {.lex_state = 11, .external_lex_state = 11},
  [1642] = {.lex_state = 48, .external_lex_state = 12},
  [1643] = {.lex_state = 11, .external_lex_state = 10},
  [1644] = {.lex_state = 48, .external_lex_state = 13},
  [1645] = {.lex_state = 48, .external_lex_state = 11},
  [1646] = {.lex_state = 48, .external_lex_state = 12},
  [1647] = {.lex_state = 48, .external_lex_state = 9},
  [1648] = {.lex_state = 48, .external_lex_state = 13},
  [1649] = {.lex_state = 13, .external_lex_state = 9},
  [1650] = {.lex_state = 48, .external_lex_state = 13},
  [1651] = {.lex_state = 48, .external_lex_state = 13},
  [1652] = {.lex_state = 48, .external_lex_state = 12},
  [1653] = {.lex_state = 48, .external_lex_state = 13},
  [1654] = {.lex_state = 48, .external_lex_state = 12},
  [1655] = {.lex_state = 11, .external_lex_state = 10},
  [1656] = {.lex_state = 48, .external_lex_state = 12},
  [1657] = {.lex_state = 48, .external_lex_state = 11},
  [1658] = {.lex_state = 11, .external_lex_state = 10},
  [1659] = {.lex_state = 48, .external_lex_state = 10},
  [1660] = {.lex_state = 48, .external_lex_state = 11},
  [1661] = {.lex_state = 11, .external_lex_state = 10},
  [1662] = {.lex_state = 48, .external_lex_state = 11},
  [1663] = {.lex_state = 48, .external_lex_state = 13},
  [1664] = {.lex_state = 13, .external_lex_state = 9},
  [1665] = {.lex_state = 48, .external_lex_state = 12},
  [1666] = {.lex_state = 48, .external_lex_state = 12},
  [1667] = {.lex_state = 11, .external_lex_state = 10},
  [1668] = {.lex_state = 48, .external_lex_state = 11},
  [1669] = {.lex_state = 48, .external_lex_state = 9},
  [1670] = {.lex_state = 11, .external_lex_state = 10},
  [1671] = {.lex_state = 11, .external_lex_state = 10},
  [1672] = {.lex_state = 13, .external_lex_state = 9},
  [1673] = {.lex_state = 48, .external_lex_state = 11},
  [1674] = {.lex_state = 48, .external_lex_state = 11},
  [1675] = {.lex_state = 48, .external_lex_state = 13},
  [1676] = {.lex_state = 48, .external_lex_state = 13},
  [1677] = {.lex_state = 48, .external_lex_state = 13},
  [1678] = {.lex_state = 48, .external_lex_state = 13},
  [1679] = {.lex_state = 11, .external_lex_state = 10},
  [1680] = {.lex_state = 11, .external_lex_state = 10},
  [1681] = {.lex_state = 11, .external_lex_state = 11},
  [1682] = {.lex_state = 11, .external_lex_state = 10},
  [1683] = {.lex_state = 48, .external_lex_state = 10},
  [1684] = {.lex_state = 11, .external_lex_state = 11},
  [1685] = {.lex_state = 11, .external_lex_state = 10},
  [1686] = {.lex_state = 48, .external_lex_state = 10},
  [1687] = {.lex_state = 48, .external_lex_state = 10},
  [1688] = {.lex_state = 48, .external_lex_state = 10},
  [1689] = {.lex_state = 48, .external_lex_state = 9},
  [1690] = {.lex_state = 48, .external_lex_state = 13},
  [1691] = {.lex_state = 11, .external_lex_state = 10},
  [1692] = {.lex_state = 13, .external_lex_state = 13},
  [1693] = {.lex_state = 11, .external_lex_state = 10},
  [1694] = {.lex_state = 48, .external_lex_state = 10},
  [1695] = {.lex_state = 11, .external_lex_state = 10},
  [1696] = {.lex_state = 11, .external_lex_state = 10},
  [1697] = {.lex_state = 48, .external_lex_state = 13},
  [1698] = {.lex_state = 48, .external_lex_state = 13},
  [1699] = {.lex_state = 13, .external_lex_state = 13},
  [1700] = {.lex_state = 11, .external_lex_state = 10},
  [1701] = {.lex_state = 48, .external_lex_state = 9},
  [1702] = {.lex_state = 6, .external_lex_state = 11},
  [1703] = {.lex_state = 11, .external_lex_state = 10},
  [1704] = {.lex_state = 48, .external_lex_state = 9},
  [1705] = {.lex_state = 11, .external_lex_state = 10},
  [1706] = {.lex_state = 48, .external_lex_state = 11},
  [1707] = {.lex_state = 11, .external_lex_state = 10},
  [1708] = {.lex_state = 13, .external_lex_state = 9},
  [1709] = {.lex_state = 48, .external_lex_state = 10},
  [1710] = {.lex_state = 48, .external_lex_state = 10},
  [1711] = {.lex_state = 11, .external_lex_state = 10},
  [1712] = {.lex_state = 48, .external_lex_state = 9},
  [1713] = {.lex_state = 6, .external_lex_state = 11},
  [1714] = {.lex_state = 48, .external_lex_state = 12},
  [1715] = {.lex_state = 11, .external_lex_state = 10},
  [1716] = {.lex_state = 48, .external_lex_state = 11},
  [1717] = {.lex_state = 11, .external_lex_state = 10},
  [1718] = {.lex_state = 13, .external_lex_state = 13},
  [1719] = {.lex_state = 11, .external_lex_state = 10},
  [1720] = {.lex_state = 48, .external_lex_state = 12},
  [1721] = {.lex_state = 48, .external_lex_state = 11},
  [1722] = {.lex_state = 48, .external_lex_state = 12},
  [1723] = {.lex_state = 48, .external_lex_state = 9},
  [1724] = {.lex_state = 48, .external_lex_state = 10},
  [1725] = {.lex_state = 48, .external_lex_state = 11},
  [1726] = {.lex_state = 48, .external_lex_state = 10},
  [1727] = {.lex_state = 6, .external_lex_state = 11},
  [1728] = {.lex_state = 11, .external_lex_state = 10},
  [1729] = {.lex_state = 11, .external_lex_state = 10},
  [1730] = {.lex_state = 48, .external_lex_state = 9},
  [1731] = {.lex_state = 11, .external_lex_state = 10},
  [1732] = {.lex_state = 0, .external_lex_state = 9},
  [1733] = {.lex_state = 0, .external_lex_state = 9},
  [1734] = {.lex_state = 0, .external_lex_state = 9},
  [1735] = {.lex_state = 0, .external_lex_state = 9},
  [1736] = {.lex_state = 0, .external_lex_state = 9},
  [1737] = {.lex_state = 48, .external_lex_state = 13},
  [1738] = {.lex_state = 0, .external_lex_state = 9},
  [1739] = {.lex_state = 0, .external_lex_state = 9},
  [1740] = {.lex_state = 48, .external_lex_state = 13},
  [1741] = {.lex_state = 0, .external_lex_state = 9},
  [1742] = {.lex_state = 13, .external_lex_state = 13},
  [1743] = {.lex_state = 11, .external_lex_state = 13},
  [1744] = {.lex_state = 11, .external_lex_state = 10},
  [1745] = {.lex_state = 11, .external_lex_state = 11},
  [1746] = {.lex_state = 48, .external_lex_state = 13},
  [1747] = {.lex_state = 48, .external_lex_state = 13},
  [1748] = {.lex_state = 48, .external_lex_state = 9},
  [1749] = {.lex_state = 13, .external_lex_state = 10},
  [1750] = {.lex_state = 0, .external_lex_state = 9},
  [1751] = {.lex_state = 48, .external_lex_state = 10},
  [1752] = {.lex_state = 48, .external_lex_state = 10},
  [1753] = {.lex_state = 0, .external_lex_state = 9},
  [1754] = {.lex_state = 13, .external_lex_state = 10},
  [1755] = {.lex_state = 48, .external_lex_state = 10},
  [1756] = {.lex_state = 0, .external_lex_state = 9},
  [1757] = {.lex_state = 0, .external_lex_state = 9},
  [1758] = {.lex_state = 48, .external_lex_state = 10},
  [1759] = {.lex_state = 0, .external_lex_state = 9},
  [1760] = {.lex_state = 0, .external_lex_state = 9},
  [1761] = {.lex_state = 0, .external_lex_state = 9},
  [1762] = {.lex_state = 0, .external_lex_state = 9},
  [1763] = {.lex_state = 0, .external_lex_state = 9},
  [1764] = {.lex_state = 0, .external_lex_state = 13},
  [1765] = {.lex_state = 0, .external_lex_state = 11},
  [1766] = {.lex_state = 0, .external_lex_state = 11},
  [1767] = {.lex_state = 11, .external_lex_state = 10},
  [1768] = {.lex_state = 0, .external_lex_state = 10},
  [1769] = {.lex_state = 48, .external_lex_state = 10},
  [1770] = {.lex_state = 48, .external_lex_state = 10},
  [1771] = {.lex_state = 0, .external_lex_state = 13},
  [1772] = {.lex_state = 48, .external_lex_state = 10},
  [1773] = {.lex_state = 0, .external_lex_state = 11},
  [1774] = {.lex_state = 0, .external_lex_state = 9},
  [1775] = {.lex_state = 0, .external_lex_state = 9},
  [1776] = {.lex_state = 11, .external_lex_state = 13},
  [1777] = {.lex_state = 0, .external_lex_state = 13},
  [1778] = {.lex_state = 0, .external_lex_state = 13},
  [1779] = {.lex_state = 0, .external_lex_state = 13},
  [1780] = {.lex_state = 11, .external_lex_state = 10},
  [1781] = {.lex_state = 0, .external_lex_state = 12},
  [1782] = {.lex_state = 0, .external_lex_state = 13},
  [1783] = {.lex_state = 13, .external_lex_state = 10},
  [1784] = {.lex_state = 0, .external_lex_state = 13},
  [1785] = {.lex_state = 0, .external_lex_state = 13},
  [1786] = {.lex_state = 0, .external_lex_state = 11},
  [1787] = {.lex_state = 0, .external_lex_state = 13},
  [1788] = {.lex_state = 0, .external_lex_state = 11},
  [1789] = {.lex_state = 0, .external_lex_state = 9},
  [1790] = {.lex_state = 0, .external_lex_state = 12},
  [1791] = {.lex_state = 0, .external_lex_state = 12},
  [1792] = {.lex_state = 0, .external_lex_state = 13},
  [1793] = {.lex_state = 48, .external_lex_state = 10},
  [1794] = {.lex_state = 0, .external_lex_state = 13},
  [1795] = {.lex_state = 0, .external_lex_state = 13},
  [1796] = {.lex_state = 48, .external_lex_state = 10},
  [1797] = {.lex_state = 13, .external_lex_state = 10},
  [1798] = {.lex_state = 48, .external_lex_state = 9},
  [1799] = {.lex_state = 0, .external_lex_state = 11},
  [1800] = {.lex_state = 0, .external_lex_state = 12},
  [1801] = {.lex_state = 48, .external_lex_state = 10},
  [1802] = {.lex_state = 48, .external_lex_state = 10},
  [1803] = {.lex_state = 48, .external_lex_state = 9},
  [1804] = {.lex_state = 0, .external_lex_state = 13},
  [1805] = {.lex_state = 0, .external_lex_state = 13},
  [1806] = {.lex_state = 0, .external_lex_state = 13},
  [1807] = {.lex_state = 0, .external_lex_state = 12},
  [1808] = {.lex_state = 0, .external_lex_state = 12},
  [1809] = {.lex_state = 0, .external_lex_state = 9},
  [1810] = {.lex_state = 0, .external_lex_state = 9},
  [1811] = {.lex_state = 11, .external_lex_state = 10},
  [1812] = {.lex_state = 0, .external_lex_state = 12},
  [1813] = {.lex_state = 0, .external_lex_state = 13},
  [1814] = {.lex_state = 0, .external_lex_state = 13},
  [1815] = {.lex_state = 0, .external_lex_state = 13},
  [1816] = {.lex_state = 48, .external_lex_state = 10},
  [1817] = {.lex_state = 0, .external_lex_state = 12},
  [1818] = {.lex_state = 0, .external_lex_state = 12},
  [1819] = {.lex_state = 48, .external_lex_state = 10},
  [1820] = {.lex_state = 11, .external_lex_state = 10},
  [1821] = {.lex_state = 0, .external_lex_state = 13},
  [1822] = {.lex_state = 0, .external_lex_state = 12},
  [1823] = {.lex_state = 11, .external_lex_state = 11},
  [1824] = {.lex_state = 11, .external_lex_state = 10},
  [1825] = {.lex_state = 0, .external_lex_state = 13},
  [1826] = {.lex_state = 6, .external_lex_state = 11},
  [1827] = {.lex_state = 0, .external_lex_state = 13},
  [1828] = {.lex_state = 0, .external_lex_state = 9},
  [1829] = {.lex_state = 0, .external_lex_state = 13},
  [1830] = {.lex_state = 0, .external_lex_state = 9},
  [1831] = {.lex_state = 11, .external_lex_state = 10},
  [1832] = {.lex_state = 0, .external_lex_state = 10},
  [1833] = {.lex_state = 0, .external_lex_state = 13},
  [1834] = {.lex_state = 0, .external_lex_state = 13},
  [1835] = {.lex_state = 0, .external_lex_state = 13},
  [1836] = {.lex_state = 0, .external_lex_state = 13},
  [1837] = {.lex_state = 0, .external_lex_state = 12},
  [1838] = {.lex_state = 0, .external_lex_state = 9},
  [1839] = {.lex_state = 0, .external_lex_state = 12},
  [1840] = {.lex_state = 0, .external_lex_state = 12},
  [1841] = {.lex_state = 11, .external_lex_state = 10},
  [1842] = {.lex_state = 0, .external_lex_state = 13},
  [1843] = {.lex_state = 0, .external_lex_state = 13},
  [1844] = {.lex_state = 0, .external_lex_state = 13},
  [1845] = {.lex_state = 0, .external_lex_state = 12},
  [1846] = {.lex_state = 0, .external_lex_state = 12},
  [1847] = {.lex_state = 0, .external_lex_state = 13},
  [1848] = {.lex_state = 0, .external_lex_state = 13},
  [1849] = {.lex_state = 0, .external_lex_state = 13},
  [1850] = {.lex_state = 0, .external_lex_state = 11},
  [1851] = {.lex_state = 0, .external_lex_state = 12},
  [1852] = {.lex_state = 0, .external_lex_state = 12},
  [1853] = {.lex_state = 0, .external_lex_state = 13},
  [1854] = {.lex_state = 0, .external_lex_state = 9},
  [1855] = {.lex_state = 11, .external_lex_state = 10},
  [1856] = {.lex_state = 0, .external_lex_state = 13},
  [1857] = {.lex_state = 0, .external_lex_state = 13},
  [1858] = {.lex_state = 0, .external_lex_state = 11},
  [1859] = {.lex_state = 0, .external_lex_state = 11},
  [1860] = {.lex_state = 48, .external_lex_state = 10},
  [1861] = {.lex_state = 0, .external_lex_state = 11},
  [1862] = {.lex_state = 0, .external_lex_state = 13},
  [1863] = {.lex_state = 0, .external_lex_state = 10},
  [1864] = {.lex_state = 0, .external_lex_state = 13},
  [1865] = {.lex_state = 0, .external_lex_state = 11},
  [1866] = {.lex_state = 0, .external_lex_state = 10},
  [1867] = {.lex_state = 0, .external_lex_state = 13},
  [1868] = {.lex_state = 0, .external_lex_state = 13},
  [1869] = {.lex_state = 0, .external_lex_state = 12},
  [1870] = {.lex_state = 0, .external_lex_state = 13},
  [1871] = {.lex_state = 0, .external_lex_state = 12},
  [1872] = {.lex_state = 0, .external_lex_state = 13},
  [1873] = {.lex_state = 48, .external_lex_state = 10},
  [1874] = {.lex_state = 0, .external_lex_state = 12},
  [1875] = {.lex_state = 0, .external_lex_state = 12},
  [1876] = {.lex_state = 0, .external_lex_state = 13},
  [1877] = {.lex_state = 48, .external_lex_state = 9},
  [1878] = {.lex_state = 0, .external_lex_state = 13},
  [1879] = {.lex_state = 0, .external_lex_state = 13},
  [1880] = {.lex_state = 0, .external_lex_state = 12},
  [1881] = {.lex_state = 0, .external_lex_state = 12},
  [1882] = {.lex_state = 48, .external_lex_state = 10},
  [1883] = {.lex_state = 0, .external_lex_state = 13},
  [1884] = {.lex_state = 0, .external_lex_state = 11},
  [1885] = {.lex_state = 13, .external_lex_state = 10},
  [1886] = {.lex_state = 0, .external_lex_state = 10},
  [1887] = {.lex_state = 0, .external_lex_state = 12},
  [1888] = {.lex_state = 48, .external_lex_state = 13},
  [1889] = {.lex_state = 0, .external_lex_state = 13},
  [1890] = {.lex_state = 0, .external_lex_state = 13},
  [1891] = {.lex_state = 11, .external_lex_state = 10},
  [1892] = {.lex_state = 0, .external_lex_state = 9},
  [1893] = {.lex_state = 0, .external_lex_state = 13},
  [1894] = {.lex_state = 0, .external_lex_state = 13},
  [1895] = {.lex_state = 11, .external_lex_state = 10},
  [1896] = {.lex_state = 0, .external_lex_state = 13},
  [1897] = {.lex_state = 48, .external_lex_state = 10},
  [1898] = {.lex_state = 0, .external_lex_state = 11},
  [1899] = {.lex_state = 0, .external_lex_state = 9},
  [1900] = {.lex_state = 0, .external_lex_state = 11},
  [1901] = {.lex_state = 11, .external_lex_state = 10},
  [1902] = {.lex_state = 0, .external_lex_state = 13},
  [1903] = {.lex_state = 11, .external_lex_state = 11},
  [1904] = {.lex_state = 0, .external_lex_state = 11},
  [1905] = {.lex_state = 0, .external_lex_state = 13},
  [1906] = {.lex_state = 0, .external_lex_state = 9},
  [1907] = {.lex_state = 0, .external_lex_state = 13},
  [1908] = {.lex_state = 0, .external_lex_state = 9},
  [1909] = {.lex_state = 0, .external_lex_state = 12},
  [1910] = {.lex_state = 0, .external_lex_state = 12},
  [1911] = {.lex_state = 0, .external_lex_state = 13},
  [1912] = {.lex_state = 0, .external_lex_state = 13},
  [1913] = {.lex_state = 48, .external_lex_state = 9},
  [1914] = {.lex_state = 11, .external_lex_state = 10},
  [1915] = {.lex_state = 0, .external_lex_state = 11},
  [1916] = {.lex_state = 0, .external_lex_state = 12},
  [1917] = {.lex_state = 0, .external_lex_state = 12},
  [1918] = {.lex_state = 0, .external_lex_state = 13},
  [1919] = {.lex_state = 0, .external_lex_state = 13},
  [1920] = {.lex_state = 0, .external_lex_state = 13},
  [1921] = {.lex_state = 0, .external_lex_state = 13},
  [1922] = {.lex_state = 0, .external_lex_state = 13},
  [1923] = {.lex_state = 0, .external_lex_state = 9},
  [1924] = {.lex_state = 0, .external_lex_state = 12},
  [1925] = {.lex_state = 0, .external_lex_state = 12},
  [1926] = {.lex_state = 0, .external_lex_state = 9},
  [1927] = {.lex_state = 0, .external_lex_state = 13},
  [1928] = {.lex_state = 0, .external_lex_state = 9},
  [1929] = {.lex_state = 0, .external_lex_state = 13},
  [1930] = {.lex_state = 0, .external_lex_state = 11},
  [1931] = {.lex_state = 0, .external_lex_state = 13},
  [1932] = {.lex_state = 0, .external_lex_state = 13},
  [1933] = {.lex_state = 0, .external_lex_state = 12},
  [1934] = {.lex_state = 0, .external_lex_state = 12},
  [1935] = {.lex_state = 0, .external_lex_state = 13},
  [1936] = {.lex_state = 0, .external_lex_state = 11},
  [1937] = {.lex_state = 0, .external_lex_state = 11},
  [1938] = {.lex_state = 11, .external_lex_state = 10},
  [1939] = {.lex_state = 11, .external_lex_state = 10},
  [1940] = {.lex_state = 0, .external_lex_state = 9},
  [1941] = {.lex_state = 11, .external_lex_state = 10},
  [1942] = {.lex_state = 0, .external_lex_state = 11},
  [1943] = {.lex_state = 0, .external_lex_state = 13},
  [1944] = {.lex_state = 11, .external_lex_state = 10},
  [1945] = {.lex_state = 0, .external_lex_state = 9},
  [1946] = {.lex_state = 0, .external_lex_state = 12},
  [1947] = {.lex_state = 14, .external_lex_state = 10},
  [1948] = {.lex_state = 0, .external_lex_state = 13},
  [1949] = {.lex_state = 11, .external_lex_state = 10},
  [1950] = {.lex_state = 0, .external_lex_state = 12},
  [1951] = {.lex_state = 0, .external_lex_state = 9},
  [1952] = {.lex_state = 11, .external_lex_state = 10},
  [1953] = {.lex_state = 0, .external_lex_state = 9},
  [1954] = {.lex_state = 0, .external_lex_state = 9},
  [1955] = {.lex_state = 0, .external_lex_state = 13},
  [1956] = {.lex_state = 14, .external_lex_state = 10},
  [1957] = {.lex_state = 0, .external_lex_state = 9},
  [1958] = {.lex_state = 0, .external_lex_state = 13},
  [1959] = {.lex_state = 0, .external_lex_state = 10},
  [1960] = {.lex_state = 0, .external_lex_state = 12},
  [1961] = {.lex_state = 0, .external_lex_state = 10},
  [1962] = {.lex_state = 0, .external_lex_state = 13},
  [1963] = {.lex_state = 0, .external_lex_state = 12},
  [1964] = {.lex_state = 0, .external_lex_state = 13},
  [1965] = {.lex_state = 0, .external_lex_state = 9},
  [1966] = {.lex_state = 0, .external_lex_state = 12},
  [1967] = {.lex_state = 0, .external_lex_state = 10},
  [1968] = {.lex_state = 0, .external_lex_state = 13},
  [1969] = {.lex_state = 0, .external_lex_state = 11},
  [1970] = {.lex_state = 0, .external_lex_state = 11},
  [1971] = {.lex_state = 11, .external_lex_state = 10},
  [1972] = {.lex_state = 0, .external_lex_state = 11},
  [1973] = {.lex_state = 0, .external_lex_state = 9},
  [1974] = {.lex_state = 0, .external_lex_state = 13},
  [1975] = {.lex_state = 0, .external_lex_state = 12},
  [1976] = {.lex_state = 11, .external_lex_state = 10},
  [1977] = {.lex_state = 0, .external_lex_state = 11},
  [1978] = {.lex_state = 0, .external_lex_state = 13},
  [1979] = {.lex_state = 0, .external_lex_state = 13},
  [1980] = {.lex_state = 0, .external_lex_state = 13},
  [1981] = {.lex_state = 0, .external_lex_state = 9},
  [1982] = {.lex_state = 0, .external_lex_state = 9},
  [1983] = {.lex_state = 0, .external_lex_state = 9},
  [1984] = {.lex_state = 0, .external_lex_state = 13},
  [1985] = {.lex_state = 11, .external_lex_state = 10},
  [1986] = {.lex_state = 14, .external_lex_state = 10},
  [1987] = {.lex_state = 14, .external_lex_state = 10},
  [1988] = {.lex_state = 0, .external_lex_state = 9},
  [1989] = {.lex_state = 0, .external_lex_state = 9},
  [1990] = {.lex_state = 0, .external_lex_state = 9},
  [1991] = {.lex_state = 0, .external_lex_state = 13},
  [1992] = {.lex_state = 0, .external_lex_state = 9},
  [1993] = {.lex_state = 0, .external_lex_state = 13},
  [1994] = {.lex_state = 0, .external_lex_state = 12},
  [1995] = {.lex_state = 0, .external_lex_state = 12},
  [1996] = {.lex_state = 0, .external_lex_state = 10},
  [1997] = {.lex_state = 0, .external_lex_state = 9},
  [1998] = {.lex_state = 0, .external_lex_state = 13},
  [1999] = {.lex_state = 0, .external_lex_state = 9},
  [2000] = {.lex_state = 0, .external_lex_state = 12},
  [2001] = {.lex_state = 11, .external_lex_state = 10},
  [2002] = {.lex_state = 0, .external_lex_state = 13},
  [2003] = {.lex_state = 0, .external_lex_state = 12},
  [2004] = {.lex_state = 14, .external_lex_state = 10},
  [2005] = {.lex_state = 0, .external_lex_state = 13},
  [2006] = {.lex_state = 11, .external_lex_state = 10},
  [2007] = {.lex_state = 13, .external_lex_state = 10},
  [2008] = {.lex_state = 0, .external_lex_state = 9},
  [2009] = {.lex_state = 0, .external_lex_state = 13},
  [2010] = {.lex_state = 0, .external_lex_state = 13},
  [2011] = {.lex_state = 0, .external_lex_state = 9},
  [2012] = {.lex_state = 14, .external_lex_state = 10},
  [2013] = {.lex_state = 0, .external_lex_state = 9},
  [2014] = {.lex_state = 0, .external_lex_state = 11},
  [2015] = {.lex_state = 48, .external_lex_state = 10},
  [2016] = {.lex_state = 0, .external_lex_state = 13},
  [2017] = {.lex_state = 0, .external_lex_state = 13},
  [2018] = {.lex_state = 0, .external_lex_state = 12},
  [2019] = {.lex_state = 11, .external_lex_state = 10},
  [2020] = {.lex_state = 0, .external_lex_state = 11},
  [2021] = {.lex_state = 11, .external_lex_state = 10},
  [2022] = {.lex_state = 0, .external_lex_state = 11},
  [2023] = {.lex_state = 0, .external_lex_state = 11},
  [2024] = {.lex_state = 11, .external_lex_state = 10},
  [2025] = {.lex_state = 0, .external_lex_state = 12},
  [2026] = {.lex_state = 48, .external_lex_state = 10},
  [2027] = {.lex_state = 48, .external_lex_state = 10},
  [2028] = {.lex_state = 0, .external_lex_state = 13},
  [2029] = {.lex_state = 0, .external_lex_state = 12},
  [2030] = {.lex_state = 48, .external_lex_state = 10},
  [2031] = {.lex_state = 48, .external_lex_state = 10},
  [2032] = {.lex_state = 0, .external_lex_state = 11},
  [2033] = {.lex_state = 0, .external_lex_state = 11},
  [2034] = {.lex_state = 0, .external_lex_state = 13},
  [2035] = {.lex_state = 0, .external_lex_state = 13},
  [2036] = {.lex_state = 48, .external_lex_state = 10},
  [2037] = {.lex_state = 0, .external_lex_state = 12},
  [2038] = {.lex_state = 11, .external_lex_state = 10},
  [2039] = {.lex_state = 48, .external_lex_state = 10},
  [2040] = {.lex_state = 11, .external_lex_state = 10},
  [2041] = {.lex_state = 48, .external_lex_state = 10},
  [2042] = {.lex_state = 0, .external_lex_state = 11},
  [2043] = {.lex_state = 0, .external_lex_state = 11},
  [2044] = {.lex_state = 11, .external_lex_state = 10},
  [2045] = {.lex_state = 0, .external_lex_state = 13},
  [2046] = {.lex_state = 0, .external_lex_state = 13},
  [2047] = {.lex_state = 0, .external_lex_state = 13},
  [2048] = {.lex_state = 0, .external_lex_state = 11},
  [2049] = {.lex_state = 48, .external_lex_state = 10},
  [2050] = {.lex_state = 48, .external_lex_state = 10},
  [2051] = {.lex_state = 0, .external_lex_state = 13},
  [2052] = {.lex_state = 11, .external_lex_state = 10},
  [2053] = {.lex_state = 0, .external_lex_state = 10},
  [2054] = {.lex_state = 0, .external_lex_state = 13},
  [2055] = {.lex_state = 48, .external_lex_state = 10},
  [2056] = {.lex_state = 0, .external_lex_state = 11},
  [2057] = {.lex_state = 0, .external_lex_state = 13},
  [2058] = {.lex_state = 11, .external_lex_state = 10},
  [2059] = {.lex_state = 0, .external_lex_state = 12},
  [2060] = {.lex_state = 11, .external_lex_state = 10},
  [2061] = {.lex_state = 0, .external_lex_state = 11},
  [2062] = {.lex_state = 0, .external_lex_state = 11},
  [2063] = {.lex_state = 11, .external_lex_state = 10},
  [2064] = {.lex_state = 0, .external_lex_state = 11},
  [2065] = {.lex_state = 48, .external_lex_state = 10},
  [2066] = {.lex_state = 48, .external_lex_state = 10},
  [2067] = {.lex_state = 0, .external_lex_state = 13},
  [2068] = {.lex_state = 0, .external_lex_state = 12},
  [2069] = {.lex_state = 0, .external_lex_state = 12},
  [2070] = {.lex_state = 0, .external_lex_state = 11},
  [2071] = {.lex_state = 0, .external_lex_state = 11},
  [2072] = {.lex_state = 0, .external_lex_state = 13},
  [2073] = {.lex_state = 0, .external_lex_state = 13},
  [2074] = {.lex_state = 48, .external_lex_state = 10},
  [2075] = {.lex_state = 48, .external_lex_state = 10},
  [2076] = {.lex_state = 0, .external_lex_state = 11},
  [2077] = {.lex_state = 0, .external_lex_state = 11},
  [2078] = {.lex_state = 0, .external_lex_state = 10},
  [2079] = {.lex_state = 0, .external_lex_state = 11},
  [2080] = {.lex_state = 0, .external_lex_state = 10},
  [2081] = {.lex_state = 0, .external_lex_state = 11},
  [2082] = {.lex_state = 11, .external_lex_state = 10},
  [2083] = {.lex_state = 11, .external_lex_state = 10},
  [2084] = {.lex_state = 0, .external_lex_state = 12},
  [2085] = {.lex_state = 11, .external_lex_state = 10},
  [2086] = {.lex_state = 0, .external_lex_state = 13},
  [2087] = {.lex_state = 48, .external_lex_state = 10},
  [2088] = {.lex_state = 0, .external_lex_state = 13},
  [2089] = {.lex_state = 48, .external_lex_state = 10},
  [2090] = {.lex_state = 48, .external_lex_state = 10},
  [2091] = {.lex_state = 0, .external_lex_state = 10},
  [2092] = {.lex_state = 48, .external_lex_state = 10},
  [2093] = {.lex_state = 0, .external_lex_state = 13},
  [2094] = {.lex_state = 0, .external_lex_state = 12},
  [2095] = {.lex_state = 0, .external_lex_state = 13},
  [2096] = {.lex_state = 11, .external_lex_state = 10},
  [2097] = {.lex_state = 48, .external_lex_state = 10},
  [2098] = {.lex_state = 0, .external_lex_state = 11},
  [2099] = {.lex_state = 11, .external_lex_state = 10},
  [2100] = {.lex_state = 0, .external_lex_state = 11},
  [2101] = {.lex_state = 48, .external_lex_state = 10},
  [2102] = {.lex_state = 11, .external_lex_state = 10},
  [2103] = {.lex_state = 11, .external_lex_state = 10},
  [2104] = {.lex_state = 11, .external_lex_state = 10},
  [2105] = {.lex_state = 11, .external_lex_state = 10},
  [2106] = {.lex_state = 0, .external_lex_state = 13},
  [2107] = {.lex_state = 0, .external_lex_state = 11},
  [2108] = {.lex_state = 0, .external_lex_state = 11},
  [2109] = {.lex_state = 11, .external_lex_state = 10},
  [2110] = {.lex_state = 11, .external_lex_state = 10},
  [2111] = {.lex_state = 11, .external_lex_state = 10},
  [2112] = {.lex_state = 11, .external_lex_state = 10},
  [2113] = {.lex_state = 48, .external_lex_state = 10},
  [2114] = {.lex_state = 48, .external_lex_state = 10},
  [2115] = {.lex_state = 0, .external_lex_state = 13},
  [2116] = {.lex_state = 0, .external_lex_state = 12},
  [2117] = {.lex_state = 11, .external_lex_state = 10},
  [2118] = {.lex_state = 11, .external_lex_state = 10},
  [2119] = {.lex_state = 48, .external_lex_state = 10},
  [2120] = {.lex_state = 0, .external_lex_state = 13},
  [2121] = {.lex_state = 0, .external_lex_state = 13},
  [2122] = {.lex_state = 11, .external_lex_state = 10},
  [2123] = {.lex_state = 0, .external_lex_state = 12},
  [2124] = {.lex_state = 48, .external_lex_state = 10},
  [2125] = {.lex_state = 11, .external_lex_state = 10},
  [2126] = {.lex_state = 11, .external_lex_state = 10},
  [2127] = {.lex_state = 11, .external_lex_state = 10},
  [2128] = {.lex_state = 11, .external_lex_state = 10},
  [2129] = {.lex_state = 11, .external_lex_state = 10},
  [2130] = {.lex_state = 11, .external_lex_state = 10},
  [2131] = {.lex_state = 11, .external_lex_state = 10},
  [2132] = {.lex_state = 0, .external_lex_state = 13},
  [2133] = {.lex_state = 11, .external_lex_state = 10},
  [2134] = {.lex_state = 48, .external_lex_state = 10},
  [2135] = {.lex_state = 11, .external_lex_state = 10},
  [2136] = {.lex_state = 0, .external_lex_state = 11},
  [2137] = {.lex_state = 11, .external_lex_state = 10},
  [2138] = {.lex_state = 11, .external_lex_state = 10},
  [2139] = {.lex_state = 48, .external_lex_state = 10},
  [2140] = {.lex_state = 0, .external_lex_state = 11},
  [2141] = {.lex_state = 0, .external_lex_state = 11},
  [2142] = {.lex_state = 0, .external_lex_state = 11},
  [2143] = {.lex_state = 48, .external_lex_state = 10},
  [2144] = {.lex_state = 0, .external_lex_state = 12},
  [2145] = {.lex_state = 48, .external_lex_state = 10},
  [2146] = {.lex_state = 0, .external_lex_state = 13},
  [2147] = {.lex_state = 48, .external_lex_state = 10},
  [2148] = {.lex_state = 48, .external_lex_state = 10},
  [2149] = {.lex_state = 11, .external_lex_state = 10},
  [2150] = {.lex_state = 48, .external_lex_state = 10},
  [2151] = {.lex_state = 11, .external_lex_state = 10},
  [2152] = {.lex_state = 0, .external_lex_state = 11},
  [2153] = {.lex_state = 48, .external_lex_state = 10},
  [2154] = {.lex_state = 0, .external_lex_state = 13},
  [2155] = {.lex_state = 11, .external_lex_state = 10},
  [2156] = {.lex_state = 0, .external_lex_state = 11},
  [2157] = {.lex_state = 0, .external_lex_state = 11},
  [2158] = {.lex_state = 0, .external_lex_state = 12},
  [2159] = {.lex_state = 0, .external_lex_state = 11},
  [2160] = {.lex_state = 0, .external_lex_state = 11},
  [2161] = {.lex_state = 11, .external_lex_state = 10},
  [2162] = {.lex_state = 0, .external_lex_state = 12},
  [2163] = {.lex_state = 0, .external_lex_state = 11},
  [2164] = {.lex_state = 0, .external_lex_state = 12},
  [2165] = {.lex_state = 0, .external_lex_state = 12},
  [2166] = {.lex_state = 0, .external_lex_state = 13},
  [2167] = {.lex_state = 48, .external_lex_state = 10},
  [2168] = {.lex_state = 0, .external_lex_state = 13},
  [2169] = {.lex_state = 0, .external_lex_state = 13},
  [2170] = {.lex_state = 0, .external_lex_state = 10},
  [2171] = {.lex_state = 11, .external_lex_state = 10},
  [2172] = {.lex_state = 11, .external_lex_state = 10},
  [2173] = {.lex_state = 0, .external_lex_state = 10},
  [2174] = {.lex_state = 48, .external_lex_state = 10},
  [2175] = {.lex_state = 0, .external_lex_state = 10},
  [2176] = {.lex_state = 48, .external_lex_state = 10},
  [2177] = {.lex_state = 0, .external_lex_state = 12},
  [2178] = {.lex_state = 11, .external_lex_state = 10},
  [2179] = {.lex_state = 0, .external_lex_state = 11},
  [2180] = {.lex_state = 0, .external_lex_state = 13},
  [2181] = {.lex_state = 0, .external_lex_state = 11},
  [2182] = {.lex_state = 48, .external_lex_state = 10},
  [2183] = {.lex_state = 48, .external_lex_state = 10},
  [2184] = {.lex_state = 48, .external_lex_state = 10},
  [2185] = {.lex_state = 48, .external_lex_state = 10},
  [2186] = {.lex_state = 11, .external_lex_state = 10},
  [2187] = {.lex_state = 0, .external_lex_state = 10},
  [2188] = {.lex_state = 11, .external_lex_state = 10},
  [2189] = {.lex_state = 0, .external_lex_state = 12},
  [2190] = {.lex_state = 0, .external_lex_state = 10},
  [2191] = {.lex_state = 48, .external_lex_state = 10},
  [2192] = {.lex_state = 48, .external_lex_state = 10},
  [2193] = {.lex_state = 48, .external_lex_state = 10},
  [2194] = {.lex_state = 48, .external_lex_state = 10},
  [2195] = {.lex_state = 48, .external_lex_state = 10},
  [2196] = {.lex_state = 48, .external_lex_state = 10},
  [2197] = {.lex_state = 11, .external_lex_state = 10},
  [2198] = {.lex_state = 48, .external_lex_state = 10},
  [2199] = {.lex_state = 48, .external_lex_state = 10},
  [2200] = {.lex_state = 0, .external_lex_state = 12},
  [2201] = {.lex_state = 0, .external_lex_state = 13},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
  ts_external_token_comment = 6,
  ts_external_token_RBRACK = 7,
  ts_external_token_RPAREN = 8,
  ts_external_token_RBRACE = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2175),
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1543),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [2] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(651),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [3] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(697),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [4] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(680),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [5] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(728),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [6] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(710),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [7] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(724),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [8] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(780),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [9] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(765),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [10] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(789),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [11] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(650),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [12] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(472),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [13] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(681),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [14] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(459),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [15] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(690),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [16] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(723),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [17] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(797),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [18] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(661),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [19] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(626),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [20] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(788),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [21] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(672),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [22] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(667),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [23] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(664),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [24] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(787),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [25] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(754),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [26] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(660),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [27] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(760),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [28] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(757),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [29] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(609),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [30] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(764),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [31] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(715),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [32] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(766),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [33] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(801),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [34] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(665),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [35] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(692),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [36] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(712),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [37] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(804),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [38] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [39] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(693),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [40] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(1495),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym__string_start] = ACTIONS(77),
  },
  [41] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(759),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [42] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(698),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [43] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(792),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [44] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(686),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [45] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(649),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym__string_start] = ACTIONS(77),
  },
  [46] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(648),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [47] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [48] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(616),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [49] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(732),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [50] = {
    [sym__statement] = STATE(77),
    [sym__simple_statements] = STATE(77),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(77),
    [sym_match_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_with_statement] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(77),
    [sym_decorated_definition] = STATE(77),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(608),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(77),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym__string_start] = ACTIONS(77),
  },
  [51] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(708),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [52] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(738),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [53] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(742),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [54] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(705),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [55] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(737),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [56] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(597),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym__string_start] = ACTIONS(77),
  },
  [57] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(704),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [58] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(663),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [59] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(733),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [60] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(619),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [61] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(1556),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym__string_start] = ACTIONS(77),
  },
  [62] = {
    [sym__statement] = STATE(75),
    [sym__simple_statements] = STATE(75),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(75),
    [sym_match_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_with_statement] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(75),
    [sym_decorated_definition] = STATE(75),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(706),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(75),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [63] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(618),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym__string_start] = ACTIONS(77),
  },
  [64] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(807),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [65] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(601),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [66] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(736),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [67] = {
    [sym__statement] = STATE(74),
    [sym__simple_statements] = STATE(74),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(74),
    [sym_match_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_with_statement] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(74),
    [sym_decorated_definition] = STATE(74),
    [sym_decorator] = STATE(1496),
    [sym_block] = STATE(729),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(74),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [68] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym__string_start] = ACTIONS(77),
  },
  [69] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym__string_start] = ACTIONS(77),
  },
  [70] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1543),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(115),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [71] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym__string_start] = ACTIONS(77),
  },
  [72] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(119),
    [sym__string_start] = ACTIONS(77),
  },
  [73] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(121),
    [anon_sym_import] = ACTIONS(124),
    [anon_sym_from] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(130),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_print] = ACTIONS(136),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_match] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_del] = ACTIONS(148),
    [anon_sym_raise] = ACTIONS(151),
    [anon_sym_pass] = ACTIONS(154),
    [anon_sym_break] = ACTIONS(157),
    [anon_sym_continue] = ACTIONS(160),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(166),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_while] = ACTIONS(172),
    [anon_sym_try] = ACTIONS(175),
    [anon_sym_with] = ACTIONS(178),
    [anon_sym_def] = ACTIONS(181),
    [anon_sym_global] = ACTIONS(184),
    [anon_sym_nonlocal] = ACTIONS(187),
    [anon_sym_exec] = ACTIONS(190),
    [anon_sym_class] = ACTIONS(193),
    [anon_sym_AT] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(202),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_lambda] = ACTIONS(208),
    [anon_sym_yield] = ACTIONS(211),
    [sym_ellipsis] = ACTIONS(214),
    [anon_sym_LBRACE] = ACTIONS(217),
    [sym_integer] = ACTIONS(220),
    [sym_float] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(223),
    [sym_true] = ACTIONS(220),
    [sym_false] = ACTIONS(220),
    [sym_none] = ACTIONS(220),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(226),
    [sym__string_start] = ACTIONS(228),
  },
  [74] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(231),
    [sym__string_start] = ACTIONS(77),
  },
  [75] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(233),
    [sym__string_start] = ACTIONS(77),
  },
  [76] = {
    [sym__statement] = STATE(76),
    [sym__simple_statements] = STATE(76),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_if_statement] = STATE(76),
    [sym_match_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_with_statement] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_class_definition] = STATE(76),
    [sym_decorated_definition] = STATE(76),
    [sym_decorator] = STATE(1543),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(76),
    [aux_sym_decorated_definition_repeat1] = STATE(1543),
    [ts_builtin_sym_end] = ACTIONS(226),
    [sym_identifier] = ACTIONS(121),
    [anon_sym_import] = ACTIONS(124),
    [anon_sym_from] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(130),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_print] = ACTIONS(136),
    [anon_sym_assert] = ACTIONS(139),
    [anon_sym_match] = ACTIONS(235),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_del] = ACTIONS(148),
    [anon_sym_raise] = ACTIONS(151),
    [anon_sym_pass] = ACTIONS(154),
    [anon_sym_break] = ACTIONS(157),
    [anon_sym_continue] = ACTIONS(160),
    [anon_sym_if] = ACTIONS(238),
    [anon_sym_async] = ACTIONS(241),
    [anon_sym_for] = ACTIONS(244),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(250),
    [anon_sym_with] = ACTIONS(253),
    [anon_sym_def] = ACTIONS(256),
    [anon_sym_global] = ACTIONS(184),
    [anon_sym_nonlocal] = ACTIONS(187),
    [anon_sym_exec] = ACTIONS(190),
    [anon_sym_class] = ACTIONS(259),
    [anon_sym_AT] = ACTIONS(196),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(202),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_lambda] = ACTIONS(208),
    [anon_sym_yield] = ACTIONS(211),
    [sym_ellipsis] = ACTIONS(214),
    [anon_sym_LBRACE] = ACTIONS(217),
    [sym_integer] = ACTIONS(220),
    [sym_float] = ACTIONS(214),
    [anon_sym_await] = ACTIONS(223),
    [sym_true] = ACTIONS(220),
    [sym_false] = ACTIONS(220),
    [sym_none] = ACTIONS(220),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(228),
  },
  [77] = {
    [sym__statement] = STATE(73),
    [sym__simple_statements] = STATE(73),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_if_statement] = STATE(73),
    [sym_match_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_with_statement] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_class_definition] = STATE(73),
    [sym_decorated_definition] = STATE(73),
    [sym_decorator] = STATE(1496),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [aux_sym_module_repeat1] = STATE(73),
    [aux_sym_decorated_definition_repeat1] = STATE(1496),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(262),
    [sym__string_start] = ACTIONS(77),
  },
  [78] = {
    [sym_named_expression] = STATE(1500),
    [sym__named_expresssion_lhs] = STATE(2173),
    [sym_as_pattern] = STATE(1500),
    [sym_expression] = STATE(1612),
    [sym_primary_expression] = STATE(869),
    [sym_not_operator] = STATE(1500),
    [sym_boolean_operator] = STATE(1500),
    [sym_binary_operator] = STATE(1168),
    [sym_unary_operator] = STATE(1168),
    [sym_comparison_operator] = STATE(1500),
    [sym_lambda] = STATE(1500),
    [sym_attribute] = STATE(1168),
    [sym_subscript] = STATE(1168),
    [sym_call] = STATE(1168),
    [sym_list] = STATE(1168),
    [sym_set] = STATE(1168),
    [sym_tuple] = STATE(1168),
    [sym_dictionary] = STATE(1168),
    [sym_list_comprehension] = STATE(1168),
    [sym_dictionary_comprehension] = STATE(1168),
    [sym_set_comprehension] = STATE(1168),
    [sym_generator_expression] = STATE(1168),
    [sym_parenthesized_expression] = STATE(1168),
    [sym_conditional_expression] = STATE(1500),
    [sym_concatenated_string] = STATE(1168),
    [sym_string] = STATE(861),
    [sym_await] = STATE(1500),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(270),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(276),
    [anon_sym_GT_GT] = ACTIONS(268),
    [anon_sym_COLON_EQ] = ACTIONS(278),
    [anon_sym_match] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_async] = ACTIONS(276),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(276),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_EQ] = ACTIONS(282),
    [anon_sym_not] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(290),
    [anon_sym_DASH] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(295),
    [anon_sym_PLUS_EQ] = ACTIONS(297),
    [anon_sym_DASH_EQ] = ACTIONS(297),
    [anon_sym_STAR_EQ] = ACTIONS(297),
    [anon_sym_SLASH_EQ] = ACTIONS(297),
    [anon_sym_AT_EQ] = ACTIONS(297),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(297),
    [anon_sym_PERCENT_EQ] = ACTIONS(297),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(297),
    [anon_sym_GT_GT_EQ] = ACTIONS(297),
    [anon_sym_LT_LT_EQ] = ACTIONS(297),
    [anon_sym_AMP_EQ] = ACTIONS(297),
    [anon_sym_CARET_EQ] = ACTIONS(297),
    [anon_sym_PIPE_EQ] = ACTIONS(297),
    [sym_ellipsis] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(301),
    [sym_integer] = ACTIONS(303),
    [sym_float] = ACTIONS(299),
    [anon_sym_await] = ACTIONS(305),
    [sym_true] = ACTIONS(303),
    [sym_false] = ACTIONS(303),
    [sym_none] = ACTIONS(303),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(307),
  },
  [79] = {
    [sym_named_expression] = STATE(1500),
    [sym__named_expresssion_lhs] = STATE(2173),
    [sym_as_pattern] = STATE(1500),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(869),
    [sym_not_operator] = STATE(1500),
    [sym_boolean_operator] = STATE(1500),
    [sym_binary_operator] = STATE(1168),
    [sym_unary_operator] = STATE(1168),
    [sym_comparison_operator] = STATE(1500),
    [sym_lambda] = STATE(1500),
    [sym_attribute] = STATE(1168),
    [sym_subscript] = STATE(1168),
    [sym_call] = STATE(1168),
    [sym_list] = STATE(1168),
    [sym_set] = STATE(1168),
    [sym_tuple] = STATE(1168),
    [sym_dictionary] = STATE(1168),
    [sym_list_comprehension] = STATE(1168),
    [sym_dictionary_comprehension] = STATE(1168),
    [sym_set_comprehension] = STATE(1168),
    [sym_generator_expression] = STATE(1168),
    [sym_parenthesized_expression] = STATE(1168),
    [sym_conditional_expression] = STATE(1500),
    [sym_concatenated_string] = STATE(1168),
    [sym_string] = STATE(861),
    [sym_await] = STATE(1500),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(270),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(276),
    [anon_sym_GT_GT] = ACTIONS(268),
    [anon_sym_COLON_EQ] = ACTIONS(278),
    [anon_sym_match] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_async] = ACTIONS(276),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(276),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_EQ] = ACTIONS(282),
    [anon_sym_not] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(290),
    [anon_sym_DASH] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(295),
    [anon_sym_PLUS_EQ] = ACTIONS(297),
    [anon_sym_DASH_EQ] = ACTIONS(297),
    [anon_sym_STAR_EQ] = ACTIONS(297),
    [anon_sym_SLASH_EQ] = ACTIONS(297),
    [anon_sym_AT_EQ] = ACTIONS(297),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(297),
    [anon_sym_PERCENT_EQ] = ACTIONS(297),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(297),
    [anon_sym_GT_GT_EQ] = ACTIONS(297),
    [anon_sym_LT_LT_EQ] = ACTIONS(297),
    [anon_sym_AMP_EQ] = ACTIONS(297),
    [anon_sym_CARET_EQ] = ACTIONS(297),
    [anon_sym_PIPE_EQ] = ACTIONS(297),
    [sym_ellipsis] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(301),
    [sym_integer] = ACTIONS(303),
    [sym_float] = ACTIONS(299),
    [anon_sym_await] = ACTIONS(305),
    [sym_true] = ACTIONS(303),
    [sym_false] = ACTIONS(303),
    [sym_none] = ACTIONS(303),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(307),
  },
  [80] = {
    [sym_chevron] = STATE(1735),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1548),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_attribute] = STATE(1062),
    [sym_subscript] = STATE(1062),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(311),
    [anon_sym_GT_GT] = ACTIONS(313),
    [anon_sym_match] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(266),
    [anon_sym_EQ] = ACTIONS(282),
    [anon_sym_not] = ACTIONS(268),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(268),
    [anon_sym_DASH] = ACTIONS(268),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(297),
    [anon_sym_DASH_EQ] = ACTIONS(297),
    [anon_sym_STAR_EQ] = ACTIONS(297),
    [anon_sym_SLASH_EQ] = ACTIONS(297),
    [anon_sym_AT_EQ] = ACTIONS(297),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(297),
    [anon_sym_PERCENT_EQ] = ACTIONS(297),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(297),
    [anon_sym_GT_GT_EQ] = ACTIONS(297),
    [anon_sym_LT_LT_EQ] = ACTIONS(297),
    [anon_sym_AMP_EQ] = ACTIONS(297),
    [anon_sym_CARET_EQ] = ACTIONS(297),
    [anon_sym_PIPE_EQ] = ACTIONS(297),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(317),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(77),
  },
  [81] = {
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1478),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_attribute] = STATE(1062),
    [sym_subscript] = STATE(1062),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(311),
    [anon_sym_GT_GT] = ACTIONS(268),
    [anon_sym_match] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(268),
    [anon_sym_exec] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(282),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(323),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(268),
    [anon_sym_PIPE] = ACTIONS(268),
    [anon_sym_AMP] = ACTIONS(268),
    [anon_sym_CARET] = ACTIONS(268),
    [anon_sym_LT_LT] = ACTIONS(268),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(297),
    [anon_sym_DASH_EQ] = ACTIONS(297),
    [anon_sym_STAR_EQ] = ACTIONS(297),
    [anon_sym_SLASH_EQ] = ACTIONS(297),
    [anon_sym_AT_EQ] = ACTIONS(297),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(297),
    [anon_sym_PERCENT_EQ] = ACTIONS(297),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(297),
    [anon_sym_GT_GT_EQ] = ACTIONS(297),
    [anon_sym_LT_LT_EQ] = ACTIONS(297),
    [anon_sym_AMP_EQ] = ACTIONS(297),
    [anon_sym_CARET_EQ] = ACTIONS(297),
    [anon_sym_PIPE_EQ] = ACTIONS(297),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(317),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(77),
  },
  [82] = {
    [sym__simple_statements] = STATE(735),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(329),
    [sym__indent] = ACTIONS(331),
    [sym__string_start] = ACTIONS(77),
  },
  [83] = {
    [sym__simple_statements] = STATE(739),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(333),
    [sym__indent] = ACTIONS(335),
    [sym__string_start] = ACTIONS(77),
  },
  [84] = {
    [sym__simple_statements] = STATE(718),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(337),
    [sym__indent] = ACTIONS(339),
    [sym__string_start] = ACTIONS(77),
  },
  [85] = {
    [sym__simple_statements] = STATE(675),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(341),
    [sym__indent] = ACTIONS(343),
    [sym__string_start] = ACTIONS(77),
  },
  [86] = {
    [sym__simple_statements] = STATE(721),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(345),
    [sym__indent] = ACTIONS(347),
    [sym__string_start] = ACTIONS(77),
  },
  [87] = {
    [sym__simple_statements] = STATE(727),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(349),
    [sym__indent] = ACTIONS(351),
    [sym__string_start] = ACTIONS(77),
  },
  [88] = {
    [sym__simple_statements] = STATE(652),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__indent] = ACTIONS(355),
    [sym__string_start] = ACTIONS(77),
  },
  [89] = {
    [sym__simple_statements] = STATE(676),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(357),
    [sym__indent] = ACTIONS(359),
    [sym__string_start] = ACTIONS(77),
  },
  [90] = {
    [sym__simple_statements] = STATE(673),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(361),
    [sym__indent] = ACTIONS(363),
    [sym__string_start] = ACTIONS(77),
  },
  [91] = {
    [sym__simple_statements] = STATE(657),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(365),
    [sym__indent] = ACTIONS(367),
    [sym__string_start] = ACTIONS(77),
  },
  [92] = {
    [sym__simple_statements] = STATE(613),
    [sym_import_statement] = STATE(1945),
    [sym_future_import_statement] = STATE(1945),
    [sym_import_from_statement] = STATE(1945),
    [sym_print_statement] = STATE(1945),
    [sym_assert_statement] = STATE(1945),
    [sym_expression_statement] = STATE(1945),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1945),
    [sym_delete_statement] = STATE(1945),
    [sym_raise_statement] = STATE(1945),
    [sym_pass_statement] = STATE(1945),
    [sym_break_statement] = STATE(1945),
    [sym_continue_statement] = STATE(1945),
    [sym_global_statement] = STATE(1945),
    [sym_nonlocal_statement] = STATE(1945),
    [sym_exec_statement] = STATE(1945),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__indent] = ACTIONS(371),
    [sym__string_start] = ACTIONS(77),
  },
  [93] = {
    [sym__simple_statements] = STATE(741),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(373),
    [sym__indent] = ACTIONS(375),
    [sym__string_start] = ACTIONS(77),
  },
  [94] = {
    [sym__simple_statements] = STATE(615),
    [sym_import_statement] = STATE(1892),
    [sym_future_import_statement] = STATE(1892),
    [sym_import_from_statement] = STATE(1892),
    [sym_print_statement] = STATE(1892),
    [sym_assert_statement] = STATE(1892),
    [sym_expression_statement] = STATE(1892),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1892),
    [sym_delete_statement] = STATE(1892),
    [sym_raise_statement] = STATE(1892),
    [sym_pass_statement] = STATE(1892),
    [sym_break_statement] = STATE(1892),
    [sym_continue_statement] = STATE(1892),
    [sym_global_statement] = STATE(1892),
    [sym_nonlocal_statement] = STATE(1892),
    [sym_exec_statement] = STATE(1892),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(377),
    [sym__indent] = ACTIONS(379),
    [sym__string_start] = ACTIONS(77),
  },
  [95] = {
    [sym__simple_statements] = STATE(612),
    [sym_import_statement] = STATE(1838),
    [sym_future_import_statement] = STATE(1838),
    [sym_import_from_statement] = STATE(1838),
    [sym_print_statement] = STATE(1838),
    [sym_assert_statement] = STATE(1838),
    [sym_expression_statement] = STATE(1838),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1838),
    [sym_delete_statement] = STATE(1838),
    [sym_raise_statement] = STATE(1838),
    [sym_pass_statement] = STATE(1838),
    [sym_break_statement] = STATE(1838),
    [sym_continue_statement] = STATE(1838),
    [sym_global_statement] = STATE(1838),
    [sym_nonlocal_statement] = STATE(1838),
    [sym_exec_statement] = STATE(1838),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(381),
    [sym__indent] = ACTIONS(383),
    [sym__string_start] = ACTIONS(77),
  },
  [96] = {
    [sym__simple_statements] = STATE(592),
    [sym_import_statement] = STATE(1838),
    [sym_future_import_statement] = STATE(1838),
    [sym_import_from_statement] = STATE(1838),
    [sym_print_statement] = STATE(1838),
    [sym_assert_statement] = STATE(1838),
    [sym_expression_statement] = STATE(1838),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1838),
    [sym_delete_statement] = STATE(1838),
    [sym_raise_statement] = STATE(1838),
    [sym_pass_statement] = STATE(1838),
    [sym_break_statement] = STATE(1838),
    [sym_continue_statement] = STATE(1838),
    [sym_global_statement] = STATE(1838),
    [sym_nonlocal_statement] = STATE(1838),
    [sym_exec_statement] = STATE(1838),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(385),
    [sym__indent] = ACTIONS(387),
    [sym__string_start] = ACTIONS(77),
  },
  [97] = {
    [sym__simple_statements] = STATE(774),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__indent] = ACTIONS(391),
    [sym__string_start] = ACTIONS(77),
  },
  [98] = {
    [sym__simple_statements] = STATE(495),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(393),
    [sym__indent] = ACTIONS(395),
    [sym__string_start] = ACTIONS(77),
  },
  [99] = {
    [sym__simple_statements] = STATE(707),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(397),
    [sym__indent] = ACTIONS(399),
    [sym__string_start] = ACTIONS(77),
  },
  [100] = {
    [sym__simple_statements] = STATE(731),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(401),
    [sym__indent] = ACTIONS(403),
    [sym__string_start] = ACTIONS(77),
  },
  [101] = {
    [sym__simple_statements] = STATE(714),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(405),
    [sym__indent] = ACTIONS(407),
    [sym__string_start] = ACTIONS(77),
  },
  [102] = {
    [sym__simple_statements] = STATE(683),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(409),
    [sym__indent] = ACTIONS(411),
    [sym__string_start] = ACTIONS(77),
  },
  [103] = {
    [sym__simple_statements] = STATE(1533),
    [sym_import_statement] = STATE(1763),
    [sym_future_import_statement] = STATE(1763),
    [sym_import_from_statement] = STATE(1763),
    [sym_print_statement] = STATE(1763),
    [sym_assert_statement] = STATE(1763),
    [sym_expression_statement] = STATE(1763),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1763),
    [sym_delete_statement] = STATE(1763),
    [sym_raise_statement] = STATE(1763),
    [sym_pass_statement] = STATE(1763),
    [sym_break_statement] = STATE(1763),
    [sym_continue_statement] = STATE(1763),
    [sym_global_statement] = STATE(1763),
    [sym_nonlocal_statement] = STATE(1763),
    [sym_exec_statement] = STATE(1763),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(413),
    [sym__indent] = ACTIONS(415),
    [sym__string_start] = ACTIONS(77),
  },
  [104] = {
    [sym__simple_statements] = STATE(709),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym__string_start] = ACTIONS(77),
  },
  [105] = {
    [sym__simple_statements] = STATE(763),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym__string_start] = ACTIONS(77),
  },
  [106] = {
    [sym__simple_statements] = STATE(1526),
    [sym_import_statement] = STATE(1763),
    [sym_future_import_statement] = STATE(1763),
    [sym_import_from_statement] = STATE(1763),
    [sym_print_statement] = STATE(1763),
    [sym_assert_statement] = STATE(1763),
    [sym_expression_statement] = STATE(1763),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1763),
    [sym_delete_statement] = STATE(1763),
    [sym_raise_statement] = STATE(1763),
    [sym_pass_statement] = STATE(1763),
    [sym_break_statement] = STATE(1763),
    [sym_continue_statement] = STATE(1763),
    [sym_global_statement] = STATE(1763),
    [sym_nonlocal_statement] = STATE(1763),
    [sym_exec_statement] = STATE(1763),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym__string_start] = ACTIONS(77),
  },
  [107] = {
    [sym__simple_statements] = STATE(769),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym__string_start] = ACTIONS(77),
  },
  [108] = {
    [sym__simple_statements] = STATE(679),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym__string_start] = ACTIONS(77),
  },
  [109] = {
    [sym__simple_statements] = STATE(772),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym__string_start] = ACTIONS(77),
  },
  [110] = {
    [sym__simple_statements] = STATE(783),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym__string_start] = ACTIONS(77),
  },
  [111] = {
    [sym__simple_statements] = STATE(811),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym__string_start] = ACTIONS(77),
  },
  [112] = {
    [sym__simple_statements] = STATE(662),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym__string_start] = ACTIONS(77),
  },
  [113] = {
    [sym__simple_statements] = STATE(688),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym__string_start] = ACTIONS(77),
  },
  [114] = {
    [sym__simple_statements] = STATE(700),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym__string_start] = ACTIONS(77),
  },
  [115] = {
    [sym__simple_statements] = STATE(659),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym__string_start] = ACTIONS(77),
  },
  [116] = {
    [sym__simple_statements] = STATE(800),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym__string_start] = ACTIONS(77),
  },
  [117] = {
    [sym__simple_statements] = STATE(805),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym__string_start] = ACTIONS(77),
  },
  [118] = {
    [sym__simple_statements] = STATE(656),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym__string_start] = ACTIONS(77),
  },
  [119] = {
    [sym__simple_statements] = STATE(778),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym__string_start] = ACTIONS(77),
  },
  [120] = {
    [sym__simple_statements] = STATE(691),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym__string_start] = ACTIONS(77),
  },
  [121] = {
    [sym__simple_statements] = STATE(638),
    [sym_import_statement] = STATE(1945),
    [sym_future_import_statement] = STATE(1945),
    [sym_import_from_statement] = STATE(1945),
    [sym_print_statement] = STATE(1945),
    [sym_assert_statement] = STATE(1945),
    [sym_expression_statement] = STATE(1945),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1945),
    [sym_delete_statement] = STATE(1945),
    [sym_raise_statement] = STATE(1945),
    [sym_pass_statement] = STATE(1945),
    [sym_break_statement] = STATE(1945),
    [sym_continue_statement] = STATE(1945),
    [sym_global_statement] = STATE(1945),
    [sym_nonlocal_statement] = STATE(1945),
    [sym_exec_statement] = STATE(1945),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym__string_start] = ACTIONS(77),
  },
  [122] = {
    [sym__simple_statements] = STATE(701),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym__string_start] = ACTIONS(77),
  },
  [123] = {
    [sym__simple_statements] = STATE(725),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym__string_start] = ACTIONS(77),
  },
  [124] = {
    [sym__simple_statements] = STATE(776),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym__string_start] = ACTIONS(77),
  },
  [125] = {
    [sym__simple_statements] = STATE(749),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym__string_start] = ACTIONS(77),
  },
  [126] = {
    [sym__simple_statements] = STATE(684),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym__string_start] = ACTIONS(77),
  },
  [127] = {
    [sym__simple_statements] = STATE(666),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym__string_start] = ACTIONS(77),
  },
  [128] = {
    [sym__simple_statements] = STATE(687),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym__string_start] = ACTIONS(77),
  },
  [129] = {
    [sym__simple_statements] = STATE(809),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym__string_start] = ACTIONS(77),
  },
  [130] = {
    [sym__simple_statements] = STATE(806),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym__string_start] = ACTIONS(77),
  },
  [131] = {
    [sym__simple_statements] = STATE(746),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym__string_start] = ACTIONS(77),
  },
  [132] = {
    [sym__simple_statements] = STATE(685),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym__string_start] = ACTIONS(77),
  },
  [133] = {
    [sym__simple_statements] = STATE(722),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym__string_start] = ACTIONS(77),
  },
  [134] = {
    [sym__simple_statements] = STATE(755),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym__string_start] = ACTIONS(77),
  },
  [135] = {
    [sym__simple_statements] = STATE(670),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym__string_start] = ACTIONS(77),
  },
  [136] = {
    [sym__simple_statements] = STATE(696),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym__string_start] = ACTIONS(77),
  },
  [137] = {
    [sym__simple_statements] = STATE(668),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym__string_start] = ACTIONS(77),
  },
  [138] = {
    [sym__simple_statements] = STATE(773),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym__string_start] = ACTIONS(77),
  },
  [139] = {
    [sym__simple_statements] = STATE(717),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym__string_start] = ACTIONS(77),
  },
  [140] = {
    [sym__simple_statements] = STATE(558),
    [sym_import_statement] = STATE(1774),
    [sym_future_import_statement] = STATE(1774),
    [sym_import_from_statement] = STATE(1774),
    [sym_print_statement] = STATE(1774),
    [sym_assert_statement] = STATE(1774),
    [sym_expression_statement] = STATE(1774),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1774),
    [sym_delete_statement] = STATE(1774),
    [sym_raise_statement] = STATE(1774),
    [sym_pass_statement] = STATE(1774),
    [sym_break_statement] = STATE(1774),
    [sym_continue_statement] = STATE(1774),
    [sym_global_statement] = STATE(1774),
    [sym_nonlocal_statement] = STATE(1774),
    [sym_exec_statement] = STATE(1774),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__indent] = ACTIONS(563),
    [sym__string_start] = ACTIONS(77),
  },
  [141] = {
    [sym__simple_statements] = STATE(803),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__indent] = ACTIONS(567),
    [sym__string_start] = ACTIONS(77),
  },
  [142] = {
    [sym__simple_statements] = STATE(758),
    [sym_import_statement] = STATE(1775),
    [sym_future_import_statement] = STATE(1775),
    [sym_import_from_statement] = STATE(1775),
    [sym_print_statement] = STATE(1775),
    [sym_assert_statement] = STATE(1775),
    [sym_expression_statement] = STATE(1775),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1775),
    [sym_delete_statement] = STATE(1775),
    [sym_raise_statement] = STATE(1775),
    [sym_pass_statement] = STATE(1775),
    [sym_break_statement] = STATE(1775),
    [sym_continue_statement] = STATE(1775),
    [sym_global_statement] = STATE(1775),
    [sym_nonlocal_statement] = STATE(1775),
    [sym_exec_statement] = STATE(1775),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__indent] = ACTIONS(571),
    [sym__string_start] = ACTIONS(77),
  },
  [143] = {
    [sym__simple_statements] = STATE(623),
    [sym_import_statement] = STATE(1906),
    [sym_future_import_statement] = STATE(1906),
    [sym_import_from_statement] = STATE(1906),
    [sym_print_statement] = STATE(1906),
    [sym_assert_statement] = STATE(1906),
    [sym_expression_statement] = STATE(1906),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1906),
    [sym_delete_statement] = STATE(1906),
    [sym_raise_statement] = STATE(1906),
    [sym_pass_statement] = STATE(1906),
    [sym_break_statement] = STATE(1906),
    [sym_continue_statement] = STATE(1906),
    [sym_global_statement] = STATE(1906),
    [sym_nonlocal_statement] = STATE(1906),
    [sym_exec_statement] = STATE(1906),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(573),
    [sym__indent] = ACTIONS(575),
    [sym__string_start] = ACTIONS(77),
  },
  [144] = {
    [sym__simple_statements] = STATE(624),
    [sym_import_statement] = STATE(1945),
    [sym_future_import_statement] = STATE(1945),
    [sym_import_from_statement] = STATE(1945),
    [sym_print_statement] = STATE(1945),
    [sym_assert_statement] = STATE(1945),
    [sym_expression_statement] = STATE(1945),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1945),
    [sym_delete_statement] = STATE(1945),
    [sym_raise_statement] = STATE(1945),
    [sym_pass_statement] = STATE(1945),
    [sym_break_statement] = STATE(1945),
    [sym_continue_statement] = STATE(1945),
    [sym_global_statement] = STATE(1945),
    [sym_nonlocal_statement] = STATE(1945),
    [sym_exec_statement] = STATE(1945),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym__indent] = ACTIONS(579),
    [sym__string_start] = ACTIONS(77),
  },
  [145] = {
    [sym__simple_statements] = STATE(627),
    [sym_import_statement] = STATE(1838),
    [sym_future_import_statement] = STATE(1838),
    [sym_import_from_statement] = STATE(1838),
    [sym_print_statement] = STATE(1838),
    [sym_assert_statement] = STATE(1838),
    [sym_expression_statement] = STATE(1838),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1838),
    [sym_delete_statement] = STATE(1838),
    [sym_raise_statement] = STATE(1838),
    [sym_pass_statement] = STATE(1838),
    [sym_break_statement] = STATE(1838),
    [sym_continue_statement] = STATE(1838),
    [sym_global_statement] = STATE(1838),
    [sym_nonlocal_statement] = STATE(1838),
    [sym_exec_statement] = STATE(1838),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(581),
    [sym__indent] = ACTIONS(583),
    [sym__string_start] = ACTIONS(77),
  },
  [146] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(585),
    [sym__string_start] = ACTIONS(77),
  },
  [147] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(587),
    [sym__string_start] = ACTIONS(77),
  },
  [148] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(589),
    [sym__string_start] = ACTIONS(77),
  },
  [149] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(591),
    [sym__string_start] = ACTIONS(77),
  },
  [150] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(593),
    [sym__string_start] = ACTIONS(77),
  },
  [151] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(595),
    [sym__string_start] = ACTIONS(77),
  },
  [152] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(597),
    [sym__string_start] = ACTIONS(77),
  },
  [153] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(599),
    [sym__string_start] = ACTIONS(77),
  },
  [154] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(601),
    [sym__string_start] = ACTIONS(77),
  },
  [155] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(603),
    [sym__string_start] = ACTIONS(77),
  },
  [156] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(605),
    [sym__string_start] = ACTIONS(77),
  },
  [157] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(607),
    [sym__string_start] = ACTIONS(77),
  },
  [158] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(609),
    [sym__string_start] = ACTIONS(77),
  },
  [159] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(611),
    [sym__string_start] = ACTIONS(77),
  },
  [160] = {
    [sym_import_statement] = STATE(1981),
    [sym_future_import_statement] = STATE(1981),
    [sym_import_from_statement] = STATE(1981),
    [sym_print_statement] = STATE(1981),
    [sym_assert_statement] = STATE(1981),
    [sym_expression_statement] = STATE(1981),
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_return_statement] = STATE(1981),
    [sym_delete_statement] = STATE(1981),
    [sym_raise_statement] = STATE(1981),
    [sym_pass_statement] = STATE(1981),
    [sym_break_statement] = STATE(1981),
    [sym_continue_statement] = STATE(1981),
    [sym_global_statement] = STATE(1981),
    [sym_nonlocal_statement] = STATE(1981),
    [sym_exec_statement] = STATE(1981),
    [sym_pattern] = STATE(1387),
    [sym_tuple_pattern] = STATE(1390),
    [sym_list_pattern] = STATE(1390),
    [sym_list_splat_pattern] = STATE(1390),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_assignment] = STATE(1965),
    [sym_augmented_assignment] = STATE(1965),
    [sym_pattern_list] = STATE(1403),
    [sym_yield] = STATE(1965),
    [sym_attribute] = STATE(491),
    [sym_subscript] = STATE(491),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [161] = {
    [sym_named_expression] = STATE(1472),
    [sym__named_expresssion_lhs] = STATE(2170),
    [sym_as_pattern] = STATE(1472),
    [sym_expression] = STATE(1478),
    [sym_primary_expression] = STATE(842),
    [sym_not_operator] = STATE(1472),
    [sym_boolean_operator] = STATE(1472),
    [sym_binary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_comparison_operator] = STATE(1472),
    [sym_lambda] = STATE(1472),
    [sym_attribute] = STATE(1062),
    [sym_subscript] = STATE(1062),
    [sym_call] = STATE(1062),
    [sym_list] = STATE(1062),
    [sym_set] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_dictionary] = STATE(1062),
    [sym_list_comprehension] = STATE(1062),
    [sym_dictionary_comprehension] = STATE(1062),
    [sym_set_comprehension] = STATE(1062),
    [sym_generator_expression] = STATE(1062),
    [sym_parenthesized_expression] = STATE(1062),
    [sym_conditional_expression] = STATE(1472),
    [sym_concatenated_string] = STATE(1062),
    [sym_string] = STATE(837),
    [sym_await] = STATE(1472),
    [sym_identifier] = ACTIONS(309),
    [anon_sym_SEMI] = ACTIONS(266),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_from] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(319),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(311),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(315),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(311),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(317),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(266),
    [sym__string_start] = ACTIONS(77),
  },
  [162] = {
    [sym_named_expression] = STATE(1490),
    [sym__named_expresssion_lhs] = STATE(2078),
    [sym_as_pattern] = STATE(1490),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(831),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_binary_operator] = STATE(1119),
    [sym_unary_operator] = STATE(1119),
    [sym_comparison_operator] = STATE(1490),
    [sym_lambda] = STATE(1490),
    [sym_attribute] = STATE(1119),
    [sym_subscript] = STATE(1119),
    [sym_call] = STATE(1119),
    [sym_list] = STATE(1119),
    [sym_set] = STATE(1119),
    [sym_tuple] = STATE(1119),
    [sym_dictionary] = STATE(1119),
    [sym_list_comprehension] = STATE(1119),
    [sym_dictionary_comprehension] = STATE(1119),
    [sym_set_comprehension] = STATE(1119),
    [sym_generator_expression] = STATE(1119),
    [sym_parenthesized_expression] = STATE(1119),
    [sym_conditional_expression] = STATE(1490),
    [sym_concatenated_string] = STATE(1119),
    [sym_string] = STATE(838),
    [sym_await] = STATE(1490),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(617),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(617),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(617),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(625),
    [anon_sym_DASH] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(627),
    [sym_ellipsis] = ACTIONS(629),
    [anon_sym_LBRACE] = ACTIONS(631),
    [anon_sym_RBRACE] = ACTIONS(266),
    [sym_type_conversion] = ACTIONS(266),
    [sym_integer] = ACTIONS(633),
    [sym_float] = ACTIONS(629),
    [anon_sym_await] = ACTIONS(635),
    [sym_true] = ACTIONS(633),
    [sym_false] = ACTIONS(633),
    [sym_none] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(637),
  },
  [163] = {
    [sym_named_expression] = STATE(1504),
    [sym__named_expresssion_lhs] = STATE(2190),
    [sym_as_pattern] = STATE(1504),
    [sym_expression] = STATE(1549),
    [sym_primary_expression] = STATE(876),
    [sym_not_operator] = STATE(1504),
    [sym_boolean_operator] = STATE(1504),
    [sym_binary_operator] = STATE(1228),
    [sym_unary_operator] = STATE(1228),
    [sym_comparison_operator] = STATE(1504),
    [sym_lambda] = STATE(1504),
    [sym_attribute] = STATE(1228),
    [sym_subscript] = STATE(1228),
    [sym_call] = STATE(1228),
    [sym_list] = STATE(1228),
    [sym_set] = STATE(1228),
    [sym_tuple] = STATE(1228),
    [sym_dictionary] = STATE(1228),
    [sym_list_comprehension] = STATE(1228),
    [sym_dictionary_comprehension] = STATE(1228),
    [sym_set_comprehension] = STATE(1228),
    [sym_generator_expression] = STATE(1228),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_conditional_expression] = STATE(1504),
    [sym_concatenated_string] = STATE(1228),
    [sym_string] = STATE(856),
    [sym_await] = STATE(1504),
    [sym_identifier] = ACTIONS(639),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(643),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(643),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(649),
    [anon_sym_not] = ACTIONS(651),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(655),
    [sym_ellipsis] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(659),
    [sym_integer] = ACTIONS(661),
    [sym_float] = ACTIONS(657),
    [anon_sym_await] = ACTIONS(663),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_none] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(665),
  },
  [164] = {
    [sym_named_expression] = STATE(1493),
    [sym__named_expresssion_lhs] = STATE(2187),
    [sym_as_pattern] = STATE(1493),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(844),
    [sym_not_operator] = STATE(1493),
    [sym_boolean_operator] = STATE(1493),
    [sym_binary_operator] = STATE(1159),
    [sym_unary_operator] = STATE(1159),
    [sym_comparison_operator] = STATE(1493),
    [sym_lambda] = STATE(1493),
    [sym_attribute] = STATE(1159),
    [sym_subscript] = STATE(1159),
    [sym_call] = STATE(1159),
    [sym_list] = STATE(1159),
    [sym_set] = STATE(1159),
    [sym_tuple] = STATE(1159),
    [sym_dictionary] = STATE(1159),
    [sym_list_comprehension] = STATE(1159),
    [sym_dictionary_comprehension] = STATE(1159),
    [sym_set_comprehension] = STATE(1159),
    [sym_generator_expression] = STATE(1159),
    [sym_parenthesized_expression] = STATE(1159),
    [sym_conditional_expression] = STATE(1493),
    [sym_concatenated_string] = STATE(1159),
    [sym_string] = STATE(833),
    [sym_await] = STATE(1493),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(671),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_not] = ACTIONS(677),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(681),
    [sym_ellipsis] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(266),
    [sym_integer] = ACTIONS(687),
    [sym_float] = ACTIONS(683),
    [anon_sym_await] = ACTIONS(689),
    [sym_true] = ACTIONS(687),
    [sym_false] = ACTIONS(687),
    [sym_none] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(691),
  },
  [165] = {
    [sym_named_expression] = STATE(1500),
    [sym__named_expresssion_lhs] = STATE(2173),
    [sym_as_pattern] = STATE(1500),
    [sym_expression] = STATE(1508),
    [sym_primary_expression] = STATE(869),
    [sym_not_operator] = STATE(1500),
    [sym_boolean_operator] = STATE(1500),
    [sym_binary_operator] = STATE(1168),
    [sym_unary_operator] = STATE(1168),
    [sym_comparison_operator] = STATE(1500),
    [sym_lambda] = STATE(1500),
    [sym_attribute] = STATE(1168),
    [sym_subscript] = STATE(1168),
    [sym_call] = STATE(1168),
    [sym_list] = STATE(1168),
    [sym_set] = STATE(1168),
    [sym_tuple] = STATE(1168),
    [sym_dictionary] = STATE(1168),
    [sym_list_comprehension] = STATE(1168),
    [sym_dictionary_comprehension] = STATE(1168),
    [sym_set_comprehension] = STATE(1168),
    [sym_generator_expression] = STATE(1168),
    [sym_parenthesized_expression] = STATE(1168),
    [sym_conditional_expression] = STATE(1500),
    [sym_concatenated_string] = STATE(1168),
    [sym_string] = STATE(861),
    [sym_await] = STATE(1500),
    [sym_identifier] = ACTIONS(264),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(276),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(280),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_else] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(276),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(276),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(697),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(295),
    [sym_ellipsis] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(301),
    [sym_integer] = ACTIONS(303),
    [sym_float] = ACTIONS(299),
    [anon_sym_await] = ACTIONS(305),
    [sym_true] = ACTIONS(303),
    [sym_false] = ACTIONS(303),
    [sym_none] = ACTIONS(303),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(307),
  },
  [166] = {
    [sym_named_expression] = STATE(1578),
    [sym__named_expresssion_lhs] = STATE(2080),
    [sym_as_pattern] = STATE(1578),
    [sym_expression] = STATE(1593),
    [sym_primary_expression] = STATE(955),
    [sym_not_operator] = STATE(1578),
    [sym_boolean_operator] = STATE(1578),
    [sym_binary_operator] = STATE(1271),
    [sym_unary_operator] = STATE(1271),
    [sym_comparison_operator] = STATE(1578),
    [sym_lambda] = STATE(1578),
    [sym_attribute] = STATE(1271),
    [sym_subscript] = STATE(1271),
    [sym_call] = STATE(1271),
    [sym_list] = STATE(1271),
    [sym_set] = STATE(1271),
    [sym_tuple] = STATE(1271),
    [sym_dictionary] = STATE(1271),
    [sym_list_comprehension] = STATE(1271),
    [sym_dictionary_comprehension] = STATE(1271),
    [sym_set_comprehension] = STATE(1271),
    [sym_generator_expression] = STATE(1271),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_conditional_expression] = STATE(1578),
    [sym_concatenated_string] = STATE(1271),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1578),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_not] = ACTIONS(709),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(713),
    [sym_ellipsis] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [sym_integer] = ACTIONS(719),
    [sym_float] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(721),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_none] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(723),
  },
  [167] = {
    [sym_named_expression] = STATE(1504),
    [sym__named_expresssion_lhs] = STATE(2190),
    [sym_as_pattern] = STATE(1504),
    [sym_expression] = STATE(1549),
    [sym_primary_expression] = STATE(876),
    [sym_not_operator] = STATE(1504),
    [sym_boolean_operator] = STATE(1504),
    [sym_binary_operator] = STATE(1228),
    [sym_unary_operator] = STATE(1228),
    [sym_comparison_operator] = STATE(1504),
    [sym_lambda] = STATE(1504),
    [sym_attribute] = STATE(1228),
    [sym_subscript] = STATE(1228),
    [sym_call] = STATE(1228),
    [sym_list] = STATE(1228),
    [sym_set] = STATE(1228),
    [sym_tuple] = STATE(1228),
    [sym_dictionary] = STATE(1228),
    [sym_list_comprehension] = STATE(1228),
    [sym_dictionary_comprehension] = STATE(1228),
    [sym_set_comprehension] = STATE(1228),
    [sym_generator_expression] = STATE(1228),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_conditional_expression] = STATE(1504),
    [sym_concatenated_string] = STATE(1228),
    [sym_string] = STATE(856),
    [sym_await] = STATE(1504),
    [sym_identifier] = ACTIONS(639),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(643),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(643),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(651),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(655),
    [sym_ellipsis] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(659),
    [sym_integer] = ACTIONS(661),
    [sym_float] = ACTIONS(657),
    [anon_sym_await] = ACTIONS(663),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_none] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(665),
  },
  [168] = {
    [sym_named_expression] = STATE(1541),
    [sym__named_expresssion_lhs] = STATE(2091),
    [sym_as_pattern] = STATE(1541),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(874),
    [sym_not_operator] = STATE(1541),
    [sym_boolean_operator] = STATE(1541),
    [sym_binary_operator] = STATE(1262),
    [sym_unary_operator] = STATE(1262),
    [sym_comparison_operator] = STATE(1541),
    [sym_lambda] = STATE(1541),
    [sym_attribute] = STATE(1262),
    [sym_subscript] = STATE(1262),
    [sym_call] = STATE(1262),
    [sym_list] = STATE(1262),
    [sym_set] = STATE(1262),
    [sym_tuple] = STATE(1262),
    [sym_dictionary] = STATE(1262),
    [sym_list_comprehension] = STATE(1262),
    [sym_dictionary_comprehension] = STATE(1262),
    [sym_set_comprehension] = STATE(1262),
    [sym_generator_expression] = STATE(1262),
    [sym_parenthesized_expression] = STATE(1262),
    [sym_conditional_expression] = STATE(1541),
    [sym_concatenated_string] = STATE(1262),
    [sym_string] = STATE(855),
    [sym_await] = STATE(1541),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_RBRACK] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(737),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(739),
    [sym_ellipsis] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [sym_integer] = ACTIONS(745),
    [sym_float] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(747),
    [sym_true] = ACTIONS(745),
    [sym_false] = ACTIONS(745),
    [sym_none] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(749),
  },
  [169] = {
    [sym_named_expression] = STATE(1504),
    [sym__named_expresssion_lhs] = STATE(2190),
    [sym_as_pattern] = STATE(1504),
    [sym_expression] = STATE(1549),
    [sym_primary_expression] = STATE(876),
    [sym_not_operator] = STATE(1504),
    [sym_boolean_operator] = STATE(1504),
    [sym_binary_operator] = STATE(1228),
    [sym_unary_operator] = STATE(1228),
    [sym_comparison_operator] = STATE(1504),
    [sym_lambda] = STATE(1504),
    [sym_attribute] = STATE(1228),
    [sym_subscript] = STATE(1228),
    [sym_call] = STATE(1228),
    [sym_list] = STATE(1228),
    [sym_set] = STATE(1228),
    [sym_tuple] = STATE(1228),
    [sym_dictionary] = STATE(1228),
    [sym_list_comprehension] = STATE(1228),
    [sym_dictionary_comprehension] = STATE(1228),
    [sym_set_comprehension] = STATE(1228),
    [sym_generator_expression] = STATE(1228),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_conditional_expression] = STATE(1504),
    [sym_concatenated_string] = STATE(1228),
    [sym_string] = STATE(856),
    [sym_await] = STATE(1504),
    [sym_identifier] = ACTIONS(639),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(643),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(643),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(651),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(655),
    [sym_ellipsis] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(659),
    [sym_integer] = ACTIONS(661),
    [sym_float] = ACTIONS(657),
    [anon_sym_await] = ACTIONS(663),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_none] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(665),
  },
  [170] = {
    [sym_named_expression] = STATE(1601),
    [sym__named_expresssion_lhs] = STATE(2053),
    [sym_as_pattern] = STATE(1601),
    [sym_expression] = STATE(1583),
    [sym_primary_expression] = STATE(938),
    [sym_not_operator] = STATE(1601),
    [sym_boolean_operator] = STATE(1601),
    [sym_binary_operator] = STATE(1310),
    [sym_unary_operator] = STATE(1310),
    [sym_comparison_operator] = STATE(1601),
    [sym_lambda] = STATE(1601),
    [sym_attribute] = STATE(1310),
    [sym_subscript] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_set] = STATE(1310),
    [sym_tuple] = STATE(1310),
    [sym_dictionary] = STATE(1310),
    [sym_list_comprehension] = STATE(1310),
    [sym_dictionary_comprehension] = STATE(1310),
    [sym_set_comprehension] = STATE(1310),
    [sym_generator_expression] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_conditional_expression] = STATE(1601),
    [sym_concatenated_string] = STATE(1310),
    [sym_string] = STATE(937),
    [sym_await] = STATE(1601),
    [sym_identifier] = ACTIONS(751),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(755),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(755),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(761),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(765),
    [sym_ellipsis] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [sym_integer] = ACTIONS(771),
    [sym_float] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_none] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(775),
  },
  [171] = {
    [sym_named_expression] = STATE(1578),
    [sym__named_expresssion_lhs] = STATE(2080),
    [sym_as_pattern] = STATE(1578),
    [sym_expression] = STATE(1593),
    [sym_primary_expression] = STATE(955),
    [sym_not_operator] = STATE(1578),
    [sym_boolean_operator] = STATE(1578),
    [sym_binary_operator] = STATE(1271),
    [sym_unary_operator] = STATE(1271),
    [sym_comparison_operator] = STATE(1578),
    [sym_lambda] = STATE(1578),
    [sym_attribute] = STATE(1271),
    [sym_subscript] = STATE(1271),
    [sym_call] = STATE(1271),
    [sym_list] = STATE(1271),
    [sym_set] = STATE(1271),
    [sym_tuple] = STATE(1271),
    [sym_dictionary] = STATE(1271),
    [sym_list_comprehension] = STATE(1271),
    [sym_dictionary_comprehension] = STATE(1271),
    [sym_set_comprehension] = STATE(1271),
    [sym_generator_expression] = STATE(1271),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_conditional_expression] = STATE(1578),
    [sym_concatenated_string] = STATE(1271),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1578),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(266),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(649),
    [anon_sym_not] = ACTIONS(709),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(713),
    [sym_ellipsis] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [sym_integer] = ACTIONS(719),
    [sym_float] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(721),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_none] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(723),
  },
  [172] = {
    [sym_named_expression] = STATE(1541),
    [sym__named_expresssion_lhs] = STATE(2091),
    [sym_as_pattern] = STATE(1541),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(874),
    [sym_not_operator] = STATE(1541),
    [sym_boolean_operator] = STATE(1541),
    [sym_binary_operator] = STATE(1262),
    [sym_unary_operator] = STATE(1262),
    [sym_comparison_operator] = STATE(1541),
    [sym_lambda] = STATE(1541),
    [sym_attribute] = STATE(1262),
    [sym_subscript] = STATE(1262),
    [sym_call] = STATE(1262),
    [sym_list] = STATE(1262),
    [sym_set] = STATE(1262),
    [sym_tuple] = STATE(1262),
    [sym_dictionary] = STATE(1262),
    [sym_list_comprehension] = STATE(1262),
    [sym_dictionary_comprehension] = STATE(1262),
    [sym_set_comprehension] = STATE(1262),
    [sym_generator_expression] = STATE(1262),
    [sym_parenthesized_expression] = STATE(1262),
    [sym_conditional_expression] = STATE(1541),
    [sym_concatenated_string] = STATE(1262),
    [sym_string] = STATE(855),
    [sym_await] = STATE(1541),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(729),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_for] = ACTIONS(268),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_not] = ACTIONS(735),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(737),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(739),
    [sym_ellipsis] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(743),
    [sym_integer] = ACTIONS(745),
    [sym_float] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(747),
    [sym_true] = ACTIONS(745),
    [sym_false] = ACTIONS(745),
    [sym_none] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(749),
  },
  [173] = {
    [sym_named_expression] = STATE(1578),
    [sym__named_expresssion_lhs] = STATE(2080),
    [sym_as_pattern] = STATE(1578),
    [sym_expression] = STATE(1593),
    [sym_primary_expression] = STATE(955),
    [sym_not_operator] = STATE(1578),
    [sym_boolean_operator] = STATE(1578),
    [sym_binary_operator] = STATE(1271),
    [sym_unary_operator] = STATE(1271),
    [sym_comparison_operator] = STATE(1578),
    [sym_lambda] = STATE(1578),
    [sym_attribute] = STATE(1271),
    [sym_subscript] = STATE(1271),
    [sym_call] = STATE(1271),
    [sym_list] = STATE(1271),
    [sym_set] = STATE(1271),
    [sym_tuple] = STATE(1271),
    [sym_dictionary] = STATE(1271),
    [sym_list_comprehension] = STATE(1271),
    [sym_dictionary_comprehension] = STATE(1271),
    [sym_set_comprehension] = STATE(1271),
    [sym_generator_expression] = STATE(1271),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_conditional_expression] = STATE(1578),
    [sym_concatenated_string] = STATE(1271),
    [sym_string] = STATE(954),
    [sym_await] = STATE(1578),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(777),
    [anon_sym_COMMA] = ACTIONS(777),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(703),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_not] = ACTIONS(709),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(713),
    [sym_ellipsis] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(717),
    [sym_integer] = ACTIONS(719),
    [sym_float] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(721),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_none] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(723),
  },
  [174] = {
    [sym_named_expression] = STATE(1601),
    [sym__named_expresssion_lhs] = STATE(2053),
    [sym_as_pattern] = STATE(1601),
    [sym_expression] = STATE(1583),
    [sym_primary_expression] = STATE(938),
    [sym_not_operator] = STATE(1601),
    [sym_boolean_operator] = STATE(1601),
    [sym_binary_operator] = STATE(1310),
    [sym_unary_operator] = STATE(1310),
    [sym_comparison_operator] = STATE(1601),
    [sym_lambda] = STATE(1601),
    [sym_attribute] = STATE(1310),
    [sym_subscript] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_set] = STATE(1310),
    [sym_tuple] = STATE(1310),
    [sym_dictionary] = STATE(1310),
    [sym_list_comprehension] = STATE(1310),
    [sym_dictionary_comprehension] = STATE(1310),
    [sym_set_comprehension] = STATE(1310),
    [sym_generator_expression] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_conditional_expression] = STATE(1601),
    [sym_concatenated_string] = STATE(1310),
    [sym_string] = STATE(937),
    [sym_await] = STATE(1601),
    [sym_identifier] = ACTIONS(751),
    [anon_sym_DOT] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COMMA] = ACTIONS(777),
    [anon_sym_as] = ACTIONS(268),
    [anon_sym_STAR] = ACTIONS(268),
    [anon_sym_print] = ACTIONS(755),
    [anon_sym_GT_GT] = ACTIONS(266),
    [anon_sym_match] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(268),
    [anon_sym_async] = ACTIONS(755),
    [anon_sym_in] = ACTIONS(268),
    [anon_sym_STAR_STAR] = ACTIONS(266),
    [anon_sym_exec] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(761),
    [anon_sym_and] = ACTIONS(268),
    [anon_sym_or] = ACTIONS(268),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(268),
    [anon_sym_PERCENT] = ACTIONS(266),
    [anon_sym_SLASH_SLASH] = ACTIONS(266),
    [anon_sym_PIPE] = ACTIONS(266),
    [anon_sym_AMP] = ACTIONS(266),
    [anon_sym_CARET] = ACTIONS(266),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(268),
    [anon_sym_LT_EQ] = ACTIONS(266),
    [anon_sym_EQ_EQ] = ACTIONS(266),
    [anon_sym_BANG_EQ] = ACTIONS(266),
    [anon_sym_GT_EQ] = ACTIONS(266),
    [anon_sym_GT] = ACTIONS(268),
    [anon_sym_LT_GT] = ACTIONS(266),
    [anon_sym_is] = ACTIONS(268),
    [anon_sym_lambda] = ACTIONS(765),
    [sym_ellipsis] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(769),
    [sym_integer] = ACTIONS(771),
    [sym_float] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_none] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(775),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(784), 1,
      anon_sym_RPAREN,
    ACTIONS(786), 1,
      anon_sym_STAR,
    ACTIONS(790), 1,
      anon_sym_match,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(796), 1,
      anon_sym_await,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1424), 1,
      sym_expression,
    STATE(1836), 1,
      sym_pattern,
    STATE(1842), 1,
      sym_yield,
    STATE(1905), 1,
      sym_parenthesized_list_splat,
    STATE(1907), 1,
      sym_list_splat,
    STATE(2088), 1,
      sym__collection_elements,
    STATE(2169), 1,
      sym__patterns,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1256), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(788), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [124] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(325), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1387), 1,
      sym_pattern,
    STATE(1403), 1,
      sym_pattern_list,
    STATE(1544), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(491), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(327), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1983), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [240] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_STAR,
    ACTIONS(790), 1,
      anon_sym_match,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(796), 1,
      anon_sym_await,
    ACTIONS(798), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1421), 1,
      sym_expression,
    STATE(1833), 1,
      sym_parenthesized_list_splat,
    STATE(1834), 1,
      sym_list_splat,
    STATE(1836), 1,
      sym_pattern,
    STATE(1943), 1,
      sym_yield,
    STATE(2054), 1,
      sym__patterns,
    STATE(2180), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1256), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(788), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [364] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(325), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1387), 1,
      sym_pattern,
    STATE(1403), 1,
      sym_pattern_list,
    STATE(1544), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(491), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(327), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2013), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [480] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_STAR,
    ACTIONS(790), 1,
      anon_sym_match,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(796), 1,
      anon_sym_await,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1435), 1,
      sym_expression,
    STATE(1778), 1,
      sym_yield,
    STATE(1836), 1,
      sym_pattern,
    STATE(2095), 1,
      sym__patterns,
    STATE(2168), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1256), 2,
      sym_attribute,
      sym_subscript,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(788), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [602] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_STAR,
    ACTIONS(790), 1,
      anon_sym_match,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(796), 1,
      anon_sym_await,
    ACTIONS(802), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1435), 1,
      sym_expression,
    STATE(1778), 1,
      sym_yield,
    STATE(1836), 1,
      sym_pattern,
    STATE(2054), 1,
      sym__patterns,
    STATE(2168), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1256), 2,
      sym_attribute,
      sym_subscript,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(788), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [724] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(804), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(812), 1,
      anon_sym_match,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(816), 1,
      anon_sym_RBRACK,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_await,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1434), 1,
      sym_expression,
    STATE(1790), 1,
      sym_pattern,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2162), 1,
      sym__collection_elements,
    STATE(2177), 1,
      sym__patterns,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1261), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(810), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [844] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(804), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(812), 1,
      anon_sym_match,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_await,
    ACTIONS(822), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1434), 1,
      sym_expression,
    STATE(1790), 1,
      sym_pattern,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2116), 1,
      sym__patterns,
    STATE(2162), 1,
      sym__collection_elements,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1261), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(810), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [964] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(804), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(812), 1,
      anon_sym_match,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_await,
    ACTIONS(824), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1416), 1,
      sym_expression,
    STATE(1790), 1,
      sym_pattern,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2116), 1,
      sym__patterns,
    STATE(2123), 1,
      sym__collection_elements,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1261), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(810), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1084] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(325), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1387), 1,
      sym_pattern,
    STATE(1403), 1,
      sym_pattern_list,
    STATE(1544), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(491), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(327), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1982), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1200] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(804), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(812), 1,
      anon_sym_match,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_await,
    ACTIONS(826), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1434), 1,
      sym_expression,
    STATE(1790), 1,
      sym_pattern,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2162), 1,
      sym__collection_elements,
    STATE(2165), 1,
      sym__patterns,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1261), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(810), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1320] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(804), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(812), 1,
      anon_sym_match,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_await,
    ACTIONS(828), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1429), 1,
      sym_expression,
    STATE(1790), 1,
      sym_pattern,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2158), 1,
      sym__collection_elements,
    STATE(2177), 1,
      sym__patterns,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1261), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(810), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1440] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_STAR,
    ACTIONS(790), 1,
      anon_sym_match,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(796), 1,
      anon_sym_await,
    ACTIONS(830), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1439), 1,
      sym_expression,
    STATE(1836), 1,
      sym_pattern,
    STATE(1843), 1,
      sym_yield,
    STATE(2086), 1,
      sym__collection_elements,
    STATE(2095), 1,
      sym__patterns,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1256), 2,
      sym_attribute,
      sym_subscript,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(788), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1562] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(804), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_LPAREN,
    ACTIONS(808), 1,
      anon_sym_STAR,
    ACTIONS(812), 1,
      anon_sym_match,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_await,
    ACTIONS(832), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1423), 1,
      sym_expression,
    STATE(1790), 1,
      sym_pattern,
    STATE(2084), 1,
      sym__collection_elements,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2165), 1,
      sym__patterns,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1261), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(810), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1682] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(780), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_STAR,
    ACTIONS(790), 1,
      anon_sym_match,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(796), 1,
      anon_sym_await,
    ACTIONS(834), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1435), 1,
      sym_expression,
    STATE(1778), 1,
      sym_yield,
    STATE(1836), 1,
      sym_pattern,
    STATE(2168), 1,
      sym__collection_elements,
    STATE(2169), 1,
      sym__patterns,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1256), 2,
      sym_attribute,
      sym_subscript,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(788), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1804] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(838), 1,
      anon_sym_COMMA,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(846), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1413), 1,
      sym_expression,
    STATE(1599), 1,
      sym_pair,
    STATE(1786), 1,
      sym_dictionary_splat,
    STATE(2159), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1923] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(848), 1,
      anon_sym_COMMA,
    ACTIONS(850), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1410), 1,
      sym_expression,
    STATE(1602), 1,
      sym_pair,
    STATE(1930), 1,
      sym_dictionary_splat,
    STATE(2140), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2042] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(852), 1,
      anon_sym_COMMA,
    ACTIONS(854), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1414), 1,
      sym_expression,
    STATE(1582), 1,
      sym_pair,
    STATE(1859), 1,
      sym_dictionary_splat,
    STATE(2064), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2161] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(856), 1,
      anon_sym_COMMA,
    ACTIONS(858), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1408), 1,
      sym_expression,
    STATE(1598), 1,
      sym_pair,
    STATE(1900), 1,
      sym_dictionary_splat,
    STATE(2023), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2280] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_COMMA,
    ACTIONS(862), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1412), 1,
      sym_expression,
    STATE(1571), 1,
      sym_pair,
    STATE(1850), 1,
      sym_dictionary_splat,
    STATE(2076), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2399] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(866), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1411), 1,
      sym_expression,
    STATE(1613), 1,
      sym_pair,
    STATE(1942), 1,
      sym_dictionary_splat,
    STATE(2179), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2518] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(868), 1,
      anon_sym_COMMA,
    ACTIONS(870), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1415), 1,
      sym_expression,
    STATE(1600), 1,
      sym_pair,
    STATE(1904), 1,
      sym_dictionary_splat,
    STATE(2079), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2637] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(872), 1,
      anon_sym_COMMA,
    ACTIONS(874), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1409), 1,
      sym_expression,
    STATE(1609), 1,
      sym_pair,
    STATE(1937), 1,
      sym_dictionary_splat,
    STATE(2141), 1,
      sym__collection_elements,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1765), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2756] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_TILDE,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(880), 1,
      anon_sym_STAR,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(888), 1,
      anon_sym_in,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1398), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(886), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(293), 1,
      anon_sym_TILDE,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(880), 1,
      anon_sym_STAR,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    ACTIONS(896), 1,
      anon_sym_in,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1398), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(892), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(894), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2958] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(902), 1,
      anon_sym_RPAREN,
    ACTIONS(904), 1,
      anon_sym_COMMA,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_expression,
    STATE(1868), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1867), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3068] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(916), 1,
      anon_sym_RPAREN,
    ACTIONS(918), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1436), 1,
      sym_expression,
    STATE(1870), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1872), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3178] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(920), 1,
      anon_sym_RPAREN,
    ACTIONS(922), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1426), 1,
      sym_expression,
    STATE(1856), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1857), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3288] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(924), 1,
      anon_sym_RPAREN,
    ACTIONS(926), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1433), 1,
      sym_expression,
    STATE(1890), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1893), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3398] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(928), 1,
      anon_sym_RPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1438), 1,
      sym_expression,
    STATE(1778), 1,
      sym_yield,
    STATE(1784), 1,
      sym_with_item,
    STATE(2168), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3510] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(936), 1,
      anon_sym_RPAREN,
    ACTIONS(938), 1,
      anon_sym_COMMA,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_expression,
    STATE(1805), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1804), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3620] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(946), 1,
      anon_sym_RPAREN,
    ACTIONS(948), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1422), 1,
      sym_expression,
    STATE(1927), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1932), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3730] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(950), 1,
      anon_sym_RPAREN,
    ACTIONS(952), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1430), 1,
      sym_expression,
    STATE(1922), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1921), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3840] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(954), 1,
      anon_sym_RPAREN,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1425), 1,
      sym_expression,
    STATE(1821), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1806), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3950] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(898), 1,
      sym_identifier,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_match,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(914), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      anon_sym_RPAREN,
    ACTIONS(938), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1417), 1,
      sym_expression,
    STATE(1805), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(908), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1804), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4060] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4167] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(960), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1418), 1,
      sym_expression,
    STATE(1764), 1,
      sym_yield,
    STATE(1794), 1,
      sym_list_splat,
    STATE(1795), 1,
      sym_parenthesized_list_splat,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    STATE(2201), 1,
      sym__collection_elements,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4278] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(962), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4385] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1421), 1,
      sym_expression,
    STATE(1943), 1,
      sym_yield,
    STATE(2180), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4494] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(966), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4601] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(968), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4708] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1420), 1,
      sym_expression,
    STATE(2018), 1,
      sym__collection_elements,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4815] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(976), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1427), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2189), 1,
      sym__collection_elements,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4922] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1432), 1,
      sym_expression,
    STATE(1862), 1,
      sym_yield,
    STATE(1905), 1,
      sym_parenthesized_list_splat,
    STATE(1907), 1,
      sym_list_splat,
    STATE(2057), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5033] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5140] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(982), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5247] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5354] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5461] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5568] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5675] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(928), 1,
      anon_sym_RPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1435), 1,
      sym_expression,
    STATE(1778), 1,
      sym_yield,
    STATE(2168), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5891] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1439), 1,
      sym_expression,
    STATE(1843), 1,
      sym_yield,
    STATE(2086), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6000] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6107] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6214] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6321] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6428] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1424), 1,
      sym_expression,
    STATE(1842), 1,
      sym_yield,
    STATE(1905), 1,
      sym_parenthesized_list_splat,
    STATE(1907), 1,
      sym_list_splat,
    STATE(2088), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6539] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6646] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1008), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1419), 1,
      sym_expression,
    STATE(2025), 1,
      sym__collection_elements,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(960), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1418), 1,
      sym_expression,
    STATE(1764), 1,
      sym_yield,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    STATE(2201), 1,
      sym__collection_elements,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6862] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1431), 1,
      sym_expression,
    STATE(1794), 1,
      sym_list_splat,
    STATE(1795), 1,
      sym_parenthesized_list_splat,
    STATE(1896), 1,
      sym_yield,
    STATE(2034), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6973] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1012), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7080] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1428), 1,
      sym_expression,
    STATE(1833), 1,
      sym_parenthesized_list_splat,
    STATE(1834), 1,
      sym_list_splat,
    STATE(1902), 1,
      sym_yield,
    STATE(2016), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7191] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1432), 1,
      sym_expression,
    STATE(1862), 1,
      sym_yield,
    STATE(2057), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7300] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1016), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1429), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2158), 1,
      sym__collection_elements,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7407] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1018), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1434), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2162), 1,
      sym__collection_elements,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7514] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7621] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1022), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1416), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    STATE(2123), 1,
      sym__collection_elements,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7728] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1421), 1,
      sym_expression,
    STATE(1833), 1,
      sym_parenthesized_list_splat,
    STATE(1834), 1,
      sym_list_splat,
    STATE(1943), 1,
      sym_yield,
    STATE(2180), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7839] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1024), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7946] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8053] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1028), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8160] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8267] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1032), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8374] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1034), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8481] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1036), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8588] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1424), 1,
      sym_expression,
    STATE(1842), 1,
      sym_yield,
    STATE(2088), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8697] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1038), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1423), 1,
      sym_expression,
    STATE(2084), 1,
      sym__collection_elements,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8804] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1040), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8911] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1042), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9018] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1044), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9125] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1046), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9232] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1048), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9339] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1050), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9446] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    ACTIONS(1052), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1431), 1,
      sym_expression,
    STATE(1896), 1,
      sym_yield,
    STATE(2034), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9662] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(970), 1,
      anon_sym_LPAREN,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1054), 1,
      anon_sym_RBRACK,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1440), 1,
      sym_expression,
    STATE(2059), 1,
      sym__collection_elements,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1791), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(900), 1,
      anon_sym_LPAREN,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1428), 1,
      sym_expression,
    STATE(1902), 1,
      sym_yield,
    STATE(2016), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1825), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9878] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1056), 1,
      anon_sym_from,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1461), 1,
      sym_expression,
    STATE(1684), 1,
      sym_expression_list,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1058), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(1060), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1676), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1998), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10085] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(942), 1,
      anon_sym_match,
    ACTIONS(944), 1,
      anon_sym_await,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_expression,
    STATE(2010), 1,
      sym_parenthesized_list_splat,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(940), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2005), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10189] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(1062), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      anon_sym_STAR,
    ACTIONS(1066), 1,
      anon_sym_RBRACE,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1668), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1972), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10293] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(1060), 1,
      anon_sym_RBRACE,
    ACTIONS(1062), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      anon_sym_STAR,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1668), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1972), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10397] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    ACTIONS(1066), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1676), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1998), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1060), 1,
      anon_sym_RBRACK,
    ACTIONS(1068), 1,
      anon_sym_LPAREN,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1646), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1995), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10605] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1066), 1,
      anon_sym_RBRACK,
    ACTIONS(1068), 1,
      anon_sym_LPAREN,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1646), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1995), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10709] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_if,
    ACTIONS(1072), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2137), 1,
      sym_if_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10814] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1074), 1,
      anon_sym_RPAREN,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(643), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1697), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1076), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10915] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(844), 1,
      anon_sym_yield,
    ACTIONS(1062), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      anon_sym_STAR,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1668), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1972), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1486), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1080), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11113] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(643), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1697), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1084), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11214] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    ACTIONS(1086), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(643), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1697), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1088), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11315] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    ACTIONS(1094), 1,
      anon_sym_RBRACE,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(671), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1706), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1090), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11416] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(671), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1706), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1084), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11517] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1086), 1,
      anon_sym_RBRACK,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(729), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1722), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1088), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11618] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1074), 1,
      anon_sym_RBRACE,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(671), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1706), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1076), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11719] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_if,
    ACTIONS(1098), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2103), 1,
      sym_if_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11824] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_if,
    ACTIONS(1100), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2131), 1,
      sym_if_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11929] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(794), 1,
      anon_sym_yield,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(934), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1676), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1998), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12030] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_if,
    ACTIONS(1102), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2138), 1,
      sym_if_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12135] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1086), 1,
      anon_sym_RBRACE,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(671), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1706), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1088), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12236] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1074), 1,
      anon_sym_RBRACK,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(729), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1722), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1076), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12337] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1082), 1,
      anon_sym_RBRACK,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(729), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1722), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1084), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12438] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1094), 1,
      anon_sym_RBRACK,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(729), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1722), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1090), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12539] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(818), 1,
      anon_sym_yield,
    ACTIONS(972), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_LPAREN,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1646), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1995), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1486), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1104), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12737] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_if,
    ACTIONS(1106), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2126), 1,
      sym_if_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12842] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    ACTIONS(1094), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(643), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1697), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1090), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12943] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_if,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2128), 1,
      sym_if_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13048] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1110), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13148] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1112), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13248] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1114), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13348] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1116), 1,
      anon_sym_from,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1506), 1,
      sym_expression,
    STATE(1957), 1,
      sym_expression_list,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1058), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13448] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1118), 1,
      anon_sym_from,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1594), 1,
      sym_expression,
    STATE(1975), 1,
      sym_expression_list,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13548] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13648] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1122), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13848] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1126), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13948] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1128), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14048] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(844), 1,
      anon_sym_yield,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1449), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1681), 3,
      sym_expression_list,
      sym_yield,
      sym__f_expression,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14146] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1130), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14246] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14346] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14446] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1136), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14546] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14646] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1140), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14746] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14846] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1146), 1,
      anon_sym_from,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1479), 1,
      sym_expression,
    STATE(1877), 1,
      sym_expression_list,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1144), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14946] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1148), 1,
      anon_sym_from,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1574), 1,
      sym_expression,
    STATE(1962), 1,
      sym_expression_list,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1058), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15046] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1150), 1,
      anon_sym_RBRACE,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15146] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1154), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15245] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1156), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15344] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 1,
      anon_sym_COMMA,
    ACTIONS(282), 1,
      anon_sym_EQ,
    ACTIONS(1158), 1,
      anon_sym_for,
    ACTIONS(1160), 1,
      anon_sym_with,
    ACTIONS(1162), 1,
      anon_sym_def,
    ACTIONS(297), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [15415] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1166), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1620), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1164), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15512] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1168), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15611] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1170), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15710] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1530), 1,
      sym_expression,
    STATE(2011), 1,
      sym_expression_list,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1172), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 1,
      anon_sym_COMMA,
    ACTIONS(282), 1,
      anon_sym_EQ,
    ACTIONS(1174), 1,
      anon_sym_for,
    ACTIONS(1176), 1,
      anon_sym_with,
    ACTIONS(1178), 1,
      anon_sym_def,
    ACTIONS(297), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [15878] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1182), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1606), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15975] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(842), 1,
      anon_sym_STAR_STAR,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1695), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1977), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16072] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1184), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16171] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1186), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16270] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1188), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16369] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1190), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16468] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1192), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16567] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1194), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16666] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1196), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16765] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1198), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16864] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1200), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16963] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1202), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17062] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1204), 1,
      anon_sym_from,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1523), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1104), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17159] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1206), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17258] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1208), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17357] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1210), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17456] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1212), 1,
      anon_sym_from,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1523), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1080), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17553] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1214), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17652] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1216), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1218), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17850] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1220), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17949] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1222), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18048] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1224), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18147] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    ACTIONS(1226), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1234), 1,
      anon_sym_except,
    ACTIONS(1236), 1,
      anon_sym_finally,
    STATE(658), 1,
      sym_else_clause,
    STATE(782), 1,
      sym_finally_clause,
    STATE(481), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1230), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1228), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18316] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1560), 1,
      sym_expression,
    STATE(1994), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1240), 1,
      anon_sym_except_STAR,
    ACTIONS(1242), 1,
      anon_sym_finally,
    STATE(671), 1,
      sym_else_clause,
    STATE(756), 1,
      sym_finally_clause,
    STATE(483), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1230), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1228), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18482] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1577), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1244), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1577), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1246), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18670] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18764] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1635), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18858] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1577), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1250), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1577), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1252), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1236), 1,
      anon_sym_finally,
    ACTIONS(1254), 1,
      anon_sym_except_STAR,
    STATE(658), 1,
      sym_else_clause,
    STATE(782), 1,
      sym_finally_clause,
    STATE(479), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1230), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1228), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [19116] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1551), 1,
      sym_expression,
    STATE(1696), 1,
      sym_list_splat_pattern,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1242), 1,
      anon_sym_finally,
    ACTIONS(1256), 1,
      anon_sym_except,
    STATE(671), 1,
      sym_else_clause,
    STATE(756), 1,
      sym_finally_clause,
    STATE(482), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1230), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1228), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [19282] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1638), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1656), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19470] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1552), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1716), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19564] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1546), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1721), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19658] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1512), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    STATE(1706), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1671), 1,
      sym_expression,
    STATE(1824), 1,
      sym_list_splat_pattern,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19848] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1236), 1,
      anon_sym_finally,
    ACTIONS(1254), 1,
      anon_sym_except_STAR,
    STATE(669), 1,
      sym_else_clause,
    STATE(744), 1,
      sym_finally_clause,
    STATE(479), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1260), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1258), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [19918] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1822), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20014] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1523), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1262), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1234), 1,
      anon_sym_except,
    ACTIONS(1236), 1,
      anon_sym_finally,
    STATE(669), 1,
      sym_else_clause,
    STATE(744), 1,
      sym_finally_clause,
    STATE(481), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1260), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1258), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20178] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1697), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1722), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1639), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1242), 1,
      anon_sym_finally,
    ACTIONS(1256), 1,
      anon_sym_except,
    STATE(655), 1,
      sym_else_clause,
    STATE(751), 1,
      sym_finally_clause,
    STATE(482), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1260), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1258), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1240), 1,
      anon_sym_except_STAR,
    ACTIONS(1242), 1,
      anon_sym_finally,
    STATE(655), 1,
      sym_else_clause,
    STATE(751), 1,
      sym_finally_clause,
    STATE(483), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1260), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1258), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1164), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20694] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1505), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1698), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20788] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1264), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(1901), 1,
      sym_with_item,
    STATE(2102), 1,
      sym_with_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20884] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1266), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1648), 1,
      sym_expression,
    STATE(1980), 1,
      sym_with_item,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20980] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1268), 1,
      anon_sym_RPAREN,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1648), 1,
      sym_expression,
    STATE(1980), 1,
      sym_with_item,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21076] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1264), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(1901), 1,
      sym_with_item,
    STATE(2151), 1,
      sym_with_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21172] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1517), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1690), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21266] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1636), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21360] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1270), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(2001), 1,
      sym_with_item,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1547), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1714), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21550] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1264), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(1901), 1,
      sym_with_item,
    STATE(2024), 1,
      sym_with_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21646] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1272), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(2001), 1,
      sym_with_item,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21742] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1636), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1080), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 1,
      anon_sym_COMMA,
    ACTIONS(282), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      sym__string_start,
    STATE(1913), 1,
      sym_string,
    ACTIONS(297), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [21904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1652), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21998] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1545), 1,
      sym_expression,
    STATE(1869), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22094] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1078), 1,
      anon_sym_lambda,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    STATE(1678), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22188] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1519), 1,
      sym_expression,
    STATE(1700), 1,
      sym_list_splat_pattern,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22284] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1559), 1,
      sym_expression,
    STATE(1808), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22380] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1536), 1,
      sym_expression,
    STATE(1871), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22476] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1663), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1080), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22570] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1511), 1,
      sym_expression,
    STATE(1925), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22666] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1096), 1,
      anon_sym_lambda,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1557), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    STATE(1720), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1663), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1104), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22854] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1538), 1,
      sym_expression,
    STATE(1924), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22950] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1524), 1,
      sym_expression,
    STATE(1887), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1523), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1276), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23140] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1152), 1,
      anon_sym_COLON,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1515), 1,
      sym_expression,
    STATE(1851), 1,
      sym_slice,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23236] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1666), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1264), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(1901), 1,
      sym_with_item,
    STATE(2096), 1,
      sym_with_clause,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23426] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1573), 1,
      sym_expression,
    STATE(1810), 1,
      sym_type,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23690] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 1,
      anon_sym_COMMA,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(282), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(297), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [23755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_COMMA,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1297), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1299), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1293), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [23820] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1080), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1623), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23970] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1590), 1,
      sym_expression,
    STATE(2109), 1,
      sym_expression_list,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24063] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1305), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1670), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24156] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1630), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24249] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1622), 1,
      sym_expression,
    STATE(2118), 1,
      sym_expression_list,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24342] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_expression,
    STATE(2085), 1,
      sym_type,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_expression,
    STATE(2122), 1,
      sym_type,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_expression,
    STATE(2063), 1,
      sym_type,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24621] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1670), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_expression,
    STATE(2129), 1,
      sym_type,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24807] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1529), 1,
      sym_expression,
    STATE(2008), 1,
      sym_expression_list,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24900] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1648), 1,
      sym_expression,
    STATE(1980), 1,
      sym_with_item,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24993] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1584), 1,
      sym_expression,
    STATE(2044), 1,
      sym_expression_list,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25086] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1643), 1,
      sym_expression,
    STATE(2001), 1,
      sym_with_item,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25179] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1561), 1,
      sym_expression,
    STATE(1935), 1,
      sym_type,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25272] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1561), 1,
      sym_expression,
    STATE(1958), 1,
      sym_type,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25479] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1319), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1667), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25629] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1564), 1,
      sym_expression,
    STATE(2104), 1,
      sym_expression_list,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25722] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1321), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1670), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1104), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1623), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25908] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    ACTIONS(1323), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1670), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26001] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1577), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26091] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1711), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1485), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26271] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1567), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26361] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1651), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26451] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1644), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1563), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26631] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1616), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26721] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1605), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26811] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1585), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 1,
      anon_sym_COMMA,
    ACTIONS(282), 1,
      anon_sym_EQ,
    ACTIONS(297), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(268), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [26963] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1624), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27053] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1725), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27143] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1503), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27233] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1610), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27323] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1587), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27413] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1591), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27503] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1619), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27593] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1615), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27683] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1614), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27773] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_COMMA,
    ACTIONS(1334), 1,
      anon_sym_EQ,
    ACTIONS(1332), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1330), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [27835] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27925] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1468), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(488), 1,
      aux_sym_if_statement_repeat1,
    STATE(653), 1,
      sym_elif_clause,
    STATE(762), 1,
      sym_else_clause,
    ACTIONS(1338), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28081] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1480), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(586), 1,
      aux_sym_if_statement_repeat1,
    STATE(653), 1,
      sym_elif_clause,
    STATE(761), 1,
      sym_else_clause,
    ACTIONS(1344), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1342), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28237] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1470), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28327] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1674), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28417] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1657), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28507] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1527), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28597] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1670), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28687] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1679), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28777] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1476), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28867] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1465), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28957] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1502), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1346), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(654), 1,
      sym_elif_clause,
    STATE(796), 1,
      sym_else_clause,
    ACTIONS(1344), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1342), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1346), 1,
      anon_sym_elif,
    STATE(543), 1,
      aux_sym_if_statement_repeat1,
    STATE(654), 1,
      sym_elif_clause,
    STATE(791), 1,
      sym_else_clause,
    ACTIONS(1338), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29179] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1726), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29269] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1471), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29359] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1484), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29449] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1464), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29539] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1514), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29629] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1680), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_except_STAR,
    STATE(479), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1350), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1348), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29779] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1534), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_except,
    STATE(481), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1357), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1355), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_except,
    STATE(482), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1357), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1355), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_except_STAR,
    STATE(483), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1350), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1348), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30049] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1535), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30139] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1636), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30319] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1532), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(586), 1,
      aux_sym_if_statement_repeat1,
    STATE(653), 1,
      sym_elif_clause,
    STATE(794), 1,
      sym_else_clause,
    ACTIONS(1370), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1368), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30475] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1376), 1,
      anon_sym_await,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1633), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    STATE(1342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1374), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1516), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      anon_sym_COMMA,
    ACTIONS(1297), 1,
      anon_sym_EQ,
    ACTIONS(1299), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1293), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [30719] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1554), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1492), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30899] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1661), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    ACTIONS(1340), 1,
      anon_sym_elif,
    STATE(461), 1,
      aux_sym_if_statement_repeat1,
    STATE(653), 1,
      sym_elif_clause,
    STATE(748), 1,
      sym_else_clause,
    ACTIONS(1380), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1378), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 1,
      anon_sym_COMMA,
    ACTIONS(1391), 1,
      anon_sym_EQ,
    ACTIONS(1389), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1387), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31117] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1653), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31207] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1489), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31297] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1731), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31387] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1623), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31477] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1491), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1488), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31657] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1487), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31747] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1469), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31837] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1650), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31927] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1694), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32017] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1462), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32107] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1542), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32197] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1568), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32287] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1569), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32377] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1570), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32467] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1523), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32557] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1540), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32647] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1669), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32737] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1558), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1586), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32917] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1596), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33007] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1518), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33097] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1537), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1393), 1,
      sym_identifier,
    ACTIONS(1397), 1,
      anon_sym_await,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1625), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    STATE(1343), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33279] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1494), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33369] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1521), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33459] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1507), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33549] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1618), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33639] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1647), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1528), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33819] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1625), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1707), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33999] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1682), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34089] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1525), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34179] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1633), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34269] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1553), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34359] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1473), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34449] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1499), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34539] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1658), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34629] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1510), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34719] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1663), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1693), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34899] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1550), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34989] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1709), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35079] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1677), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35169] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(757), 1,
      anon_sym_match,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_not,
    ACTIONS(765), 1,
      anon_sym_lambda,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(937), 1,
      sym_string,
    STATE(938), 1,
      sym_primary_expression,
    STATE(1626), 1,
      sym_expression,
    STATE(2053), 1,
      sym__named_expresssion_lhs,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(755), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(771), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1601), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35259] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1346), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(654), 1,
      sym_elif_clause,
    STATE(768), 1,
      sym_else_clause,
    ACTIONS(1370), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1368), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35325] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      sym_identifier,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(705), 1,
      anon_sym_match,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(709), 1,
      anon_sym_not,
    ACTIONS(713), 1,
      anon_sym_lambda,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(721), 1,
      anon_sym_await,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(954), 1,
      sym_string,
    STATE(955), 1,
      sym_primary_expression,
    STATE(1632), 1,
      sym_expression,
    STATE(2080), 1,
      sym__named_expresssion_lhs,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(703), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(719), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35415] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1486), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35505] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1509), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35595] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1627), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35685] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1686), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35775] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1483), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35865] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1719), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35955] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(315), 1,
      anon_sym_match,
    ACTIONS(317), 1,
      anon_sym_await,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    STATE(837), 1,
      sym_string,
    STATE(842), 1,
      sym_primary_expression,
    STATE(1474), 1,
      sym_expression,
    STATE(2170), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1472), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36045] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1683), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36135] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1687), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36225] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1705), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36315] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1655), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36405] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      sym_identifier,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_match,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_not,
    ACTIONS(627), 1,
      anon_sym_lambda,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(635), 1,
      anon_sym_await,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(831), 1,
      sym_primary_expression,
    STATE(838), 1,
      sym_string,
    STATE(1662), 1,
      sym_expression,
    STATE(2078), 1,
      sym__named_expresssion_lhs,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(633), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1490), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36495] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1703), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36585] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    ACTIONS(1346), 1,
      anon_sym_elif,
    STATE(471), 1,
      aux_sym_if_statement_repeat1,
    STATE(654), 1,
      sym_elif_clause,
    STATE(747), 1,
      sym_else_clause,
    ACTIONS(1380), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1378), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36651] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      sym_identifier,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(731), 1,
      anon_sym_match,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(735), 1,
      anon_sym_not,
    ACTIONS(739), 1,
      anon_sym_lambda,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_await,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(855), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1576), 1,
      sym_expression,
    STATE(2091), 1,
      sym__named_expresssion_lhs,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(729), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(745), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1541), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36741] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1715), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36831] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1467), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36921] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1717), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37011] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1724), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37101] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1710), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37191] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1498), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37281] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1482), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37371] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1475), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37461] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(645), 1,
      anon_sym_match,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_not,
    ACTIONS(655), 1,
      anon_sym_lambda,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_await,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(856), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1592), 1,
      sym_expression,
    STATE(2190), 1,
      sym__named_expresssion_lhs,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(643), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(661), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1504), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37551] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1501), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37641] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      sym_identifier,
    ACTIONS(280), 1,
      anon_sym_match,
    ACTIONS(295), 1,
      anon_sym_lambda,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_await,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(697), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(869), 1,
      sym_primary_expression,
    STATE(1539), 1,
      sym_expression,
    STATE(2173), 1,
      sym__named_expresssion_lhs,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(276), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1500), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37731] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1463), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37821] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(673), 1,
      anon_sym_match,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_not,
    ACTIONS(681), 1,
      anon_sym_lambda,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(689), 1,
      anon_sym_await,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(833), 1,
      sym_string,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1481), 1,
      sym_expression,
    STATE(2187), 1,
      sym__named_expresssion_lhs,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(687), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1493), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      anon_sym_elif,
    STATE(574), 1,
      aux_sym_if_statement_repeat1,
    STATE(654), 1,
      sym_elif_clause,
    ACTIONS(1403), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1405), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1410), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1418), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1410), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_elif,
    STATE(586), 1,
      aux_sym_if_statement_repeat1,
    STATE(653), 1,
      sym_elif_clause,
    ACTIONS(1403), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1405), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1418), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1431), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(646), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1435), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1433), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1418), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(631), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1439), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1441), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1445), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1410), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1410), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(639), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1449), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1451), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1453), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1418), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1445), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1459), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1461), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1467), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1469), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(633), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1475), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1473), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1479), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1453), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(631), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1481), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1483), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1485), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1489), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1418), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1461), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 13,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1479), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1467), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1418), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1459), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1469), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(595), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1475), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1473), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1410), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(631), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1493), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_case,
    STATE(631), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1497), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1499), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(642), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1506), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(646), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1439), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1441), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(593), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1449), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1451), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(617), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1508), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1510), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1431), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(631), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1435), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1433), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(646), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1481), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1483), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1410), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(646), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1493), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1399), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_case,
    STATE(630), 1,
      aux_sym_match_statement_repeat2,
    STATE(740), 1,
      sym_case_clause,
    ACTIONS(1506), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_case,
    STATE(646), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1497), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1499), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_case,
    STATE(640), 1,
      aux_sym_match_statement_repeat2,
    STATE(678), 1,
      sym_case_clause,
    ACTIONS(1508), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1510), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1489), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 13,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1485), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    STATE(808), 1,
      sym_else_clause,
    ACTIONS(1515), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1517), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    STATE(784), 1,
      sym_else_clause,
    ACTIONS(1519), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1521), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1525), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1527), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1527), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_finally,
    STATE(771), 1,
      sym_finally_clause,
    ACTIONS(1531), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    STATE(799), 1,
      sym_else_clause,
    ACTIONS(1537), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1535), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    STATE(745), 1,
      sym_else_clause,
    ACTIONS(1541), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1539), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_finally,
    STATE(802), 1,
      sym_finally_clause,
    ACTIONS(1545), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1543), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    STATE(813), 1,
      sym_else_clause,
    ACTIONS(1549), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1547), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1553), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    STATE(810), 1,
      sym_else_clause,
    ACTIONS(1557), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1555), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1525), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    STATE(790), 1,
      sym_else_clause,
    ACTIONS(1515), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1517), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1553), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    STATE(798), 1,
      sym_else_clause,
    ACTIONS(1557), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1555), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    STATE(777), 1,
      sym_else_clause,
    ACTIONS(1537), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1535), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_else,
    STATE(770), 1,
      sym_else_clause,
    ACTIONS(1519), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1521), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    STATE(750), 1,
      sym_else_clause,
    ACTIONS(1541), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1539), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_finally,
    STATE(743), 1,
      sym_finally_clause,
    ACTIONS(1531), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_else,
    STATE(812), 1,
      sym_else_clause,
    ACTIONS(1549), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1547), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      anon_sym_finally,
    STATE(781), 1,
      sym_finally_clause,
    ACTIONS(1545), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1543), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1563), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1579), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1587), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1591), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1595), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1599), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1605), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1609), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1613), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1621), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1613), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1621), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1605), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1629), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1629), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1633), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1633), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1599), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1595), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1585), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1591), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1569), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1609), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1613), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1621), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1613), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1617), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1621), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1587), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1579), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1563), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1637), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1639), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1643), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1647), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1653), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1651), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1653), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1647), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1643), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1228), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1228), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1655), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1659), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1543), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1637), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1663), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1655), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1669), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1671), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1675), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1659), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1681), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1683), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1689), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1691), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1697), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1699), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1703), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1639), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1707), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1711), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1715), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1721), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1711), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1725), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1663), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1258), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1729), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1733), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1543), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1737), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1703), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1258), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    ACTIONS(1745), 1,
      anon_sym_STAR,
    ACTIONS(1749), 1,
      anon_sym_match,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    STATE(1836), 1,
      sym_pattern,
    STATE(2095), 1,
      sym__patterns,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1372), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1747), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1683), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1689), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1667), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1669), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1753), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1675), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1681), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1691), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1697), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49815] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_STAR,
    ACTIONS(1749), 1,
      anon_sym_match,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    ACTIONS(1757), 1,
      anon_sym_RPAREN,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    STATE(1836), 1,
      sym_pattern,
    STATE(2054), 1,
      sym__patterns,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1372), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1747), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1671), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1721), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1761), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1725), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1707), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1729), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1733), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1737), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1765), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1769), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1715), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1765), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1753), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1699), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1761), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1769), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1773), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1773), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50818] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_STAR,
    ACTIONS(1749), 1,
      anon_sym_match,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    STATE(1991), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1372), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1747), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1770), 1,
      sym_pattern,
    STATE(2194), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50982] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1793), 1,
      sym_pattern,
    STATE(2147), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51064] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_STAR,
    ACTIONS(1749), 1,
      anon_sym_match,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    STATE(1991), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1372), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1747), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51146] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1769), 1,
      sym_pattern,
    STATE(2198), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51228] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(2015), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51310] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1860), 1,
      sym_pattern,
    STATE(2055), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51392] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1775), 1,
      anon_sym_RBRACK,
    ACTIONS(1779), 1,
      sym_identifier,
    ACTIONS(1781), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      anon_sym_STAR,
    ACTIONS(1787), 1,
      anon_sym_match,
    ACTIONS(1789), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1966), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1382), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1785), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51474] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1802), 1,
      sym_pattern,
    STATE(2143), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51556] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1816), 1,
      sym_pattern,
    STATE(2114), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51638] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1897), 1,
      sym_pattern,
    STATE(2030), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51720] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1796), 1,
      sym_pattern,
    STATE(2145), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51802] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1777), 1,
      anon_sym_RBRACK,
    ACTIONS(1779), 1,
      sym_identifier,
    ACTIONS(1781), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      anon_sym_STAR,
    ACTIONS(1787), 1,
      anon_sym_match,
    ACTIONS(1789), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1966), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1382), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1785), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51884] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1873), 1,
      sym_pattern,
    STATE(2049), 1,
      sym_pattern_list,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_STAR,
    ACTIONS(1749), 1,
      anon_sym_match,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    STATE(1991), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1372), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1974), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1747), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52045] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(876), 1,
      sym_identifier,
    ACTIONS(878), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_match,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1398), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1275), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1390), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(882), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52124] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(1779), 1,
      sym_identifier,
    ACTIONS(1781), 1,
      anon_sym_LPAREN,
    ACTIONS(1783), 1,
      anon_sym_STAR,
    ACTIONS(1787), 1,
      anon_sym_match,
    ACTIONS(1789), 1,
      anon_sym_LBRACK,
    STATE(861), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    STATE(1966), 1,
      sym_pattern,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1382), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1950), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1785), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52203] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    ACTIONS(1811), 1,
      anon_sym_not,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1823), 1,
      anon_sym_is,
    STATE(1347), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1799), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1821), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1801), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      sym__string_start,
    STATE(832), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(835), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 1,
      sym__string_start,
    STATE(834), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 1,
      sym__string_start,
    STATE(839), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      sym_identifier,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1841), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1355), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1843), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(840), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(843), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      sym__string_start,
    STATE(839), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(834), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    ACTIONS(1850), 1,
      sym_identifier,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1841), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    STATE(1227), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1852), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1870), 1,
      anon_sym_not,
    ACTIONS(1874), 1,
      anon_sym_PIPE,
    ACTIONS(1876), 1,
      anon_sym_AMP,
    ACTIONS(1878), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_is,
    STATE(1346), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1880), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1862), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [52907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      sym__string_start,
    STATE(832), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52957] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_as,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1900), 1,
      anon_sym_not,
    ACTIONS(1904), 1,
      anon_sym_PIPE,
    ACTIONS(1906), 1,
      anon_sym_AMP,
    ACTIONS(1908), 1,
      anon_sym_CARET,
    ACTIONS(1912), 1,
      anon_sym_is,
    STATE(1345), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1910), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1892), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [53037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [53098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53153] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(870), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53265] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_PIPE,
    ACTIONS(1906), 1,
      anon_sym_AMP,
    ACTIONS(1908), 1,
      anon_sym_CARET,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1920), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1918), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53334] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    ACTIONS(1924), 1,
      anon_sym_not,
    STATE(837), 1,
      sym_string,
    STATE(858), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53401] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    ACTIONS(1928), 1,
      anon_sym_not,
    STATE(937), 1,
      sym_string,
    STATE(1059), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [53523] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    ACTIONS(1936), 1,
      anon_sym_not,
    STATE(838), 1,
      sym_string,
    STATE(863), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [53645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      sym__string_start,
    STATE(848), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(865), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53798] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_PIPE,
    ACTIONS(1876), 1,
      anon_sym_AMP,
    ACTIONS(1878), 1,
      anon_sym_CARET,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1940), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1938), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      sym__string_start,
    STATE(859), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 1,
      sym__string_start,
    STATE(891), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54020] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_PIPE,
    ACTIONS(1876), 1,
      anon_sym_AMP,
    ACTIONS(1878), 1,
      anon_sym_CARET,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1920), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1918), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54089] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1799), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1940), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1938), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [54158] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1908), 1,
      anon_sym_CARET,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [54223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 1,
      sym__string_start,
    STATE(866), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1945), 1,
      sym__string_start,
    STATE(866), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54321] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    ACTIONS(1950), 1,
      anon_sym_not,
    STATE(856), 1,
      sym_string,
    STATE(963), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [54443] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 1,
      anon_sym_not,
    ACTIONS(1972), 1,
      anon_sym_PIPE,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1980), 1,
      anon_sym_is,
    STATE(1351), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1978), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1960), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [54522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      sym__string_start,
    STATE(870), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54571] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    ACTIONS(1987), 1,
      anon_sym_not,
    STATE(855), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54638] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    ACTIONS(1991), 1,
      anon_sym_not,
    STATE(833), 1,
      sym_string,
    STATE(879), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54705] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [54766] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_as,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_not,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2015), 1,
      anon_sym_AMP,
    ACTIONS(2017), 1,
      anon_sym_CARET,
    ACTIONS(2021), 1,
      anon_sym_is,
    STATE(1359), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2019), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2001), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [54845] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [54904] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_as,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_not,
    ACTIONS(2043), 1,
      anon_sym_PIPE,
    ACTIONS(2045), 1,
      anon_sym_AMP,
    ACTIONS(2047), 1,
      anon_sym_CARET,
    ACTIONS(2051), 1,
      anon_sym_is,
    STATE(1356), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2049), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2031), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [54983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1799), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55105] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_PIPE,
    ACTIONS(1906), 1,
      anon_sym_AMP,
    ACTIONS(1908), 1,
      anon_sym_CARET,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1940), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1938), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [55174] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [55292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1878), 1,
      anon_sym_CARET,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55357] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1799), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55422] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1799), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_AMP,
    ACTIONS(1908), 1,
      anon_sym_CARET,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1890), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [55552] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 21,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55613] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_DOT,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1898), 1,
      anon_sym_LBRACK,
    ACTIONS(1888), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1896), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [55672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1876), 1,
      anon_sym_AMP,
    ACTIONS(1878), 1,
      anon_sym_CARET,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55739] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    ACTIONS(2053), 1,
      anon_sym_not,
    STATE(861), 1,
      sym_string,
    STATE(1011), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55806] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_DOT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1807), 1,
      anon_sym_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_PIPE,
    ACTIONS(1817), 1,
      anon_sym_AMP,
    ACTIONS(1819), 1,
      anon_sym_CARET,
    ACTIONS(1797), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1799), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1813), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1112), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1805), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1920), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1918), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 1,
      sym__string_start,
    STATE(859), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55924] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 23,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56038] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    ACTIONS(2057), 1,
      anon_sym_not,
    STATE(954), 1,
      sym_string,
    STATE(1078), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56167] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1057), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56231] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    ACTIONS(1850), 1,
      sym_identifier,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1227), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1852), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56299] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(1357), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56363] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(878), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56427] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2043), 1,
      anon_sym_PIPE,
    ACTIONS(2045), 1,
      anon_sym_AMP,
    ACTIONS(2047), 1,
      anon_sym_CARET,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1920), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1918), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56631] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1071), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56695] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1081), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    ACTIONS(2063), 1,
      sym_identifier,
    STATE(861), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1376), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2065), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56827] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(852), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56891] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(846), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56955] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(886), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57019] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(858), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57083] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(893), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57147] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(892), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57211] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(888), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57275] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(881), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57339] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(882), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57403] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(880), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(1001), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57639] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    ACTIONS(2071), 1,
      sym_identifier,
    STATE(861), 1,
      sym_string,
    STATE(1373), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2073), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(649), 1,
      anon_sym_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2075), 1,
      anon_sym_EQ,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57803] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(319), 1,
      anon_sym_LPAREN,
    ACTIONS(321), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_match,
    STATE(837), 1,
      sym_string,
    STATE(862), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1062), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57867] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    ACTIONS(2077), 1,
      sym_identifier,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1360), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2079), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(1005), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57999] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      sym_identifier,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    STATE(1355), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(303), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1843), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1168), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 1,
      sym__string_start,
    STATE(927), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58115] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(927), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58227] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1054), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58291] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1055), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58355] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1033), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58419] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1056), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58483] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1059), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58547] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1060), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58611] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym__string_start,
    ACTIONS(1926), 1,
      anon_sym_match,
    STATE(937), 1,
      sym_string,
    STATE(1061), 1,
      sym_primary_expression,
    ACTIONS(767), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(755), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(771), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1310), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__string_start,
    STATE(929), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58723] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2104), 1,
      anon_sym_PIPE,
    ACTIONS(2106), 1,
      anon_sym_AMP,
    ACTIONS(2108), 1,
      anon_sym_CARET,
    ACTIONS(2112), 1,
      anon_sym_is,
    STATE(1361), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2092), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1795), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [58799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2114), 1,
      sym__string_start,
    STATE(939), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1827), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1825), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58847] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1072), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [58955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(939), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1837), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1835), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59003] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1073), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59067] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1074), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59131] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1075), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59195] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1076), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59259] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1077), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59323] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1078), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59387] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1079), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59451] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      sym__string_start,
    ACTIONS(2055), 1,
      anon_sym_match,
    STATE(954), 1,
      sym_string,
    STATE(1080), 1,
      sym_primary_expression,
    ACTIONS(715), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(711), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(719), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1271), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [59559] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59621] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2047), 1,
      anon_sym_CARET,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      sym__string_start,
    STATE(942), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59733] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_EQ,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2133), 1,
      anon_sym_not,
    ACTIONS(2137), 1,
      anon_sym_PIPE,
    ACTIONS(2139), 1,
      anon_sym_AMP,
    ACTIONS(2141), 1,
      anon_sym_CARET,
    ACTIONS(2145), 1,
      anon_sym_is,
    STATE(1377), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2143), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1795), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2125), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(890), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [59919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2045), 1,
      anon_sym_AMP,
    ACTIONS(2047), 1,
      anon_sym_CARET,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59985] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(884), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60049] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60107] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(900), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60225] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2043), 1,
      anon_sym_PIPE,
    ACTIONS(2045), 1,
      anon_sym_AMP,
    ACTIONS(2047), 1,
      anon_sym_CARET,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1940), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1938), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60293] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2035), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60353] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60407] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(883), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60471] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(877), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60535] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(875), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60599] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(868), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60663] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(863), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60727] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(845), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60791] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LPAREN,
    ACTIONS(621), 1,
      anon_sym_LBRACK,
    ACTIONS(631), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      sym__string_start,
    ACTIONS(1934), 1,
      anon_sym_match,
    STATE(838), 1,
      sym_string,
    STATE(854), 1,
      sym_primary_expression,
    ACTIONS(629), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(625), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(617), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(633), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1119), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [60899] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(849), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60963] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(847), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61027] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(864), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61091] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(885), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61155] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(887), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61219] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(857), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61283] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(879), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61347] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(873), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61411] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_LPAREN,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LBRACE,
    ACTIONS(691), 1,
      sym__string_start,
    ACTIONS(1989), 1,
      anon_sym_match,
    STATE(833), 1,
      sym_string,
    STATE(860), 1,
      sym_primary_expression,
    ACTIONS(683), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(679), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(671), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(687), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61475] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2015), 1,
      anon_sym_AMP,
    ACTIONS(2017), 1,
      anon_sym_CARET,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1920), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1918), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61543] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61605] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(2017), 1,
      anon_sym_CARET,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_AMP,
    ACTIONS(2017), 1,
      anon_sym_CARET,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61735] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61793] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(983), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61911] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(2013), 1,
      anon_sym_PIPE,
    ACTIONS(2015), 1,
      anon_sym_AMP,
    ACTIONS(2017), 1,
      anon_sym_CARET,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1940), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1938), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61979] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(1997), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2005), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62039] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62093] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(984), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62157] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(985), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62221] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(986), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62285] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(987), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62349] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(989), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62413] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62477] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(991), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62541] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      anon_sym_LBRACK,
    ACTIONS(743), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      sym__string_start,
    ACTIONS(1985), 1,
      anon_sym_match,
    STATE(855), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    ACTIONS(741), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(729), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(745), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [62605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    STATE(1193), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62751] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1972), 1,
      anon_sym_PIPE,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1920), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1918), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62819] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2025), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    STATE(1226), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62873] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63003] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63061] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1004), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63179] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1972), 1,
      anon_sym_PIPE,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1940), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1938), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63361] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(895), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63425] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1006), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63489] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63553] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1008), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63617] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63681] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63745] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1011), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63809] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1012), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63873] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(301), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      sym__string_start,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_LBRACK,
    ACTIONS(1845), 1,
      anon_sym_match,
    STATE(861), 1,
      sym_string,
    STATE(1013), 1,
      sym_primary_expression,
    ACTIONS(299), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(293), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(276), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(303), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1168), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [63937] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(953), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(965), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64065] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(964), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(963), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64193] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(962), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64257] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(960), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64413] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      sym__string_start,
    ACTIONS(1948), 1,
      anon_sym_match,
    STATE(856), 1,
      sym_string,
    STATE(958), 1,
      sym_primary_expression,
    ACTIONS(657), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(653), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(661), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [64477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64531] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(2106), 1,
      anon_sym_AMP,
    ACTIONS(2108), 1,
      anon_sym_CARET,
    ACTIONS(1916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65415] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(2104), 1,
      anon_sym_PIPE,
    ACTIONS(2106), 1,
      anon_sym_AMP,
    ACTIONS(2108), 1,
      anon_sym_CARET,
    ACTIONS(1920), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1918), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65482] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(1916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65543] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(2108), 1,
      anon_sym_CARET,
    ACTIONS(1916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65606] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(1916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65663] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(2104), 1,
      anon_sym_PIPE,
    ACTIONS(2106), 1,
      anon_sym_AMP,
    ACTIONS(2108), 1,
      anon_sym_CARET,
    ACTIONS(1940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2090), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1938), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65826] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    ACTIONS(1916), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2088), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66325] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_DOT,
    ACTIONS(2086), 1,
      anon_sym_LPAREN,
    ACTIONS(2094), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
    STATE(1288), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66378] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      anon_sym_PIPE,
    ACTIONS(2139), 1,
      anon_sym_AMP,
    ACTIONS(2141), 1,
      anon_sym_CARET,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1920), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1918), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66445] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66506] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_CARET,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66569] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_AMP,
    ACTIONS(2141), 1,
      anon_sym_CARET,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66744] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      anon_sym_PIPE,
    ACTIONS(2139), 1,
      anon_sym_AMP,
    ACTIONS(2141), 1,
      anon_sym_CARET,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1940), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1938), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1916), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_DOT,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(2127), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2131), 1,
      anon_sym_LBRACK,
    STATE(1287), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1932), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1290), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [69918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [70047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [70090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(273), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [70225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [70354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1290), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1330), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1330), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2075), 1,
      anon_sym_EQ,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(649), 1,
      anon_sym_EQ,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1387), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1293), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2227), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [73242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(268), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2229), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [73412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_COLON_EQ,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1387), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2231), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1387), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1389), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [75188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1293), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1299), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [75272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(268), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(297), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [75315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2159), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 1,
      anon_sym_EQ,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2177), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2175), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2167), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2163), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1330), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1332), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [75934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2147), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1382), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1325), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2151), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2183), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2155), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2231), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1301), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1311), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(268), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(297), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2215), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2207), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2211), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1284), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1280), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1315), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2219), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2203), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2199), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2195), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2189), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2187), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2171), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2179), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(268), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(266), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2231), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2231), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1293), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1288), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_EQ,
    ACTIONS(2241), 1,
      anon_sym_not,
    ACTIONS(2247), 1,
      anon_sym_is,
    STATE(1344), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2244), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2236), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_not,
    ACTIONS(1912), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_as,
    STATE(1349), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1910), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [78152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_not,
    ACTIONS(1882), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(1348), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1862), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [78190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_not,
    ACTIONS(1823), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(1344), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1821), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1801), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78228] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_not,
    ACTIONS(2263), 1,
      anon_sym_is,
    STATE(1348), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2260), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2254), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [78266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_as,
    ACTIONS(2269), 1,
      anon_sym_not,
    ACTIONS(2275), 1,
      anon_sym_is,
    STATE(1349), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2272), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2266), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [78304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_as,
    ACTIONS(2281), 1,
      anon_sym_not,
    ACTIONS(2287), 1,
      anon_sym_is,
    STATE(1350), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2284), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2278), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 1,
      anon_sym_not,
    ACTIONS(1980), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(1352), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1960), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [78378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_EQ,
    ACTIONS(2293), 1,
      anon_sym_not,
    ACTIONS(2299), 1,
      anon_sym_is,
    STATE(1352), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2296), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2290), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [78415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78444] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_as,
    ACTIONS(2305), 1,
      anon_sym_not,
    ACTIONS(2311), 1,
      anon_sym_is,
    STATE(1354), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2308), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2302), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [78481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1288), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_not,
    ACTIONS(2051), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_as,
    STATE(1354), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2049), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2031), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [78547] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOT,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1868), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_PIPE,
    ACTIONS(1876), 1,
      anon_sym_AMP,
    ACTIONS(1878), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      sym__newline,
    ACTIONS(1858), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1860), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1044), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1866), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2316), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_not,
    ACTIONS(2021), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_as,
    STATE(1350), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2019), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2001), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2318), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1288), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78691] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_not,
    ACTIONS(2112), 1,
      anon_sym_is,
    STATE(1365), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2110), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2092), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(297), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_EQ,
    ACTIONS(2323), 1,
      anon_sym_not,
    ACTIONS(2329), 1,
      anon_sym_is,
    STATE(1363), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2326), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2234), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2320), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(297), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_not,
    ACTIONS(2341), 1,
      anon_sym_is,
    STATE(1365), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2338), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2332), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2234), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [78851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1332), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1325), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [78907] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_DOT,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1966), 1,
      anon_sym_LBRACK,
    ACTIONS(1972), 1,
      anon_sym_PIPE,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_COMMA,
    STATE(1369), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2347), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1288), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_COMMA,
    STATE(1369), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(886), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1299), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1288), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79065] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1972), 1,
      anon_sym_PIPE,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(1993), 1,
      anon_sym_DOT,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [79111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(297), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1332), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1325), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2318), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1288), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 1,
      anon_sym_not,
    ACTIONS(2145), 1,
      anon_sym_is,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(1363), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2143), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2250), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [79231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1382), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(297), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79287] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_LPAREN,
    ACTIONS(1962), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1972), 1,
      anon_sym_PIPE,
    ACTIONS(1974), 1,
      anon_sym_AMP,
    ACTIONS(1976), 1,
      anon_sym_CARET,
    ACTIONS(2023), 1,
      anon_sym_DOT,
    ACTIONS(2037), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1970), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1258), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1964), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [79333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(268), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2316), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(266), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1299), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1288), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1382), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79417] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2357), 1,
      anon_sym_COLON,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    STATE(1944), 1,
      sym_parameter,
    STATE(2178), 1,
      sym__parameters,
    STATE(2188), 1,
      sym_lambda_parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79460] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2099), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_COLON,
    ACTIONS(2371), 1,
      anon_sym_EQ,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2373), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79557] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2375), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2019), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79600] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2377), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2060), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79666] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2379), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2130), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79709] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2381), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2161), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79752] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2383), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2021), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79795] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2385), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2155), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79838] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2387), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2171), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2389), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2149), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [79924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [79970] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2393), 1,
      anon_sym_COLON,
    STATE(1944), 1,
      sym_parameter,
    STATE(2083), 1,
      sym_lambda_parameters,
    STATE(2178), 1,
      sym__parameters,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80013] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2399), 1,
      anon_sym_RPAREN,
    ACTIONS(2401), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2405), 1,
      anon_sym_SLASH,
    STATE(1779), 1,
      sym_parameter,
    STATE(2120), 1,
      sym__parameters,
    STATE(1776), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1964), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80053] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2407), 1,
      anon_sym_COLON,
    STATE(2006), 1,
      sym_parameter,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80090] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    ACTIONS(2409), 1,
      anon_sym_COLON,
    STATE(2006), 1,
      sym_parameter,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_COLON,
    ACTIONS(2371), 1,
      anon_sym_EQ,
    ACTIONS(2373), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [80152] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2401), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2405), 1,
      anon_sym_SLASH,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_parameter,
    STATE(1776), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1964), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2401), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2405), 1,
      anon_sym_SLASH,
    ACTIONS(2409), 1,
      anon_sym_RPAREN,
    STATE(1955), 1,
      sym_parameter,
    STATE(1776), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1964), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2361), 1,
      anon_sym_SLASH,
    STATE(2006), 1,
      sym_parameter,
    STATE(1985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1952), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2401), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2405), 1,
      anon_sym_SLASH,
    STATE(1955), 1,
      sym_parameter,
    STATE(1776), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1964), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [80294] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2032), 1,
      sym__comprehension_clauses,
  [80334] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2014), 1,
      sym__comprehension_clauses,
  [80374] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2042), 1,
      sym__comprehension_clauses,
  [80414] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2157), 1,
      sym__comprehension_clauses,
  [80454] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2062), 1,
      sym__comprehension_clauses,
  [80494] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2142), 1,
      sym__comprehension_clauses,
  [80534] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2070), 1,
      sym__comprehension_clauses,
  [80574] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2417), 1,
      anon_sym_COLON,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2098), 1,
      sym__comprehension_clauses,
  [80614] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2200), 1,
      sym__comprehension_clauses,
  [80651] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    ACTIONS(2445), 1,
      anon_sym_COMMA,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1813), 1,
      aux_sym_argument_list_repeat1,
    STATE(2146), 1,
      sym__comprehension_clauses,
  [80688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2459), 1,
      anon_sym_RPAREN,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2166), 1,
      sym__comprehension_clauses,
  [80725] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2094), 1,
      sym__comprehension_clauses,
  [80762] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2029), 1,
      sym__comprehension_clauses,
  [80799] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2463), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2017), 1,
      sym__comprehension_clauses,
  [80836] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
    ACTIONS(2467), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1919), 1,
      aux_sym_argument_list_repeat1,
    STATE(2166), 1,
      sym__comprehension_clauses,
  [80873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2069), 1,
      sym__comprehension_clauses,
  [80910] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2469), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2073), 1,
      sym__comprehension_clauses,
  [80947] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2473), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1912), 1,
      aux_sym_argument_list_repeat1,
    STATE(2106), 1,
      sym__comprehension_clauses,
  [80984] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1849), 1,
      aux_sym_argument_list_repeat1,
    STATE(2067), 1,
      sym__comprehension_clauses,
  [81021] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2164), 1,
      sym__comprehension_clauses,
  [81058] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2479), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2028), 1,
      sym__comprehension_clauses,
  [81095] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2037), 1,
      sym__comprehension_clauses,
  [81132] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    ACTIONS(2483), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1929), 1,
      aux_sym_argument_list_repeat1,
    STATE(2093), 1,
      sym__comprehension_clauses,
  [81169] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2485), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2093), 1,
      sym__comprehension_clauses,
  [81206] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2487), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2067), 1,
      sym__comprehension_clauses,
  [81243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2489), 1,
      anon_sym_RPAREN,
    ACTIONS(2491), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1883), 1,
      aux_sym_argument_list_repeat1,
    STATE(2028), 1,
      sym__comprehension_clauses,
  [81280] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2144), 1,
      sym__comprehension_clauses,
  [81317] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2493), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2146), 1,
      sym__comprehension_clauses,
  [81354] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1848), 1,
      aux_sym_argument_list_repeat1,
    STATE(2017), 1,
      sym__comprehension_clauses,
  [81391] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
    ACTIONS(2501), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1876), 1,
      aux_sym_argument_list_repeat1,
    STATE(2073), 1,
      sym__comprehension_clauses,
  [81428] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2493), 1,
      anon_sym_RPAREN,
    ACTIONS(2503), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2146), 1,
      sym__comprehension_clauses,
  [81465] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_for_in_clause,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2106), 1,
      sym__comprehension_clauses,
  [81502] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    STATE(1603), 1,
      sym_for_in_clause,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2068), 1,
      sym__comprehension_clauses,
  [81539] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2514), 1,
      sym__string_content,
    ACTIONS(2516), 1,
      sym__string_end,
    STATE(1458), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2510), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81563] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2522), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81587] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2524), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81611] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2526), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81635] = 6,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_LBRACE,
    ACTIONS(2534), 1,
      sym__string_content,
    ACTIONS(2537), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2531), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81659] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2539), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81683] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2541), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81707] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2545), 1,
      sym__string_content,
    ACTIONS(2547), 1,
      sym__string_end,
    STATE(1459), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2543), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_COMMA,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    STATE(1634), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2555), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81759] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2561), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81783] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2563), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81807] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2567), 1,
      sym__string_content,
    ACTIONS(2569), 1,
      sym__string_end,
    STATE(1442), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2565), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81831] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2573), 1,
      sym__string_content,
    ACTIONS(2575), 1,
      sym__string_end,
    STATE(1447), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2571), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81855] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2579), 1,
      sym__string_content,
    ACTIONS(2581), 1,
      sym__string_end,
    STATE(1444), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2577), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81879] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2585), 1,
      sym__string_content,
    ACTIONS(2587), 1,
      sym__string_end,
    STATE(1446), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2583), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81903] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym__string_content,
    ACTIONS(2593), 1,
      sym__string_end,
    STATE(1450), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2589), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81927] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2597), 1,
      sym__string_content,
    ACTIONS(2599), 1,
      sym__string_end,
    STATE(1443), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2595), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81951] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2601), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81975] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2520), 1,
      sym__string_content,
    ACTIONS(2603), 1,
      sym__string_end,
    STATE(1445), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2518), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81999] = 6,
    ACTIONS(2508), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2607), 1,
      sym__string_content,
    ACTIONS(2609), 1,
      sym__string_end,
    STATE(1451), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2605), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [82023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_COMMA,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    STATE(1634), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2611), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2613), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2615), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_as,
    ACTIONS(2619), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2623), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [82127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_as,
    ACTIONS(2629), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2633), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2613), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2641), 1,
      anon_sym_as,
    ACTIONS(2639), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2644), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2613), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2615), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
      anon_sym_RBRACE,
  [82321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2646), 1,
      anon_sym_as,
    ACTIONS(2639), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [82342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2651), 1,
      anon_sym_from,
    ACTIONS(2653), 1,
      anon_sym_COMMA,
    STATE(1730), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2649), 2,
      sym__newline,
      anon_sym_SEMI,
  [82401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2655), 1,
      anon_sym_as,
    ACTIONS(2623), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2657), 1,
      anon_sym_as,
    ACTIONS(2639), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2633), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2615), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [82498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2644), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2660), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2623), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2633), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2615), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2662), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_as,
    ACTIONS(1795), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [82673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2644), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_except_STAR,
    ACTIONS(1256), 1,
      anon_sym_except,
    ACTIONS(2664), 1,
      anon_sym_finally,
    STATE(752), 1,
      sym_finally_clause,
    STATE(350), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(359), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [82720] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(2666), 1,
      anon_sym_async,
    ACTIONS(2668), 1,
      anon_sym_def,
    ACTIONS(2670), 1,
      anon_sym_class,
    STATE(767), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1659), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [82744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2672), 2,
      sym__newline,
      anon_sym_SEMI,
  [82770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2613), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2644), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2684), 1,
      anon_sym_as,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [82848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2687), 1,
      anon_sym_as,
    ACTIONS(2639), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2613), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_as,
    ACTIONS(1795), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [82906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [82926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2653), 1,
      anon_sym_COMMA,
    STATE(1730), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2611), 2,
      sym__newline,
      anon_sym_SEMI,
  [82952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2615), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [82968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82982] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(1736), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2692), 2,
      sym__newline,
      anon_sym_SEMI,
  [83008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2615), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [83026] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2704), 1,
      anon_sym_RBRACK,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    STATE(1933), 1,
      aux_sym_subscript_repeat1,
  [83054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2644), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [83096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2655), 1,
      anon_sym_as,
    ACTIONS(2623), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2712), 1,
      anon_sym_RBRACK,
    STATE(1846), 1,
      aux_sym_subscript_repeat1,
  [83144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2615), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2615), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [83198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2714), 1,
      anon_sym_COMMA,
    ACTIONS(2716), 1,
      anon_sym_if,
    ACTIONS(2718), 1,
      anon_sym_COLON,
    STATE(1685), 1,
      aux_sym_case_clause_repeat1,
    STATE(2125), 1,
      sym_if_clause,
  [83226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2655), 1,
      anon_sym_as,
    ACTIONS(2623), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_as,
    ACTIONS(2629), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2660), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [83304] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_RBRACK,
    STATE(1875), 1,
      aux_sym_subscript_repeat1,
  [83332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [83346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      anon_sym_except,
    ACTIONS(1254), 1,
      anon_sym_except_STAR,
    ACTIONS(2724), 1,
      anon_sym_finally,
    STATE(779), 1,
      sym_finally_clause,
    STATE(366), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(369), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [83370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2613), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [83392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2633), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2653), 1,
      anon_sym_COMMA,
    STATE(1730), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2726), 2,
      sym__newline,
      anon_sym_SEMI,
  [83440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2653), 1,
      anon_sym_COMMA,
    STATE(1730), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2728), 2,
      sym__newline,
      anon_sym_SEMI,
  [83466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2633), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [83508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_except_STAR,
    ACTIONS(1256), 1,
      anon_sym_except,
    ACTIONS(2664), 1,
      anon_sym_finally,
    STATE(785), 1,
      sym_finally_clause,
    STATE(373), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(374), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [83532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_as,
    ACTIONS(2619), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2433), 1,
      anon_sym_if,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2644), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2730), 1,
      anon_sym_COMMA,
    ACTIONS(2732), 1,
      anon_sym_RBRACK,
    STATE(1880), 1,
      aux_sym_subscript_repeat1,
  [83598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_as,
    ACTIONS(2619), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [83614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_RBRACK,
    STATE(1917), 1,
      aux_sym_subscript_repeat1,
  [83642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2623), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [83660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [83674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_as,
    ACTIONS(1795), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [83690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2615), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_or,
  [83706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(2738), 1,
      anon_sym_async,
    ACTIONS(2740), 1,
      anon_sym_def,
    ACTIONS(2742), 1,
      anon_sym_class,
    STATE(793), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1659), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [83730] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2653), 1,
      anon_sym_COMMA,
    STATE(1730), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2744), 2,
      sym__newline,
      anon_sym_SEMI,
  [83756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2746), 1,
      anon_sym_COMMA,
    ACTIONS(2748), 1,
      anon_sym_RBRACK,
    STATE(1840), 1,
      aux_sym_subscript_repeat1,
  [83784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2752), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2750), 2,
      sym__newline,
      anon_sym_SEMI,
  [83850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_as,
    ACTIONS(2629), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [83866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2449), 1,
      anon_sym_if,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2633), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [83888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2716), 1,
      anon_sym_if,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    ACTIONS(2756), 1,
      anon_sym_COLON,
    STATE(1729), 1,
      aux_sym_case_clause_repeat1,
    STATE(2082), 1,
      sym_if_clause,
  [83916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2415), 1,
      anon_sym_if,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2758), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83958] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(1733), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2760), 2,
      sym__newline,
      anon_sym_SEMI,
  [83984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2762), 1,
      anon_sym_COMMA,
    ACTIONS(2764), 1,
      anon_sym_RBRACK,
    STATE(1910), 1,
      aux_sym_subscript_repeat1,
  [84012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      anon_sym_except,
    ACTIONS(1254), 1,
      anon_sym_except_STAR,
    ACTIONS(2724), 1,
      anon_sym_finally,
    STATE(753), 1,
      sym_finally_clause,
    STATE(348), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(357), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [84036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2690), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2766), 1,
      anon_sym_as,
    ACTIONS(2639), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [84076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2771), 1,
      anon_sym_RBRACK,
    STATE(1817), 1,
      aux_sym_subscript_repeat1,
  [84104] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2702), 1,
      anon_sym_COLON,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2773), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2775), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [84148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2785), 1,
      anon_sym_if,
    ACTIONS(2787), 1,
      anon_sym_RBRACK,
    STATE(1588), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2613), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2791), 1,
      anon_sym_COLON,
    STATE(1855), 1,
      aux_sym_assert_statement_repeat1,
  [84215] = 3,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2795), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2793), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [84230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    ACTIONS(2799), 1,
      anon_sym_LPAREN,
    ACTIONS(2801), 1,
      anon_sym_STAR,
    STATE(1712), 1,
      sym_dotted_name,
    STATE(1738), 1,
      sym_aliased_import,
    STATE(1990), 1,
      sym__import_list,
    STATE(1992), 1,
      sym_wildcard_import,
  [84255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2803), 1,
      anon_sym_as,
    ACTIONS(2639), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2623), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2615), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_or,
  [84319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2806), 1,
      anon_sym_COMMA,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1861), 1,
      aux_sym_dictionary_repeat1,
    STATE(2056), 1,
      sym__comprehension_clauses,
  [84344] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(2812), 1,
      anon_sym_DOT,
    ACTIONS(2814), 1,
      anon_sym___future__,
    STATE(1749), 1,
      aux_sym_import_prefix_repeat1,
    STATE(1801), 1,
      sym_import_prefix,
    STATE(2124), 2,
      sym_relative_import,
      sym_dotted_name,
  [84367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2775), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [84388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RPAREN,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2816), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_assert_statement_repeat1,
  [84413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2787), 1,
      anon_sym_RPAREN,
    ACTIONS(2818), 1,
      anon_sym_if,
    STATE(1621), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_as,
    ACTIONS(2439), 1,
      anon_sym_and,
    ACTIONS(2441), 1,
      anon_sym_or,
    ACTIONS(2820), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2822), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [84474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [84487] = 3,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2826), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2824), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [84502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2828), 1,
      anon_sym_if,
    ACTIONS(2830), 1,
      anon_sym_RBRACE,
    STATE(1595), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
    ACTIONS(2834), 1,
      anon_sym_COLON,
    STATE(1811), 1,
      aux_sym_match_statement_repeat1,
  [84548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2836), 1,
      anon_sym_COMMA,
    ACTIONS(2838), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1858), 1,
      aux_sym_dictionary_repeat1,
    STATE(2071), 1,
      sym__comprehension_clauses,
  [84573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2840), 1,
      anon_sym_COLON,
    STATE(1855), 1,
      aux_sym_assert_statement_repeat1,
  [84611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2633), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [84658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_if,
    ACTIONS(2845), 1,
      anon_sym_async,
    ACTIONS(2848), 1,
      anon_sym_for,
    ACTIONS(2851), 1,
      anon_sym_RBRACK,
    STATE(1588), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2775), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [84700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2853), 1,
      anon_sym_COLON,
    STATE(1855), 1,
      aux_sym_assert_statement_repeat1,
  [84725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2615), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [84740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_and,
    ACTIONS(2457), 1,
      anon_sym_or,
    ACTIONS(2820), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [84759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [84772] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACK,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2855), 1,
      anon_sym_COMMA,
    STATE(1807), 1,
      aux_sym_assert_statement_repeat1,
  [84797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2828), 1,
      anon_sym_if,
    STATE(1617), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2644), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [84839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_async,
    ACTIONS(2453), 1,
      anon_sym_for,
    ACTIONS(2818), 1,
      anon_sym_if,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
    STATE(1575), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84860] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2857), 1,
      anon_sym_COMMA,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1898), 1,
      aux_sym_dictionary_repeat1,
    STATE(2033), 1,
      sym__comprehension_clauses,
  [84885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1799), 1,
      aux_sym_dictionary_repeat1,
    STATE(2136), 1,
      sym__comprehension_clauses,
  [84910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2865), 1,
      anon_sym_COMMA,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1915), 1,
      aux_sym_dictionary_repeat1,
    STATE(2108), 1,
      sym__comprehension_clauses,
  [84935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [84948] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1884), 1,
      aux_sym_dictionary_repeat1,
    STATE(2043), 1,
      sym__comprehension_clauses,
  [84973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_async,
    ACTIONS(2437), 1,
      anon_sym_for,
    ACTIONS(2785), 1,
      anon_sym_if,
    ACTIONS(2830), 1,
      anon_sym_RBRACK,
    STATE(1562), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [84994] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    ACTIONS(2445), 1,
      anon_sym_COMMA,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    STATE(1813), 1,
      aux_sym_argument_list_repeat1,
  [85019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2644), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [85040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      anon_sym_COLON,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(1164), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2613), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [85084] = 3,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2875), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2873), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [85099] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2877), 1,
      anon_sym_COMMA,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1766), 1,
      aux_sym_dictionary_repeat1,
    STATE(2048), 1,
      sym__comprehension_clauses,
  [85124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2633), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [85145] = 3,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(2883), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2881), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [85160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2885), 1,
      anon_sym_COMMA,
    ACTIONS(2887), 1,
      anon_sym_COLON,
    STATE(1895), 1,
      aux_sym_match_statement_repeat1,
  [85185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      anon_sym_async,
    ACTIONS(2421), 1,
      anon_sym_for,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    STATE(1580), 1,
      sym_for_in_clause,
    STATE(1936), 1,
      aux_sym_dictionary_repeat1,
    STATE(2156), 1,
      sym__comprehension_clauses,
  [85210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2893), 1,
      anon_sym_as,
    ACTIONS(2639), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [85229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2623), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [85246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2896), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [85267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_RBRACE,
    ACTIONS(2898), 1,
      anon_sym_if,
    ACTIONS(2901), 1,
      anon_sym_async,
    ACTIONS(2904), 1,
      anon_sym_for,
    STATE(1617), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [85288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_as,
    ACTIONS(2423), 1,
      anon_sym_and,
    ACTIONS(2425), 1,
      anon_sym_or,
    ACTIONS(2820), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [85320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2907), 1,
      anon_sym_COLON,
    ACTIONS(1278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_RPAREN,
    ACTIONS(2909), 1,
      anon_sym_if,
    ACTIONS(2912), 1,
      anon_sym_async,
    ACTIONS(2915), 1,
      anon_sym_for,
    STATE(1621), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [85364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2918), 1,
      anon_sym_COLON,
    STATE(1855), 1,
      aux_sym_assert_statement_repeat1,
  [85389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2660), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2920), 2,
      sym__newline,
      anon_sym_SEMI,
  [85429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2922), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2924), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_COMMA,
    STATE(1631), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2926), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_COMMA,
    STATE(1642), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2932), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2934), 1,
      anon_sym_COMMA,
    ACTIONS(2936), 1,
      anon_sym_as,
    ACTIONS(2938), 1,
      anon_sym_COLON,
  [85543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_COMMA,
    STATE(1631), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2940), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2924), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2922), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1104), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [85615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_COMMA,
    STATE(1645), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2949), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2660), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(1278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COMMA,
    STATE(1660), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2953), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2949), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [85703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2957), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2959), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2660), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [85739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    STATE(1642), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2940), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2965), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2967), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2932), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85831] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(2662), 2,
      sym__newline,
      anon_sym_SEMI,
  [85851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2965), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_DOT,
    STATE(1649), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2973), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [85887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2662), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2978), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_COMMA,
    STATE(1629), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2949), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2982), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(2984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2623), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [85999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 1,
      anon_sym_COMMA,
    STATE(1665), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2953), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2982), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2820), 1,
      anon_sym_COLON,
    ACTIONS(2988), 1,
      anon_sym_else,
  [86057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 1,
      anon_sym_AT,
    STATE(1659), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(2990), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [86073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2926), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2997), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [86109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2660), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_DOT,
    STATE(1649), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2999), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [86165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym_COMMA,
    STATE(1642), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2926), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_as,
    ACTIONS(2700), 1,
      anon_sym_if,
    ACTIONS(2706), 1,
      anon_sym_and,
    ACTIONS(2708), 1,
      anon_sym_or,
    ACTIONS(1248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [86201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2936), 1,
      anon_sym_as,
    ACTIONS(3005), 1,
      anon_sym_COMMA,
    ACTIONS(3007), 1,
      anon_sym_COLON,
  [86223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_and,
    ACTIONS(2627), 1,
      anon_sym_or,
    ACTIONS(2635), 1,
      anon_sym_as,
    ACTIONS(2637), 1,
      anon_sym_if,
    ACTIONS(3009), 2,
      sym__newline,
      anon_sym_SEMI,
  [86263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3011), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [86283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3013), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [86301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_DOT,
    STATE(1664), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3015), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [86317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_COMMA,
    STATE(1673), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2940), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(2922), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [86353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_COMMA,
    STATE(1631), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2932), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2971), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_if,
    ACTIONS(2781), 1,
      anon_sym_and,
    ACTIONS(2783), 1,
      anon_sym_or,
    ACTIONS(2997), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_COMMA,
    STATE(1628), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2953), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3024), 1,
      anon_sym_COLON,
  [86444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2820), 1,
      anon_sym_COLON,
  [86463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_COLON,
    ACTIONS(3028), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_RBRACE,
    ACTIONS(3032), 1,
      sym_type_conversion,
    STATE(2100), 1,
      sym_format_specifier,
  [86482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3034), 1,
      anon_sym_COLON,
  [86501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3036), 1,
      anon_sym_else,
  [86520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [86531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_if,
    ACTIONS(3042), 1,
      anon_sym_COLON,
    STATE(1744), 1,
      aux_sym_case_clause_repeat1,
    STATE(2135), 1,
      sym_if_clause,
  [86550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3044), 1,
      anon_sym_else,
  [86569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3046), 1,
      anon_sym_else,
  [86588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    ACTIONS(3048), 1,
      anon_sym_LPAREN,
    STATE(1712), 1,
      sym_dotted_name,
    STATE(1738), 1,
      sym_aliased_import,
    STATE(1988), 1,
      sym__import_list,
  [86607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1748), 1,
      sym_dotted_name,
    STATE(1828), 1,
      sym_aliased_import,
    ACTIONS(3050), 2,
      sym__newline,
      anon_sym_SEMI,
  [86624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 1,
      anon_sym_if,
    ACTIONS(3054), 1,
      anon_sym_COMMA,
    ACTIONS(3056), 1,
      anon_sym_COLON,
    STATE(1744), 1,
      aux_sym_case_clause_repeat1,
    STATE(2133), 1,
      sym_if_clause,
  [86654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2999), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [86669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3060), 1,
      anon_sym_as,
    ACTIONS(3062), 1,
      anon_sym_COLON,
  [86688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3064), 1,
      anon_sym_else,
  [86707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3066), 1,
      anon_sym_COLON,
  [86726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    ACTIONS(2756), 1,
      anon_sym_COLON,
    ACTIONS(3040), 1,
      anon_sym_if,
    STATE(1728), 1,
      aux_sym_case_clause_repeat1,
    STATE(2082), 1,
      sym_if_clause,
  [86745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [86767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 1,
      anon_sym_DOT,
    STATE(1692), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3015), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [86782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_COMMA,
    ACTIONS(2718), 1,
      anon_sym_COLON,
    ACTIONS(3040), 1,
      anon_sym_if,
    STATE(1691), 1,
      aux_sym_case_clause_repeat1,
    STATE(2125), 1,
      sym_if_clause,
  [86801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1748), 1,
      sym_dotted_name,
    STATE(1828), 1,
      sym_aliased_import,
    ACTIONS(3070), 2,
      sym__newline,
      anon_sym_SEMI,
  [86818] = 5,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_LBRACE,
    ACTIONS(3074), 1,
      anon_sym_RBRACE,
    ACTIONS(3076), 1,
      aux_sym_format_specifier_token1,
    STATE(1727), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [86835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2623), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [86850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1748), 1,
      sym_dotted_name,
    STATE(1828), 1,
      sym_aliased_import,
    ACTIONS(3070), 2,
      sym__newline,
      anon_sym_SEMI,
  [86867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3078), 1,
      anon_sym_COLON,
  [86886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3080), 1,
      anon_sym_COLON,
  [86916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [86927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(2988), 1,
      anon_sym_else,
  [86946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3082), 1,
      anon_sym_else,
  [86965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3084), 1,
      anon_sym_COLON,
  [86984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_COMMA,
    ACTIONS(3090), 1,
      anon_sym_as,
    STATE(1759), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3086), 2,
      sym__newline,
      anon_sym_SEMI,
  [87001] = 5,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_LBRACE,
    ACTIONS(3092), 1,
      anon_sym_RBRACE,
    ACTIONS(3094), 1,
      aux_sym_format_specifier_token1,
    STATE(1702), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [87018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [87029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3096), 1,
      anon_sym_COLON,
  [87048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [87059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3098), 1,
      anon_sym_COLON,
  [87078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2973), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [87093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3060), 1,
      anon_sym_as,
    ACTIONS(3103), 1,
      anon_sym_COLON,
  [87112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [87123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [87134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [87145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2660), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [87160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3108), 1,
      anon_sym_else,
  [87179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2553), 1,
      anon_sym_if,
    ACTIONS(2557), 1,
      anon_sym_and,
    ACTIONS(2559), 1,
      anon_sym_or,
    ACTIONS(3110), 1,
      anon_sym_RBRACE,
  [87198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3112), 1,
      anon_sym_else,
  [87217] = 5,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    ACTIONS(3117), 1,
      anon_sym_RBRACE,
    ACTIONS(3119), 1,
      aux_sym_format_specifier_token1,
    STATE(1727), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [87234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 1,
      anon_sym_if,
    ACTIONS(3122), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_COLON,
    STATE(1744), 1,
      aux_sym_case_clause_repeat1,
    STATE(2110), 1,
      sym_if_clause,
  [87253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 1,
      anon_sym_if,
    ACTIONS(3126), 1,
      anon_sym_COMMA,
    ACTIONS(3128), 1,
      anon_sym_COLON,
    STATE(1744), 1,
      aux_sym_case_clause_repeat1,
    STATE(2111), 1,
      sym_if_clause,
  [87272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1104), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [87287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_as,
    ACTIONS(2678), 1,
      anon_sym_if,
    ACTIONS(2680), 1,
      anon_sym_and,
    ACTIONS(2682), 1,
      anon_sym_or,
    ACTIONS(3132), 1,
      anon_sym_COLON,
  [87306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3134), 2,
      sym__newline,
      anon_sym_SEMI,
  [87320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3138), 2,
      sym__newline,
      anon_sym_SEMI,
  [87334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 1,
      anon_sym_COMMA,
    STATE(1756), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3140), 2,
      sym__newline,
      anon_sym_SEMI,
  [87348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 1,
      anon_sym_COMMA,
    STATE(1741), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3144), 2,
      sym__newline,
      anon_sym_SEMI,
  [87362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3148), 2,
      sym__newline,
      anon_sym_SEMI,
  [87376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_RPAREN,
    ACTIONS(3150), 1,
      anon_sym_COMMA,
    ACTIONS(3152), 1,
      anon_sym_as,
    STATE(1787), 1,
      aux_sym__import_list_repeat1,
  [87392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_COMMA,
    STATE(1761), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3086), 2,
      sym__newline,
      anon_sym_SEMI,
  [87406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3156), 1,
      anon_sym_COMMA,
    STATE(1739), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3154), 2,
      sym__newline,
      anon_sym_SEMI,
  [87420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1888), 1,
      sym_dotted_name,
    STATE(2002), 1,
      sym_aliased_import,
  [87436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_COMMA,
    STATE(1756), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3161), 2,
      sym__newline,
      anon_sym_SEMI,
  [87450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 4,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [87460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_COLON,
    ACTIONS(3169), 1,
      anon_sym_EQ,
    ACTIONS(3165), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3174), 2,
      anon_sym_if,
      anon_sym_COLON,
  [87488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_COLON,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
    ACTIONS(3178), 1,
      sym_type_conversion,
    STATE(2022), 1,
      sym_format_specifier,
  [87504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_RPAREN,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1888), 1,
      sym_dotted_name,
    STATE(2002), 1,
      sym_aliased_import,
  [87520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_RPAREN,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1888), 1,
      sym_dotted_name,
    STATE(2002), 1,
      sym_aliased_import,
  [87536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_as,
    ACTIONS(3180), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [87548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_DOT,
    STATE(1754), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3182), 2,
      anon_sym_import,
      sym_identifier,
  [87562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3188), 1,
      anon_sym_COMMA,
    STATE(1750), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3186), 2,
      sym__newline,
      anon_sym_SEMI,
  [87576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1737), 1,
      sym_dotted_name,
    STATE(1792), 1,
      sym_aliased_import,
    STATE(2046), 1,
      sym__import_list,
  [87592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1737), 1,
      sym_dotted_name,
    STATE(1792), 1,
      sym_aliased_import,
    STATE(2047), 1,
      sym__import_list,
  [87608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1760), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3191), 2,
      sym__newline,
      anon_sym_SEMI,
  [87622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_DOT,
    STATE(1754), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3193), 2,
      anon_sym_import,
      sym_identifier,
  [87636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1712), 1,
      sym_dotted_name,
    STATE(1738), 1,
      sym_aliased_import,
    STATE(1973), 1,
      sym__import_list,
  [87652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_COMMA,
    STATE(1756), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3198), 2,
      sym__newline,
      anon_sym_SEMI,
  [87666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1262), 2,
      sym__newline,
      anon_sym_SEMI,
  [87680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [87690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_COMMA,
    STATE(1750), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3207), 2,
      sym__newline,
      anon_sym_SEMI,
  [87704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1739), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3211), 2,
      sym__newline,
      anon_sym_SEMI,
  [87718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_COMMA,
    STATE(1750), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3207), 2,
      sym__newline,
      anon_sym_SEMI,
  [87732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1739), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3215), 2,
      sym__newline,
      anon_sym_SEMI,
  [87746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_SEMI,
    ACTIONS(3219), 1,
      sym__newline,
    STATE(1926), 1,
      aux_sym__simple_statements_repeat1,
  [87759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RPAREN,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [87772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1773), 1,
      aux_sym__collection_elements_repeat1,
  [87785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_RBRACE,
    ACTIONS(3221), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [87798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COLON,
    ACTIONS(3223), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      aux_sym__parameters_repeat1,
  [87811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_except,
    ACTIONS(1401), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [87822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3225), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [87835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3227), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [87848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(3231), 1,
      anon_sym_COMMA,
    STATE(1771), 1,
      aux_sym__parameters_repeat1,
  [87861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      sym_identifier,
    STATE(1888), 1,
      sym_dotted_name,
    STATE(2002), 1,
      sym_aliased_import,
  [87874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 1,
      anon_sym_RBRACE,
    ACTIONS(3234), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__collection_elements_repeat1,
  [87887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3236), 1,
      anon_sym_SEMI,
    ACTIONS(3238), 1,
      sym__newline,
    STATE(1928), 1,
      aux_sym__simple_statements_repeat1,
  [87900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_SEMI,
    ACTIONS(3242), 1,
      sym__newline,
    STATE(1789), 1,
      aux_sym__simple_statements_repeat1,
  [87913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_COLON,
    ACTIONS(3165), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_RPAREN,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    STATE(1782), 1,
      aux_sym_assert_statement_repeat1,
  [87937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2493), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [87950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_RPAREN,
    ACTIONS(3250), 1,
      anon_sym_COMMA,
    STATE(1814), 1,
      aux_sym__parameters_repeat1,
  [87963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 1,
      anon_sym_COLON,
    ACTIONS(3252), 1,
      anon_sym_COMMA,
    STATE(1891), 1,
      aux_sym_with_clause_repeat1,
  [87976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_RBRACK,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    STATE(1781), 1,
      aux_sym__patterns_repeat1,
  [87989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    STATE(1782), 1,
      aux_sym_assert_statement_repeat1,
  [88002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_import,
    ACTIONS(3260), 1,
      anon_sym_DOT,
    STATE(1885), 1,
      aux_sym_dotted_name_repeat1,
  [88015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_RPAREN,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    STATE(1889), 1,
      aux_sym_with_clause_repeat1,
  [88028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      aux_sym__import_list_repeat1,
  [88041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym_dictionary_repeat1,
  [88054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(3268), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      aux_sym__import_list_repeat1,
  [88067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 1,
      anon_sym_RBRACE,
    ACTIONS(3270), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__collection_elements_repeat1,
  [88080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      sym__newline,
    ACTIONS(3273), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [88093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_COMMA,
    ACTIONS(3277), 1,
      anon_sym_RBRACK,
    STATE(1800), 1,
      aux_sym__patterns_repeat1,
  [88106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACK,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    STATE(1839), 1,
      aux_sym__collection_elements_repeat1,
  [88119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_RPAREN,
    ACTIONS(3150), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      aux_sym__import_list_repeat1,
  [88132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3279), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [88145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(3281), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(3283), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [88184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_import,
    ACTIONS(3260), 1,
      anon_sym_DOT,
    STATE(1783), 1,
      aux_sym_dotted_name_repeat1,
  [88197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [88206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_RBRACE,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [88219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RBRACK,
    ACTIONS(3289), 1,
      anon_sym_COMMA,
    STATE(1781), 1,
      aux_sym__patterns_repeat1,
  [88232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(3291), 1,
      anon_sym_import,
    STATE(2087), 1,
      sym_dotted_name,
  [88245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3293), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [88258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [88267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
    ACTIONS(2445), 1,
      anon_sym_COMMA,
    STATE(1813), 1,
      aux_sym_argument_list_repeat1,
  [88280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3295), 1,
      anon_sym_RPAREN,
    ACTIONS(3297), 1,
      anon_sym_COMMA,
    STATE(1815), 1,
      aux_sym_argument_list_repeat1,
  [88293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2473), 1,
      anon_sym_COMMA,
    STATE(1912), 1,
      aux_sym_argument_list_repeat1,
  [88306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_RBRACK,
    ACTIONS(3299), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym_assert_statement_repeat1,
  [88319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2771), 1,
      anon_sym_RBRACK,
    STATE(1818), 1,
      aux_sym_subscript_repeat1,
  [88332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_SEMI,
    ACTIONS(3304), 1,
      sym__newline,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [88345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 1,
      anon_sym_EQ,
    ACTIONS(3306), 2,
      sym__newline,
      anon_sym_SEMI,
  [88356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_COMMA,
    ACTIONS(3312), 1,
      anon_sym_COLON,
    STATE(1820), 1,
      aux_sym_match_statement_repeat1,
  [88369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    STATE(1812), 1,
      aux_sym_assert_statement_repeat1,
  [88382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      anon_sym_RPAREN,
    ACTIONS(3317), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [88395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    STATE(1771), 1,
      aux_sym__parameters_repeat1,
  [88408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 1,
      anon_sym_RPAREN,
    ACTIONS(3321), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [88421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3323), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [88434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3325), 1,
      anon_sym_COMMA,
    ACTIONS(3327), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_COMMA,
    ACTIONS(3331), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3333), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [88473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_COMMA,
    ACTIONS(3338), 1,
      anon_sym_COLON,
    STATE(1820), 1,
      aux_sym_match_statement_repeat1,
  [88486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_RPAREN,
    ACTIONS(3342), 1,
      anon_sym_COMMA,
    STATE(1911), 1,
      aux_sym_argument_list_repeat1,
  [88499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      anon_sym_COMMA,
    ACTIONS(2764), 1,
      anon_sym_RBRACK,
    STATE(1909), 1,
      aux_sym_subscript_repeat1,
  [88512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_COLON,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
    STATE(2022), 1,
      sym_format_specifier,
  [88525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [88534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RPAREN,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88547] = 3,
    ACTIONS(2512), 1,
      sym_comment,
    ACTIONS(3346), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3344), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [88558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    ACTIONS(3348), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__patterns_repeat1,
  [88571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [88580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 1,
      anon_sym_RPAREN,
    ACTIONS(3350), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      aux_sym__collection_elements_repeat1,
  [88593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [88602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LPAREN,
    ACTIONS(3356), 1,
      anon_sym_COLON,
    STATE(2105), 1,
      sym_argument_list,
  [88615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_except,
    ACTIONS(1427), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [88626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(3358), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(3360), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_RPAREN,
    ACTIONS(3362), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__patterns_repeat1,
  [88665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_RPAREN,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      aux_sym__patterns_repeat1,
  [88678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_SEMI,
    ACTIONS(3373), 1,
      sym__newline,
    STATE(1854), 1,
      aux_sym__simple_statements_repeat1,
  [88704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 1,
      anon_sym_RBRACK,
    ACTIONS(3375), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      aux_sym__collection_elements_repeat1,
  [88717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_COMMA,
    ACTIONS(3379), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_COLON,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_assert_statement_repeat1,
  [88743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2469), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [88769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_RPAREN,
    ACTIONS(3384), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [88782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    ACTIONS(3388), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_COMMA,
    ACTIONS(3392), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    ACTIONS(3394), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [88821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    ACTIONS(3396), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [88834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1040), 1,
      anon_sym_RPAREN,
    ACTIONS(3398), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [88847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_COMMA,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(1861), 1,
      aux_sym_dictionary_repeat1,
  [88860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    ACTIONS(2712), 1,
      anon_sym_RBRACK,
    STATE(1845), 1,
      aux_sym_subscript_repeat1,
  [88873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3400), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [88886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 1,
      anon_sym_RPAREN,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      aux_sym__collection_elements_repeat1,
  [88899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      sym__newline,
    ACTIONS(3408), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [88912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_COLON,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_assert_statement_repeat1,
  [88925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_RPAREN,
    ACTIONS(3414), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      aux_sym_argument_list_repeat1,
  [88938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      anon_sym_COMMA,
    STATE(1849), 1,
      aux_sym_argument_list_repeat1,
  [88951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    ACTIONS(3416), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [88964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COMMA,
    ACTIONS(2838), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      aux_sym_dictionary_repeat1,
  [88977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3418), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [88990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    ACTIONS(3420), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [89003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2487), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [89016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_except,
    ACTIONS(1420), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [89027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_RPAREN,
    ACTIONS(3422), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COMMA,
    ACTIONS(3428), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [89053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_except,
    ACTIONS(1412), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [89064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
    ACTIONS(2501), 1,
      anon_sym_COMMA,
    STATE(1876), 1,
      aux_sym_argument_list_repeat1,
  [89077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_RPAREN,
    ACTIONS(3432), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      aux_sym_argument_list_repeat1,
  [89090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_COMMA,
    ACTIONS(2748), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      aux_sym_subscript_repeat1,
  [89103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
    ACTIONS(3436), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym_argument_list_repeat1,
  [89116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_COMMA,
    ACTIONS(2732), 1,
      anon_sym_RBRACK,
    STATE(1881), 1,
      aux_sym_subscript_repeat1,
  [89129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      aux_sym_argument_list_repeat1,
  [89142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3438), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [89155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 1,
      anon_sym_COMMA,
    ACTIONS(3442), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3444), 1,
      anon_sym_COMMA,
    ACTIONS(3446), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    ACTIONS(3448), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_from,
    ACTIONS(2649), 2,
      sym__newline,
      anon_sym_SEMI,
  [89205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_RPAREN,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_RPAREN,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    ACTIONS(3456), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 1,
      anon_sym_COMMA,
    ACTIONS(3460), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym_identifier,
    STATE(1748), 1,
      sym_dotted_name,
    STATE(1828), 1,
      sym_aliased_import,
  [89270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      anon_sym_RPAREN,
    ACTIONS(3462), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_RBRACE,
    ACTIONS(3464), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [89296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 1,
      anon_sym_import,
    ACTIONS(3466), 1,
      anon_sym_DOT,
    STATE(1885), 1,
      aux_sym_dotted_name_repeat1,
  [89309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_except,
    ACTIONS(1416), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [89320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_RBRACK,
    STATE(1874), 1,
      aux_sym_subscript_repeat1,
  [89333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_as,
    ACTIONS(3180), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_RPAREN,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    STATE(1920), 1,
      aux_sym_with_clause_repeat1,
  [89357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_RPAREN,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    STATE(1879), 1,
      aux_sym_argument_list_repeat1,
  [89370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_COMMA,
    ACTIONS(3478), 1,
      anon_sym_COLON,
    STATE(1891), 1,
      aux_sym_with_clause_repeat1,
  [89383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_SEMI,
    ACTIONS(3482), 1,
      sym__newline,
    STATE(1908), 1,
      aux_sym__simple_statements_repeat1,
  [89396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 1,
      anon_sym_RPAREN,
    ACTIONS(2491), 1,
      anon_sym_COMMA,
    STATE(1883), 1,
      aux_sym_argument_list_repeat1,
  [89409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_RPAREN,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    STATE(1894), 1,
      aux_sym__import_list_repeat1,
  [89422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3487), 1,
      anon_sym_COMMA,
    ACTIONS(3489), 1,
      anon_sym_COLON,
    STATE(1820), 1,
      aux_sym_match_statement_repeat1,
  [89435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2485), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [89448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3491), 1,
      anon_sym_in,
    STATE(1371), 1,
      aux_sym__patterns_repeat1,
  [89461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    ACTIONS(3493), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [89474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      sym__newline,
    ACTIONS(3495), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [89487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_COMMA,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    STATE(1898), 1,
      aux_sym_dictionary_repeat1,
  [89500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    ACTIONS(3499), 1,
      anon_sym_COLON,
    STATE(1780), 1,
      aux_sym_with_clause_repeat1,
  [89513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2479), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [89526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_COLON,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    STATE(2077), 1,
      sym_format_specifier,
  [89539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_COMMA,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    STATE(1915), 1,
      aux_sym_dictionary_repeat1,
  [89552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(3503), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [89565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_SEMI,
    ACTIONS(3507), 1,
      sym__newline,
    STATE(1899), 1,
      aux_sym__simple_statements_repeat1,
  [89578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(3509), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [89591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      sym__newline,
    ACTIONS(3511), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [89604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3513), 1,
      anon_sym_COMMA,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3519), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    ACTIONS(3521), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_in,
    ACTIONS(3525), 2,
      sym__newline,
      anon_sym_SEMI,
  [89667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_LPAREN,
    ACTIONS(3529), 1,
      anon_sym_COLON,
    STATE(2197), 1,
      sym_argument_list,
  [89680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [89693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_COMMA,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_COMMA,
    ACTIONS(3539), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    ACTIONS(3541), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_RPAREN,
    ACTIONS(3543), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3478), 1,
      anon_sym_RPAREN,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    STATE(1920), 1,
      aux_sym_with_clause_repeat1,
  [89758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    ACTIONS(2483), 1,
      anon_sym_COMMA,
    STATE(1929), 1,
      aux_sym_argument_list_repeat1,
  [89771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_RPAREN,
    ACTIONS(3550), 1,
      anon_sym_COMMA,
    STATE(1931), 1,
      aux_sym_argument_list_repeat1,
  [89784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3154), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [89793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_RBRACK,
    STATE(1916), 1,
      aux_sym_subscript_repeat1,
  [89806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    ACTIONS(2704), 1,
      anon_sym_RBRACK,
    STATE(1934), 1,
      aux_sym_subscript_repeat1,
  [89819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 1,
      sym__newline,
    ACTIONS(3552), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [89832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_RPAREN,
    ACTIONS(3556), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      aux_sym_argument_list_repeat1,
  [89845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym__newline,
    ACTIONS(3558), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [89858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    STATE(1884), 1,
      aux_sym_dictionary_repeat1,
  [89884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [89897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
    ACTIONS(2467), 1,
      anon_sym_COMMA,
    STATE(1919), 1,
      aux_sym_argument_list_repeat1,
  [89910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_COMMA,
    ACTIONS(3566), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3570), 1,
      anon_sym_RBRACK,
    STATE(1852), 1,
      aux_sym_subscript_repeat1,
  [89936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      anon_sym_EQ,
    ACTIONS(3572), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [89947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      anon_sym_RBRACE,
    ACTIONS(3576), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_dictionary_repeat1,
  [89960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_COMMA,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    STATE(1766), 1,
      aux_sym_dictionary_repeat1,
  [89973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_EQ,
    ACTIONS(3572), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [89984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_EQ,
    ACTIONS(3165), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [89995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 1,
      sym__newline,
    ACTIONS(3582), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym__simple_statements_repeat1,
  [90008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_COLON,
    ACTIONS(3584), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      aux_sym__parameters_repeat1,
  [90021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    STATE(1936), 1,
      aux_sym_dictionary_repeat1,
  [90034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    ACTIONS(2463), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      aux_sym__collection_elements_repeat1,
  [90047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_COLON,
    ACTIONS(3587), 1,
      anon_sym_COMMA,
    STATE(1767), 1,
      aux_sym__parameters_repeat1,
  [90060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3589), 1,
      anon_sym_SEMI,
    ACTIONS(3591), 1,
      sym__newline,
    STATE(1940), 1,
      aux_sym__simple_statements_repeat1,
  [90073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 1,
      anon_sym_RBRACK,
    ACTIONS(3593), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      aux_sym__collection_elements_repeat1,
  [90086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    ACTIONS(3598), 1,
      anon_sym_DASH_GT,
  [90096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 2,
      sym__newline,
      anon_sym_SEMI,
  [90128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 2,
      sym__newline,
      anon_sym_SEMI,
  [90144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 2,
      sym__newline,
      anon_sym_SEMI,
  [90152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_COLON,
    ACTIONS(3608), 1,
      anon_sym_DASH_GT,
  [90170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 2,
      sym__newline,
      anon_sym_SEMI,
  [90178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3572), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_LPAREN,
    STATE(1986), 1,
      sym_parameters,
  [90196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_LPAREN,
    STATE(1987), 1,
      sym_parameters,
  [90214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 2,
      sym__newline,
      anon_sym_SEMI,
  [90246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_LPAREN,
    STATE(1947), 1,
      sym_parameters,
  [90264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 2,
      sym__newline,
      anon_sym_SEMI,
  [90312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3572), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3428), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [90344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 2,
      sym__newline,
      anon_sym_SEMI,
  [90376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 2,
      sym__newline,
      anon_sym_SEMI,
  [90384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 2,
      sym__newline,
      anon_sym_SEMI,
  [90392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_COLON,
    ACTIONS(3626), 1,
      anon_sym_DASH_GT,
  [90418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_COLON,
    ACTIONS(3630), 1,
      anon_sym_DASH_GT,
  [90428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 2,
      sym__newline,
      anon_sym_SEMI,
  [90436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 2,
      sym__newline,
      anon_sym_SEMI,
  [90444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 2,
      sym__newline,
      anon_sym_SEMI,
  [90452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 2,
      sym__newline,
      anon_sym_SEMI,
  [90468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_LPAREN,
    STATE(1956), 1,
      sym_parameters,
  [90502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 2,
      sym__newline,
      anon_sym_SEMI,
  [90510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 2,
      sym__newline,
      anon_sym_SEMI,
  [90526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [90566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [90582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 2,
      anon_sym_import,
      anon_sym_DOT,
  [90590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 2,
      sym__newline,
      anon_sym_SEMI,
  [90598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [90614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 2,
      sym__newline,
      anon_sym_SEMI,
  [90622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [90630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 2,
      sym__newline,
      anon_sym_SEMI,
  [90638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
  [90645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_in,
  [90652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
  [90659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_RPAREN,
  [90666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_RBRACK,
  [90673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_COLON,
  [90680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
  [90687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      anon_sym_COLON,
  [90694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
  [90701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
  [90708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_COLON,
  [90715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_RBRACK,
  [90722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      sym_identifier,
  [90729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_in,
  [90736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_RPAREN,
  [90743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_RBRACK,
  [90750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_in,
  [90757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_in,
  [90764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_RBRACE,
  [90771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3682), 1,
      anon_sym_RBRACE,
  [90778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_RPAREN,
  [90785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 1,
      anon_sym_RPAREN,
  [90792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3686), 1,
      sym_identifier,
  [90799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_RBRACK,
  [90806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      anon_sym_COLON,
  [90813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3690), 1,
      sym_identifier,
  [90820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_COLON,
  [90827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_def,
  [90834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
  [90841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_RBRACE,
  [90848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_COLON,
  [90855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
  [90862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_RPAREN,
  [90869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_RPAREN,
  [90876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
  [90883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      anon_sym_in,
  [90890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      sym_identifier,
  [90897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
  [90904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3706), 1,
      anon_sym_COLON,
  [90911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_COLON_EQ,
  [90918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_RPAREN,
  [90925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3418), 1,
      anon_sym_in,
  [90932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3712), 1,
      anon_sym_RBRACE,
  [90939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_RPAREN,
  [90946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_COLON,
  [90953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_RBRACK,
  [90960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_COLON,
  [90967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RBRACE,
  [90974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
  [90981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COLON,
  [90988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
  [90995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
  [91002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_in,
  [91009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_RPAREN,
  [91016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_RBRACK,
  [91023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_RBRACK,
  [91030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
  [91037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_RBRACE,
  [91044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
  [91051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_RPAREN,
  [91058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_in,
  [91065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 1,
      sym_identifier,
  [91072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_RBRACE,
  [91079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_RBRACE,
  [91086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_COLON_EQ,
  [91093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_RBRACE,
  [91100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COLON_EQ,
  [91107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
  [91114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_COLON,
  [91121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_COLON,
  [91128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_RBRACK,
  [91135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON,
  [91142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_RPAREN,
  [91149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_import,
  [91156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_RPAREN,
  [91163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
  [91170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3774), 1,
      sym_identifier,
  [91177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_EQ,
  [91184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_in,
  [91191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_RPAREN,
  [91198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_RBRACK,
  [91205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_RPAREN,
  [91212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_COLON,
  [91219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3788), 1,
      sym_identifier,
  [91226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_RBRACE,
  [91233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_COLON,
  [91240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
  [91247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_for,
  [91254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_COLON,
  [91261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_COLON,
  [91268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_COLON,
  [91275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3800), 1,
      anon_sym_COLON,
  [91282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_RPAREN,
  [91289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
  [91296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_RBRACE,
  [91303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 1,
      anon_sym_COLON,
  [91310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_COLON,
  [91317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_COLON,
  [91324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      anon_sym_COLON,
  [91331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym_identifier,
  [91338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_in,
  [91345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
  [91352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_RBRACK,
  [91359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_COLON,
  [91366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_COLON,
  [91373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_in,
  [91380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_RPAREN,
  [91387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
  [91394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COLON,
  [91401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_RBRACK,
  [91408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_import,
  [91415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON,
  [91422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_COLON,
  [91429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym_COLON,
  [91436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_COLON,
  [91443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_COLON,
  [91450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_COLON,
  [91457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_COLON,
  [91464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_RPAREN,
  [91471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COLON,
  [91478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_import,
  [91485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_COLON,
  [91492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_RBRACE,
  [91499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_COLON,
  [91506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_COLON,
  [91513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3854), 1,
      sym_identifier,
  [91520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_RBRACE,
  [91527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_RBRACE,
  [91534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_RBRACE,
  [91541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_in,
  [91548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_RBRACK,
  [91555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_in,
  [91562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_RPAREN,
  [91569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_in,
  [91576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3866), 1,
      sym_identifier,
  [91583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_COLON,
  [91590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym_in,
  [91597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_COLON,
  [91604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
  [91611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
  [91618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
  [91625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_COLON,
  [91632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_RBRACE,
  [91639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_RBRACE,
  [91646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_RBRACK,
  [91653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_RBRACE,
  [91660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
  [91667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_COLON,
  [91674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_RBRACK,
  [91681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
  [91688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_RBRACK,
  [91695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_RBRACK,
  [91702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 1,
      anon_sym_RPAREN,
  [91709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_in,
  [91716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_RPAREN,
  [91723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3900), 1,
      anon_sym_RPAREN,
  [91730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_COLON_EQ,
  [91737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_COLON,
  [91744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_COLON,
  [91751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_COLON_EQ,
  [91758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3910), 1,
      sym_identifier,
  [91765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      ts_builtin_sym_end,
  [91772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym_identifier,
  [91779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_RBRACK,
  [91786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_COLON,
  [91793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 1,
      anon_sym_RBRACE,
  [91800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_RPAREN,
  [91807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
  [91814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      sym_identifier,
  [91821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 1,
      sym_identifier,
  [91828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
  [91835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 1,
      sym_identifier,
  [91842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_COLON,
  [91849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 1,
      anon_sym_COLON_EQ,
  [91856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_COLON,
  [91863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_RBRACK,
  [91870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_COLON_EQ,
  [91877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym_identifier,
  [91884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 1,
      sym_identifier,
  [91891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      sym_identifier,
  [91898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_in,
  [91905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_def,
  [91912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_for,
  [91919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_COLON,
  [91926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_in,
  [91933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_for,
  [91940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_RBRACK,
  [91947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(175)] = 0,
  [SMALL_STATE(176)] = 124,
  [SMALL_STATE(177)] = 240,
  [SMALL_STATE(178)] = 364,
  [SMALL_STATE(179)] = 480,
  [SMALL_STATE(180)] = 602,
  [SMALL_STATE(181)] = 724,
  [SMALL_STATE(182)] = 844,
  [SMALL_STATE(183)] = 964,
  [SMALL_STATE(184)] = 1084,
  [SMALL_STATE(185)] = 1200,
  [SMALL_STATE(186)] = 1320,
  [SMALL_STATE(187)] = 1440,
  [SMALL_STATE(188)] = 1562,
  [SMALL_STATE(189)] = 1682,
  [SMALL_STATE(190)] = 1804,
  [SMALL_STATE(191)] = 1923,
  [SMALL_STATE(192)] = 2042,
  [SMALL_STATE(193)] = 2161,
  [SMALL_STATE(194)] = 2280,
  [SMALL_STATE(195)] = 2399,
  [SMALL_STATE(196)] = 2518,
  [SMALL_STATE(197)] = 2637,
  [SMALL_STATE(198)] = 2756,
  [SMALL_STATE(199)] = 2857,
  [SMALL_STATE(200)] = 2958,
  [SMALL_STATE(201)] = 3068,
  [SMALL_STATE(202)] = 3178,
  [SMALL_STATE(203)] = 3288,
  [SMALL_STATE(204)] = 3398,
  [SMALL_STATE(205)] = 3510,
  [SMALL_STATE(206)] = 3620,
  [SMALL_STATE(207)] = 3730,
  [SMALL_STATE(208)] = 3840,
  [SMALL_STATE(209)] = 3950,
  [SMALL_STATE(210)] = 4060,
  [SMALL_STATE(211)] = 4167,
  [SMALL_STATE(212)] = 4278,
  [SMALL_STATE(213)] = 4385,
  [SMALL_STATE(214)] = 4494,
  [SMALL_STATE(215)] = 4601,
  [SMALL_STATE(216)] = 4708,
  [SMALL_STATE(217)] = 4815,
  [SMALL_STATE(218)] = 4922,
  [SMALL_STATE(219)] = 5033,
  [SMALL_STATE(220)] = 5140,
  [SMALL_STATE(221)] = 5247,
  [SMALL_STATE(222)] = 5354,
  [SMALL_STATE(223)] = 5461,
  [SMALL_STATE(224)] = 5568,
  [SMALL_STATE(225)] = 5675,
  [SMALL_STATE(226)] = 5782,
  [SMALL_STATE(227)] = 5891,
  [SMALL_STATE(228)] = 6000,
  [SMALL_STATE(229)] = 6107,
  [SMALL_STATE(230)] = 6214,
  [SMALL_STATE(231)] = 6321,
  [SMALL_STATE(232)] = 6428,
  [SMALL_STATE(233)] = 6539,
  [SMALL_STATE(234)] = 6646,
  [SMALL_STATE(235)] = 6753,
  [SMALL_STATE(236)] = 6862,
  [SMALL_STATE(237)] = 6973,
  [SMALL_STATE(238)] = 7080,
  [SMALL_STATE(239)] = 7191,
  [SMALL_STATE(240)] = 7300,
  [SMALL_STATE(241)] = 7407,
  [SMALL_STATE(242)] = 7514,
  [SMALL_STATE(243)] = 7621,
  [SMALL_STATE(244)] = 7728,
  [SMALL_STATE(245)] = 7839,
  [SMALL_STATE(246)] = 7946,
  [SMALL_STATE(247)] = 8053,
  [SMALL_STATE(248)] = 8160,
  [SMALL_STATE(249)] = 8267,
  [SMALL_STATE(250)] = 8374,
  [SMALL_STATE(251)] = 8481,
  [SMALL_STATE(252)] = 8588,
  [SMALL_STATE(253)] = 8697,
  [SMALL_STATE(254)] = 8804,
  [SMALL_STATE(255)] = 8911,
  [SMALL_STATE(256)] = 9018,
  [SMALL_STATE(257)] = 9125,
  [SMALL_STATE(258)] = 9232,
  [SMALL_STATE(259)] = 9339,
  [SMALL_STATE(260)] = 9446,
  [SMALL_STATE(261)] = 9553,
  [SMALL_STATE(262)] = 9662,
  [SMALL_STATE(263)] = 9769,
  [SMALL_STATE(264)] = 9878,
  [SMALL_STATE(265)] = 9981,
  [SMALL_STATE(266)] = 10085,
  [SMALL_STATE(267)] = 10189,
  [SMALL_STATE(268)] = 10293,
  [SMALL_STATE(269)] = 10397,
  [SMALL_STATE(270)] = 10501,
  [SMALL_STATE(271)] = 10605,
  [SMALL_STATE(272)] = 10709,
  [SMALL_STATE(273)] = 10814,
  [SMALL_STATE(274)] = 10915,
  [SMALL_STATE(275)] = 11016,
  [SMALL_STATE(276)] = 11113,
  [SMALL_STATE(277)] = 11214,
  [SMALL_STATE(278)] = 11315,
  [SMALL_STATE(279)] = 11416,
  [SMALL_STATE(280)] = 11517,
  [SMALL_STATE(281)] = 11618,
  [SMALL_STATE(282)] = 11719,
  [SMALL_STATE(283)] = 11824,
  [SMALL_STATE(284)] = 11929,
  [SMALL_STATE(285)] = 12030,
  [SMALL_STATE(286)] = 12135,
  [SMALL_STATE(287)] = 12236,
  [SMALL_STATE(288)] = 12337,
  [SMALL_STATE(289)] = 12438,
  [SMALL_STATE(290)] = 12539,
  [SMALL_STATE(291)] = 12640,
  [SMALL_STATE(292)] = 12737,
  [SMALL_STATE(293)] = 12842,
  [SMALL_STATE(294)] = 12943,
  [SMALL_STATE(295)] = 13048,
  [SMALL_STATE(296)] = 13148,
  [SMALL_STATE(297)] = 13248,
  [SMALL_STATE(298)] = 13348,
  [SMALL_STATE(299)] = 13448,
  [SMALL_STATE(300)] = 13548,
  [SMALL_STATE(301)] = 13648,
  [SMALL_STATE(302)] = 13748,
  [SMALL_STATE(303)] = 13848,
  [SMALL_STATE(304)] = 13948,
  [SMALL_STATE(305)] = 14048,
  [SMALL_STATE(306)] = 14146,
  [SMALL_STATE(307)] = 14246,
  [SMALL_STATE(308)] = 14346,
  [SMALL_STATE(309)] = 14446,
  [SMALL_STATE(310)] = 14546,
  [SMALL_STATE(311)] = 14646,
  [SMALL_STATE(312)] = 14746,
  [SMALL_STATE(313)] = 14846,
  [SMALL_STATE(314)] = 14946,
  [SMALL_STATE(315)] = 15046,
  [SMALL_STATE(316)] = 15146,
  [SMALL_STATE(317)] = 15245,
  [SMALL_STATE(318)] = 15344,
  [SMALL_STATE(319)] = 15415,
  [SMALL_STATE(320)] = 15512,
  [SMALL_STATE(321)] = 15611,
  [SMALL_STATE(322)] = 15710,
  [SMALL_STATE(323)] = 15807,
  [SMALL_STATE(324)] = 15878,
  [SMALL_STATE(325)] = 15975,
  [SMALL_STATE(326)] = 16072,
  [SMALL_STATE(327)] = 16171,
  [SMALL_STATE(328)] = 16270,
  [SMALL_STATE(329)] = 16369,
  [SMALL_STATE(330)] = 16468,
  [SMALL_STATE(331)] = 16567,
  [SMALL_STATE(332)] = 16666,
  [SMALL_STATE(333)] = 16765,
  [SMALL_STATE(334)] = 16864,
  [SMALL_STATE(335)] = 16963,
  [SMALL_STATE(336)] = 17062,
  [SMALL_STATE(337)] = 17159,
  [SMALL_STATE(338)] = 17258,
  [SMALL_STATE(339)] = 17357,
  [SMALL_STATE(340)] = 17456,
  [SMALL_STATE(341)] = 17553,
  [SMALL_STATE(342)] = 17652,
  [SMALL_STATE(343)] = 17751,
  [SMALL_STATE(344)] = 17850,
  [SMALL_STATE(345)] = 17949,
  [SMALL_STATE(346)] = 18048,
  [SMALL_STATE(347)] = 18147,
  [SMALL_STATE(348)] = 18246,
  [SMALL_STATE(349)] = 18316,
  [SMALL_STATE(350)] = 18412,
  [SMALL_STATE(351)] = 18482,
  [SMALL_STATE(352)] = 18576,
  [SMALL_STATE(353)] = 18670,
  [SMALL_STATE(354)] = 18764,
  [SMALL_STATE(355)] = 18858,
  [SMALL_STATE(356)] = 18952,
  [SMALL_STATE(357)] = 19046,
  [SMALL_STATE(358)] = 19116,
  [SMALL_STATE(359)] = 19212,
  [SMALL_STATE(360)] = 19282,
  [SMALL_STATE(361)] = 19376,
  [SMALL_STATE(362)] = 19470,
  [SMALL_STATE(363)] = 19564,
  [SMALL_STATE(364)] = 19658,
  [SMALL_STATE(365)] = 19752,
  [SMALL_STATE(366)] = 19848,
  [SMALL_STATE(367)] = 19918,
  [SMALL_STATE(368)] = 20014,
  [SMALL_STATE(369)] = 20108,
  [SMALL_STATE(370)] = 20178,
  [SMALL_STATE(371)] = 20272,
  [SMALL_STATE(372)] = 20366,
  [SMALL_STATE(373)] = 20460,
  [SMALL_STATE(374)] = 20530,
  [SMALL_STATE(375)] = 20600,
  [SMALL_STATE(376)] = 20694,
  [SMALL_STATE(377)] = 20788,
  [SMALL_STATE(378)] = 20884,
  [SMALL_STATE(379)] = 20980,
  [SMALL_STATE(380)] = 21076,
  [SMALL_STATE(381)] = 21172,
  [SMALL_STATE(382)] = 21266,
  [SMALL_STATE(383)] = 21360,
  [SMALL_STATE(384)] = 21456,
  [SMALL_STATE(385)] = 21550,
  [SMALL_STATE(386)] = 21646,
  [SMALL_STATE(387)] = 21742,
  [SMALL_STATE(388)] = 21836,
  [SMALL_STATE(389)] = 21904,
  [SMALL_STATE(390)] = 21998,
  [SMALL_STATE(391)] = 22094,
  [SMALL_STATE(392)] = 22188,
  [SMALL_STATE(393)] = 22284,
  [SMALL_STATE(394)] = 22380,
  [SMALL_STATE(395)] = 22476,
  [SMALL_STATE(396)] = 22570,
  [SMALL_STATE(397)] = 22666,
  [SMALL_STATE(398)] = 22760,
  [SMALL_STATE(399)] = 22854,
  [SMALL_STATE(400)] = 22950,
  [SMALL_STATE(401)] = 23046,
  [SMALL_STATE(402)] = 23140,
  [SMALL_STATE(403)] = 23236,
  [SMALL_STATE(404)] = 23330,
  [SMALL_STATE(405)] = 23426,
  [SMALL_STATE(406)] = 23519,
  [SMALL_STATE(407)] = 23576,
  [SMALL_STATE(408)] = 23633,
  [SMALL_STATE(409)] = 23690,
  [SMALL_STATE(410)] = 23755,
  [SMALL_STATE(411)] = 23820,
  [SMALL_STATE(412)] = 23913,
  [SMALL_STATE(413)] = 23970,
  [SMALL_STATE(414)] = 24063,
  [SMALL_STATE(415)] = 24156,
  [SMALL_STATE(416)] = 24249,
  [SMALL_STATE(417)] = 24342,
  [SMALL_STATE(418)] = 24435,
  [SMALL_STATE(419)] = 24528,
  [SMALL_STATE(420)] = 24621,
  [SMALL_STATE(421)] = 24714,
  [SMALL_STATE(422)] = 24807,
  [SMALL_STATE(423)] = 24900,
  [SMALL_STATE(424)] = 24993,
  [SMALL_STATE(425)] = 25086,
  [SMALL_STATE(426)] = 25179,
  [SMALL_STATE(427)] = 25272,
  [SMALL_STATE(428)] = 25365,
  [SMALL_STATE(429)] = 25422,
  [SMALL_STATE(430)] = 25479,
  [SMALL_STATE(431)] = 25572,
  [SMALL_STATE(432)] = 25629,
  [SMALL_STATE(433)] = 25722,
  [SMALL_STATE(434)] = 25815,
  [SMALL_STATE(435)] = 25908,
  [SMALL_STATE(436)] = 26001,
  [SMALL_STATE(437)] = 26091,
  [SMALL_STATE(438)] = 26181,
  [SMALL_STATE(439)] = 26271,
  [SMALL_STATE(440)] = 26361,
  [SMALL_STATE(441)] = 26451,
  [SMALL_STATE(442)] = 26541,
  [SMALL_STATE(443)] = 26631,
  [SMALL_STATE(444)] = 26721,
  [SMALL_STATE(445)] = 26811,
  [SMALL_STATE(446)] = 26901,
  [SMALL_STATE(447)] = 26963,
  [SMALL_STATE(448)] = 27053,
  [SMALL_STATE(449)] = 27143,
  [SMALL_STATE(450)] = 27233,
  [SMALL_STATE(451)] = 27323,
  [SMALL_STATE(452)] = 27413,
  [SMALL_STATE(453)] = 27503,
  [SMALL_STATE(454)] = 27593,
  [SMALL_STATE(455)] = 27683,
  [SMALL_STATE(456)] = 27773,
  [SMALL_STATE(457)] = 27835,
  [SMALL_STATE(458)] = 27925,
  [SMALL_STATE(459)] = 28015,
  [SMALL_STATE(460)] = 28081,
  [SMALL_STATE(461)] = 28171,
  [SMALL_STATE(462)] = 28237,
  [SMALL_STATE(463)] = 28327,
  [SMALL_STATE(464)] = 28417,
  [SMALL_STATE(465)] = 28507,
  [SMALL_STATE(466)] = 28597,
  [SMALL_STATE(467)] = 28687,
  [SMALL_STATE(468)] = 28777,
  [SMALL_STATE(469)] = 28867,
  [SMALL_STATE(470)] = 28957,
  [SMALL_STATE(471)] = 29047,
  [SMALL_STATE(472)] = 29113,
  [SMALL_STATE(473)] = 29179,
  [SMALL_STATE(474)] = 29269,
  [SMALL_STATE(475)] = 29359,
  [SMALL_STATE(476)] = 29449,
  [SMALL_STATE(477)] = 29539,
  [SMALL_STATE(478)] = 29629,
  [SMALL_STATE(479)] = 29719,
  [SMALL_STATE(480)] = 29779,
  [SMALL_STATE(481)] = 29869,
  [SMALL_STATE(482)] = 29929,
  [SMALL_STATE(483)] = 29989,
  [SMALL_STATE(484)] = 30049,
  [SMALL_STATE(485)] = 30139,
  [SMALL_STATE(486)] = 30229,
  [SMALL_STATE(487)] = 30319,
  [SMALL_STATE(488)] = 30409,
  [SMALL_STATE(489)] = 30475,
  [SMALL_STATE(490)] = 30567,
  [SMALL_STATE(491)] = 30657,
  [SMALL_STATE(492)] = 30719,
  [SMALL_STATE(493)] = 30809,
  [SMALL_STATE(494)] = 30899,
  [SMALL_STATE(495)] = 30989,
  [SMALL_STATE(496)] = 31055,
  [SMALL_STATE(497)] = 31117,
  [SMALL_STATE(498)] = 31207,
  [SMALL_STATE(499)] = 31297,
  [SMALL_STATE(500)] = 31387,
  [SMALL_STATE(501)] = 31477,
  [SMALL_STATE(502)] = 31567,
  [SMALL_STATE(503)] = 31657,
  [SMALL_STATE(504)] = 31747,
  [SMALL_STATE(505)] = 31837,
  [SMALL_STATE(506)] = 31927,
  [SMALL_STATE(507)] = 32017,
  [SMALL_STATE(508)] = 32107,
  [SMALL_STATE(509)] = 32197,
  [SMALL_STATE(510)] = 32287,
  [SMALL_STATE(511)] = 32377,
  [SMALL_STATE(512)] = 32467,
  [SMALL_STATE(513)] = 32557,
  [SMALL_STATE(514)] = 32647,
  [SMALL_STATE(515)] = 32737,
  [SMALL_STATE(516)] = 32827,
  [SMALL_STATE(517)] = 32917,
  [SMALL_STATE(518)] = 33007,
  [SMALL_STATE(519)] = 33097,
  [SMALL_STATE(520)] = 33187,
  [SMALL_STATE(521)] = 33279,
  [SMALL_STATE(522)] = 33369,
  [SMALL_STATE(523)] = 33459,
  [SMALL_STATE(524)] = 33549,
  [SMALL_STATE(525)] = 33639,
  [SMALL_STATE(526)] = 33729,
  [SMALL_STATE(527)] = 33819,
  [SMALL_STATE(528)] = 33909,
  [SMALL_STATE(529)] = 33999,
  [SMALL_STATE(530)] = 34089,
  [SMALL_STATE(531)] = 34179,
  [SMALL_STATE(532)] = 34269,
  [SMALL_STATE(533)] = 34359,
  [SMALL_STATE(534)] = 34449,
  [SMALL_STATE(535)] = 34539,
  [SMALL_STATE(536)] = 34629,
  [SMALL_STATE(537)] = 34719,
  [SMALL_STATE(538)] = 34809,
  [SMALL_STATE(539)] = 34899,
  [SMALL_STATE(540)] = 34989,
  [SMALL_STATE(541)] = 35079,
  [SMALL_STATE(542)] = 35169,
  [SMALL_STATE(543)] = 35259,
  [SMALL_STATE(544)] = 35325,
  [SMALL_STATE(545)] = 35415,
  [SMALL_STATE(546)] = 35505,
  [SMALL_STATE(547)] = 35595,
  [SMALL_STATE(548)] = 35685,
  [SMALL_STATE(549)] = 35775,
  [SMALL_STATE(550)] = 35865,
  [SMALL_STATE(551)] = 35955,
  [SMALL_STATE(552)] = 36045,
  [SMALL_STATE(553)] = 36135,
  [SMALL_STATE(554)] = 36225,
  [SMALL_STATE(555)] = 36315,
  [SMALL_STATE(556)] = 36405,
  [SMALL_STATE(557)] = 36495,
  [SMALL_STATE(558)] = 36585,
  [SMALL_STATE(559)] = 36651,
  [SMALL_STATE(560)] = 36741,
  [SMALL_STATE(561)] = 36831,
  [SMALL_STATE(562)] = 36921,
  [SMALL_STATE(563)] = 37011,
  [SMALL_STATE(564)] = 37101,
  [SMALL_STATE(565)] = 37191,
  [SMALL_STATE(566)] = 37281,
  [SMALL_STATE(567)] = 37371,
  [SMALL_STATE(568)] = 37461,
  [SMALL_STATE(569)] = 37551,
  [SMALL_STATE(570)] = 37641,
  [SMALL_STATE(571)] = 37731,
  [SMALL_STATE(572)] = 37821,
  [SMALL_STATE(573)] = 37911,
  [SMALL_STATE(574)] = 37966,
  [SMALL_STATE(575)] = 38027,
  [SMALL_STATE(576)] = 38082,
  [SMALL_STATE(577)] = 38137,
  [SMALL_STATE(578)] = 38192,
  [SMALL_STATE(579)] = 38247,
  [SMALL_STATE(580)] = 38302,
  [SMALL_STATE(581)] = 38357,
  [SMALL_STATE(582)] = 38412,
  [SMALL_STATE(583)] = 38467,
  [SMALL_STATE(584)] = 38522,
  [SMALL_STATE(585)] = 38577,
  [SMALL_STATE(586)] = 38632,
  [SMALL_STATE(587)] = 38693,
  [SMALL_STATE(588)] = 38748,
  [SMALL_STATE(589)] = 38803,
  [SMALL_STATE(590)] = 38858,
  [SMALL_STATE(591)] = 38913,
  [SMALL_STATE(592)] = 38968,
  [SMALL_STATE(593)] = 39022,
  [SMALL_STATE(594)] = 39082,
  [SMALL_STATE(595)] = 39136,
  [SMALL_STATE(596)] = 39196,
  [SMALL_STATE(597)] = 39250,
  [SMALL_STATE(598)] = 39304,
  [SMALL_STATE(599)] = 39358,
  [SMALL_STATE(600)] = 39412,
  [SMALL_STATE(601)] = 39472,
  [SMALL_STATE(602)] = 39526,
  [SMALL_STATE(603)] = 39580,
  [SMALL_STATE(604)] = 39634,
  [SMALL_STATE(605)] = 39688,
  [SMALL_STATE(606)] = 39742,
  [SMALL_STATE(607)] = 39796,
  [SMALL_STATE(608)] = 39850,
  [SMALL_STATE(609)] = 39904,
  [SMALL_STATE(610)] = 39958,
  [SMALL_STATE(611)] = 40012,
  [SMALL_STATE(612)] = 40066,
  [SMALL_STATE(613)] = 40120,
  [SMALL_STATE(614)] = 40174,
  [SMALL_STATE(615)] = 40234,
  [SMALL_STATE(616)] = 40288,
  [SMALL_STATE(617)] = 40342,
  [SMALL_STATE(618)] = 40402,
  [SMALL_STATE(619)] = 40456,
  [SMALL_STATE(620)] = 40510,
  [SMALL_STATE(621)] = 40564,
  [SMALL_STATE(622)] = 40618,
  [SMALL_STATE(623)] = 40672,
  [SMALL_STATE(624)] = 40726,
  [SMALL_STATE(625)] = 40780,
  [SMALL_STATE(626)] = 40834,
  [SMALL_STATE(627)] = 40888,
  [SMALL_STATE(628)] = 40942,
  [SMALL_STATE(629)] = 41002,
  [SMALL_STATE(630)] = 41056,
  [SMALL_STATE(631)] = 41116,
  [SMALL_STATE(632)] = 41176,
  [SMALL_STATE(633)] = 41236,
  [SMALL_STATE(634)] = 41296,
  [SMALL_STATE(635)] = 41350,
  [SMALL_STATE(636)] = 41410,
  [SMALL_STATE(637)] = 41464,
  [SMALL_STATE(638)] = 41524,
  [SMALL_STATE(639)] = 41578,
  [SMALL_STATE(640)] = 41638,
  [SMALL_STATE(641)] = 41698,
  [SMALL_STATE(642)] = 41752,
  [SMALL_STATE(643)] = 41812,
  [SMALL_STATE(644)] = 41866,
  [SMALL_STATE(645)] = 41920,
  [SMALL_STATE(646)] = 41980,
  [SMALL_STATE(647)] = 42040,
  [SMALL_STATE(648)] = 42100,
  [SMALL_STATE(649)] = 42154,
  [SMALL_STATE(650)] = 42208,
  [SMALL_STATE(651)] = 42265,
  [SMALL_STATE(652)] = 42322,
  [SMALL_STATE(653)] = 42375,
  [SMALL_STATE(654)] = 42428,
  [SMALL_STATE(655)] = 42481,
  [SMALL_STATE(656)] = 42538,
  [SMALL_STATE(657)] = 42595,
  [SMALL_STATE(658)] = 42652,
  [SMALL_STATE(659)] = 42709,
  [SMALL_STATE(660)] = 42766,
  [SMALL_STATE(661)] = 42819,
  [SMALL_STATE(662)] = 42876,
  [SMALL_STATE(663)] = 42929,
  [SMALL_STATE(664)] = 42986,
  [SMALL_STATE(665)] = 43039,
  [SMALL_STATE(666)] = 43096,
  [SMALL_STATE(667)] = 43153,
  [SMALL_STATE(668)] = 43210,
  [SMALL_STATE(669)] = 43267,
  [SMALL_STATE(670)] = 43324,
  [SMALL_STATE(671)] = 43381,
  [SMALL_STATE(672)] = 43438,
  [SMALL_STATE(673)] = 43490,
  [SMALL_STATE(674)] = 43542,
  [SMALL_STATE(675)] = 43594,
  [SMALL_STATE(676)] = 43646,
  [SMALL_STATE(677)] = 43698,
  [SMALL_STATE(678)] = 43750,
  [SMALL_STATE(679)] = 43802,
  [SMALL_STATE(680)] = 43854,
  [SMALL_STATE(681)] = 43906,
  [SMALL_STATE(682)] = 43958,
  [SMALL_STATE(683)] = 44010,
  [SMALL_STATE(684)] = 44062,
  [SMALL_STATE(685)] = 44114,
  [SMALL_STATE(686)] = 44166,
  [SMALL_STATE(687)] = 44218,
  [SMALL_STATE(688)] = 44270,
  [SMALL_STATE(689)] = 44322,
  [SMALL_STATE(690)] = 44374,
  [SMALL_STATE(691)] = 44426,
  [SMALL_STATE(692)] = 44478,
  [SMALL_STATE(693)] = 44530,
  [SMALL_STATE(694)] = 44582,
  [SMALL_STATE(695)] = 44634,
  [SMALL_STATE(696)] = 44686,
  [SMALL_STATE(697)] = 44738,
  [SMALL_STATE(698)] = 44790,
  [SMALL_STATE(699)] = 44842,
  [SMALL_STATE(700)] = 44894,
  [SMALL_STATE(701)] = 44946,
  [SMALL_STATE(702)] = 44998,
  [SMALL_STATE(703)] = 45050,
  [SMALL_STATE(704)] = 45102,
  [SMALL_STATE(705)] = 45154,
  [SMALL_STATE(706)] = 45206,
  [SMALL_STATE(707)] = 45258,
  [SMALL_STATE(708)] = 45310,
  [SMALL_STATE(709)] = 45362,
  [SMALL_STATE(710)] = 45414,
  [SMALL_STATE(711)] = 45466,
  [SMALL_STATE(712)] = 45518,
  [SMALL_STATE(713)] = 45570,
  [SMALL_STATE(714)] = 45622,
  [SMALL_STATE(715)] = 45674,
  [SMALL_STATE(716)] = 45726,
  [SMALL_STATE(717)] = 45778,
  [SMALL_STATE(718)] = 45830,
  [SMALL_STATE(719)] = 45882,
  [SMALL_STATE(720)] = 45934,
  [SMALL_STATE(721)] = 45986,
  [SMALL_STATE(722)] = 46038,
  [SMALL_STATE(723)] = 46090,
  [SMALL_STATE(724)] = 46142,
  [SMALL_STATE(725)] = 46194,
  [SMALL_STATE(726)] = 46246,
  [SMALL_STATE(727)] = 46298,
  [SMALL_STATE(728)] = 46350,
  [SMALL_STATE(729)] = 46402,
  [SMALL_STATE(730)] = 46454,
  [SMALL_STATE(731)] = 46506,
  [SMALL_STATE(732)] = 46558,
  [SMALL_STATE(733)] = 46610,
  [SMALL_STATE(734)] = 46662,
  [SMALL_STATE(735)] = 46714,
  [SMALL_STATE(736)] = 46766,
  [SMALL_STATE(737)] = 46818,
  [SMALL_STATE(738)] = 46870,
  [SMALL_STATE(739)] = 46922,
  [SMALL_STATE(740)] = 46974,
  [SMALL_STATE(741)] = 47026,
  [SMALL_STATE(742)] = 47078,
  [SMALL_STATE(743)] = 47129,
  [SMALL_STATE(744)] = 47180,
  [SMALL_STATE(745)] = 47231,
  [SMALL_STATE(746)] = 47282,
  [SMALL_STATE(747)] = 47333,
  [SMALL_STATE(748)] = 47384,
  [SMALL_STATE(749)] = 47435,
  [SMALL_STATE(750)] = 47486,
  [SMALL_STATE(751)] = 47537,
  [SMALL_STATE(752)] = 47588,
  [SMALL_STATE(753)] = 47639,
  [SMALL_STATE(754)] = 47690,
  [SMALL_STATE(755)] = 47741,
  [SMALL_STATE(756)] = 47792,
  [SMALL_STATE(757)] = 47843,
  [SMALL_STATE(758)] = 47894,
  [SMALL_STATE(759)] = 47945,
  [SMALL_STATE(760)] = 47996,
  [SMALL_STATE(761)] = 48047,
  [SMALL_STATE(762)] = 48098,
  [SMALL_STATE(763)] = 48149,
  [SMALL_STATE(764)] = 48200,
  [SMALL_STATE(765)] = 48251,
  [SMALL_STATE(766)] = 48302,
  [SMALL_STATE(767)] = 48353,
  [SMALL_STATE(768)] = 48404,
  [SMALL_STATE(769)] = 48455,
  [SMALL_STATE(770)] = 48506,
  [SMALL_STATE(771)] = 48557,
  [SMALL_STATE(772)] = 48608,
  [SMALL_STATE(773)] = 48659,
  [SMALL_STATE(774)] = 48710,
  [SMALL_STATE(775)] = 48761,
  [SMALL_STATE(776)] = 48812,
  [SMALL_STATE(777)] = 48863,
  [SMALL_STATE(778)] = 48914,
  [SMALL_STATE(779)] = 48965,
  [SMALL_STATE(780)] = 49016,
  [SMALL_STATE(781)] = 49067,
  [SMALL_STATE(782)] = 49118,
  [SMALL_STATE(783)] = 49169,
  [SMALL_STATE(784)] = 49220,
  [SMALL_STATE(785)] = 49271,
  [SMALL_STATE(786)] = 49322,
  [SMALL_STATE(787)] = 49407,
  [SMALL_STATE(788)] = 49458,
  [SMALL_STATE(789)] = 49509,
  [SMALL_STATE(790)] = 49560,
  [SMALL_STATE(791)] = 49611,
  [SMALL_STATE(792)] = 49662,
  [SMALL_STATE(793)] = 49713,
  [SMALL_STATE(794)] = 49764,
  [SMALL_STATE(795)] = 49815,
  [SMALL_STATE(796)] = 49900,
  [SMALL_STATE(797)] = 49951,
  [SMALL_STATE(798)] = 50002,
  [SMALL_STATE(799)] = 50053,
  [SMALL_STATE(800)] = 50104,
  [SMALL_STATE(801)] = 50155,
  [SMALL_STATE(802)] = 50206,
  [SMALL_STATE(803)] = 50257,
  [SMALL_STATE(804)] = 50308,
  [SMALL_STATE(805)] = 50359,
  [SMALL_STATE(806)] = 50410,
  [SMALL_STATE(807)] = 50461,
  [SMALL_STATE(808)] = 50512,
  [SMALL_STATE(809)] = 50563,
  [SMALL_STATE(810)] = 50614,
  [SMALL_STATE(811)] = 50665,
  [SMALL_STATE(812)] = 50716,
  [SMALL_STATE(813)] = 50767,
  [SMALL_STATE(814)] = 50818,
  [SMALL_STATE(815)] = 50900,
  [SMALL_STATE(816)] = 50982,
  [SMALL_STATE(817)] = 51064,
  [SMALL_STATE(818)] = 51146,
  [SMALL_STATE(819)] = 51228,
  [SMALL_STATE(820)] = 51310,
  [SMALL_STATE(821)] = 51392,
  [SMALL_STATE(822)] = 51474,
  [SMALL_STATE(823)] = 51556,
  [SMALL_STATE(824)] = 51638,
  [SMALL_STATE(825)] = 51720,
  [SMALL_STATE(826)] = 51802,
  [SMALL_STATE(827)] = 51884,
  [SMALL_STATE(828)] = 51966,
  [SMALL_STATE(829)] = 52045,
  [SMALL_STATE(830)] = 52124,
  [SMALL_STATE(831)] = 52203,
  [SMALL_STATE(832)] = 52283,
  [SMALL_STATE(833)] = 52333,
  [SMALL_STATE(834)] = 52383,
  [SMALL_STATE(835)] = 52433,
  [SMALL_STATE(836)] = 52483,
  [SMALL_STATE(837)] = 52555,
  [SMALL_STATE(838)] = 52605,
  [SMALL_STATE(839)] = 52655,
  [SMALL_STATE(840)] = 52705,
  [SMALL_STATE(841)] = 52755,
  [SMALL_STATE(842)] = 52827,
  [SMALL_STATE(843)] = 52907,
  [SMALL_STATE(844)] = 52957,
  [SMALL_STATE(845)] = 53037,
  [SMALL_STATE(846)] = 53098,
  [SMALL_STATE(847)] = 53153,
  [SMALL_STATE(848)] = 53216,
  [SMALL_STATE(849)] = 53265,
  [SMALL_STATE(850)] = 53334,
  [SMALL_STATE(851)] = 53401,
  [SMALL_STATE(852)] = 53468,
  [SMALL_STATE(853)] = 53523,
  [SMALL_STATE(854)] = 53590,
  [SMALL_STATE(855)] = 53645,
  [SMALL_STATE(856)] = 53694,
  [SMALL_STATE(857)] = 53743,
  [SMALL_STATE(858)] = 53798,
  [SMALL_STATE(859)] = 53867,
  [SMALL_STATE(860)] = 53916,
  [SMALL_STATE(861)] = 53971,
  [SMALL_STATE(862)] = 54020,
  [SMALL_STATE(863)] = 54089,
  [SMALL_STATE(864)] = 54158,
  [SMALL_STATE(865)] = 54223,
  [SMALL_STATE(866)] = 54272,
  [SMALL_STATE(867)] = 54321,
  [SMALL_STATE(868)] = 54388,
  [SMALL_STATE(869)] = 54443,
  [SMALL_STATE(870)] = 54522,
  [SMALL_STATE(871)] = 54571,
  [SMALL_STATE(872)] = 54638,
  [SMALL_STATE(873)] = 54705,
  [SMALL_STATE(874)] = 54766,
  [SMALL_STATE(875)] = 54845,
  [SMALL_STATE(876)] = 54904,
  [SMALL_STATE(877)] = 54983,
  [SMALL_STATE(878)] = 55050,
  [SMALL_STATE(879)] = 55105,
  [SMALL_STATE(880)] = 55174,
  [SMALL_STATE(881)] = 55237,
  [SMALL_STATE(882)] = 55292,
  [SMALL_STATE(883)] = 55357,
  [SMALL_STATE(884)] = 55422,
  [SMALL_STATE(885)] = 55485,
  [SMALL_STATE(886)] = 55552,
  [SMALL_STATE(887)] = 55613,
  [SMALL_STATE(888)] = 55672,
  [SMALL_STATE(889)] = 55739,
  [SMALL_STATE(890)] = 55806,
  [SMALL_STATE(891)] = 55875,
  [SMALL_STATE(892)] = 55924,
  [SMALL_STATE(893)] = 55983,
  [SMALL_STATE(894)] = 56038,
  [SMALL_STATE(895)] = 56105,
  [SMALL_STATE(896)] = 56167,
  [SMALL_STATE(897)] = 56231,
  [SMALL_STATE(898)] = 56299,
  [SMALL_STATE(899)] = 56363,
  [SMALL_STATE(900)] = 56427,
  [SMALL_STATE(901)] = 56495,
  [SMALL_STATE(902)] = 56539,
  [SMALL_STATE(903)] = 56585,
  [SMALL_STATE(904)] = 56631,
  [SMALL_STATE(905)] = 56695,
  [SMALL_STATE(906)] = 56759,
  [SMALL_STATE(907)] = 56827,
  [SMALL_STATE(908)] = 56891,
  [SMALL_STATE(909)] = 56955,
  [SMALL_STATE(910)] = 57019,
  [SMALL_STATE(911)] = 57083,
  [SMALL_STATE(912)] = 57147,
  [SMALL_STATE(913)] = 57211,
  [SMALL_STATE(914)] = 57275,
  [SMALL_STATE(915)] = 57339,
  [SMALL_STATE(916)] = 57403,
  [SMALL_STATE(917)] = 57467,
  [SMALL_STATE(918)] = 57511,
  [SMALL_STATE(919)] = 57575,
  [SMALL_STATE(920)] = 57639,
  [SMALL_STATE(921)] = 57707,
  [SMALL_STATE(922)] = 57755,
  [SMALL_STATE(923)] = 57803,
  [SMALL_STATE(924)] = 57867,
  [SMALL_STATE(925)] = 57935,
  [SMALL_STATE(926)] = 57999,
  [SMALL_STATE(927)] = 58067,
  [SMALL_STATE(928)] = 58115,
  [SMALL_STATE(929)] = 58179,
  [SMALL_STATE(930)] = 58227,
  [SMALL_STATE(931)] = 58291,
  [SMALL_STATE(932)] = 58355,
  [SMALL_STATE(933)] = 58419,
  [SMALL_STATE(934)] = 58483,
  [SMALL_STATE(935)] = 58547,
  [SMALL_STATE(936)] = 58611,
  [SMALL_STATE(937)] = 58675,
  [SMALL_STATE(938)] = 58723,
  [SMALL_STATE(939)] = 58799,
  [SMALL_STATE(940)] = 58847,
  [SMALL_STATE(941)] = 58911,
  [SMALL_STATE(942)] = 58955,
  [SMALL_STATE(943)] = 59003,
  [SMALL_STATE(944)] = 59067,
  [SMALL_STATE(945)] = 59131,
  [SMALL_STATE(946)] = 59195,
  [SMALL_STATE(947)] = 59259,
  [SMALL_STATE(948)] = 59323,
  [SMALL_STATE(949)] = 59387,
  [SMALL_STATE(950)] = 59451,
  [SMALL_STATE(951)] = 59515,
  [SMALL_STATE(952)] = 59559,
  [SMALL_STATE(953)] = 59621,
  [SMALL_STATE(954)] = 59685,
  [SMALL_STATE(955)] = 59733,
  [SMALL_STATE(956)] = 59811,
  [SMALL_STATE(957)] = 59875,
  [SMALL_STATE(958)] = 59919,
  [SMALL_STATE(959)] = 59985,
  [SMALL_STATE(960)] = 60049,
  [SMALL_STATE(961)] = 60107,
  [SMALL_STATE(962)] = 60171,
  [SMALL_STATE(963)] = 60225,
  [SMALL_STATE(964)] = 60293,
  [SMALL_STATE(965)] = 60353,
  [SMALL_STATE(966)] = 60407,
  [SMALL_STATE(967)] = 60471,
  [SMALL_STATE(968)] = 60535,
  [SMALL_STATE(969)] = 60599,
  [SMALL_STATE(970)] = 60663,
  [SMALL_STATE(971)] = 60727,
  [SMALL_STATE(972)] = 60791,
  [SMALL_STATE(973)] = 60855,
  [SMALL_STATE(974)] = 60899,
  [SMALL_STATE(975)] = 60963,
  [SMALL_STATE(976)] = 61027,
  [SMALL_STATE(977)] = 61091,
  [SMALL_STATE(978)] = 61155,
  [SMALL_STATE(979)] = 61219,
  [SMALL_STATE(980)] = 61283,
  [SMALL_STATE(981)] = 61347,
  [SMALL_STATE(982)] = 61411,
  [SMALL_STATE(983)] = 61475,
  [SMALL_STATE(984)] = 61543,
  [SMALL_STATE(985)] = 61605,
  [SMALL_STATE(986)] = 61669,
  [SMALL_STATE(987)] = 61735,
  [SMALL_STATE(988)] = 61793,
  [SMALL_STATE(989)] = 61857,
  [SMALL_STATE(990)] = 61911,
  [SMALL_STATE(991)] = 61979,
  [SMALL_STATE(992)] = 62039,
  [SMALL_STATE(993)] = 62093,
  [SMALL_STATE(994)] = 62157,
  [SMALL_STATE(995)] = 62221,
  [SMALL_STATE(996)] = 62285,
  [SMALL_STATE(997)] = 62349,
  [SMALL_STATE(998)] = 62413,
  [SMALL_STATE(999)] = 62477,
  [SMALL_STATE(1000)] = 62541,
  [SMALL_STATE(1001)] = 62605,
  [SMALL_STATE(1002)] = 62659,
  [SMALL_STATE(1003)] = 62705,
  [SMALL_STATE(1004)] = 62751,
  [SMALL_STATE(1005)] = 62819,
  [SMALL_STATE(1006)] = 62873,
  [SMALL_STATE(1007)] = 62937,
  [SMALL_STATE(1008)] = 63003,
  [SMALL_STATE(1009)] = 63061,
  [SMALL_STATE(1010)] = 63125,
  [SMALL_STATE(1011)] = 63179,
  [SMALL_STATE(1012)] = 63247,
  [SMALL_STATE(1013)] = 63307,
  [SMALL_STATE(1014)] = 63361,
  [SMALL_STATE(1015)] = 63425,
  [SMALL_STATE(1016)] = 63489,
  [SMALL_STATE(1017)] = 63553,
  [SMALL_STATE(1018)] = 63617,
  [SMALL_STATE(1019)] = 63681,
  [SMALL_STATE(1020)] = 63745,
  [SMALL_STATE(1021)] = 63809,
  [SMALL_STATE(1022)] = 63873,
  [SMALL_STATE(1023)] = 63937,
  [SMALL_STATE(1024)] = 64001,
  [SMALL_STATE(1025)] = 64065,
  [SMALL_STATE(1026)] = 64129,
  [SMALL_STATE(1027)] = 64193,
  [SMALL_STATE(1028)] = 64257,
  [SMALL_STATE(1029)] = 64321,
  [SMALL_STATE(1030)] = 64367,
  [SMALL_STATE(1031)] = 64413,
  [SMALL_STATE(1032)] = 64477,
  [SMALL_STATE(1033)] = 64531,
  [SMALL_STATE(1034)] = 64596,
  [SMALL_STATE(1035)] = 64639,
  [SMALL_STATE(1036)] = 64682,
  [SMALL_STATE(1037)] = 64725,
  [SMALL_STATE(1038)] = 64768,
  [SMALL_STATE(1039)] = 64811,
  [SMALL_STATE(1040)] = 64854,
  [SMALL_STATE(1041)] = 64899,
  [SMALL_STATE(1042)] = 64942,
  [SMALL_STATE(1043)] = 64985,
  [SMALL_STATE(1044)] = 65028,
  [SMALL_STATE(1045)] = 65071,
  [SMALL_STATE(1046)] = 65114,
  [SMALL_STATE(1047)] = 65157,
  [SMALL_STATE(1048)] = 65200,
  [SMALL_STATE(1049)] = 65243,
  [SMALL_STATE(1050)] = 65286,
  [SMALL_STATE(1051)] = 65329,
  [SMALL_STATE(1052)] = 65372,
  [SMALL_STATE(1053)] = 65415,
  [SMALL_STATE(1054)] = 65482,
  [SMALL_STATE(1055)] = 65543,
  [SMALL_STATE(1056)] = 65606,
  [SMALL_STATE(1057)] = 65663,
  [SMALL_STATE(1058)] = 65716,
  [SMALL_STATE(1059)] = 65759,
  [SMALL_STATE(1060)] = 65826,
  [SMALL_STATE(1061)] = 65885,
  [SMALL_STATE(1062)] = 65938,
  [SMALL_STATE(1063)] = 65981,
  [SMALL_STATE(1064)] = 66024,
  [SMALL_STATE(1065)] = 66067,
  [SMALL_STATE(1066)] = 66110,
  [SMALL_STATE(1067)] = 66153,
  [SMALL_STATE(1068)] = 66196,
  [SMALL_STATE(1069)] = 66239,
  [SMALL_STATE(1070)] = 66282,
  [SMALL_STATE(1071)] = 66325,
  [SMALL_STATE(1072)] = 66378,
  [SMALL_STATE(1073)] = 66445,
  [SMALL_STATE(1074)] = 66506,
  [SMALL_STATE(1075)] = 66569,
  [SMALL_STATE(1076)] = 66634,
  [SMALL_STATE(1077)] = 66691,
  [SMALL_STATE(1078)] = 66744,
  [SMALL_STATE(1079)] = 66811,
  [SMALL_STATE(1080)] = 66870,
  [SMALL_STATE(1081)] = 66923,
  [SMALL_STATE(1082)] = 66976,
  [SMALL_STATE(1083)] = 67021,
  [SMALL_STATE(1084)] = 67066,
  [SMALL_STATE(1085)] = 67109,
  [SMALL_STATE(1086)] = 67152,
  [SMALL_STATE(1087)] = 67195,
  [SMALL_STATE(1088)] = 67238,
  [SMALL_STATE(1089)] = 67281,
  [SMALL_STATE(1090)] = 67324,
  [SMALL_STATE(1091)] = 67367,
  [SMALL_STATE(1092)] = 67410,
  [SMALL_STATE(1093)] = 67457,
  [SMALL_STATE(1094)] = 67500,
  [SMALL_STATE(1095)] = 67543,
  [SMALL_STATE(1096)] = 67586,
  [SMALL_STATE(1097)] = 67629,
  [SMALL_STATE(1098)] = 67672,
  [SMALL_STATE(1099)] = 67715,
  [SMALL_STATE(1100)] = 67758,
  [SMALL_STATE(1101)] = 67801,
  [SMALL_STATE(1102)] = 67844,
  [SMALL_STATE(1103)] = 67887,
  [SMALL_STATE(1104)] = 67930,
  [SMALL_STATE(1105)] = 67973,
  [SMALL_STATE(1106)] = 68016,
  [SMALL_STATE(1107)] = 68059,
  [SMALL_STATE(1108)] = 68102,
  [SMALL_STATE(1109)] = 68145,
  [SMALL_STATE(1110)] = 68188,
  [SMALL_STATE(1111)] = 68231,
  [SMALL_STATE(1112)] = 68274,
  [SMALL_STATE(1113)] = 68317,
  [SMALL_STATE(1114)] = 68360,
  [SMALL_STATE(1115)] = 68403,
  [SMALL_STATE(1116)] = 68446,
  [SMALL_STATE(1117)] = 68489,
  [SMALL_STATE(1118)] = 68534,
  [SMALL_STATE(1119)] = 68577,
  [SMALL_STATE(1120)] = 68620,
  [SMALL_STATE(1121)] = 68665,
  [SMALL_STATE(1122)] = 68710,
  [SMALL_STATE(1123)] = 68753,
  [SMALL_STATE(1124)] = 68796,
  [SMALL_STATE(1125)] = 68839,
  [SMALL_STATE(1126)] = 68882,
  [SMALL_STATE(1127)] = 68925,
  [SMALL_STATE(1128)] = 68968,
  [SMALL_STATE(1129)] = 69011,
  [SMALL_STATE(1130)] = 69054,
  [SMALL_STATE(1131)] = 69097,
  [SMALL_STATE(1132)] = 69140,
  [SMALL_STATE(1133)] = 69183,
  [SMALL_STATE(1134)] = 69226,
  [SMALL_STATE(1135)] = 69269,
  [SMALL_STATE(1136)] = 69312,
  [SMALL_STATE(1137)] = 69355,
  [SMALL_STATE(1138)] = 69398,
  [SMALL_STATE(1139)] = 69441,
  [SMALL_STATE(1140)] = 69484,
  [SMALL_STATE(1141)] = 69527,
  [SMALL_STATE(1142)] = 69574,
  [SMALL_STATE(1143)] = 69617,
  [SMALL_STATE(1144)] = 69660,
  [SMALL_STATE(1145)] = 69703,
  [SMALL_STATE(1146)] = 69746,
  [SMALL_STATE(1147)] = 69789,
  [SMALL_STATE(1148)] = 69832,
  [SMALL_STATE(1149)] = 69875,
  [SMALL_STATE(1150)] = 69918,
  [SMALL_STATE(1151)] = 69961,
  [SMALL_STATE(1152)] = 70004,
  [SMALL_STATE(1153)] = 70047,
  [SMALL_STATE(1154)] = 70090,
  [SMALL_STATE(1155)] = 70137,
  [SMALL_STATE(1156)] = 70182,
  [SMALL_STATE(1157)] = 70225,
  [SMALL_STATE(1158)] = 70268,
  [SMALL_STATE(1159)] = 70311,
  [SMALL_STATE(1160)] = 70354,
  [SMALL_STATE(1161)] = 70397,
  [SMALL_STATE(1162)] = 70440,
  [SMALL_STATE(1163)] = 70483,
  [SMALL_STATE(1164)] = 70526,
  [SMALL_STATE(1165)] = 70573,
  [SMALL_STATE(1166)] = 70616,
  [SMALL_STATE(1167)] = 70658,
  [SMALL_STATE(1168)] = 70702,
  [SMALL_STATE(1169)] = 70744,
  [SMALL_STATE(1170)] = 70786,
  [SMALL_STATE(1171)] = 70828,
  [SMALL_STATE(1172)] = 70872,
  [SMALL_STATE(1173)] = 70914,
  [SMALL_STATE(1174)] = 70956,
  [SMALL_STATE(1175)] = 70998,
  [SMALL_STATE(1176)] = 71040,
  [SMALL_STATE(1177)] = 71084,
  [SMALL_STATE(1178)] = 71126,
  [SMALL_STATE(1179)] = 71168,
  [SMALL_STATE(1180)] = 71210,
  [SMALL_STATE(1181)] = 71252,
  [SMALL_STATE(1182)] = 71294,
  [SMALL_STATE(1183)] = 71336,
  [SMALL_STATE(1184)] = 71380,
  [SMALL_STATE(1185)] = 71422,
  [SMALL_STATE(1186)] = 71464,
  [SMALL_STATE(1187)] = 71506,
  [SMALL_STATE(1188)] = 71548,
  [SMALL_STATE(1189)] = 71594,
  [SMALL_STATE(1190)] = 71640,
  [SMALL_STATE(1191)] = 71682,
  [SMALL_STATE(1192)] = 71724,
  [SMALL_STATE(1193)] = 71766,
  [SMALL_STATE(1194)] = 71808,
  [SMALL_STATE(1195)] = 71850,
  [SMALL_STATE(1196)] = 71892,
  [SMALL_STATE(1197)] = 71934,
  [SMALL_STATE(1198)] = 71976,
  [SMALL_STATE(1199)] = 72018,
  [SMALL_STATE(1200)] = 72060,
  [SMALL_STATE(1201)] = 72104,
  [SMALL_STATE(1202)] = 72146,
  [SMALL_STATE(1203)] = 72188,
  [SMALL_STATE(1204)] = 72230,
  [SMALL_STATE(1205)] = 72272,
  [SMALL_STATE(1206)] = 72314,
  [SMALL_STATE(1207)] = 72358,
  [SMALL_STATE(1208)] = 72400,
  [SMALL_STATE(1209)] = 72442,
  [SMALL_STATE(1210)] = 72484,
  [SMALL_STATE(1211)] = 72526,
  [SMALL_STATE(1212)] = 72568,
  [SMALL_STATE(1213)] = 72610,
  [SMALL_STATE(1214)] = 72652,
  [SMALL_STATE(1215)] = 72694,
  [SMALL_STATE(1216)] = 72736,
  [SMALL_STATE(1217)] = 72778,
  [SMALL_STATE(1218)] = 72820,
  [SMALL_STATE(1219)] = 72862,
  [SMALL_STATE(1220)] = 72904,
  [SMALL_STATE(1221)] = 72946,
  [SMALL_STATE(1222)] = 72988,
  [SMALL_STATE(1223)] = 73030,
  [SMALL_STATE(1224)] = 73072,
  [SMALL_STATE(1225)] = 73114,
  [SMALL_STATE(1226)] = 73156,
  [SMALL_STATE(1227)] = 73198,
  [SMALL_STATE(1228)] = 73242,
  [SMALL_STATE(1229)] = 73284,
  [SMALL_STATE(1230)] = 73326,
  [SMALL_STATE(1231)] = 73368,
  [SMALL_STATE(1232)] = 73412,
  [SMALL_STATE(1233)] = 73454,
  [SMALL_STATE(1234)] = 73496,
  [SMALL_STATE(1235)] = 73538,
  [SMALL_STATE(1236)] = 73580,
  [SMALL_STATE(1237)] = 73622,
  [SMALL_STATE(1238)] = 73666,
  [SMALL_STATE(1239)] = 73710,
  [SMALL_STATE(1240)] = 73752,
  [SMALL_STATE(1241)] = 73794,
  [SMALL_STATE(1242)] = 73836,
  [SMALL_STATE(1243)] = 73878,
  [SMALL_STATE(1244)] = 73922,
  [SMALL_STATE(1245)] = 73964,
  [SMALL_STATE(1246)] = 74006,
  [SMALL_STATE(1247)] = 74048,
  [SMALL_STATE(1248)] = 74090,
  [SMALL_STATE(1249)] = 74132,
  [SMALL_STATE(1250)] = 74174,
  [SMALL_STATE(1251)] = 74216,
  [SMALL_STATE(1252)] = 74258,
  [SMALL_STATE(1253)] = 74300,
  [SMALL_STATE(1254)] = 74342,
  [SMALL_STATE(1255)] = 74384,
  [SMALL_STATE(1256)] = 74426,
  [SMALL_STATE(1257)] = 74470,
  [SMALL_STATE(1258)] = 74512,
  [SMALL_STATE(1259)] = 74554,
  [SMALL_STATE(1260)] = 74596,
  [SMALL_STATE(1261)] = 74640,
  [SMALL_STATE(1262)] = 74684,
  [SMALL_STATE(1263)] = 74726,
  [SMALL_STATE(1264)] = 74768,
  [SMALL_STATE(1265)] = 74810,
  [SMALL_STATE(1266)] = 74852,
  [SMALL_STATE(1267)] = 74894,
  [SMALL_STATE(1268)] = 74936,
  [SMALL_STATE(1269)] = 74977,
  [SMALL_STATE(1270)] = 75018,
  [SMALL_STATE(1271)] = 75063,
  [SMALL_STATE(1272)] = 75104,
  [SMALL_STATE(1273)] = 75145,
  [SMALL_STATE(1274)] = 75188,
  [SMALL_STATE(1275)] = 75229,
  [SMALL_STATE(1276)] = 75272,
  [SMALL_STATE(1277)] = 75315,
  [SMALL_STATE(1278)] = 75356,
  [SMALL_STATE(1279)] = 75397,
  [SMALL_STATE(1280)] = 75438,
  [SMALL_STATE(1281)] = 75479,
  [SMALL_STATE(1282)] = 75520,
  [SMALL_STATE(1283)] = 75561,
  [SMALL_STATE(1284)] = 75602,
  [SMALL_STATE(1285)] = 75643,
  [SMALL_STATE(1286)] = 75686,
  [SMALL_STATE(1287)] = 75727,
  [SMALL_STATE(1288)] = 75768,
  [SMALL_STATE(1289)] = 75809,
  [SMALL_STATE(1290)] = 75850,
  [SMALL_STATE(1291)] = 75891,
  [SMALL_STATE(1292)] = 75934,
  [SMALL_STATE(1293)] = 75975,
  [SMALL_STATE(1294)] = 76016,
  [SMALL_STATE(1295)] = 76057,
  [SMALL_STATE(1296)] = 76098,
  [SMALL_STATE(1297)] = 76139,
  [SMALL_STATE(1298)] = 76180,
  [SMALL_STATE(1299)] = 76221,
  [SMALL_STATE(1300)] = 76262,
  [SMALL_STATE(1301)] = 76303,
  [SMALL_STATE(1302)] = 76344,
  [SMALL_STATE(1303)] = 76385,
  [SMALL_STATE(1304)] = 76430,
  [SMALL_STATE(1305)] = 76471,
  [SMALL_STATE(1306)] = 76512,
  [SMALL_STATE(1307)] = 76553,
  [SMALL_STATE(1308)] = 76594,
  [SMALL_STATE(1309)] = 76635,
  [SMALL_STATE(1310)] = 76676,
  [SMALL_STATE(1311)] = 76717,
  [SMALL_STATE(1312)] = 76758,
  [SMALL_STATE(1313)] = 76799,
  [SMALL_STATE(1314)] = 76840,
  [SMALL_STATE(1315)] = 76883,
  [SMALL_STATE(1316)] = 76924,
  [SMALL_STATE(1317)] = 76965,
  [SMALL_STATE(1318)] = 77006,
  [SMALL_STATE(1319)] = 77047,
  [SMALL_STATE(1320)] = 77088,
  [SMALL_STATE(1321)] = 77129,
  [SMALL_STATE(1322)] = 77170,
  [SMALL_STATE(1323)] = 77211,
  [SMALL_STATE(1324)] = 77252,
  [SMALL_STATE(1325)] = 77293,
  [SMALL_STATE(1326)] = 77334,
  [SMALL_STATE(1327)] = 77375,
  [SMALL_STATE(1328)] = 77416,
  [SMALL_STATE(1329)] = 77457,
  [SMALL_STATE(1330)] = 77498,
  [SMALL_STATE(1331)] = 77539,
  [SMALL_STATE(1332)] = 77580,
  [SMALL_STATE(1333)] = 77621,
  [SMALL_STATE(1334)] = 77662,
  [SMALL_STATE(1335)] = 77703,
  [SMALL_STATE(1336)] = 77744,
  [SMALL_STATE(1337)] = 77785,
  [SMALL_STATE(1338)] = 77826,
  [SMALL_STATE(1339)] = 77867,
  [SMALL_STATE(1340)] = 77908,
  [SMALL_STATE(1341)] = 77950,
  [SMALL_STATE(1342)] = 77992,
  [SMALL_STATE(1343)] = 78034,
  [SMALL_STATE(1344)] = 78076,
  [SMALL_STATE(1345)] = 78114,
  [SMALL_STATE(1346)] = 78152,
  [SMALL_STATE(1347)] = 78190,
  [SMALL_STATE(1348)] = 78228,
  [SMALL_STATE(1349)] = 78266,
  [SMALL_STATE(1350)] = 78304,
  [SMALL_STATE(1351)] = 78341,
  [SMALL_STATE(1352)] = 78378,
  [SMALL_STATE(1353)] = 78415,
  [SMALL_STATE(1354)] = 78444,
  [SMALL_STATE(1355)] = 78481,
  [SMALL_STATE(1356)] = 78510,
  [SMALL_STATE(1357)] = 78547,
  [SMALL_STATE(1358)] = 78596,
  [SMALL_STATE(1359)] = 78625,
  [SMALL_STATE(1360)] = 78662,
  [SMALL_STATE(1361)] = 78691,
  [SMALL_STATE(1362)] = 78725,
  [SMALL_STATE(1363)] = 78753,
  [SMALL_STATE(1364)] = 78789,
  [SMALL_STATE(1365)] = 78817,
  [SMALL_STATE(1366)] = 78851,
  [SMALL_STATE(1367)] = 78879,
  [SMALL_STATE(1368)] = 78907,
  [SMALL_STATE(1369)] = 78953,
  [SMALL_STATE(1370)] = 78981,
  [SMALL_STATE(1371)] = 79009,
  [SMALL_STATE(1372)] = 79037,
  [SMALL_STATE(1373)] = 79065,
  [SMALL_STATE(1374)] = 79111,
  [SMALL_STATE(1375)] = 79139,
  [SMALL_STATE(1376)] = 79167,
  [SMALL_STATE(1377)] = 79195,
  [SMALL_STATE(1378)] = 79231,
  [SMALL_STATE(1379)] = 79259,
  [SMALL_STATE(1380)] = 79287,
  [SMALL_STATE(1381)] = 79333,
  [SMALL_STATE(1382)] = 79361,
  [SMALL_STATE(1383)] = 79389,
  [SMALL_STATE(1384)] = 79417,
  [SMALL_STATE(1385)] = 79460,
  [SMALL_STATE(1386)] = 79503,
  [SMALL_STATE(1387)] = 79526,
  [SMALL_STATE(1388)] = 79557,
  [SMALL_STATE(1389)] = 79600,
  [SMALL_STATE(1390)] = 79643,
  [SMALL_STATE(1391)] = 79666,
  [SMALL_STATE(1392)] = 79709,
  [SMALL_STATE(1393)] = 79752,
  [SMALL_STATE(1394)] = 79795,
  [SMALL_STATE(1395)] = 79838,
  [SMALL_STATE(1396)] = 79881,
  [SMALL_STATE(1397)] = 79924,
  [SMALL_STATE(1398)] = 79947,
  [SMALL_STATE(1399)] = 79970,
  [SMALL_STATE(1400)] = 80013,
  [SMALL_STATE(1401)] = 80053,
  [SMALL_STATE(1402)] = 80090,
  [SMALL_STATE(1403)] = 80127,
  [SMALL_STATE(1404)] = 80152,
  [SMALL_STATE(1405)] = 80189,
  [SMALL_STATE(1406)] = 80226,
  [SMALL_STATE(1407)] = 80260,
  [SMALL_STATE(1408)] = 80294,
  [SMALL_STATE(1409)] = 80334,
  [SMALL_STATE(1410)] = 80374,
  [SMALL_STATE(1411)] = 80414,
  [SMALL_STATE(1412)] = 80454,
  [SMALL_STATE(1413)] = 80494,
  [SMALL_STATE(1414)] = 80534,
  [SMALL_STATE(1415)] = 80574,
  [SMALL_STATE(1416)] = 80614,
  [SMALL_STATE(1417)] = 80651,
  [SMALL_STATE(1418)] = 80688,
  [SMALL_STATE(1419)] = 80725,
  [SMALL_STATE(1420)] = 80762,
  [SMALL_STATE(1421)] = 80799,
  [SMALL_STATE(1422)] = 80836,
  [SMALL_STATE(1423)] = 80873,
  [SMALL_STATE(1424)] = 80910,
  [SMALL_STATE(1425)] = 80947,
  [SMALL_STATE(1426)] = 80984,
  [SMALL_STATE(1427)] = 81021,
  [SMALL_STATE(1428)] = 81058,
  [SMALL_STATE(1429)] = 81095,
  [SMALL_STATE(1430)] = 81132,
  [SMALL_STATE(1431)] = 81169,
  [SMALL_STATE(1432)] = 81206,
  [SMALL_STATE(1433)] = 81243,
  [SMALL_STATE(1434)] = 81280,
  [SMALL_STATE(1435)] = 81317,
  [SMALL_STATE(1436)] = 81354,
  [SMALL_STATE(1437)] = 81391,
  [SMALL_STATE(1438)] = 81428,
  [SMALL_STATE(1439)] = 81465,
  [SMALL_STATE(1440)] = 81502,
  [SMALL_STATE(1441)] = 81539,
  [SMALL_STATE(1442)] = 81563,
  [SMALL_STATE(1443)] = 81587,
  [SMALL_STATE(1444)] = 81611,
  [SMALL_STATE(1445)] = 81635,
  [SMALL_STATE(1446)] = 81659,
  [SMALL_STATE(1447)] = 81683,
  [SMALL_STATE(1448)] = 81707,
  [SMALL_STATE(1449)] = 81731,
  [SMALL_STATE(1450)] = 81759,
  [SMALL_STATE(1451)] = 81783,
  [SMALL_STATE(1452)] = 81807,
  [SMALL_STATE(1453)] = 81831,
  [SMALL_STATE(1454)] = 81855,
  [SMALL_STATE(1455)] = 81879,
  [SMALL_STATE(1456)] = 81903,
  [SMALL_STATE(1457)] = 81927,
  [SMALL_STATE(1458)] = 81951,
  [SMALL_STATE(1459)] = 81975,
  [SMALL_STATE(1460)] = 81999,
  [SMALL_STATE(1461)] = 82023,
  [SMALL_STATE(1462)] = 82051,
  [SMALL_STATE(1463)] = 82074,
  [SMALL_STATE(1464)] = 82091,
  [SMALL_STATE(1465)] = 82108,
  [SMALL_STATE(1466)] = 82127,
  [SMALL_STATE(1467)] = 82144,
  [SMALL_STATE(1468)] = 82167,
  [SMALL_STATE(1469)] = 82190,
  [SMALL_STATE(1470)] = 82211,
  [SMALL_STATE(1471)] = 82234,
  [SMALL_STATE(1472)] = 82249,
  [SMALL_STATE(1473)] = 82264,
  [SMALL_STATE(1474)] = 82287,
  [SMALL_STATE(1475)] = 82302,
  [SMALL_STATE(1476)] = 82321,
  [SMALL_STATE(1477)] = 82342,
  [SMALL_STATE(1478)] = 82357,
  [SMALL_STATE(1479)] = 82372,
  [SMALL_STATE(1480)] = 82401,
  [SMALL_STATE(1481)] = 82416,
  [SMALL_STATE(1482)] = 82437,
  [SMALL_STATE(1483)] = 82458,
  [SMALL_STATE(1484)] = 82481,
  [SMALL_STATE(1485)] = 82498,
  [SMALL_STATE(1486)] = 82521,
  [SMALL_STATE(1487)] = 82544,
  [SMALL_STATE(1488)] = 82563,
  [SMALL_STATE(1489)] = 82578,
  [SMALL_STATE(1490)] = 82601,
  [SMALL_STATE(1491)] = 82616,
  [SMALL_STATE(1492)] = 82633,
  [SMALL_STATE(1493)] = 82656,
  [SMALL_STATE(1494)] = 82673,
  [SMALL_STATE(1495)] = 82696,
  [SMALL_STATE(1496)] = 82720,
  [SMALL_STATE(1497)] = 82744,
  [SMALL_STATE(1498)] = 82770,
  [SMALL_STATE(1499)] = 82792,
  [SMALL_STATE(1500)] = 82814,
  [SMALL_STATE(1501)] = 82828,
  [SMALL_STATE(1502)] = 82848,
  [SMALL_STATE(1503)] = 82868,
  [SMALL_STATE(1504)] = 82890,
  [SMALL_STATE(1505)] = 82906,
  [SMALL_STATE(1506)] = 82926,
  [SMALL_STATE(1507)] = 82952,
  [SMALL_STATE(1508)] = 82968,
  [SMALL_STATE(1509)] = 82982,
  [SMALL_STATE(1510)] = 83008,
  [SMALL_STATE(1511)] = 83026,
  [SMALL_STATE(1512)] = 83054,
  [SMALL_STATE(1513)] = 83074,
  [SMALL_STATE(1514)] = 83096,
  [SMALL_STATE(1515)] = 83116,
  [SMALL_STATE(1516)] = 83144,
  [SMALL_STATE(1517)] = 83160,
  [SMALL_STATE(1518)] = 83180,
  [SMALL_STATE(1519)] = 83198,
  [SMALL_STATE(1520)] = 83226,
  [SMALL_STATE(1521)] = 83246,
  [SMALL_STATE(1522)] = 83266,
  [SMALL_STATE(1523)] = 83282,
  [SMALL_STATE(1524)] = 83304,
  [SMALL_STATE(1525)] = 83332,
  [SMALL_STATE(1526)] = 83346,
  [SMALL_STATE(1527)] = 83370,
  [SMALL_STATE(1528)] = 83392,
  [SMALL_STATE(1529)] = 83414,
  [SMALL_STATE(1530)] = 83440,
  [SMALL_STATE(1531)] = 83466,
  [SMALL_STATE(1532)] = 83486,
  [SMALL_STATE(1533)] = 83508,
  [SMALL_STATE(1534)] = 83532,
  [SMALL_STATE(1535)] = 83548,
  [SMALL_STATE(1536)] = 83570,
  [SMALL_STATE(1537)] = 83598,
  [SMALL_STATE(1538)] = 83614,
  [SMALL_STATE(1539)] = 83642,
  [SMALL_STATE(1540)] = 83660,
  [SMALL_STATE(1541)] = 83674,
  [SMALL_STATE(1542)] = 83690,
  [SMALL_STATE(1543)] = 83706,
  [SMALL_STATE(1544)] = 83730,
  [SMALL_STATE(1545)] = 83756,
  [SMALL_STATE(1546)] = 83784,
  [SMALL_STATE(1547)] = 83804,
  [SMALL_STATE(1548)] = 83824,
  [SMALL_STATE(1549)] = 83850,
  [SMALL_STATE(1550)] = 83866,
  [SMALL_STATE(1551)] = 83888,
  [SMALL_STATE(1552)] = 83916,
  [SMALL_STATE(1553)] = 83936,
  [SMALL_STATE(1554)] = 83958,
  [SMALL_STATE(1555)] = 83984,
  [SMALL_STATE(1556)] = 84012,
  [SMALL_STATE(1557)] = 84036,
  [SMALL_STATE(1558)] = 84056,
  [SMALL_STATE(1559)] = 84076,
  [SMALL_STATE(1560)] = 84104,
  [SMALL_STATE(1561)] = 84127,
  [SMALL_STATE(1562)] = 84148,
  [SMALL_STATE(1563)] = 84169,
  [SMALL_STATE(1564)] = 84190,
  [SMALL_STATE(1565)] = 84215,
  [SMALL_STATE(1566)] = 84230,
  [SMALL_STATE(1567)] = 84255,
  [SMALL_STATE(1568)] = 84274,
  [SMALL_STATE(1569)] = 84291,
  [SMALL_STATE(1570)] = 84304,
  [SMALL_STATE(1571)] = 84319,
  [SMALL_STATE(1572)] = 84344,
  [SMALL_STATE(1573)] = 84367,
  [SMALL_STATE(1574)] = 84388,
  [SMALL_STATE(1575)] = 84413,
  [SMALL_STATE(1576)] = 84434,
  [SMALL_STATE(1577)] = 84453,
  [SMALL_STATE(1578)] = 84474,
  [SMALL_STATE(1579)] = 84487,
  [SMALL_STATE(1580)] = 84502,
  [SMALL_STATE(1581)] = 84523,
  [SMALL_STATE(1582)] = 84548,
  [SMALL_STATE(1583)] = 84573,
  [SMALL_STATE(1584)] = 84586,
  [SMALL_STATE(1585)] = 84611,
  [SMALL_STATE(1586)] = 84624,
  [SMALL_STATE(1587)] = 84645,
  [SMALL_STATE(1588)] = 84658,
  [SMALL_STATE(1589)] = 84679,
  [SMALL_STATE(1590)] = 84700,
  [SMALL_STATE(1591)] = 84725,
  [SMALL_STATE(1592)] = 84740,
  [SMALL_STATE(1593)] = 84759,
  [SMALL_STATE(1594)] = 84772,
  [SMALL_STATE(1595)] = 84797,
  [SMALL_STATE(1596)] = 84818,
  [SMALL_STATE(1597)] = 84839,
  [SMALL_STATE(1598)] = 84860,
  [SMALL_STATE(1599)] = 84885,
  [SMALL_STATE(1600)] = 84910,
  [SMALL_STATE(1601)] = 84935,
  [SMALL_STATE(1602)] = 84948,
  [SMALL_STATE(1603)] = 84973,
  [SMALL_STATE(1604)] = 84994,
  [SMALL_STATE(1605)] = 85019,
  [SMALL_STATE(1606)] = 85040,
  [SMALL_STATE(1607)] = 85063,
  [SMALL_STATE(1608)] = 85084,
  [SMALL_STATE(1609)] = 85099,
  [SMALL_STATE(1610)] = 85124,
  [SMALL_STATE(1611)] = 85145,
  [SMALL_STATE(1612)] = 85160,
  [SMALL_STATE(1613)] = 85185,
  [SMALL_STATE(1614)] = 85210,
  [SMALL_STATE(1615)] = 85229,
  [SMALL_STATE(1616)] = 85246,
  [SMALL_STATE(1617)] = 85267,
  [SMALL_STATE(1618)] = 85288,
  [SMALL_STATE(1619)] = 85307,
  [SMALL_STATE(1620)] = 85320,
  [SMALL_STATE(1621)] = 85343,
  [SMALL_STATE(1622)] = 85364,
  [SMALL_STATE(1623)] = 85389,
  [SMALL_STATE(1624)] = 85409,
  [SMALL_STATE(1625)] = 85429,
  [SMALL_STATE(1626)] = 85449,
  [SMALL_STATE(1627)] = 85469,
  [SMALL_STATE(1628)] = 85489,
  [SMALL_STATE(1629)] = 85505,
  [SMALL_STATE(1630)] = 85521,
  [SMALL_STATE(1631)] = 85543,
  [SMALL_STATE(1632)] = 85559,
  [SMALL_STATE(1633)] = 85579,
  [SMALL_STATE(1634)] = 85599,
  [SMALL_STATE(1635)] = 85615,
  [SMALL_STATE(1636)] = 85631,
  [SMALL_STATE(1637)] = 85651,
  [SMALL_STATE(1638)] = 85671,
  [SMALL_STATE(1639)] = 85687,
  [SMALL_STATE(1640)] = 85703,
  [SMALL_STATE(1641)] = 85723,
  [SMALL_STATE(1642)] = 85739,
  [SMALL_STATE(1643)] = 85755,
  [SMALL_STATE(1644)] = 85775,
  [SMALL_STATE(1645)] = 85795,
  [SMALL_STATE(1646)] = 85811,
  [SMALL_STATE(1647)] = 85831,
  [SMALL_STATE(1648)] = 85851,
  [SMALL_STATE(1649)] = 85871,
  [SMALL_STATE(1650)] = 85887,
  [SMALL_STATE(1651)] = 85907,
  [SMALL_STATE(1652)] = 85927,
  [SMALL_STATE(1653)] = 85943,
  [SMALL_STATE(1654)] = 85963,
  [SMALL_STATE(1655)] = 85983,
  [SMALL_STATE(1656)] = 85999,
  [SMALL_STATE(1657)] = 86015,
  [SMALL_STATE(1658)] = 86035,
  [SMALL_STATE(1659)] = 86057,
  [SMALL_STATE(1660)] = 86073,
  [SMALL_STATE(1661)] = 86089,
  [SMALL_STATE(1662)] = 86109,
  [SMALL_STATE(1663)] = 86129,
  [SMALL_STATE(1664)] = 86149,
  [SMALL_STATE(1665)] = 86165,
  [SMALL_STATE(1666)] = 86181,
  [SMALL_STATE(1667)] = 86201,
  [SMALL_STATE(1668)] = 86223,
  [SMALL_STATE(1669)] = 86243,
  [SMALL_STATE(1670)] = 86263,
  [SMALL_STATE(1671)] = 86283,
  [SMALL_STATE(1672)] = 86301,
  [SMALL_STATE(1673)] = 86317,
  [SMALL_STATE(1674)] = 86333,
  [SMALL_STATE(1675)] = 86353,
  [SMALL_STATE(1676)] = 86369,
  [SMALL_STATE(1677)] = 86389,
  [SMALL_STATE(1678)] = 86409,
  [SMALL_STATE(1679)] = 86425,
  [SMALL_STATE(1680)] = 86444,
  [SMALL_STATE(1681)] = 86463,
  [SMALL_STATE(1682)] = 86482,
  [SMALL_STATE(1683)] = 86501,
  [SMALL_STATE(1684)] = 86520,
  [SMALL_STATE(1685)] = 86531,
  [SMALL_STATE(1686)] = 86550,
  [SMALL_STATE(1687)] = 86569,
  [SMALL_STATE(1688)] = 86588,
  [SMALL_STATE(1689)] = 86607,
  [SMALL_STATE(1690)] = 86624,
  [SMALL_STATE(1691)] = 86635,
  [SMALL_STATE(1692)] = 86654,
  [SMALL_STATE(1693)] = 86669,
  [SMALL_STATE(1694)] = 86688,
  [SMALL_STATE(1695)] = 86707,
  [SMALL_STATE(1696)] = 86726,
  [SMALL_STATE(1697)] = 86745,
  [SMALL_STATE(1698)] = 86756,
  [SMALL_STATE(1699)] = 86767,
  [SMALL_STATE(1700)] = 86782,
  [SMALL_STATE(1701)] = 86801,
  [SMALL_STATE(1702)] = 86818,
  [SMALL_STATE(1703)] = 86835,
  [SMALL_STATE(1704)] = 86850,
  [SMALL_STATE(1705)] = 86867,
  [SMALL_STATE(1706)] = 86886,
  [SMALL_STATE(1707)] = 86897,
  [SMALL_STATE(1708)] = 86916,
  [SMALL_STATE(1709)] = 86927,
  [SMALL_STATE(1710)] = 86946,
  [SMALL_STATE(1711)] = 86965,
  [SMALL_STATE(1712)] = 86984,
  [SMALL_STATE(1713)] = 87001,
  [SMALL_STATE(1714)] = 87018,
  [SMALL_STATE(1715)] = 87029,
  [SMALL_STATE(1716)] = 87048,
  [SMALL_STATE(1717)] = 87059,
  [SMALL_STATE(1718)] = 87078,
  [SMALL_STATE(1719)] = 87093,
  [SMALL_STATE(1720)] = 87112,
  [SMALL_STATE(1721)] = 87123,
  [SMALL_STATE(1722)] = 87134,
  [SMALL_STATE(1723)] = 87145,
  [SMALL_STATE(1724)] = 87160,
  [SMALL_STATE(1725)] = 87179,
  [SMALL_STATE(1726)] = 87198,
  [SMALL_STATE(1727)] = 87217,
  [SMALL_STATE(1728)] = 87234,
  [SMALL_STATE(1729)] = 87253,
  [SMALL_STATE(1730)] = 87272,
  [SMALL_STATE(1731)] = 87287,
  [SMALL_STATE(1732)] = 87306,
  [SMALL_STATE(1733)] = 87320,
  [SMALL_STATE(1734)] = 87334,
  [SMALL_STATE(1735)] = 87348,
  [SMALL_STATE(1736)] = 87362,
  [SMALL_STATE(1737)] = 87376,
  [SMALL_STATE(1738)] = 87392,
  [SMALL_STATE(1739)] = 87406,
  [SMALL_STATE(1740)] = 87420,
  [SMALL_STATE(1741)] = 87436,
  [SMALL_STATE(1742)] = 87450,
  [SMALL_STATE(1743)] = 87460,
  [SMALL_STATE(1744)] = 87474,
  [SMALL_STATE(1745)] = 87488,
  [SMALL_STATE(1746)] = 87504,
  [SMALL_STATE(1747)] = 87520,
  [SMALL_STATE(1748)] = 87536,
  [SMALL_STATE(1749)] = 87548,
  [SMALL_STATE(1750)] = 87562,
  [SMALL_STATE(1751)] = 87576,
  [SMALL_STATE(1752)] = 87592,
  [SMALL_STATE(1753)] = 87608,
  [SMALL_STATE(1754)] = 87622,
  [SMALL_STATE(1755)] = 87636,
  [SMALL_STATE(1756)] = 87652,
  [SMALL_STATE(1757)] = 87666,
  [SMALL_STATE(1758)] = 87680,
  [SMALL_STATE(1759)] = 87690,
  [SMALL_STATE(1760)] = 87704,
  [SMALL_STATE(1761)] = 87718,
  [SMALL_STATE(1762)] = 87732,
  [SMALL_STATE(1763)] = 87746,
  [SMALL_STATE(1764)] = 87759,
  [SMALL_STATE(1765)] = 87772,
  [SMALL_STATE(1766)] = 87785,
  [SMALL_STATE(1767)] = 87798,
  [SMALL_STATE(1768)] = 87811,
  [SMALL_STATE(1769)] = 87822,
  [SMALL_STATE(1770)] = 87835,
  [SMALL_STATE(1771)] = 87848,
  [SMALL_STATE(1772)] = 87861,
  [SMALL_STATE(1773)] = 87874,
  [SMALL_STATE(1774)] = 87887,
  [SMALL_STATE(1775)] = 87900,
  [SMALL_STATE(1776)] = 87913,
  [SMALL_STATE(1777)] = 87924,
  [SMALL_STATE(1778)] = 87937,
  [SMALL_STATE(1779)] = 87950,
  [SMALL_STATE(1780)] = 87963,
  [SMALL_STATE(1781)] = 87976,
  [SMALL_STATE(1782)] = 87989,
  [SMALL_STATE(1783)] = 88002,
  [SMALL_STATE(1784)] = 88015,
  [SMALL_STATE(1785)] = 88028,
  [SMALL_STATE(1786)] = 88041,
  [SMALL_STATE(1787)] = 88054,
  [SMALL_STATE(1788)] = 88067,
  [SMALL_STATE(1789)] = 88080,
  [SMALL_STATE(1790)] = 88093,
  [SMALL_STATE(1791)] = 88106,
  [SMALL_STATE(1792)] = 88119,
  [SMALL_STATE(1793)] = 88132,
  [SMALL_STATE(1794)] = 88145,
  [SMALL_STATE(1795)] = 88158,
  [SMALL_STATE(1796)] = 88171,
  [SMALL_STATE(1797)] = 88184,
  [SMALL_STATE(1798)] = 88197,
  [SMALL_STATE(1799)] = 88206,
  [SMALL_STATE(1800)] = 88219,
  [SMALL_STATE(1801)] = 88232,
  [SMALL_STATE(1802)] = 88245,
  [SMALL_STATE(1803)] = 88258,
  [SMALL_STATE(1804)] = 88267,
  [SMALL_STATE(1805)] = 88280,
  [SMALL_STATE(1806)] = 88293,
  [SMALL_STATE(1807)] = 88306,
  [SMALL_STATE(1808)] = 88319,
  [SMALL_STATE(1809)] = 88332,
  [SMALL_STATE(1810)] = 88345,
  [SMALL_STATE(1811)] = 88356,
  [SMALL_STATE(1812)] = 88369,
  [SMALL_STATE(1813)] = 88382,
  [SMALL_STATE(1814)] = 88395,
  [SMALL_STATE(1815)] = 88408,
  [SMALL_STATE(1816)] = 88421,
  [SMALL_STATE(1817)] = 88434,
  [SMALL_STATE(1818)] = 88447,
  [SMALL_STATE(1819)] = 88460,
  [SMALL_STATE(1820)] = 88473,
  [SMALL_STATE(1821)] = 88486,
  [SMALL_STATE(1822)] = 88499,
  [SMALL_STATE(1823)] = 88512,
  [SMALL_STATE(1824)] = 88525,
  [SMALL_STATE(1825)] = 88534,
  [SMALL_STATE(1826)] = 88547,
  [SMALL_STATE(1827)] = 88558,
  [SMALL_STATE(1828)] = 88571,
  [SMALL_STATE(1829)] = 88580,
  [SMALL_STATE(1830)] = 88593,
  [SMALL_STATE(1831)] = 88602,
  [SMALL_STATE(1832)] = 88615,
  [SMALL_STATE(1833)] = 88626,
  [SMALL_STATE(1834)] = 88639,
  [SMALL_STATE(1835)] = 88652,
  [SMALL_STATE(1836)] = 88665,
  [SMALL_STATE(1837)] = 88678,
  [SMALL_STATE(1838)] = 88691,
  [SMALL_STATE(1839)] = 88704,
  [SMALL_STATE(1840)] = 88717,
  [SMALL_STATE(1841)] = 88730,
  [SMALL_STATE(1842)] = 88743,
  [SMALL_STATE(1843)] = 88756,
  [SMALL_STATE(1844)] = 88769,
  [SMALL_STATE(1845)] = 88782,
  [SMALL_STATE(1846)] = 88795,
  [SMALL_STATE(1847)] = 88808,
  [SMALL_STATE(1848)] = 88821,
  [SMALL_STATE(1849)] = 88834,
  [SMALL_STATE(1850)] = 88847,
  [SMALL_STATE(1851)] = 88860,
  [SMALL_STATE(1852)] = 88873,
  [SMALL_STATE(1853)] = 88886,
  [SMALL_STATE(1854)] = 88899,
  [SMALL_STATE(1855)] = 88912,
  [SMALL_STATE(1856)] = 88925,
  [SMALL_STATE(1857)] = 88938,
  [SMALL_STATE(1858)] = 88951,
  [SMALL_STATE(1859)] = 88964,
  [SMALL_STATE(1860)] = 88977,
  [SMALL_STATE(1861)] = 88990,
  [SMALL_STATE(1862)] = 89003,
  [SMALL_STATE(1863)] = 89016,
  [SMALL_STATE(1864)] = 89027,
  [SMALL_STATE(1865)] = 89040,
  [SMALL_STATE(1866)] = 89053,
  [SMALL_STATE(1867)] = 89064,
  [SMALL_STATE(1868)] = 89077,
  [SMALL_STATE(1869)] = 89090,
  [SMALL_STATE(1870)] = 89103,
  [SMALL_STATE(1871)] = 89116,
  [SMALL_STATE(1872)] = 89129,
  [SMALL_STATE(1873)] = 89142,
  [SMALL_STATE(1874)] = 89155,
  [SMALL_STATE(1875)] = 89168,
  [SMALL_STATE(1876)] = 89181,
  [SMALL_STATE(1877)] = 89194,
  [SMALL_STATE(1878)] = 89205,
  [SMALL_STATE(1879)] = 89218,
  [SMALL_STATE(1880)] = 89231,
  [SMALL_STATE(1881)] = 89244,
  [SMALL_STATE(1882)] = 89257,
  [SMALL_STATE(1883)] = 89270,
  [SMALL_STATE(1884)] = 89283,
  [SMALL_STATE(1885)] = 89296,
  [SMALL_STATE(1886)] = 89309,
  [SMALL_STATE(1887)] = 89320,
  [SMALL_STATE(1888)] = 89333,
  [SMALL_STATE(1889)] = 89344,
  [SMALL_STATE(1890)] = 89357,
  [SMALL_STATE(1891)] = 89370,
  [SMALL_STATE(1892)] = 89383,
  [SMALL_STATE(1893)] = 89396,
  [SMALL_STATE(1894)] = 89409,
  [SMALL_STATE(1895)] = 89422,
  [SMALL_STATE(1896)] = 89435,
  [SMALL_STATE(1897)] = 89448,
  [SMALL_STATE(1898)] = 89461,
  [SMALL_STATE(1899)] = 89474,
  [SMALL_STATE(1900)] = 89487,
  [SMALL_STATE(1901)] = 89500,
  [SMALL_STATE(1902)] = 89513,
  [SMALL_STATE(1903)] = 89526,
  [SMALL_STATE(1904)] = 89539,
  [SMALL_STATE(1905)] = 89552,
  [SMALL_STATE(1906)] = 89565,
  [SMALL_STATE(1907)] = 89578,
  [SMALL_STATE(1908)] = 89591,
  [SMALL_STATE(1909)] = 89604,
  [SMALL_STATE(1910)] = 89617,
  [SMALL_STATE(1911)] = 89630,
  [SMALL_STATE(1912)] = 89643,
  [SMALL_STATE(1913)] = 89656,
  [SMALL_STATE(1914)] = 89667,
  [SMALL_STATE(1915)] = 89680,
  [SMALL_STATE(1916)] = 89693,
  [SMALL_STATE(1917)] = 89706,
  [SMALL_STATE(1918)] = 89719,
  [SMALL_STATE(1919)] = 89732,
  [SMALL_STATE(1920)] = 89745,
  [SMALL_STATE(1921)] = 89758,
  [SMALL_STATE(1922)] = 89771,
  [SMALL_STATE(1923)] = 89784,
  [SMALL_STATE(1924)] = 89793,
  [SMALL_STATE(1925)] = 89806,
  [SMALL_STATE(1926)] = 89819,
  [SMALL_STATE(1927)] = 89832,
  [SMALL_STATE(1928)] = 89845,
  [SMALL_STATE(1929)] = 89858,
  [SMALL_STATE(1930)] = 89871,
  [SMALL_STATE(1931)] = 89884,
  [SMALL_STATE(1932)] = 89897,
  [SMALL_STATE(1933)] = 89910,
  [SMALL_STATE(1934)] = 89923,
  [SMALL_STATE(1935)] = 89936,
  [SMALL_STATE(1936)] = 89947,
  [SMALL_STATE(1937)] = 89960,
  [SMALL_STATE(1938)] = 89973,
  [SMALL_STATE(1939)] = 89984,
  [SMALL_STATE(1940)] = 89995,
  [SMALL_STATE(1941)] = 90008,
  [SMALL_STATE(1942)] = 90021,
  [SMALL_STATE(1943)] = 90034,
  [SMALL_STATE(1944)] = 90047,
  [SMALL_STATE(1945)] = 90060,
  [SMALL_STATE(1946)] = 90073,
  [SMALL_STATE(1947)] = 90086,
  [SMALL_STATE(1948)] = 90096,
  [SMALL_STATE(1949)] = 90104,
  [SMALL_STATE(1950)] = 90112,
  [SMALL_STATE(1951)] = 90120,
  [SMALL_STATE(1952)] = 90128,
  [SMALL_STATE(1953)] = 90136,
  [SMALL_STATE(1954)] = 90144,
  [SMALL_STATE(1955)] = 90152,
  [SMALL_STATE(1956)] = 90160,
  [SMALL_STATE(1957)] = 90170,
  [SMALL_STATE(1958)] = 90178,
  [SMALL_STATE(1959)] = 90186,
  [SMALL_STATE(1960)] = 90196,
  [SMALL_STATE(1961)] = 90204,
  [SMALL_STATE(1962)] = 90214,
  [SMALL_STATE(1963)] = 90222,
  [SMALL_STATE(1964)] = 90230,
  [SMALL_STATE(1965)] = 90238,
  [SMALL_STATE(1966)] = 90246,
  [SMALL_STATE(1967)] = 90254,
  [SMALL_STATE(1968)] = 90264,
  [SMALL_STATE(1969)] = 90272,
  [SMALL_STATE(1970)] = 90280,
  [SMALL_STATE(1971)] = 90288,
  [SMALL_STATE(1972)] = 90296,
  [SMALL_STATE(1973)] = 90304,
  [SMALL_STATE(1974)] = 90312,
  [SMALL_STATE(1975)] = 90320,
  [SMALL_STATE(1976)] = 90328,
  [SMALL_STATE(1977)] = 90336,
  [SMALL_STATE(1978)] = 90344,
  [SMALL_STATE(1979)] = 90352,
  [SMALL_STATE(1980)] = 90360,
  [SMALL_STATE(1981)] = 90368,
  [SMALL_STATE(1982)] = 90376,
  [SMALL_STATE(1983)] = 90384,
  [SMALL_STATE(1984)] = 90392,
  [SMALL_STATE(1985)] = 90400,
  [SMALL_STATE(1986)] = 90408,
  [SMALL_STATE(1987)] = 90418,
  [SMALL_STATE(1988)] = 90428,
  [SMALL_STATE(1989)] = 90436,
  [SMALL_STATE(1990)] = 90444,
  [SMALL_STATE(1991)] = 90452,
  [SMALL_STATE(1992)] = 90460,
  [SMALL_STATE(1993)] = 90468,
  [SMALL_STATE(1994)] = 90476,
  [SMALL_STATE(1995)] = 90484,
  [SMALL_STATE(1996)] = 90492,
  [SMALL_STATE(1997)] = 90502,
  [SMALL_STATE(1998)] = 90510,
  [SMALL_STATE(1999)] = 90518,
  [SMALL_STATE(2000)] = 90526,
  [SMALL_STATE(2001)] = 90534,
  [SMALL_STATE(2002)] = 90542,
  [SMALL_STATE(2003)] = 90550,
  [SMALL_STATE(2004)] = 90558,
  [SMALL_STATE(2005)] = 90566,
  [SMALL_STATE(2006)] = 90574,
  [SMALL_STATE(2007)] = 90582,
  [SMALL_STATE(2008)] = 90590,
  [SMALL_STATE(2009)] = 90598,
  [SMALL_STATE(2010)] = 90606,
  [SMALL_STATE(2011)] = 90614,
  [SMALL_STATE(2012)] = 90622,
  [SMALL_STATE(2013)] = 90630,
  [SMALL_STATE(2014)] = 90638,
  [SMALL_STATE(2015)] = 90645,
  [SMALL_STATE(2016)] = 90652,
  [SMALL_STATE(2017)] = 90659,
  [SMALL_STATE(2018)] = 90666,
  [SMALL_STATE(2019)] = 90673,
  [SMALL_STATE(2020)] = 90680,
  [SMALL_STATE(2021)] = 90687,
  [SMALL_STATE(2022)] = 90694,
  [SMALL_STATE(2023)] = 90701,
  [SMALL_STATE(2024)] = 90708,
  [SMALL_STATE(2025)] = 90715,
  [SMALL_STATE(2026)] = 90722,
  [SMALL_STATE(2027)] = 90729,
  [SMALL_STATE(2028)] = 90736,
  [SMALL_STATE(2029)] = 90743,
  [SMALL_STATE(2030)] = 90750,
  [SMALL_STATE(2031)] = 90757,
  [SMALL_STATE(2032)] = 90764,
  [SMALL_STATE(2033)] = 90771,
  [SMALL_STATE(2034)] = 90778,
  [SMALL_STATE(2035)] = 90785,
  [SMALL_STATE(2036)] = 90792,
  [SMALL_STATE(2037)] = 90799,
  [SMALL_STATE(2038)] = 90806,
  [SMALL_STATE(2039)] = 90813,
  [SMALL_STATE(2040)] = 90820,
  [SMALL_STATE(2041)] = 90827,
  [SMALL_STATE(2042)] = 90834,
  [SMALL_STATE(2043)] = 90841,
  [SMALL_STATE(2044)] = 90848,
  [SMALL_STATE(2045)] = 90855,
  [SMALL_STATE(2046)] = 90862,
  [SMALL_STATE(2047)] = 90869,
  [SMALL_STATE(2048)] = 90876,
  [SMALL_STATE(2049)] = 90883,
  [SMALL_STATE(2050)] = 90890,
  [SMALL_STATE(2051)] = 90897,
  [SMALL_STATE(2052)] = 90904,
  [SMALL_STATE(2053)] = 90911,
  [SMALL_STATE(2054)] = 90918,
  [SMALL_STATE(2055)] = 90925,
  [SMALL_STATE(2056)] = 90932,
  [SMALL_STATE(2057)] = 90939,
  [SMALL_STATE(2058)] = 90946,
  [SMALL_STATE(2059)] = 90953,
  [SMALL_STATE(2060)] = 90960,
  [SMALL_STATE(2061)] = 90967,
  [SMALL_STATE(2062)] = 90974,
  [SMALL_STATE(2063)] = 90981,
  [SMALL_STATE(2064)] = 90988,
  [SMALL_STATE(2065)] = 90995,
  [SMALL_STATE(2066)] = 91002,
  [SMALL_STATE(2067)] = 91009,
  [SMALL_STATE(2068)] = 91016,
  [SMALL_STATE(2069)] = 91023,
  [SMALL_STATE(2070)] = 91030,
  [SMALL_STATE(2071)] = 91037,
  [SMALL_STATE(2072)] = 91044,
  [SMALL_STATE(2073)] = 91051,
  [SMALL_STATE(2074)] = 91058,
  [SMALL_STATE(2075)] = 91065,
  [SMALL_STATE(2076)] = 91072,
  [SMALL_STATE(2077)] = 91079,
  [SMALL_STATE(2078)] = 91086,
  [SMALL_STATE(2079)] = 91093,
  [SMALL_STATE(2080)] = 91100,
  [SMALL_STATE(2081)] = 91107,
  [SMALL_STATE(2082)] = 91114,
  [SMALL_STATE(2083)] = 91121,
  [SMALL_STATE(2084)] = 91128,
  [SMALL_STATE(2085)] = 91135,
  [SMALL_STATE(2086)] = 91142,
  [SMALL_STATE(2087)] = 91149,
  [SMALL_STATE(2088)] = 91156,
  [SMALL_STATE(2089)] = 91163,
  [SMALL_STATE(2090)] = 91170,
  [SMALL_STATE(2091)] = 91177,
  [SMALL_STATE(2092)] = 91184,
  [SMALL_STATE(2093)] = 91191,
  [SMALL_STATE(2094)] = 91198,
  [SMALL_STATE(2095)] = 91205,
  [SMALL_STATE(2096)] = 91212,
  [SMALL_STATE(2097)] = 91219,
  [SMALL_STATE(2098)] = 91226,
  [SMALL_STATE(2099)] = 91233,
  [SMALL_STATE(2100)] = 91240,
  [SMALL_STATE(2101)] = 91247,
  [SMALL_STATE(2102)] = 91254,
  [SMALL_STATE(2103)] = 91261,
  [SMALL_STATE(2104)] = 91268,
  [SMALL_STATE(2105)] = 91275,
  [SMALL_STATE(2106)] = 91282,
  [SMALL_STATE(2107)] = 91289,
  [SMALL_STATE(2108)] = 91296,
  [SMALL_STATE(2109)] = 91303,
  [SMALL_STATE(2110)] = 91310,
  [SMALL_STATE(2111)] = 91317,
  [SMALL_STATE(2112)] = 91324,
  [SMALL_STATE(2113)] = 91331,
  [SMALL_STATE(2114)] = 91338,
  [SMALL_STATE(2115)] = 91345,
  [SMALL_STATE(2116)] = 91352,
  [SMALL_STATE(2117)] = 91359,
  [SMALL_STATE(2118)] = 91366,
  [SMALL_STATE(2119)] = 91373,
  [SMALL_STATE(2120)] = 91380,
  [SMALL_STATE(2121)] = 91387,
  [SMALL_STATE(2122)] = 91394,
  [SMALL_STATE(2123)] = 91401,
  [SMALL_STATE(2124)] = 91408,
  [SMALL_STATE(2125)] = 91415,
  [SMALL_STATE(2126)] = 91422,
  [SMALL_STATE(2127)] = 91429,
  [SMALL_STATE(2128)] = 91436,
  [SMALL_STATE(2129)] = 91443,
  [SMALL_STATE(2130)] = 91450,
  [SMALL_STATE(2131)] = 91457,
  [SMALL_STATE(2132)] = 91464,
  [SMALL_STATE(2133)] = 91471,
  [SMALL_STATE(2134)] = 91478,
  [SMALL_STATE(2135)] = 91485,
  [SMALL_STATE(2136)] = 91492,
  [SMALL_STATE(2137)] = 91499,
  [SMALL_STATE(2138)] = 91506,
  [SMALL_STATE(2139)] = 91513,
  [SMALL_STATE(2140)] = 91520,
  [SMALL_STATE(2141)] = 91527,
  [SMALL_STATE(2142)] = 91534,
  [SMALL_STATE(2143)] = 91541,
  [SMALL_STATE(2144)] = 91548,
  [SMALL_STATE(2145)] = 91555,
  [SMALL_STATE(2146)] = 91562,
  [SMALL_STATE(2147)] = 91569,
  [SMALL_STATE(2148)] = 91576,
  [SMALL_STATE(2149)] = 91583,
  [SMALL_STATE(2150)] = 91590,
  [SMALL_STATE(2151)] = 91597,
  [SMALL_STATE(2152)] = 91604,
  [SMALL_STATE(2153)] = 91611,
  [SMALL_STATE(2154)] = 91618,
  [SMALL_STATE(2155)] = 91625,
  [SMALL_STATE(2156)] = 91632,
  [SMALL_STATE(2157)] = 91639,
  [SMALL_STATE(2158)] = 91646,
  [SMALL_STATE(2159)] = 91653,
  [SMALL_STATE(2160)] = 91660,
  [SMALL_STATE(2161)] = 91667,
  [SMALL_STATE(2162)] = 91674,
  [SMALL_STATE(2163)] = 91681,
  [SMALL_STATE(2164)] = 91688,
  [SMALL_STATE(2165)] = 91695,
  [SMALL_STATE(2166)] = 91702,
  [SMALL_STATE(2167)] = 91709,
  [SMALL_STATE(2168)] = 91716,
  [SMALL_STATE(2169)] = 91723,
  [SMALL_STATE(2170)] = 91730,
  [SMALL_STATE(2171)] = 91737,
  [SMALL_STATE(2172)] = 91744,
  [SMALL_STATE(2173)] = 91751,
  [SMALL_STATE(2174)] = 91758,
  [SMALL_STATE(2175)] = 91765,
  [SMALL_STATE(2176)] = 91772,
  [SMALL_STATE(2177)] = 91779,
  [SMALL_STATE(2178)] = 91786,
  [SMALL_STATE(2179)] = 91793,
  [SMALL_STATE(2180)] = 91800,
  [SMALL_STATE(2181)] = 91807,
  [SMALL_STATE(2182)] = 91814,
  [SMALL_STATE(2183)] = 91821,
  [SMALL_STATE(2184)] = 91828,
  [SMALL_STATE(2185)] = 91835,
  [SMALL_STATE(2186)] = 91842,
  [SMALL_STATE(2187)] = 91849,
  [SMALL_STATE(2188)] = 91856,
  [SMALL_STATE(2189)] = 91863,
  [SMALL_STATE(2190)] = 91870,
  [SMALL_STATE(2191)] = 91877,
  [SMALL_STATE(2192)] = 91884,
  [SMALL_STATE(2193)] = 91891,
  [SMALL_STATE(2194)] = 91898,
  [SMALL_STATE(2195)] = 91905,
  [SMALL_STATE(2196)] = 91912,
  [SMALL_STATE(2197)] = 91919,
  [SMALL_STATE(2198)] = 91926,
  [SMALL_STATE(2199)] = 91933,
  [SMALL_STATE(2200)] = 91940,
  [SMALL_STATE(2201)] = 91947,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(410),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1755),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1572),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(187),
  [133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(897),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(80),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(492),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(78),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(322),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(422),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(313),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1951),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1953),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1954),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(562),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(318),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(815),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(560),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2172),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(404),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2191),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2184),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2183),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(388),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2174),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(898),
  [199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(183),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(551),
  [205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(899),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1395),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(298),
  [214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1062),
  [217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(197),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1062),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(81),
  [226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1460),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(79),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(437),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(323),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(824),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(528),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2186),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(385),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2185),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2182),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(226),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1), REDUCE(sym_primary_expression, 1, .production_id = 1),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expresssion_lhs, 1, .production_id = 1),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(241),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(530),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(919),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2),
  [888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 85),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 85),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 71),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 71),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 96),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 96),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 59),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 59),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 5),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 13),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 14),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 67),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 67),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expresssion_lhs, 1),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 67),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 67),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2), REDUCE(sym_list, 2),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 54),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 54),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2), SHIFT_REPEAT(538),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(415),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(430),
  [1365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2), SHIFT_REPEAT(550),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 75),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 75),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 40),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 40),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2), REDUCE(sym_tuple, 2),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(467),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(529),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 80),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 80),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 52),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 52),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 36),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 36),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 37),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 37),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, .production_id = 114),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, .production_id = 114),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 94),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 94),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 114),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 114),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 3, .production_id = 15),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 3, .production_id = 15),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, .production_id = 94),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, .production_id = 94),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, .production_id = 72),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, .production_id = 72),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 50),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 50),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51), SHIFT_REPEAT(358),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 15),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 15),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 37),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 37),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51), SHIFT_REPEAT(392),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 58),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 58),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 40),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 40),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 35),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 35),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 78),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 78),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 59),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 59),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 90),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 90),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 55),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 55),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 106),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 106),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 4, .production_id = 87),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 87),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 111),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 111),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 100),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 100),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 109),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 109),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 35),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 35),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 110),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 110),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 97),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 97),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 98),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 98),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 99),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 99),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 59),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 59),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 115),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 115),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 116),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 116),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 117),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 117),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 118),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 118),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, .production_id = 119),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 8, .production_id = 119),
  [1627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 107),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 107),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 108),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 108),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 57),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 57),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 56),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 56),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 53),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 53),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 61),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 61),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [1667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 113),
  [1669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 113),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 73),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 73),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 74),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 74),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 82),
  [1681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 82),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 76),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 76),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 81),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 81),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 89),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 89),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 77),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 77),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 79),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 79),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 80),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 80),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 91),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 91),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 59),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 59),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 95),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 95),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 105),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 105),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 103),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 103),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1441),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1460),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1453),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1448),
  [1945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1455),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1452),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1454),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1456),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 33),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 33),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 9),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 9),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 33),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 33),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 33),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 33),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 33),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 33),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, .production_id = 32),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, .production_id = 32),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, .production_id = 32),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, .production_id = 32),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, .production_id = 32),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, .production_id = 32),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [2231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [2236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(970),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [2241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2167),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(970),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(853),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, .production_id = 10),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, .production_id = 10),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(910),
  [2257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2031),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(910),
  [2263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(850),
  [2266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(980),
  [2269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2092),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(980),
  [2275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(872),
  [2278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(998),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2074),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(998),
  [2287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(871),
  [2290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1020),
  [2293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2150),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1020),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(889),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1026),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2119),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1026),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(867),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, .production_id = 4),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(948),
  [2323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2027),
  [2326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(948),
  [2329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(894),
  [2332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(934),
  [2335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2066),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(934),
  [2341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(851),
  [2344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(829),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = 1, .production_id = 6), SHIFT(265),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(305),
  [2531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1445),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1445),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 17),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18),
  [2641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(503),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [2646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(469),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(572),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(570),
  [2687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(477),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 7),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .production_id = 5),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 47),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(522),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 66),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(509),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 5),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(559),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2196),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(819),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(454),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(524),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2199),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(825),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(568),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2101),
  [2915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(820),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 16),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 18),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 96),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 85),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(370),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 71),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 84),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(545),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(371),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = 1, .production_id = 6),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 18),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2050),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 65),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [2992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(898),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 83),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 39),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 15),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 86),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(364),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 3),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 46),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 17),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 12),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 3),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2148),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(512),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(448),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [3119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1727),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 14),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 7),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [3156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(2193),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 13),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 88), SHIFT_REPEAT(365),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 88),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 26),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27),
  [3188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27), SHIFT_REPEAT(1882),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [3195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(1754),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 34),
  [3200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 34), SHIFT_REPEAT(436),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 12),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [3231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1407),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(830),
  [3257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(537),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(274),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(160),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 19),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(486),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38), SHIFT_REPEAT(466),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 3),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 28),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(828),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(500),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 68), SHIFT_REPEAT(349),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 68),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(284),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(266),
  [3425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(325),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2097),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(425),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27), SHIFT_REPEAT(1772),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 7),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(423),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 45),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1406),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(290),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, .production_id = 32),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 20),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 21),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 29),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 30),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 31),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 70),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 69),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, .production_id = 32),
  [3648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 64),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [3912] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
